// python wrapper for vtkImagePlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImagePlaneWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImagePlaneWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImagePlaneWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceWidgetNew(char *); }

static PyObject *PyvtkImagePlaneWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  const char    *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkImagePlaneWidget  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImagePlaneWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImagePlaneWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[6];
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetInput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkDataSet  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetInput(temp0);
      }
    else
      {
      op->SetInput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetOrigin(temp0);
      }
    else
      {
      op->GetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetPoint1(temp0);
      }
    else
      {
      op->GetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetPoint2(temp0);
      }
    else
      {
      op->GetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetCenter(temp0);
      }
    else
      {
      op->GetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetNormal(temp0);
      }
    else
      {
      op->GetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetVector1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetVector1(temp0);
      }
    else
      {
      op->GetVector1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetVector2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[3];
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetVector2(temp0);
      }
    else
      {
      op->GetVector2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetSliceIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetSliceIndex();
      }
    else
      {
      temp20 = op->GetSliceIndex();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetSliceIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetSliceIndex(temp0);
      }
    else
      {
      op->SetSliceIndex(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetSlicePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetSlicePosition();
      }
    else
      {
      temp20 = op->GetSlicePosition();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetSlicePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetSlicePosition(temp0);
      }
    else
      {
      op->SetSlicePosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetResliceInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetResliceInterpolate(temp0);
      }
    else
      {
      op->SetResliceInterpolate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetResliceInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetResliceInterpolate();
      }
    else
      {
      temp20 = op->GetResliceInterpolate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetResliceInterpolateToNearestNeighbour(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetResliceInterpolateToNearestNeighbour();
      }
    else
      {
      op->SetResliceInterpolateToNearestNeighbour();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetResliceInterpolateToLinear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetResliceInterpolateToLinear();
      }
    else
      {
      op->SetResliceInterpolateToLinear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetResliceInterpolateToCubic(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetResliceInterpolateToCubic();
      }
    else
      {
      op->SetResliceInterpolateToCubic();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetResliceOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkImageData  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetResliceOutput();
      }
    else
      {
      temp20 = op->GetResliceOutput();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetRestrictPlaneToVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetRestrictPlaneToVolume(temp0);
      }
    else
      {
      op->SetRestrictPlaneToVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetRestrictPlaneToVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetRestrictPlaneToVolume();
      }
    else
      {
      temp20 = op->GetRestrictPlaneToVolume();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_RestrictPlaneToVolumeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::RestrictPlaneToVolumeOn();
      }
    else
      {
      op->RestrictPlaneToVolumeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_RestrictPlaneToVolumeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::RestrictPlaneToVolumeOff();
      }
    else
      {
      op->RestrictPlaneToVolumeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetUserControlledLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetUserControlledLookupTable(temp0);
      }
    else
      {
      op->SetUserControlledLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetUserControlledLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetUserControlledLookupTable();
      }
    else
      {
      temp20 = op->GetUserControlledLookupTable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_UserControlledLookupTableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::UserControlledLookupTableOn();
      }
    else
      {
      op->UserControlledLookupTableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_UserControlledLookupTableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::UserControlledLookupTableOff();
      }
    else
      {
      op->UserControlledLookupTableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetTextureInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetTextureInterpolate(temp0);
      }
    else
      {
      op->SetTextureInterpolate(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetTextureInterpolate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetTextureInterpolate();
      }
    else
      {
      temp20 = op->GetTextureInterpolate();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_TextureInterpolateOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::TextureInterpolateOn();
      }
    else
      {
      op->TextureInterpolateOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_TextureInterpolateOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::TextureInterpolateOff();
      }
    else
      {
      op->TextureInterpolateOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetTextureVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetTextureVisibility(temp0);
      }
    else
      {
      op->SetTextureVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetTextureVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetTextureVisibility();
      }
    else
      {
      temp20 = op->GetTextureVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_TextureVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::TextureVisibilityOn();
      }
    else
      {
      op->TextureVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_TextureVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::TextureVisibilityOff();
      }
    else
      {
      op->TextureVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break53;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break53:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetPolyDataAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkPolyDataAlgorithm  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetPolyDataAlgorithm();
      }
    else
      {
      temp20 = op->GetPolyDataAlgorithm();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_UpdatePlacement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::UpdatePlacement();
      }
    else
      {
      op->UpdatePlacement();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetTexture(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkTexture  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetTexture();
      }
    else
      {
      temp20 = op->GetTexture();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetColorMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkImageMapToColors  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetColorMap();
      }
    else
      {
      temp20 = op->GetColorMap();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetColorMap(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkImageMapToColors  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageMapToColors *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageMapToColors");
    if (!temp0 && tempH0 != Py_None) goto break58;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetColorMap(temp0);
      }
    else
      {
      op->SetColorMap(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break58:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break59;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPlaneProperty(temp0);
      }
    else
      {
      op->SetPlaneProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break59:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetPlaneProperty();
      }
    else
      {
      temp20 = op->GetPlaneProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetSelectedPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break61;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetSelectedPlaneProperty(temp0);
      }
    else
      {
      op->SetSelectedPlaneProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break61:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetSelectedPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetSelectedPlaneProperty();
      }
    else
      {
      temp20 = op->GetSelectedPlaneProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPlaneOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPlaneOrientation(temp0);
      }
    else
      {
      op->SetPlaneOrientation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetPlaneOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetPlaneOrientation();
      }
    else
      {
      temp20 = op->GetPlaneOrientation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPlaneOrientationToXAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPlaneOrientationToXAxes();
      }
    else
      {
      op->SetPlaneOrientationToXAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPlaneOrientationToYAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPlaneOrientationToYAxes();
      }
    else
      {
      op->SetPlaneOrientationToYAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPlaneOrientationToZAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPlaneOrientationToZAxes();
      }
    else
      {
      op->SetPlaneOrientationToZAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkAbstractPropPicker  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractPropPicker *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractPropPicker");
    if (!temp0 && tempH0 != Py_None) goto break68;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetPicker(temp0);
      }
    else
      {
      op->SetPicker(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break68:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkLookupTable  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLookupTable *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLookupTable");
    if (!temp0 && tempH0 != Py_None) goto break69;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetLookupTable(temp0);
      }
    else
      {
      op->SetLookupTable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break69:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLookupTable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkLookupTable  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLookupTable();
      }
    else
      {
      temp20 = op->GetLookupTable();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetDisplayText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetDisplayText(temp0);
      }
    else
      {
      op->SetDisplayText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetDisplayText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetDisplayText();
      }
    else
      {
      temp20 = op->GetDisplayText();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_DisplayTextOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::DisplayTextOn();
      }
    else
      {
      op->DisplayTextOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_DisplayTextOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::DisplayTextOff();
      }
    else
      {
      op->DisplayTextOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetCursorProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break75;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetCursorProperty(temp0);
      }
    else
      {
      op->SetCursorProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break75:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetCursorProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetCursorProperty();
      }
    else
      {
      temp20 = op->GetCursorProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetMarginProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break77;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetMarginProperty(temp0);
      }
    else
      {
      op->SetMarginProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break77:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMarginProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMarginProperty();
      }
    else
      {
      temp20 = op->GetMarginProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetMarginSizeX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetMarginSizeX(temp0);
      }
    else
      {
      op->SetMarginSizeX(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMarginSizeXMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMarginSizeXMinValue();
      }
    else
      {
      temp20 = op->GetMarginSizeXMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMarginSizeXMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMarginSizeXMaxValue();
      }
    else
      {
      temp20 = op->GetMarginSizeXMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMarginSizeX(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMarginSizeX();
      }
    else
      {
      temp20 = op->GetMarginSizeX();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetMarginSizeY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetMarginSizeY(temp0);
      }
    else
      {
      op->SetMarginSizeY(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMarginSizeYMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMarginSizeYMinValue();
      }
    else
      {
      temp20 = op->GetMarginSizeYMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMarginSizeYMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMarginSizeYMaxValue();
      }
    else
      {
      temp20 = op->GetMarginSizeYMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMarginSizeY(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMarginSizeY();
      }
    else
      {
      temp20 = op->GetMarginSizeY();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkTextProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextProperty");
    if (!temp0 && tempH0 != Py_None) goto break87;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetTextProperty(temp0);
      }
    else
      {
      op->SetTextProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break87:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkTextProperty  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetTextProperty();
      }
    else
      {
      temp20 = op->GetTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetTexturePlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break89;
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetTexturePlaneProperty(temp0);
      }
    else
      {
      op->SetTexturePlaneProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break89:
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetTexturePlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetTexturePlaneProperty();
      }
    else
      {
      temp20 = op->GetTexturePlaneProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetWindowLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp0;
  double   temp1;
  int      temp2;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetWindowLevel(temp0,temp1,temp2);
      }
    else
      {
      op->SetWindowLevel(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetWindowLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[2];
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::GetWindowLevel(temp0);
      }
    else
      {
      op->GetWindowLevel(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetWindow(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetWindow();
      }
    else
      {
      temp20 = op->GetWindow();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLevel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLevel();
      }
    else
      {
      temp20 = op->GetLevel();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetCursorData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double temp0[4];
  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetCursorData(temp0);
      }
    else
      {
      temp20 = op->GetCursorData(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,4)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetCursorDataStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetCursorDataStatus();
      }
    else
      {
      temp20 = op->GetCursorDataStatus();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetCurrentCursorPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double  *temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetCurrentCursorPosition();
      }
    else
      {
      temp20 = op->GetCurrentCursorPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetCurrentImageValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  double   temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetCurrentImageValue();
      }
    else
      {
      temp20 = op->GetCurrentImageValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetUseContinuousCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetUseContinuousCursor(temp0);
      }
    else
      {
      op->SetUseContinuousCursor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetUseContinuousCursor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetUseContinuousCursor();
      }
    else
      {
      temp20 = op->GetUseContinuousCursor();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_UseContinuousCursorOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::UseContinuousCursorOn();
      }
    else
      {
      op->UseContinuousCursorOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_UseContinuousCursorOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::UseContinuousCursorOff();
      }
    else
      {
      op->UseContinuousCursorOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetInteraction(temp0);
      }
    else
      {
      op->SetInteraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetInteraction();
      }
    else
      {
      temp20 = op->GetInteraction();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_InteractionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::InteractionOn();
      }
    else
      {
      op->InteractionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_InteractionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::InteractionOff();
      }
    else
      {
      op->InteractionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetLeftButtonAction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetLeftButtonAction(temp0);
      }
    else
      {
      op->SetLeftButtonAction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLeftButtonActionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLeftButtonActionMinValue();
      }
    else
      {
      temp20 = op->GetLeftButtonActionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLeftButtonActionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLeftButtonActionMaxValue();
      }
    else
      {
      temp20 = op->GetLeftButtonActionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLeftButtonAction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLeftButtonAction();
      }
    else
      {
      temp20 = op->GetLeftButtonAction();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetMiddleButtonAction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetMiddleButtonAction(temp0);
      }
    else
      {
      op->SetMiddleButtonAction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMiddleButtonActionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMiddleButtonActionMinValue();
      }
    else
      {
      temp20 = op->GetMiddleButtonActionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMiddleButtonActionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMiddleButtonActionMaxValue();
      }
    else
      {
      temp20 = op->GetMiddleButtonActionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMiddleButtonAction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMiddleButtonAction();
      }
    else
      {
      temp20 = op->GetMiddleButtonAction();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetRightButtonAction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetRightButtonAction(temp0);
      }
    else
      {
      op->SetRightButtonAction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetRightButtonActionMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetRightButtonActionMinValue();
      }
    else
      {
      temp20 = op->GetRightButtonActionMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetRightButtonActionMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetRightButtonActionMaxValue();
      }
    else
      {
      temp20 = op->GetRightButtonActionMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetRightButtonAction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetRightButtonAction();
      }
    else
      {
      temp20 = op->GetRightButtonAction();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetLeftButtonAutoModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetLeftButtonAutoModifier(temp0);
      }
    else
      {
      op->SetLeftButtonAutoModifier(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLeftButtonAutoModifierMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLeftButtonAutoModifierMinValue();
      }
    else
      {
      temp20 = op->GetLeftButtonAutoModifierMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLeftButtonAutoModifierMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLeftButtonAutoModifierMaxValue();
      }
    else
      {
      temp20 = op->GetLeftButtonAutoModifierMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetLeftButtonAutoModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetLeftButtonAutoModifier();
      }
    else
      {
      temp20 = op->GetLeftButtonAutoModifier();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetMiddleButtonAutoModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetMiddleButtonAutoModifier(temp0);
      }
    else
      {
      op->SetMiddleButtonAutoModifier(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMiddleButtonAutoModifierMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMiddleButtonAutoModifierMinValue();
      }
    else
      {
      temp20 = op->GetMiddleButtonAutoModifierMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMiddleButtonAutoModifierMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMiddleButtonAutoModifierMaxValue();
      }
    else
      {
      temp20 = op->GetMiddleButtonAutoModifierMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetMiddleButtonAutoModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetMiddleButtonAutoModifier();
      }
    else
      {
      temp20 = op->GetMiddleButtonAutoModifier();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_SetRightButtonAutoModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp0;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImagePlaneWidget::SetRightButtonAutoModifier(temp0);
      }
    else
      {
      op->SetRightButtonAutoModifier(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetRightButtonAutoModifierMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetRightButtonAutoModifierMinValue();
      }
    else
      {
      temp20 = op->GetRightButtonAutoModifierMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetRightButtonAutoModifierMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetRightButtonAutoModifierMaxValue();
      }
    else
      {
      temp20 = op->GetRightButtonAutoModifierMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImagePlaneWidget_GetRightButtonAutoModifier(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImagePlaneWidget *op;

  int      temp20;
  op = (vtkImagePlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImagePlaneWidget::GetRightButtonAutoModifier();
      }
    else
      {
      temp20 = op->GetRightButtonAutoModifier();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkImagePlaneWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImagePlaneWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImagePlaneWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImagePlaneWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImagePlaneWidget\nC++: vtkImagePlaneWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImagePlaneWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImagePlaneWidget\nC++: vtkImagePlaneWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkImagePlaneWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkImagePlaneWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"SetInput",                (PyCFunction)PyvtkImagePlaneWidget_SetInput, 1,
   (char*)"V.SetInput(vtkDataSet)\nC++: void SetInput (vtkDataSet *input);\n\n Set the vtkImageData* input for the vtkImageReslice.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkImagePlaneWidget_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double x, double y, double z);\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double xyz[3]);\n\n Set/Get the origin of the plane.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkImagePlaneWidget_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double *GetOrigin ();\nV.GetOrigin((float, float, float))\nC++: void GetOrigin (double xyz[3]);\n\n Set/Get the origin of the plane.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkImagePlaneWidget_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double x, double y, double z);\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double xyz[3]);\n\n Set/Get the position of the point defining the first axis of the plane.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkImagePlaneWidget_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double *GetPoint1 ();\nV.GetPoint1((float, float, float))\nC++: void GetPoint1 (double xyz[3]);\n\n Set/Get the position of the point defining the first axis of the plane.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkImagePlaneWidget_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double x, double y, double z);\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double xyz[3]);\n\n Set/Get the position of the point defining the second axis of the plane.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkImagePlaneWidget_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double *GetPoint2 ();\nV.GetPoint2((float, float, float))\nC++: void GetPoint2 (double xyz[3]);\n\n Set/Get the position of the point defining the second axis of the plane.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkImagePlaneWidget_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double *GetCenter ();\nV.GetCenter((float, float, float))\nC++: void GetCenter (double xyz[3]);\n\n Get the center of the plane.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkImagePlaneWidget_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double *GetNormal ();\nV.GetNormal((float, float, float))\nC++: void GetNormal (double xyz[3]);\n\n Get the normal to the plane.\n"},
  {(char*)"GetVector1",                (PyCFunction)PyvtkImagePlaneWidget_GetVector1, 1,
   (char*)"V.GetVector1((float, float, float))\nC++: void GetVector1 (double v1[3]);\n\n Get the vector from the plane origin to point1.\n"},
  {(char*)"GetVector2",                (PyCFunction)PyvtkImagePlaneWidget_GetVector2, 1,
   (char*)"V.GetVector2((float, float, float))\nC++: void GetVector2 (double v2[3]);\n\n Get the vector from the plane origin to point2.\n"},
  {(char*)"GetSliceIndex",                (PyCFunction)PyvtkImagePlaneWidget_GetSliceIndex, 1,
   (char*)"V.GetSliceIndex() -> int\nC++: int GetSliceIndex ();\n\n Get the slice position in terms of the data extent.\n"},
  {(char*)"SetSliceIndex",                (PyCFunction)PyvtkImagePlaneWidget_SetSliceIndex, 1,
   (char*)"V.SetSliceIndex(int)\nC++: void SetSliceIndex (int index);\n\n Set the slice position in terms of the data extent.\n"},
  {(char*)"GetSlicePosition",                (PyCFunction)PyvtkImagePlaneWidget_GetSlicePosition, 1,
   (char*)"V.GetSlicePosition() -> float\nC++: double GetSlicePosition ();\n\n Get the position of the slice along its normal.\n"},
  {(char*)"SetSlicePosition",                (PyCFunction)PyvtkImagePlaneWidget_SetSlicePosition, 1,
   (char*)"V.SetSlicePosition(float)\nC++: void SetSlicePosition (double position);\n\n Set the position of the slice along its normal.\n"},
  {(char*)"SetResliceInterpolate",                (PyCFunction)PyvtkImagePlaneWidget_SetResliceInterpolate, 1,
   (char*)"V.SetResliceInterpolate(int)\nC++: void SetResliceInterpolate (int );\n\n Set the interpolation to use when texturing the plane.\n"},
  {(char*)"GetResliceInterpolate",                (PyCFunction)PyvtkImagePlaneWidget_GetResliceInterpolate, 1,
   (char*)"V.GetResliceInterpolate() -> int\nC++: int GetResliceInterpolate ();\n\n Set the interpolation to use when texturing the plane.\n"},
  {(char*)"SetResliceInterpolateToNearestNeighbour",                (PyCFunction)PyvtkImagePlaneWidget_SetResliceInterpolateToNearestNeighbour, 1,
   (char*)"V.SetResliceInterpolateToNearestNeighbour()\nC++: void SetResliceInterpolateToNearestNeighbour ();this SetResliceInterpolate VTK_NEAREST_RESLICE \n\n Set the interpolation to use when texturing the plane.\n"},
  {(char*)"SetResliceInterpolateToLinear",                (PyCFunction)PyvtkImagePlaneWidget_SetResliceInterpolateToLinear, 1,
   (char*)"V.SetResliceInterpolateToLinear()\nC++: void SetResliceInterpolateToLinear ();this SetResliceInterpolate VTK_LINEAR_RESLICE \n\n Set the interpolation to use when texturing the plane.\n"},
  {(char*)"SetResliceInterpolateToCubic",                (PyCFunction)PyvtkImagePlaneWidget_SetResliceInterpolateToCubic, 1,
   (char*)"V.SetResliceInterpolateToCubic()\nC++: void SetResliceInterpolateToCubic ();this SetResliceInterpolate VTK_CUBIC_RESLICE \n\n Convenience method to get the vtkImageReslice output.\n"},
  {(char*)"GetResliceOutput",                (PyCFunction)PyvtkImagePlaneWidget_GetResliceOutput, 1,
   (char*)"V.GetResliceOutput() -> vtkImageData\nC++: vtkImageData *GetResliceOutput ();\n\n Convenience method to get the vtkImageReslice output.\n"},
  {(char*)"SetRestrictPlaneToVolume",                (PyCFunction)PyvtkImagePlaneWidget_SetRestrictPlaneToVolume, 1,
   (char*)"V.SetRestrictPlaneToVolume(int)\nC++: void SetRestrictPlaneToVolume (int );\n\n Make sure that the plane remains within the volume.\n Default is On.\n"},
  {(char*)"GetRestrictPlaneToVolume",                (PyCFunction)PyvtkImagePlaneWidget_GetRestrictPlaneToVolume, 1,
   (char*)"V.GetRestrictPlaneToVolume() -> int\nC++: int GetRestrictPlaneToVolume ();\n\n Make sure that the plane remains within the volume.\n Default is On.\n"},
  {(char*)"RestrictPlaneToVolumeOn",                (PyCFunction)PyvtkImagePlaneWidget_RestrictPlaneToVolumeOn, 1,
   (char*)"V.RestrictPlaneToVolumeOn()\nC++: void RestrictPlaneToVolumeOn ();\n\n Make sure that the plane remains within the volume.\n Default is On.\n"},
  {(char*)"RestrictPlaneToVolumeOff",                (PyCFunction)PyvtkImagePlaneWidget_RestrictPlaneToVolumeOff, 1,
   (char*)"V.RestrictPlaneToVolumeOff()\nC++: void RestrictPlaneToVolumeOff ();\n\n Make sure that the plane remains within the volume.\n Default is On.\n"},
  {(char*)"SetUserControlledLookupTable",                (PyCFunction)PyvtkImagePlaneWidget_SetUserControlledLookupTable, 1,
   (char*)"V.SetUserControlledLookupTable(int)\nC++: void SetUserControlledLookupTable (int );\n\n Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n"},
  {(char*)"GetUserControlledLookupTable",                (PyCFunction)PyvtkImagePlaneWidget_GetUserControlledLookupTable, 1,
   (char*)"V.GetUserControlledLookupTable() -> int\nC++: int GetUserControlledLookupTable ();\n\n Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n"},
  {(char*)"UserControlledLookupTableOn",                (PyCFunction)PyvtkImagePlaneWidget_UserControlledLookupTableOn, 1,
   (char*)"V.UserControlledLookupTableOn()\nC++: void UserControlledLookupTableOn ();\n\n Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n"},
  {(char*)"UserControlledLookupTableOff",                (PyCFunction)PyvtkImagePlaneWidget_UserControlledLookupTableOff, 1,
   (char*)"V.UserControlledLookupTableOff()\nC++: void UserControlledLookupTableOff ();\n\n Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n"},
  {(char*)"SetTextureInterpolate",                (PyCFunction)PyvtkImagePlaneWidget_SetTextureInterpolate, 1,
   (char*)"V.SetTextureInterpolate(int)\nC++: void SetTextureInterpolate (int );\n\n Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n"},
  {(char*)"GetTextureInterpolate",                (PyCFunction)PyvtkImagePlaneWidget_GetTextureInterpolate, 1,
   (char*)"V.GetTextureInterpolate() -> int\nC++: int GetTextureInterpolate ();\n\n Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n"},
  {(char*)"TextureInterpolateOn",                (PyCFunction)PyvtkImagePlaneWidget_TextureInterpolateOn, 1,
   (char*)"V.TextureInterpolateOn()\nC++: void TextureInterpolateOn ();\n\n Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n"},
  {(char*)"TextureInterpolateOff",                (PyCFunction)PyvtkImagePlaneWidget_TextureInterpolateOff, 1,
   (char*)"V.TextureInterpolateOff()\nC++: void TextureInterpolateOff ();\n\n Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n"},
  {(char*)"SetTextureVisibility",                (PyCFunction)PyvtkImagePlaneWidget_SetTextureVisibility, 1,
   (char*)"V.SetTextureVisibility(int)\nC++: virtual void SetTextureVisibility (int );\n\n Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n"},
  {(char*)"GetTextureVisibility",                (PyCFunction)PyvtkImagePlaneWidget_GetTextureVisibility, 1,
   (char*)"V.GetTextureVisibility() -> int\nC++: int GetTextureVisibility ();\n\n Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n"},
  {(char*)"TextureVisibilityOn",                (PyCFunction)PyvtkImagePlaneWidget_TextureVisibilityOn, 1,
   (char*)"V.TextureVisibilityOn()\nC++: void TextureVisibilityOn ();\n\n Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n"},
  {(char*)"TextureVisibilityOff",                (PyCFunction)PyvtkImagePlaneWidget_TextureVisibilityOff, 1,
   (char*)"V.TextureVisibilityOff()\nC++: void TextureVisibilityOff ();\n\n Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkImagePlaneWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the plane.  The\n polydata consists of (res+1)*(res+1) points, and res*res quadrilateral\n polygons, where res is the resolution of the plane. These point values\n are guaranteed to be up-to-date when either the InteractionEvent or\n EndInteraction events are invoked. The user provides the vtkPolyData and\n the points and polygons are added to it.\n"},
  {(char*)"GetPolyDataAlgorithm",                (PyCFunction)PyvtkImagePlaneWidget_GetPolyDataAlgorithm, 1,
   (char*)"V.GetPolyDataAlgorithm() -> vtkPolyDataAlgorithm\nC++: vtkPolyDataAlgorithm *GetPolyDataAlgorithm ();\n\n Satisfies superclass API.  This returns a pointer to the underlying\n vtkPolyData.  Make changes to this before calling the initial PlaceWidget()\n to have the initial placement follow suit.  Or, make changes after the\n widget has been initialised and call UpdatePlacement() to realise.\n"},
  {(char*)"UpdatePlacement",                (PyCFunction)PyvtkImagePlaneWidget_UpdatePlacement, 1,
   (char*)"V.UpdatePlacement()\nC++: void UpdatePlacement (void );\n\n Satisfies superclass API.  This will change the state of the widget to\n match changes that have been made to the underlying vtkPolyDataSource\n"},
  {(char*)"GetTexture",                (PyCFunction)PyvtkImagePlaneWidget_GetTexture, 1,
   (char*)"V.GetTexture() -> vtkTexture\nC++: vtkTexture *GetTexture ();\n\n Convenience method to get the texture used by this widget.  This can be\n used in external slice viewers.\n"},
  {(char*)"GetColorMap",                (PyCFunction)PyvtkImagePlaneWidget_GetColorMap, 1,
   (char*)"V.GetColorMap() -> vtkImageMapToColors\nC++: vtkImageMapToColors *GetColorMap ();\n\n Convenience method to get the vtkImageMapToColors filter used by this\n widget.  The user can properly render other transparent actors in a\n scene by calling the filter's SetOutputFormatToRGB and \n PassAlphaToOutputOff.\n"},
  {(char*)"SetColorMap",                (PyCFunction)PyvtkImagePlaneWidget_SetColorMap, 1,
   (char*)"V.SetColorMap(vtkImageMapToColors)\nC++: virtual void SetColorMap (vtkImageMapToColors *);\n\n Convenience method to get the vtkImageMapToColors filter used by this\n widget.  The user can properly render other transparent actors in a\n scene by calling the filter's SetOutputFormatToRGB and \n PassAlphaToOutputOff.\n"},
  {(char*)"SetPlaneProperty",                (PyCFunction)PyvtkImagePlaneWidget_SetPlaneProperty, 1,
   (char*)"V.SetPlaneProperty(vtkProperty)\nC++: virtual void SetPlaneProperty (vtkProperty *);\n\n Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n"},
  {(char*)"GetPlaneProperty",                (PyCFunction)PyvtkImagePlaneWidget_GetPlaneProperty, 1,
   (char*)"V.GetPlaneProperty() -> vtkProperty\nC++: vtkProperty *GetPlaneProperty ();\n\n Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n"},
  {(char*)"SetSelectedPlaneProperty",                (PyCFunction)PyvtkImagePlaneWidget_SetSelectedPlaneProperty, 1,
   (char*)"V.SetSelectedPlaneProperty(vtkProperty)\nC++: virtual void SetSelectedPlaneProperty (vtkProperty *);\n\n Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n"},
  {(char*)"GetSelectedPlaneProperty",                (PyCFunction)PyvtkImagePlaneWidget_GetSelectedPlaneProperty, 1,
   (char*)"V.GetSelectedPlaneProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedPlaneProperty ();\n\n Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n"},
  {(char*)"SetPlaneOrientation",                (PyCFunction)PyvtkImagePlaneWidget_SetPlaneOrientation, 1,
   (char*)"V.SetPlaneOrientation(int)\nC++: void SetPlaneOrientation (int );\n\n Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n"},
  {(char*)"GetPlaneOrientation",                (PyCFunction)PyvtkImagePlaneWidget_GetPlaneOrientation, 1,
   (char*)"V.GetPlaneOrientation() -> int\nC++: int GetPlaneOrientation ();\n\n Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n"},
  {(char*)"SetPlaneOrientationToXAxes",                (PyCFunction)PyvtkImagePlaneWidget_SetPlaneOrientationToXAxes, 1,
   (char*)"V.SetPlaneOrientationToXAxes()\nC++: void SetPlaneOrientationToXAxes ();this SetPlaneOrientation \n\n Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n"},
  {(char*)"SetPlaneOrientationToYAxes",                (PyCFunction)PyvtkImagePlaneWidget_SetPlaneOrientationToYAxes, 1,
   (char*)"V.SetPlaneOrientationToYAxes()\nC++: void SetPlaneOrientationToYAxes ();this SetPlaneOrientation \n\n Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n"},
  {(char*)"SetPlaneOrientationToZAxes",                (PyCFunction)PyvtkImagePlaneWidget_SetPlaneOrientationToZAxes, 1,
   (char*)"V.SetPlaneOrientationToZAxes()\nC++: void SetPlaneOrientationToZAxes ();this SetPlaneOrientation \n\n Set the internal picker to one defined by the user.  In this way,\n a set of three orthogonal planes can share the same picker so that\n picking is performed correctly.  The default internal picker can be\n re-set/allocated by setting to 0 (NULL).\n"},
  {(char*)"SetPicker",                (PyCFunction)PyvtkImagePlaneWidget_SetPicker, 1,
   (char*)"V.SetPicker(vtkAbstractPropPicker)\nC++: void SetPicker (vtkAbstractPropPicker *);\n\n Set the internal picker to one defined by the user.  In this way,\n a set of three orthogonal planes can share the same picker so that\n picking is performed correctly.  The default internal picker can be\n re-set/allocated by setting to 0 (NULL).\n"},
  {(char*)"SetLookupTable",                (PyCFunction)PyvtkImagePlaneWidget_SetLookupTable, 1,
   (char*)"V.SetLookupTable(vtkLookupTable)\nC++: virtual void SetLookupTable (vtkLookupTable *);\n\n Set/Get the internal lookuptable (lut) to one defined by the user, or,\n alternatively, to the lut of another vtkImgePlaneWidget.  In this way,\n a set of three orthogonal planes can share the same lut so that\n window-levelling is performed uniformly among planes.  The default\n internal lut can be re- set/allocated by setting to 0 (NULL).\n"},
  {(char*)"GetLookupTable",                (PyCFunction)PyvtkImagePlaneWidget_GetLookupTable, 1,
   (char*)"V.GetLookupTable() -> vtkLookupTable\nC++: vtkLookupTable *GetLookupTable ();\n\n Set/Get the internal lookuptable (lut) to one defined by the user, or,\n alternatively, to the lut of another vtkImgePlaneWidget.  In this way,\n a set of three orthogonal planes can share the same lut so that\n window-levelling is performed uniformly among planes.  The default\n internal lut can be re- set/allocated by setting to 0 (NULL).\n"},
  {(char*)"SetDisplayText",                (PyCFunction)PyvtkImagePlaneWidget_SetDisplayText, 1,
   (char*)"V.SetDisplayText(int)\nC++: void SetDisplayText (int );\n\n Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n"},
  {(char*)"GetDisplayText",                (PyCFunction)PyvtkImagePlaneWidget_GetDisplayText, 1,
   (char*)"V.GetDisplayText() -> int\nC++: int GetDisplayText ();\n\n Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n"},
  {(char*)"DisplayTextOn",                (PyCFunction)PyvtkImagePlaneWidget_DisplayTextOn, 1,
   (char*)"V.DisplayTextOn()\nC++: void DisplayTextOn ();\n\n Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n"},
  {(char*)"DisplayTextOff",                (PyCFunction)PyvtkImagePlaneWidget_DisplayTextOff, 1,
   (char*)"V.DisplayTextOff()\nC++: void DisplayTextOff ();\n\n Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n"},
  {(char*)"SetCursorProperty",                (PyCFunction)PyvtkImagePlaneWidget_SetCursorProperty, 1,
   (char*)"V.SetCursorProperty(vtkProperty)\nC++: virtual void SetCursorProperty (vtkProperty *);\n\n Set the properties of the cross-hair cursor.\n"},
  {(char*)"GetCursorProperty",                (PyCFunction)PyvtkImagePlaneWidget_GetCursorProperty, 1,
   (char*)"V.GetCursorProperty() -> vtkProperty\nC++: vtkProperty *GetCursorProperty ();\n\n Set the properties of the cross-hair cursor.\n"},
  {(char*)"SetMarginProperty",                (PyCFunction)PyvtkImagePlaneWidget_SetMarginProperty, 1,
   (char*)"V.SetMarginProperty(vtkProperty)\nC++: virtual void SetMarginProperty (vtkProperty *);\n\n Set the properties of the margins.\n"},
  {(char*)"GetMarginProperty",                (PyCFunction)PyvtkImagePlaneWidget_GetMarginProperty, 1,
   (char*)"V.GetMarginProperty() -> vtkProperty\nC++: vtkProperty *GetMarginProperty ();\n\n Set the properties of the margins.\n"},
  {(char*)"SetMarginSizeX",                (PyCFunction)PyvtkImagePlaneWidget_SetMarginSizeX, 1,
   (char*)"V.SetMarginSizeX(float)\nC++: void SetMarginSizeX (double );\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"GetMarginSizeXMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMarginSizeXMinValue, 1,
   (char*)"V.GetMarginSizeXMinValue() -> float\nC++: double GetMarginSizeXMinValue ();\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"GetMarginSizeXMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMarginSizeXMaxValue, 1,
   (char*)"V.GetMarginSizeXMaxValue() -> float\nC++: double GetMarginSizeXMaxValue ();\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"GetMarginSizeX",                (PyCFunction)PyvtkImagePlaneWidget_GetMarginSizeX, 1,
   (char*)"V.GetMarginSizeX() -> float\nC++: double GetMarginSizeX ();\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"SetMarginSizeY",                (PyCFunction)PyvtkImagePlaneWidget_SetMarginSizeY, 1,
   (char*)"V.SetMarginSizeY(float)\nC++: void SetMarginSizeY (double );\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"GetMarginSizeYMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMarginSizeYMinValue, 1,
   (char*)"V.GetMarginSizeYMinValue() -> float\nC++: double GetMarginSizeYMinValue ();\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"GetMarginSizeYMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMarginSizeYMaxValue, 1,
   (char*)"V.GetMarginSizeYMaxValue() -> float\nC++: double GetMarginSizeYMaxValue ();\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"GetMarginSizeY",                (PyCFunction)PyvtkImagePlaneWidget_GetMarginSizeY, 1,
   (char*)"V.GetMarginSizeY() -> float\nC++: double GetMarginSizeY ();\n\n Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n"},
  {(char*)"SetTextProperty",                (PyCFunction)PyvtkImagePlaneWidget_SetTextProperty, 1,
   (char*)"V.SetTextProperty(vtkTextProperty)\nC++: void SetTextProperty (vtkTextProperty *tprop);\n\n Set/Get the text property for the image data and window-level annotation.\n"},
  {(char*)"GetTextProperty",                (PyCFunction)PyvtkImagePlaneWidget_GetTextProperty, 1,
   (char*)"V.GetTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTextProperty ();\n\n Set/Get the text property for the image data and window-level annotation.\n"},
  {(char*)"SetTexturePlaneProperty",                (PyCFunction)PyvtkImagePlaneWidget_SetTexturePlaneProperty, 1,
   (char*)"V.SetTexturePlaneProperty(vtkProperty)\nC++: virtual void SetTexturePlaneProperty (vtkProperty *);\n\n Set/Get the property for the resliced image.\n"},
  {(char*)"GetTexturePlaneProperty",                (PyCFunction)PyvtkImagePlaneWidget_GetTexturePlaneProperty, 1,
   (char*)"V.GetTexturePlaneProperty() -> vtkProperty\nC++: vtkProperty *GetTexturePlaneProperty ();\n\n Set/Get the property for the resliced image.\n"},
  {(char*)"SetWindowLevel",                (PyCFunction)PyvtkImagePlaneWidget_SetWindowLevel, 1,
   (char*)"V.SetWindowLevel(float, float, int)\nC++: void SetWindowLevel (double window, double level, int copy);\n\n Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n"},
  {(char*)"GetWindowLevel",                (PyCFunction)PyvtkImagePlaneWidget_GetWindowLevel, 1,
   (char*)"V.GetWindowLevel((float, float))\nC++: void GetWindowLevel (double wl[2]);\n\n Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n"},
  {(char*)"GetWindow",                (PyCFunction)PyvtkImagePlaneWidget_GetWindow, 1,
   (char*)"V.GetWindow() -> float\nC++: double GetWindow ();return this CurrentWindow \n\n Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n"},
  {(char*)"GetLevel",                (PyCFunction)PyvtkImagePlaneWidget_GetLevel, 1,
   (char*)"V.GetLevel() -> float\nC++: double GetLevel ();return this CurrentLevel \n\n Get the image coordinate position and voxel value.  Currently only\n supports single component image data.\n"},
  {(char*)"GetCursorData",                (PyCFunction)PyvtkImagePlaneWidget_GetCursorData, 1,
   (char*)"V.GetCursorData((float, float, float, float)) -> int\nC++: int GetCursorData (double xyzv[4]);\n\n Get the image coordinate position and voxel value.  Currently only\n supports single component image data.\n"},
  {(char*)"GetCursorDataStatus",                (PyCFunction)PyvtkImagePlaneWidget_GetCursorDataStatus, 1,
   (char*)"V.GetCursorDataStatus() -> int\nC++: int GetCursorDataStatus ();\n\n Get the status of the cursor data.  If this returns 1 the\n CurrentCursorPosition and CurrentImageValue will have current\n data.  If it returns 0, these values are invalid.\n"},
  {(char*)"GetCurrentCursorPosition",                (PyCFunction)PyvtkImagePlaneWidget_GetCurrentCursorPosition, 1,
   (char*)"V.GetCurrentCursorPosition() -> (float, float, float)\nC++: double  *GetCurrentCursorPosition ();\n\n Get the current cursor position.  To be used in conjunction with\n GetCursorDataStatus.\n"},
  {(char*)"GetCurrentImageValue",                (PyCFunction)PyvtkImagePlaneWidget_GetCurrentImageValue, 1,
   (char*)"V.GetCurrentImageValue() -> float\nC++: double GetCurrentImageValue ();\n\n Get the current image value at the current cursor position.  To\n be used in conjunction with GetCursorDataStatus.  The value is\n VTK_DOUBLE_MAX when the data is invalid.\n"},
  {(char*)"SetUseContinuousCursor",                (PyCFunction)PyvtkImagePlaneWidget_SetUseContinuousCursor, 1,
   (char*)"V.SetUseContinuousCursor(int)\nC++: void SetUseContinuousCursor (int );\n\n Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n"},
  {(char*)"GetUseContinuousCursor",                (PyCFunction)PyvtkImagePlaneWidget_GetUseContinuousCursor, 1,
   (char*)"V.GetUseContinuousCursor() -> int\nC++: int GetUseContinuousCursor ();\n\n Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n"},
  {(char*)"UseContinuousCursorOn",                (PyCFunction)PyvtkImagePlaneWidget_UseContinuousCursorOn, 1,
   (char*)"V.UseContinuousCursorOn()\nC++: void UseContinuousCursorOn ();\n\n Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n"},
  {(char*)"UseContinuousCursorOff",                (PyCFunction)PyvtkImagePlaneWidget_UseContinuousCursorOff, 1,
   (char*)"V.UseContinuousCursorOff()\nC++: void UseContinuousCursorOff ();\n\n Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n"},
  {(char*)"SetInteraction",                (PyCFunction)PyvtkImagePlaneWidget_SetInteraction, 1,
   (char*)"V.SetInteraction(int)\nC++: void SetInteraction (int interact);\n\n Enable/disable mouse interaction so the widget remains on display.\n"},
  {(char*)"GetInteraction",                (PyCFunction)PyvtkImagePlaneWidget_GetInteraction, 1,
   (char*)"V.GetInteraction() -> int\nC++: int GetInteraction ();\n\n Enable/disable mouse interaction so the widget remains on display.\n"},
  {(char*)"InteractionOn",                (PyCFunction)PyvtkImagePlaneWidget_InteractionOn, 1,
   (char*)"V.InteractionOn()\nC++: void InteractionOn ();\n\n Enable/disable mouse interaction so the widget remains on display.\n"},
  {(char*)"InteractionOff",                (PyCFunction)PyvtkImagePlaneWidget_InteractionOff, 1,
   (char*)"V.InteractionOff()\nC++: void InteractionOff ();\n\n Enable/disable mouse interaction so the widget remains on display.\n"},
  {(char*)"SetLeftButtonAction",                (PyCFunction)PyvtkImagePlaneWidget_SetLeftButtonAction, 1,
   (char*)"V.SetLeftButtonAction(int)\nC++: void SetLeftButtonAction (int );\n\n Set action associated to buttons.\n"},
  {(char*)"GetLeftButtonActionMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetLeftButtonActionMinValue, 1,
   (char*)"V.GetLeftButtonActionMinValue() -> int\nC++: int GetLeftButtonActionMinValue ();\n\n Set action associated to buttons.\n"},
  {(char*)"GetLeftButtonActionMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetLeftButtonActionMaxValue, 1,
   (char*)"V.GetLeftButtonActionMaxValue() -> int\nC++: int GetLeftButtonActionMaxValue ();\n\n Set action associated to buttons.\n"},
  {(char*)"GetLeftButtonAction",                (PyCFunction)PyvtkImagePlaneWidget_GetLeftButtonAction, 1,
   (char*)"V.GetLeftButtonAction() -> int\nC++: int GetLeftButtonAction ();\n\n Set action associated to buttons.\n"},
  {(char*)"SetMiddleButtonAction",                (PyCFunction)PyvtkImagePlaneWidget_SetMiddleButtonAction, 1,
   (char*)"V.SetMiddleButtonAction(int)\nC++: void SetMiddleButtonAction (int );\n\n Set action associated to buttons.\n"},
  {(char*)"GetMiddleButtonActionMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMiddleButtonActionMinValue, 1,
   (char*)"V.GetMiddleButtonActionMinValue() -> int\nC++: int GetMiddleButtonActionMinValue ();\n\n Set action associated to buttons.\n"},
  {(char*)"GetMiddleButtonActionMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMiddleButtonActionMaxValue, 1,
   (char*)"V.GetMiddleButtonActionMaxValue() -> int\nC++: int GetMiddleButtonActionMaxValue ();\n\n Set action associated to buttons.\n"},
  {(char*)"GetMiddleButtonAction",                (PyCFunction)PyvtkImagePlaneWidget_GetMiddleButtonAction, 1,
   (char*)"V.GetMiddleButtonAction() -> int\nC++: int GetMiddleButtonAction ();\n\n Set action associated to buttons.\n"},
  {(char*)"SetRightButtonAction",                (PyCFunction)PyvtkImagePlaneWidget_SetRightButtonAction, 1,
   (char*)"V.SetRightButtonAction(int)\nC++: void SetRightButtonAction (int );\n\n Set action associated to buttons.\n"},
  {(char*)"GetRightButtonActionMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetRightButtonActionMinValue, 1,
   (char*)"V.GetRightButtonActionMinValue() -> int\nC++: int GetRightButtonActionMinValue ();\n\n Set action associated to buttons.\n"},
  {(char*)"GetRightButtonActionMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetRightButtonActionMaxValue, 1,
   (char*)"V.GetRightButtonActionMaxValue() -> int\nC++: int GetRightButtonActionMaxValue ();\n\n Set action associated to buttons.\n"},
  {(char*)"GetRightButtonAction",                (PyCFunction)PyvtkImagePlaneWidget_GetRightButtonAction, 1,
   (char*)"V.GetRightButtonAction() -> int\nC++: int GetRightButtonAction ();\n\n Set action associated to buttons.\n"},
  {(char*)"SetLeftButtonAutoModifier",                (PyCFunction)PyvtkImagePlaneWidget_SetLeftButtonAutoModifier, 1,
   (char*)"V.SetLeftButtonAutoModifier(int)\nC++: void SetLeftButtonAutoModifier (int );\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetLeftButtonAutoModifierMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetLeftButtonAutoModifierMinValue, 1,
   (char*)"V.GetLeftButtonAutoModifierMinValue() -> int\nC++: int GetLeftButtonAutoModifierMinValue ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetLeftButtonAutoModifierMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetLeftButtonAutoModifierMaxValue, 1,
   (char*)"V.GetLeftButtonAutoModifierMaxValue() -> int\nC++: int GetLeftButtonAutoModifierMaxValue ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetLeftButtonAutoModifier",                (PyCFunction)PyvtkImagePlaneWidget_GetLeftButtonAutoModifier, 1,
   (char*)"V.GetLeftButtonAutoModifier() -> int\nC++: int GetLeftButtonAutoModifier ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"SetMiddleButtonAutoModifier",                (PyCFunction)PyvtkImagePlaneWidget_SetMiddleButtonAutoModifier, 1,
   (char*)"V.SetMiddleButtonAutoModifier(int)\nC++: void SetMiddleButtonAutoModifier (int );\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetMiddleButtonAutoModifierMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMiddleButtonAutoModifierMinValue, 1,
   (char*)"V.GetMiddleButtonAutoModifierMinValue() -> int\nC++: int GetMiddleButtonAutoModifierMinValue ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetMiddleButtonAutoModifierMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetMiddleButtonAutoModifierMaxValue, 1,
   (char*)"V.GetMiddleButtonAutoModifierMaxValue() -> int\nC++: int GetMiddleButtonAutoModifierMaxValue ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetMiddleButtonAutoModifier",                (PyCFunction)PyvtkImagePlaneWidget_GetMiddleButtonAutoModifier, 1,
   (char*)"V.GetMiddleButtonAutoModifier() -> int\nC++: int GetMiddleButtonAutoModifier ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"SetRightButtonAutoModifier",                (PyCFunction)PyvtkImagePlaneWidget_SetRightButtonAutoModifier, 1,
   (char*)"V.SetRightButtonAutoModifier(int)\nC++: void SetRightButtonAutoModifier (int );\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetRightButtonAutoModifierMinValue",                (PyCFunction)PyvtkImagePlaneWidget_GetRightButtonAutoModifierMinValue, 1,
   (char*)"V.GetRightButtonAutoModifierMinValue() -> int\nC++: int GetRightButtonAutoModifierMinValue ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetRightButtonAutoModifierMaxValue",                (PyCFunction)PyvtkImagePlaneWidget_GetRightButtonAutoModifierMaxValue, 1,
   (char*)"V.GetRightButtonAutoModifierMaxValue() -> int\nC++: int GetRightButtonAutoModifierMaxValue ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {(char*)"GetRightButtonAutoModifier",                (PyCFunction)PyvtkImagePlaneWidget_GetRightButtonAutoModifier, 1,
   (char*)"V.GetRightButtonAutoModifier() -> int\nC++: int GetRightButtonAutoModifier ();\n\n Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImagePlaneWidgetDoc[] = {
  (char*)"vtkImagePlaneWidget - 3D widget for reslicing image data\n\n",
  "Super Class:\n\n vtkPolyDataSourceWidget\n\n",
  (char*)" This 3D widget defines a plane that can be interactively placed in an\n image volume. A nice feature of the object is that the\n vtkImagePlaneWidget, like any 3D widget, will work with the current\n interactor style. That is, if vtkImagePlaneWidget does not handle an\n event, then all other registered observers (including the interactor\n style) have an opportunity to process the event. Otherwise, the",
  (char*)"\n vtkImagePlaneWidget will terminate the processing of the event that it\n handles.\n\n The core functionality of the widget is provided by a vtkImageReslice\n object which passes its output onto a texture mapping pipeline for fast\n slicing through volumetric data. See the key methods: GenerateTexturePlane()\n and UpdatePlane() for implementation details.\n\n To use this object, just invoke SetInteractor",
  (char*)"() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially position the widget. If the \"i\" key (for\n \"interactor\") is pressed, the vtkImagePlaneWidget will appear. (See\n superclass documentation for information about changing this behavior.)\n\n Selecting the widget with the middle mouse button with and without holding\n the shift or co",
  (char*)"ntrol keys enables complex reslicing capablilites.\n To facilitate use, a set of 'margins' (left, right, top, bottom) are shown as\n a set of plane-axes aligned lines, the properties of which can be changed\n as a group.\n Without keyboard modifiers: selecting in the middle of the margins\n enables translation of the plane along its normal. Selecting one of the\n corners within the margins enables spinn",
  (char*)"ing around the plane's normal at its\n center.  Selecting within a margin allows rotating about the center of the\n plane around an axis aligned with the margin (i.e., selecting left margin\n enables rotating around the plane's local y-prime axis).\n With control key modifier: margin selection enables edge translation (i.e., a\n constrained form of scaling). Selecting within the margins enables\n transl",
  (char*)"ation of the entire plane.\n With shift key modifier: uniform plane scaling is enabled.  Moving the mouse\n up enlarges the plane while downward movement shrinks it.\n\n Window-level is achieved by using the right mouse button.  Window-level\n values can be reset by shift + 'r' or control + 'r' while regular reset\n camera is maintained with 'r' or 'R'.\n The left mouse button can be used to query the un",
  (char*)"derlying image data\n with a snap-to cross-hair cursor.  Currently, the nearest point in the input\n image data to the mouse cursor generates the cross-hairs.  With oblique\n slicing, this behaviour may appear unsatisfactory. Text display of\n window-level and image coordinates/data values are provided by a text\n actor/mapper pair.\n\n Events that occur outside of the widget (i.e., no part of the widget",
  (char*)" is\n picked) are propagated to any other registered obsevers (such as the\n interaction style). Turn off the widget by pressing the \"i\" key again\n (or invoke the Off() method). To support interactive manipulation of\n objects, this class invokes the events StartInteractionEvent,\n InteractionEvent, and EndInteractionEvent as well as StartWindowLevelEvent,\n WindowLevelEvent, EndWindowLevelEvent and Re",
  (char*)"setWindowLevelEvent.\n\n The vtkImagePlaneWidget has several methods that can be used in\n conjunction with other VTK objects. The GetPolyData() method can be used\n to get the polygonal representation of the plane and can be used as input\n for other VTK objects. Typical usage of the widget is to make use of the\n StartInteractionEvent, InteractionEvent, and EndInteractionEvent\n events. The Interaction",
  (char*)"Event is called on mouse motion; the other two\n events are called on button down and button up (either left or right\n button).\n\n Some additional features of this class include the ability to control the\n properties of the widget. You can set the properties of: the selected and\n unselected representations of the plane's outline; the text actor via its\n vtkTextProperty; the cross-hair cursor. In add",
  (char*)"ition there are methods to\n constrain the plane so that it is aligned along the x-y-z axes.  Finally,\n one can specify the degree of interpolation (vtkImageReslice): nearest\n neighbour, linear, and cubic.\n\n",
  "Caveats:\n\n Note that handles and plane can be picked even when they are \"behind\" other\n actors.  This is an intended feature and not a bug.\n\n",
  "See Also:\n\n vtk3DWidget vtkBoxWidget vtkLineWidget vtkPlaneWidget vtkPointWidget\n vtkPolyDataSourceWidget vtkSphereWidget vtkImplicitPlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkImagePlaneWidgetStaticNew()
{
  return vtkImagePlaneWidget::New();
}

PyObject *PyVTKClass_vtkImagePlaneWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkImagePlaneWidgetStaticNew,
                        PyvtkImagePlaneWidgetMethods,
                        (char*)"vtkImagePlaneWidget",modulename,
                        (char**)vtkImagePlaneWidgetDoc,
                        PyVTKClass_vtkPolyDataSourceWidgetNew(modulename));
}

