// python wrapper for vtkImageTracerWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkImageTracerWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkImageTracerWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkImageTracerWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }

static PyObject *PyvtkImageTracerWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  const char    *temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkImageTracerWidget  *temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkImageTracerWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkImageTracerWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  double temp0[6];
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  PyErr_Clear();
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetHandleProperty(temp0);
      }
    else
      {
      op->SetHandleProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetSelectedHandleProperty(temp0);
      }
    else
      {
      op->SetSelectedHandleProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetLineProperty(temp0);
      }
    else
      {
      op->SetLineProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetLineProperty();
      }
    else
      {
      temp20 = op->GetLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetSelectedLineProperty(temp0);
      }
    else
      {
      op->SetSelectedLineProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProperty  *temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetSelectedLineProperty();
      }
    else
      {
      temp20 = op->GetSelectedLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetViewProp(temp0);
      }
    else
      {
      op->SetViewProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetProjectToPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetProjectToPlane(temp0);
      }
    else
      {
      op->SetProjectToPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetProjectToPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetProjectToPlane();
      }
    else
      {
      temp20 = op->GetProjectToPlane();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_ProjectToPlaneOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::ProjectToPlaneOn();
      }
    else
      {
      op->ProjectToPlaneOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_ProjectToPlaneOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::ProjectToPlaneOff();
      }
    else
      {
      op->ProjectToPlaneOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetProjectionNormal(temp0);
      }
    else
      {
      op->SetProjectionNormal(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetProjectionNormalMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetProjectionNormalMinValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetProjectionNormalMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetProjectionNormalMaxValue();
      }
    else
      {
      temp20 = op->GetProjectionNormalMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetProjectionNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetProjectionNormal();
      }
    else
      {
      temp20 = op->GetProjectionNormal();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetProjectionNormalToXAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetProjectionNormalToXAxes();
      }
    else
      {
      op->SetProjectionNormalToXAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetProjectionNormalToYAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetProjectionNormalToYAxes();
      }
    else
      {
      op->SetProjectionNormalToYAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetProjectionNormalToZAxes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetProjectionNormalToZAxes();
      }
    else
      {
      op->SetProjectionNormalToZAxes();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  double   temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetProjectionPosition(temp0);
      }
    else
      {
      op->SetProjectionPosition(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetProjectionPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  double   temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetProjectionPosition();
      }
    else
      {
      temp20 = op->GetProjectionPosition();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetSnapToImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetSnapToImage(temp0);
      }
    else
      {
      op->SetSnapToImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetSnapToImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetSnapToImage();
      }
    else
      {
      temp20 = op->GetSnapToImage();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SnapToImageOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SnapToImageOn();
      }
    else
      {
      op->SnapToImageOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SnapToImageOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SnapToImageOff();
      }
    else
      {
      op->SnapToImageOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetAutoClose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetAutoClose(temp0);
      }
    else
      {
      op->SetAutoClose(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetAutoClose(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetAutoClose();
      }
    else
      {
      temp20 = op->GetAutoClose();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_AutoCloseOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::AutoCloseOn();
      }
    else
      {
      op->AutoCloseOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_AutoCloseOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::AutoCloseOff();
      }
    else
      {
      op->AutoCloseOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetCaptureRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  double   temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetCaptureRadius(temp0);
      }
    else
      {
      op->SetCaptureRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetCaptureRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  double   temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetCaptureRadius();
      }
    else
      {
      temp20 = op->GetCaptureRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetPath(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::GetPath(temp0);
      }
    else
      {
      op->GetPath(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetGlyphSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkGlyphSource2D  *temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetGlyphSource();
      }
    else
      {
      temp20 = op->GetGlyphSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetImageSnapType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetImageSnapType(temp0);
      }
    else
      {
      op->SetImageSnapType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetImageSnapTypeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetImageSnapTypeMinValue();
      }
    else
      {
      temp20 = op->GetImageSnapTypeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetImageSnapTypeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetImageSnapTypeMaxValue();
      }
    else
      {
      temp20 = op->GetImageSnapTypeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetImageSnapType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetImageSnapType();
      }
    else
      {
      temp20 = op->GetImageSnapType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  double temp1[3];
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetHandlePosition(temp0,temp1);
      }
    else
      {
      op->SetHandlePosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  PyErr_Clear();
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"iddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetHandlePosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetHandlePosition(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  double temp1[3];
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::GetHandlePosition(temp0,temp1);
      }
    else
      {
      op->GetHandlePosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  double  *temp20;
  PyErr_Clear();
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetHandlePosition(temp0);
      }
    else
      {
      temp20 = op->GetHandlePosition(temp0);
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetNumberOfHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetNumberOfHandles();
      }
    else
      {
      temp20 = op->GetNumberOfHandles();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_SetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetInteraction(temp0);
      }
    else
      {
      op->SetInteraction(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_GetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::GetInteraction();
      }
    else
      {
      temp20 = op->GetInteraction();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_InteractionOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::InteractionOn();
      }
    else
      {
      op->InteractionOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_InteractionOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::InteractionOff();
      }
    else
      {
      op->InteractionOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_InitializeHandles(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkPoints  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPoints *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPoints");
    if (!temp0 && tempH0 != Py_None) goto break55;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::InitializeHandles(temp0);
      }
    else
      {
      op->InitializeHandles(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break55:
  return NULL;
}


static PyObject *PyvtkImageTracerWidget_IsClosed(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  int      temp20;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkImageTracerWidget::IsClosed();
      }
    else
      {
      temp20 = op->IsClosed();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


#if !defined(VTK_LEGACY_REMOVE)
static PyObject *PyvtkImageTracerWidget_SetProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkImageTracerWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkImageTracerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break57;
    if (PyVTKClass_Check(self))
      {
      op->vtkImageTracerWidget::SetProp(temp0);
      }
    else
      {
      op->SetProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break57:
  return NULL;
}
#endif

static PyMethodDef PyvtkImageTracerWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkImageTracerWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkImageTracerWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkImageTracerWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkImageTracerWidget\nC++: vtkImageTracerWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkImageTracerWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkImageTracerWidget\nC++: vtkImageTracerWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkImageTracerWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkImageTracerWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"SetHandleProperty",                (PyCFunction)PyvtkImageTracerWidget_SetHandleProperty, 1,
   (char*)"V.SetHandleProperty(vtkProperty)\nC++: virtual void SetHandleProperty (vtkProperty *);\n\n Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkImageTracerWidget_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n"},
  {(char*)"SetSelectedHandleProperty",                (PyCFunction)PyvtkImageTracerWidget_SetSelectedHandleProperty, 1,
   (char*)"V.SetSelectedHandleProperty(vtkProperty)\nC++: virtual void SetSelectedHandleProperty (vtkProperty *);\n\n Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkImageTracerWidget_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Set/Get the handle properties (the 2D glyphs are the handles). The\n properties of the handles when selected and normal can be manipulated.\n"},
  {(char*)"SetLineProperty",                (PyCFunction)PyvtkImageTracerWidget_SetLineProperty, 1,
   (char*)"V.SetLineProperty(vtkProperty)\nC++: virtual void SetLineProperty (vtkProperty *);\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"GetLineProperty",                (PyCFunction)PyvtkImageTracerWidget_GetLineProperty, 1,
   (char*)"V.GetLineProperty() -> vtkProperty\nC++: vtkProperty *GetLineProperty ();\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"SetSelectedLineProperty",                (PyCFunction)PyvtkImageTracerWidget_SetSelectedLineProperty, 1,
   (char*)"V.SetSelectedLineProperty(vtkProperty)\nC++: virtual void SetSelectedLineProperty (vtkProperty *);\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedLineProperty",                (PyCFunction)PyvtkImageTracerWidget_GetSelectedLineProperty, 1,
   (char*)"V.GetSelectedLineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedLineProperty ();\n\n Set/Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"SetViewProp",                (PyCFunction)PyvtkImageTracerWidget_SetViewProp, 1,
   (char*)"V.SetViewProp(vtkProp)\nC++: void SetViewProp (vtkProp *prop);\n\n Set the prop, usually a vtkImageActor, to trace over.\n"},
  {(char*)"SetProjectToPlane",                (PyCFunction)PyvtkImageTracerWidget_SetProjectToPlane, 1,
   (char*)"V.SetProjectToPlane(int)\nC++: void SetProjectToPlane (int );\n\n Force handles to be on a specific ortho plane.\n"},
  {(char*)"GetProjectToPlane",                (PyCFunction)PyvtkImageTracerWidget_GetProjectToPlane, 1,
   (char*)"V.GetProjectToPlane() -> int\nC++: int GetProjectToPlane ();\n\n Force handles to be on a specific ortho plane.\n"},
  {(char*)"ProjectToPlaneOn",                (PyCFunction)PyvtkImageTracerWidget_ProjectToPlaneOn, 1,
   (char*)"V.ProjectToPlaneOn()\nC++: void ProjectToPlaneOn ();\n\n Force handles to be on a specific ortho plane.\n"},
  {(char*)"ProjectToPlaneOff",                (PyCFunction)PyvtkImageTracerWidget_ProjectToPlaneOff, 1,
   (char*)"V.ProjectToPlaneOff()\nC++: void ProjectToPlaneOff ();\n\n Force handles to be on a specific ortho plane.\n"},
  {(char*)"SetProjectionNormal",                (PyCFunction)PyvtkImageTracerWidget_SetProjectionNormal, 1,
   (char*)"V.SetProjectionNormal(int)\nC++: void SetProjectionNormal (int );\n\n Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n"},
  {(char*)"GetProjectionNormalMinValue",                (PyCFunction)PyvtkImageTracerWidget_GetProjectionNormalMinValue, 1,
   (char*)"V.GetProjectionNormalMinValue() -> int\nC++: int GetProjectionNormalMinValue ();\n\n Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n"},
  {(char*)"GetProjectionNormalMaxValue",                (PyCFunction)PyvtkImageTracerWidget_GetProjectionNormalMaxValue, 1,
   (char*)"V.GetProjectionNormalMaxValue() -> int\nC++: int GetProjectionNormalMaxValue ();\n\n Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n"},
  {(char*)"GetProjectionNormal",                (PyCFunction)PyvtkImageTracerWidget_GetProjectionNormal, 1,
   (char*)"V.GetProjectionNormal() -> int\nC++: int GetProjectionNormal ();\n\n Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n"},
  {(char*)"SetProjectionNormalToXAxes",                (PyCFunction)PyvtkImageTracerWidget_SetProjectionNormalToXAxes, 1,
   (char*)"V.SetProjectionNormalToXAxes()\nC++: void SetProjectionNormalToXAxes ();this SetProjectionNormal \n\n Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n"},
  {(char*)"SetProjectionNormalToYAxes",                (PyCFunction)PyvtkImageTracerWidget_SetProjectionNormalToYAxes, 1,
   (char*)"V.SetProjectionNormalToYAxes()\nC++: void SetProjectionNormalToYAxes ();this SetProjectionNormal \n\n Set the projection normal.  The normal in SetProjectionNormal is 0,1,2\n for YZ,XZ,XY planes respectively.  Since the handles are 2D glyphs, it is\n necessary to specify a plane on which to generate them, even though\n ProjectToPlane may be turned off.\n"},
  {(char*)"SetProjectionNormalToZAxes",                (PyCFunction)PyvtkImageTracerWidget_SetProjectionNormalToZAxes, 1,
   (char*)"V.SetProjectionNormalToZAxes()\nC++: void SetProjectionNormalToZAxes ();this SetProjectionNormal \n\n Set the position of the widgets' handles in terms of a plane's position.\n e.g., if ProjectionNormal is 0, all of the x-coordinate values of the\n handles are set to ProjectionPosition.  No attempt is made to ensure that\n the position is within the bounds of either the underlying image data or\n the prop on which tracing is performed.\n"},
  {(char*)"SetProjectionPosition",                (PyCFunction)PyvtkImageTracerWidget_SetProjectionPosition, 1,
   (char*)"V.SetProjectionPosition(float)\nC++: void SetProjectionPosition (double position);\n\n Set the position of the widgets' handles in terms of a plane's position.\n e.g., if ProjectionNormal is 0, all of the x-coordinate values of the\n handles are set to ProjectionPosition.  No attempt is made to ensure that\n the position is within the bounds of either the underlying image data or\n the prop on which tracing is performed.\n"},
  {(char*)"GetProjectionPosition",                (PyCFunction)PyvtkImageTracerWidget_GetProjectionPosition, 1,
   (char*)"V.GetProjectionPosition() -> float\nC++: double GetProjectionPosition ();\n\n Set the position of the widgets' handles in terms of a plane's position.\n e.g., if ProjectionNormal is 0, all of the x-coordinate values of the\n handles are set to ProjectionPosition.  No attempt is made to ensure that\n the position is within the bounds of either the underlying image data or\n the prop on which tracing is performed.\n"},
  {(char*)"SetSnapToImage",                (PyCFunction)PyvtkImageTracerWidget_SetSnapToImage, 1,
   (char*)"V.SetSnapToImage(int)\nC++: void SetSnapToImage (int snap);\n\n Force snapping to image data while tracing.\n"},
  {(char*)"GetSnapToImage",                (PyCFunction)PyvtkImageTracerWidget_GetSnapToImage, 1,
   (char*)"V.GetSnapToImage() -> int\nC++: int GetSnapToImage ();\n\n Force snapping to image data while tracing.\n"},
  {(char*)"SnapToImageOn",                (PyCFunction)PyvtkImageTracerWidget_SnapToImageOn, 1,
   (char*)"V.SnapToImageOn()\nC++: void SnapToImageOn ();\n\n Force snapping to image data while tracing.\n"},
  {(char*)"SnapToImageOff",                (PyCFunction)PyvtkImageTracerWidget_SnapToImageOff, 1,
   (char*)"V.SnapToImageOff()\nC++: void SnapToImageOff ();\n\n Force snapping to image data while tracing.\n"},
  {(char*)"SetAutoClose",                (PyCFunction)PyvtkImageTracerWidget_SetAutoClose, 1,
   (char*)"V.SetAutoClose(int)\nC++: void SetAutoClose (int );\n\n In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n"},
  {(char*)"GetAutoClose",                (PyCFunction)PyvtkImageTracerWidget_GetAutoClose, 1,
   (char*)"V.GetAutoClose() -> int\nC++: int GetAutoClose ();\n\n In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n"},
  {(char*)"AutoCloseOn",                (PyCFunction)PyvtkImageTracerWidget_AutoCloseOn, 1,
   (char*)"V.AutoCloseOn()\nC++: void AutoCloseOn ();\n\n In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n"},
  {(char*)"AutoCloseOff",                (PyCFunction)PyvtkImageTracerWidget_AutoCloseOff, 1,
   (char*)"V.AutoCloseOff()\nC++: void AutoCloseOff ();\n\n In concert with a CaptureRadius value, automatically\n form a closed path by connecting first to last path points.\n"},
  {(char*)"SetCaptureRadius",                (PyCFunction)PyvtkImageTracerWidget_SetCaptureRadius, 1,
   (char*)"V.SetCaptureRadius(float)\nC++: void SetCaptureRadius (double );\n\n Set/Get the capture radius for automatic path closing.  For image\n data, capture radius should be half the distance between voxel/pixel\n centers.\n"},
  {(char*)"GetCaptureRadius",                (PyCFunction)PyvtkImageTracerWidget_GetCaptureRadius, 1,
   (char*)"V.GetCaptureRadius() -> float\nC++: double GetCaptureRadius ();\n\n Set/Get the capture radius for automatic path closing.  For image\n data, capture radius should be half the distance between voxel/pixel\n centers.\n"},
  {(char*)"GetPath",                (PyCFunction)PyvtkImageTracerWidget_GetPath, 1,
   (char*)"V.GetPath(vtkPolyData)\nC++: void GetPath (vtkPolyData *pd);\n\n Grab the points and lines that define the traced path. These point values\n are guaranteed to be up-to-date when either the InteractionEvent or\n EndInteraction events are invoked. The user provides the vtkPolyData and\n the points and cells representing the line are added to it.\n"},
  {(char*)"GetGlyphSource",                (PyCFunction)PyvtkImageTracerWidget_GetGlyphSource, 1,
   (char*)"V.GetGlyphSource() -> vtkGlyphSource2D\nC++: vtkGlyphSource2D *GetGlyphSource ();return this HandleGenerator \n\n Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n"},
  {(char*)"SetImageSnapType",                (PyCFunction)PyvtkImageTracerWidget_SetImageSnapType, 1,
   (char*)"V.SetImageSnapType(int)\nC++: void SetImageSnapType (int );\n\n Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n"},
  {(char*)"GetImageSnapTypeMinValue",                (PyCFunction)PyvtkImageTracerWidget_GetImageSnapTypeMinValue, 1,
   (char*)"V.GetImageSnapTypeMinValue() -> int\nC++: int GetImageSnapTypeMinValue ();\n\n Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n"},
  {(char*)"GetImageSnapTypeMaxValue",                (PyCFunction)PyvtkImageTracerWidget_GetImageSnapTypeMaxValue, 1,
   (char*)"V.GetImageSnapTypeMaxValue() -> int\nC++: int GetImageSnapTypeMaxValue ();\n\n Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n"},
  {(char*)"GetImageSnapType",                (PyCFunction)PyvtkImageTracerWidget_GetImageSnapType, 1,
   (char*)"V.GetImageSnapType() -> int\nC++: int GetImageSnapType ();\n\n Set/Get the type of snapping to image data: center of a pixel/voxel or\n nearest point defining a pixel/voxel.\n"},
  {(char*)"SetHandlePosition",                (PyCFunction)PyvtkImageTracerWidget_SetHandlePosition, 1,
   (char*)"V.SetHandlePosition(int, (float, float, float))\nC++: void SetHandlePosition (int handle, double xyz[3]);\nV.SetHandlePosition(int, float, float, float)\nC++: void SetHandlePosition (int handle, double x, double y, double z);\n\n Set/Get the handle position in terms of a zero-based array of handles.\n"},
  {(char*)"GetHandlePosition",                (PyCFunction)PyvtkImageTracerWidget_GetHandlePosition, 1,
   (char*)"V.GetHandlePosition(int, (float, float, float))\nC++: void GetHandlePosition (int handle, double xyz[3]);\nV.GetHandlePosition(int) -> (float, float, float)\nC++: double *GetHandlePosition (int handle);\n\n Set/Get the handle position in terms of a zero-based array of handles.\n"},
  {(char*)"GetNumberOfHandles",                (PyCFunction)PyvtkImageTracerWidget_GetNumberOfHandles, 1,
   (char*)"V.GetNumberOfHandles() -> int\nC++: int GetNumberOfHandles ();\n\n Get the number of handles.\n"},
  {(char*)"SetInteraction",                (PyCFunction)PyvtkImageTracerWidget_SetInteraction, 1,
   (char*)"V.SetInteraction(int)\nC++: void SetInteraction (int interact);\n\n Enable/disable mouse interaction when the widget is visible.\n"},
  {(char*)"GetInteraction",                (PyCFunction)PyvtkImageTracerWidget_GetInteraction, 1,
   (char*)"V.GetInteraction() -> int\nC++: int GetInteraction ();\n\n Enable/disable mouse interaction when the widget is visible.\n"},
  {(char*)"InteractionOn",                (PyCFunction)PyvtkImageTracerWidget_InteractionOn, 1,
   (char*)"V.InteractionOn()\nC++: void InteractionOn ();\n\n Enable/disable mouse interaction when the widget is visible.\n"},
  {(char*)"InteractionOff",                (PyCFunction)PyvtkImageTracerWidget_InteractionOff, 1,
   (char*)"V.InteractionOff()\nC++: void InteractionOff ();\n\n Enable/disable mouse interaction when the widget is visible.\n"},
  {(char*)"InitializeHandles",                (PyCFunction)PyvtkImageTracerWidget_InitializeHandles, 1,
   (char*)"V.InitializeHandles(vtkPoints)\nC++: void InitializeHandles (vtkPoints *);\n\n Initialize the widget with a set of points and generate\n lines between them.  If AutoClose is on it will handle the\n case wherein the first and last points are congruent.\n"},
  {(char*)"IsClosed",                (PyCFunction)PyvtkImageTracerWidget_IsClosed, 1,
   (char*)"V.IsClosed() -> int\nC++: int IsClosed ();\n\n Is the path closed or open?\n"},
#if !defined(VTK_LEGACY_REMOVE)
  {(char*)"SetProp",                (PyCFunction)PyvtkImageTracerWidget_SetProp, 1,
   (char*)"V.SetProp(vtkProp)\nC++: void SetProp (vtkProp *prop);\n\n @deprecated Replaced by vtkImageTracerWidget::SetViewProp() as of VTK 5.0.\n"},
#endif
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkImageTracerWidgetDoc[] = {
  (char*)"vtkImageTracerWidget - 3D widget for tracing on planar props.\n\n",
  "Super Class:\n\n vtk3DWidget\n\n",
  (char*)" vtkImageTracerWidget is different from other widgets in three distinct ways:\n 1) any sub-class of vtkProp can be input rather than just vtkProp3D, so that\n vtkImageActor can be set as the prop and then traced over, 2) the widget fires\n pick events at the input prop to decide where to move its handles, 3) the\n widget has 2D glyphs for handles instead of 3D spheres as is done in other\n sub-classes ",
  (char*)"of vtk3DWidget. This widget is primarily designed for manually\n tracing over image data.\n The button actions and key modifiers are as follows for controlling the\n widget:\n 1) left button click over the image, hold and drag draws a free hand line.\n 2) left button click and release erases the widget line,\n if it exists, and repositions the first handle.\n 3) middle button click starts a snap drawn li",
  (char*)"ne.  The line is terminated by \n clicking the middle button while depressing the ctrl key.\n 4) when tracing a continuous or snap drawn line, if the last cursor position\n is within a specified tolerance to the first handle, the widget line will form\n a closed loop.\n 5) right button clicking and holding on any handle that is part of a snap\n drawn line allows handle dragging: existing line segments a",
  (char*)"re updated\n accordingly.  If the path is open and AutoClose is set to On, the path can\n be closed by repositioning the first and last points over one another.\n 6) ctrl key + right button down on any handle will erase it: existing\n snap drawn line segments are updated accordingly.  If the line was formed by\n continous tracing, the line is deleted leaving one handle.\n 7) shift key + right button dow",
  (char*)"n on any snap drawn line segment will insert\n a handle at the cursor position.  The line segment is split accordingly.\n\n",
  "Caveats:\n\n the input vtkDataSet should be vtkImageData.\n\n",
  "See Also:\n\n vtk3DWidget vtkBoxWidget vtkLineWidget vtkPointWidget vtkSphereWidget\n vtkImagePlaneWidget vtkImplicitPlaneWidget vtkPlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkImageTracerWidgetStaticNew()
{
  return vtkImageTracerWidget::New();
}

PyObject *PyVTKClass_vtkImageTracerWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkImageTracerWidgetStaticNew,
                        PyvtkImageTracerWidgetMethods,
                        (char*)"vtkImageTracerWidget",modulename,
                        (char**)vtkImageTracerWidgetDoc,
                        PyVTKClass_vtk3DWidgetNew(modulename));
}

