// tcl wrapper for vtkImplicitPlaneRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitPlaneRepresentation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImplicitPlaneRepresentationNewCommand()
{
  vtkImplicitPlaneRepresentation *temp = vtkImplicitPlaneRepresentation::New();
  return static_cast<ClientData>(temp);
}

int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImplicitPlaneRepresentationCppCommand(vtkImplicitPlaneRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImplicitPlaneRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImplicitPlaneRepresentationCppCommand(static_cast<vtkImplicitPlaneRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImplicitPlaneRepresentationCppCommand(vtkImplicitPlaneRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImplicitPlaneRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImplicitPlaneRepresentation  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitPlaneRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImplicitPlaneRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitPlaneRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImplicitPlaneRepresentation  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitPlaneRepresentation");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalToXAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToXAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToXAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToXAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToXAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToXAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToXAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToXAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalToYAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToYAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToYAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToYAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToYAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToYAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToYAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToYAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalToZAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToZAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToZAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToZAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToZAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToZAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToZAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToZAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTubing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTubing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTubing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTubing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TubingOn",argv[1]))&&(argc == 2))
    {
    op->TubingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TubingOff",argv[1]))&&(argc == 2))
    {
    op->TubingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawPlane",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawPlane",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawPlaneOn",argv[1]))&&(argc == 2))
    {
    op->DrawPlaneOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawPlaneOff",argv[1]))&&(argc == 2))
    {
    op->DrawPlaneOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutlineTranslation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutlineTranslation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutlineTranslation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutlineTranslation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineTranslationOn",argv[1]))&&(argc == 2))
    {
    op->OutlineTranslationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineTranslationOff",argv[1]))&&(argc == 2))
    {
    op->OutlineTranslationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutsideBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutsideBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutsideBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutsideBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutsideBoundsOn",argv[1]))&&(argc == 2))
    {
    op->OutsideBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutsideBoundsOff",argv[1]))&&(argc == 2))
    {
    op->OutsideBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaleEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaleEnabledOn",argv[1]))&&(argc == 2))
    {
    op->ScaleEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleEnabledOff",argv[1]))&&(argc == 2))
    {
    op->ScaleEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyDataAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetPolyDataAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->GetPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdatePlacement",argv[1]))&&(argc == 2))
    {
    op->UpdatePlacement();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNormalProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetNormalProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedNormalProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedNormalProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetEdgesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetEdgesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("ComputeInteractionState",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    temp20 = (op)->ComputeInteractionState(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("BuildRepresentation",argv[1]))&&(argc == 2))
    {
    op->BuildRepresentation();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("StartWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->StartWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("WidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->WidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("EndWidgetInteraction",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->EndWidgetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBounds",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetBounds();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[3], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[4], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[5], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("ReleaseGraphicsResources",argv[1]))&&(argc == 3))
    {
    vtkWindow  *temp0;
    error = 0;

    temp0 = (vtkWindow *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkWindow"),interp,error));
    if (!error)
    {
    op->ReleaseGraphicsResources(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderOpaqueGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderOpaqueGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RenderTranslucentPolygonalGeometry",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    temp20 = (op)->RenderTranslucentPolygonalGeometry(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("HasTranslucentPolygonalGeometry",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->HasTranslucentPolygonalGeometry();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetInteractionState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteractionState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteractionStateMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractionStateMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetInteractionStateMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteractionStateMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationState",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRepresentationState(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepresentationState",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentationState();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImplicitPlaneRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImplicitPlaneRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToXAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToXAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToXAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToXAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToYAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToYAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToYAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToYAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToZAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToZAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToZAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToZAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTubing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTubing\n",NULL);
    Tcl_AppendResult(interp,"  TubingOn\n",NULL);
    Tcl_AppendResult(interp,"  TubingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawPlane\n",NULL);
    Tcl_AppendResult(interp,"  DrawPlaneOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawPlaneOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineTranslation\n",NULL);
    Tcl_AppendResult(interp,"  OutlineTranslationOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineTranslationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutsideBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutsideBounds\n",NULL);
    Tcl_AppendResult(interp,"  OutsideBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  OutsideBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleEnabled\n",NULL);
    Tcl_AppendResult(interp,"  ScaleEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  GetPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePlacement\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedNormalProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgesProperty\n",NULL);
    Tcl_AppendResult(interp,"  ComputeInteractionState\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  BuildRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  StartWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  WidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  EndWidgetInteraction\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBounds\n",NULL);
    Tcl_AppendResult(interp,"  ReleaseGraphicsResources\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderOpaqueGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RenderTranslucentPolygonalGeometry\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  HasTranslucentPolygonalGeometry\n",NULL);
    Tcl_AppendResult(interp,"  SetInteractionState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractionStateMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetInteractionStateMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationState\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationState\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetTubing" );
    Tcl_DStringAppendElement ( &dString, "GetTubing" );
    Tcl_DStringAppendElement ( &dString, "TubingOn" );
    Tcl_DStringAppendElement ( &dString, "TubingOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawPlane" );
    Tcl_DStringAppendElement ( &dString, "GetDrawPlane" );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOn" );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutlineTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineTranslation" );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutsideBounds" );
    Tcl_DStringAppendElement ( &dString, "GetOutsideBounds" );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetScaleEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetScaleEnabled" );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOff" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    Tcl_DStringAppendElement ( &dString, "GetNormalProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedNormalProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedOutlineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetEdgesProperty" );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "EndWidgetInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    Tcl_DStringAppendElement ( &dString, "SetInteractionState" );
    Tcl_DStringAppendElement ( &dString, "GetInteractionStateMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetInteractionStateMaxValue" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationState" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationState" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImplicitPlaneRepresentation *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetOrigin (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal (double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetNormal (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToXAxis */
    if ( strcmp ( argv[2], "SetNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToXAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToXAxis */
    if ( strcmp ( argv[2], "GetNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToXAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToXAxisOn */
    if ( strcmp ( argv[2], "NormalToXAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToXAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToXAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for NormalToXAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToXAxisOff */
    if ( strcmp ( argv[2], "NormalToXAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToXAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToXAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for NormalToXAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToYAxis */
    if ( strcmp ( argv[2], "SetNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToYAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToYAxis */
    if ( strcmp ( argv[2], "GetNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToYAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToYAxisOn */
    if ( strcmp ( argv[2], "NormalToYAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToYAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToYAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for NormalToYAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToYAxisOff */
    if ( strcmp ( argv[2], "NormalToYAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToYAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToYAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for NormalToYAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToZAxis */
    if ( strcmp ( argv[2], "SetNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToZAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToZAxis */
    if ( strcmp ( argv[2], "GetNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToZAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToZAxisOn */
    if ( strcmp ( argv[2], "NormalToZAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToZAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToZAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for NormalToZAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToZAxisOff */
    if ( strcmp ( argv[2], "NormalToZAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToZAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToZAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for NormalToZAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTubing */
    if ( strcmp ( argv[2], "SetTubing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTubing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTubing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTubing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetTubing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTubing */
    if ( strcmp ( argv[2], "GetTubing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTubing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTubing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTubing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetTubing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TubingOn */
    if ( strcmp ( argv[2], "TubingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TubingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TubingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "void TubingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for TubingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TubingOff */
    if ( strcmp ( argv[2], "TubingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TubingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TubingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "void TubingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for TubingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawPlane */
    if ( strcmp ( argv[2], "SetDrawPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawPlane */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawPlane (int plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetDrawPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawPlane */
    if ( strcmp ( argv[2], "GetDrawPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawPlane */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawPlane ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetDrawPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPlaneOn */
    if ( strcmp ( argv[2], "DrawPlaneOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPlaneOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPlaneOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for DrawPlaneOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPlaneOff */
    if ( strcmp ( argv[2], "DrawPlaneOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPlaneOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPlaneOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for DrawPlaneOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutlineTranslation */
    if ( strcmp ( argv[2], "SetOutlineTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlineTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlineTranslation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutlineTranslation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetOutlineTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineTranslation */
    if ( strcmp ( argv[2], "GetOutlineTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineTranslation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutlineTranslation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetOutlineTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineTranslationOn */
    if ( strcmp ( argv[2], "OutlineTranslationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineTranslationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineTranslationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for OutlineTranslationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineTranslationOff */
    if ( strcmp ( argv[2], "OutlineTranslationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineTranslationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineTranslationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for OutlineTranslationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutsideBounds */
    if ( strcmp ( argv[2], "SetOutsideBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutsideBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutsideBounds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the bounds\n specified in the initial PlaceWidget() invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutsideBounds (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetOutsideBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutsideBounds */
    if ( strcmp ( argv[2], "GetOutsideBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutsideBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutsideBounds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the bounds\n specified in the initial PlaceWidget() invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutsideBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetOutsideBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutsideBoundsOn */
    if ( strcmp ( argv[2], "OutsideBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutsideBoundsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the bounds\n specified in the initial PlaceWidget() invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutsideBoundsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for OutsideBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutsideBoundsOff */
    if ( strcmp ( argv[2], "OutsideBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutsideBoundsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the bounds\n specified in the initial PlaceWidget() invocation.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutsideBoundsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for OutsideBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleEnabled */
    if ( strcmp ( argv[2], "SetScaleEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleEnabled */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale the widget with the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetScaleEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleEnabled */
    if ( strcmp ( argv[2], "GetScaleEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleEnabled */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale the widget with the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaleEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetScaleEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleEnabledOn */
    if ( strcmp ( argv[2], "ScaleEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale the widget with the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for ScaleEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleEnabledOff */
    if ( strcmp ( argv[2], "ScaleEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale the widget with the mouse.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for ScaleEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata that defines the plane. The polydata contains a single\n polygon that is clipped by the bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData (vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyDataAlgorithm */
    if ( strcmp ( argv[2], "GetPolyDataAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Satisfies superclass API.  This returns a pointer to the underlying\n PolyData (which represents the plane).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm *GetPolyDataAlgorithm ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetPolyDataAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlane */
    if ( strcmp ( argv[2], "GetPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlane */
    Tcl_DStringAppendElement ( &dString, " Get the implicit function for the plane. The user must provide the\n instance of the class vtkPlane. Note that vtkPlane is a subclass of\n vtkImplicitFunction, meaning that it can be used by a variety of filters\n to perform clipping, cutting, and selection of data.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPlane (vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdatePlacement */
    if ( strcmp ( argv[2], "UpdatePlacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdatePlacement */
    Tcl_DStringAppendElement ( &dString, " Satisfies the superclass API.  This will change the state of the widget\n to match changes that have been made to the underlying PolyDataSource\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdatePlacement (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for UpdatePlacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalProperty */
    if ( strcmp ( argv[2], "GetNormalProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalProperty */
    Tcl_DStringAppendElement ( &dString, " Get the properties on the normal (line and cone).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetNormalProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetNormalProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedNormalProperty */
    if ( strcmp ( argv[2], "GetSelectedNormalProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedNormalProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedNormalProperty */
    Tcl_DStringAppendElement ( &dString, " Get the properties on the normal (line and cone).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedNormalProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetSelectedNormalProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneProperty */
    if ( strcmp ( argv[2], "GetPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetPlaneProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPlaneProperty */
    if ( strcmp ( argv[2], "GetSelectedPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedPlaneProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetSelectedPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineProperty */
    if ( strcmp ( argv[2], "GetOutlineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineProperty */
    Tcl_DStringAppendElement ( &dString, " Get the property of the outline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetOutlineProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetOutlineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedOutlineProperty */
    if ( strcmp ( argv[2], "GetSelectedOutlineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedOutlineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedOutlineProperty */
    Tcl_DStringAppendElement ( &dString, " Get the property of the outline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedOutlineProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetSelectedOutlineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgesProperty */
    if ( strcmp ( argv[2], "GetEdgesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgesProperty */
    Tcl_DStringAppendElement ( &dString, " Get the property of the intersection edges. (This property also\n applies to the edges when tubed.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetEdgesProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetEdgesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ComputeInteractionState */
    if ( strcmp ( argv[2], "ComputeInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ComputeInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ComputeInteractionState */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ComputeInteractionState (int X, int Y, int modify);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for ComputeInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: BuildRepresentation */
    if ( strcmp ( argv[2], "BuildRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "BuildRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for BuildRepresentation */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void BuildRepresentation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for BuildRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: StartWidgetInteraction */
    if ( strcmp ( argv[2], "StartWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "StartWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for StartWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void StartWidgetInteraction (double eventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for StartWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: WidgetInteraction */
    if ( strcmp ( argv[2], "WidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "WidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for WidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void WidgetInteraction (double newEventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for WidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: EndWidgetInteraction */
    if ( strcmp ( argv[2], "EndWidgetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "EndWidgetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for EndWidgetInteraction */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void EndWidgetInteraction (double newEventPos\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for EndWidgetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBounds */
    if ( strcmp ( argv[2], "GetBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBounds */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual double *GetBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReleaseGraphicsResources */
    if ( strcmp ( argv[2], "ReleaseGraphicsResources" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReleaseGraphicsResources" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkWindow" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReleaseGraphicsResources */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void ReleaseGraphicsResources (vtkWindow *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for ReleaseGraphicsResources */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderOpaqueGeometry */
    if ( strcmp ( argv[2], "RenderOpaqueGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderOpaqueGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderOpaqueGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderOpaqueGeometry (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for RenderOpaqueGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RenderTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "RenderTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RenderTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RenderTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for RenderTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HasTranslucentPolygonalGeometry */
    if ( strcmp ( argv[2], "HasTranslucentPolygonalGeometry" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HasTranslucentPolygonalGeometry" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HasTranslucentPolygonalGeometry */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual int HasTranslucentPolygonalGeometry ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for HasTranslucentPolygonalGeometry */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteractionState */
    if ( strcmp ( argv[2], "SetInteractionState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteractionState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteractionState */
    Tcl_DStringAppendElement ( &dString, " The interaction state may be set from a widget (e.g.,\n vtkImplicitPlaneWidget2) or other object. This controls how the\n interaction with the widget proceeds. Normally this method is used as\n part of a handshaking process with the widget: First\n ComputeInteractionState() is invoked that returns a state based on\n geometric considerations (i.e., cursor near a widget feature), then\n based on events, the widget may modify this further.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteractionState (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetInteractionState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractionStateMinValue */
    if ( strcmp ( argv[2], "GetInteractionStateMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractionStateMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractionStateMinValue */
    Tcl_DStringAppendElement ( &dString, " The interaction state may be set from a widget (e.g.,\n vtkImplicitPlaneWidget2) or other object. This controls how the\n interaction with the widget proceeds. Normally this method is used as\n part of a handshaking process with the widget: First\n ComputeInteractionState() is invoked that returns a state based on\n geometric considerations (i.e., cursor near a widget feature), then\n based on events, the widget may modify this further.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInteractionStateMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetInteractionStateMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteractionStateMaxValue */
    if ( strcmp ( argv[2], "GetInteractionStateMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteractionStateMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteractionStateMaxValue */
    Tcl_DStringAppendElement ( &dString, " The interaction state may be set from a widget (e.g.,\n vtkImplicitPlaneWidget2) or other object. This controls how the\n interaction with the widget proceeds. Normally this method is used as\n part of a handshaking process with the widget: First\n ComputeInteractionState() is invoked that returns a state based on\n geometric considerations (i.e., cursor near a widget feature), then\n based on events, the widget may modify this further.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInteractionStateMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetInteractionStateMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationState */
    if ( strcmp ( argv[2], "SetRepresentationState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationState */
    Tcl_DStringAppendElement ( &dString, " Sets the visual appearance of the representation based on the\n state it is in. This state is usually the same as InteractionState.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRepresentationState (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for SetRepresentationState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationState */
    if ( strcmp ( argv[2], "GetRepresentationState" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationState" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationState */
    Tcl_DStringAppendElement ( &dString, " Sets the visual appearance of the representation based on the\n state it is in. This state is usually the same as InteractionState.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentationState ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneRepresentation" );
    /* Closing for GetRepresentationState */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
