// tcl wrapper for vtkImplicitPlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImplicitPlaneWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImplicitPlaneWidgetNewCommand()
{
  vtkImplicitPlaneWidget *temp = vtkImplicitPlaneWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataSourceWidgetCppCommand(vtkPolyDataSourceWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImplicitPlaneWidgetCppCommand(vtkImplicitPlaneWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImplicitPlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImplicitPlaneWidgetCppCommand(static_cast<vtkImplicitPlaneWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImplicitPlaneWidgetCppCommand(vtkImplicitPlaneWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImplicitPlaneWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataSourceWidgetCppCommand(static_cast<vtkPolyDataSourceWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataSourceWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImplicitPlaneWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitPlaneWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImplicitPlaneWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitPlaneWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImplicitPlaneWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImplicitPlaneWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetNormal(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNormalToXAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToXAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToXAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToXAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToXAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToXAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToXAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToXAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalToYAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToYAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToYAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToYAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToYAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToYAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToYAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToYAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetNormalToZAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNormalToZAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormalToZAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNormalToZAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("NormalToZAxisOn",argv[1]))&&(argc == 2))
    {
    op->NormalToZAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("NormalToZAxisOff",argv[1]))&&(argc == 2))
    {
    op->NormalToZAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTubing",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTubing(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTubing",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTubing();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TubingOn",argv[1]))&&(argc == 2))
    {
    op->TubingOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TubingOff",argv[1]))&&(argc == 2))
    {
    op->TubingOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDrawPlane",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDrawPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDrawPlane",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDrawPlane();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DrawPlaneOn",argv[1]))&&(argc == 2))
    {
    op->DrawPlaneOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DrawPlaneOff",argv[1]))&&(argc == 2))
    {
    op->DrawPlaneOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutlineTranslation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutlineTranslation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutlineTranslation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutlineTranslation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineTranslationOn",argv[1]))&&(argc == 2))
    {
    op->OutlineTranslationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineTranslationOff",argv[1]))&&(argc == 2))
    {
    op->OutlineTranslationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOutsideBounds",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutsideBounds(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutsideBounds",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutsideBounds();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutsideBoundsOn",argv[1]))&&(argc == 2))
    {
    op->OutsideBoundsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutsideBoundsOff",argv[1]))&&(argc == 2))
    {
    op->OutsideBoundsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScaleEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScaleEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScaleEnabled",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScaleEnabled();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaleEnabledOn",argv[1]))&&(argc == 2))
    {
    op->ScaleEnabledOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleEnabledOff",argv[1]))&&(argc == 2))
    {
    op->ScaleEnabledOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetOriginTranslation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOriginTranslation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOriginTranslation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOriginTranslation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OriginTranslationOn",argv[1]))&&(argc == 2))
    {
    op->OriginTranslationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OriginTranslationOff",argv[1]))&&(argc == 2))
    {
    op->OriginTranslationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDiagonalRatio",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDiagonalRatio(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDiagonalRatioMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiagonalRatioMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiagonalRatioMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiagonalRatioMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDiagonalRatio",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDiagonalRatio();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyDataAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetPolyDataAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("GetPlane",argv[1]))&&(argc == 3))
    {
    vtkPlane  *temp0;
    error = 0;

    temp0 = (vtkPlane *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPlane"),interp,error));
    if (!error)
    {
    op->GetPlane(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("UpdatePlacement",argv[1]))&&(argc == 2))
    {
    op->UpdatePlacement();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SizeHandles",argv[1]))&&(argc == 2))
    {
    op->SizeHandles();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetNormalProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetNormalProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedNormalProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedNormalProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedOutlineProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedOutlineProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetEdgesProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetEdgesProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImplicitPlaneWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImplicitPlaneWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToXAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToXAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToXAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToXAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToYAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToYAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToYAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToYAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetNormalToZAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalToZAxis\n",NULL);
    Tcl_AppendResult(interp,"  NormalToZAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  NormalToZAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTubing\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTubing\n",NULL);
    Tcl_AppendResult(interp,"  TubingOn\n",NULL);
    Tcl_AppendResult(interp,"  TubingOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDrawPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDrawPlane\n",NULL);
    Tcl_AppendResult(interp,"  DrawPlaneOn\n",NULL);
    Tcl_AppendResult(interp,"  DrawPlaneOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutlineTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineTranslation\n",NULL);
    Tcl_AppendResult(interp,"  OutlineTranslationOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineTranslationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOutsideBounds\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutsideBounds\n",NULL);
    Tcl_AppendResult(interp,"  OutsideBoundsOn\n",NULL);
    Tcl_AppendResult(interp,"  OutsideBoundsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScaleEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScaleEnabled\n",NULL);
    Tcl_AppendResult(interp,"  ScaleEnabledOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleEnabledOff\n",NULL);
    Tcl_AppendResult(interp,"  SetOriginTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOriginTranslation\n",NULL);
    Tcl_AppendResult(interp,"  OriginTranslationOn\n",NULL);
    Tcl_AppendResult(interp,"  OriginTranslationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetDiagonalRatio\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDiagonalRatioMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiagonalRatioMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDiagonalRatio\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  GetPlane\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePlacement\n",NULL);
    Tcl_AppendResult(interp,"  SizeHandles\n",NULL);
    Tcl_AppendResult(interp,"  GetNormalProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedNormalProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedOutlineProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetEdgesProperty\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToXAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToYAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "GetNormalToZAxis" );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOn" );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetTubing" );
    Tcl_DStringAppendElement ( &dString, "GetTubing" );
    Tcl_DStringAppendElement ( &dString, "TubingOn" );
    Tcl_DStringAppendElement ( &dString, "TubingOff" );
    Tcl_DStringAppendElement ( &dString, "SetDrawPlane" );
    Tcl_DStringAppendElement ( &dString, "GetDrawPlane" );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOn" );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutlineTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineTranslation" );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOff" );
    Tcl_DStringAppendElement ( &dString, "SetOutsideBounds" );
    Tcl_DStringAppendElement ( &dString, "GetOutsideBounds" );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOn" );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOff" );
    Tcl_DStringAppendElement ( &dString, "SetScaleEnabled" );
    Tcl_DStringAppendElement ( &dString, "GetScaleEnabled" );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOn" );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOff" );
    Tcl_DStringAppendElement ( &dString, "SetOriginTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetOriginTranslation" );
    Tcl_DStringAppendElement ( &dString, "OriginTranslationOn" );
    Tcl_DStringAppendElement ( &dString, "OriginTranslationOff" );
    Tcl_DStringAppendElement ( &dString, "SetDiagonalRatio" );
    Tcl_DStringAppendElement ( &dString, "GetDiagonalRatioMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiagonalRatioMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDiagonalRatio" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    Tcl_DStringAppendElement ( &dString, "SizeHandles" );
    Tcl_DStringAppendElement ( &dString, "GetNormalProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedNormalProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetOutlineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedOutlineProperty" );
    Tcl_DStringAppendElement ( &dString, "GetEdgesProperty" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImplicitPlaneWidget *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget ();this Superclass PlaceWidget " );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax " );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOrigin (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetOrigin (double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetOrigin (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormal */
    if ( strcmp ( argv[2], "SetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormal (double x\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetNormal (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToXAxis */
    if ( strcmp ( argv[2], "SetNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToXAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToXAxis */
    if ( strcmp ( argv[2], "GetNormalToXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToXAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToXAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetNormalToXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToXAxisOn */
    if ( strcmp ( argv[2], "NormalToXAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToXAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToXAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for NormalToXAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToXAxisOff */
    if ( strcmp ( argv[2], "NormalToXAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToXAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToXAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToXAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for NormalToXAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToYAxis */
    if ( strcmp ( argv[2], "SetNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToYAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToYAxis */
    if ( strcmp ( argv[2], "GetNormalToYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToYAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToYAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetNormalToYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToYAxisOn */
    if ( strcmp ( argv[2], "NormalToYAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToYAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToYAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for NormalToYAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToYAxisOff */
    if ( strcmp ( argv[2], "NormalToYAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToYAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToYAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToYAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for NormalToYAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNormalToZAxis */
    if ( strcmp ( argv[2], "SetNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNormalToZAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalToZAxis */
    if ( strcmp ( argv[2], "GetNormalToZAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalToZAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalToZAxis */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNormalToZAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetNormalToZAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToZAxisOn */
    if ( strcmp ( argv[2], "NormalToZAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToZAxisOn */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToZAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for NormalToZAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NormalToZAxisOff */
    if ( strcmp ( argv[2], "NormalToZAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NormalToZAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NormalToZAxisOff */
    Tcl_DStringAppendElement ( &dString, " Force the plane widget to be aligned with one of the x-y-z axes.\n If one axis is set on, the other two will be set off.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n" );
    Tcl_DStringAppendElement ( &dString, "void NormalToZAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for NormalToZAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTubing */
    if ( strcmp ( argv[2], "SetTubing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTubing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTubing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTubing (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetTubing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTubing */
    if ( strcmp ( argv[2], "GetTubing" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTubing" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTubing */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTubing ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetTubing */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TubingOn */
    if ( strcmp ( argv[2], "TubingOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TubingOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TubingOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "void TubingOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for TubingOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TubingOff */
    if ( strcmp ( argv[2], "TubingOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TubingOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TubingOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off tubing of the wire outline of the plane. The tube thickens\n the line by wrapping with a vtkTubeFilter.\n" );
    Tcl_DStringAppendElement ( &dString, "void TubingOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for TubingOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDrawPlane */
    if ( strcmp ( argv[2], "SetDrawPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDrawPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDrawPlane */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDrawPlane (int plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetDrawPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDrawPlane */
    if ( strcmp ( argv[2], "GetDrawPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDrawPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDrawPlane */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDrawPlane ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetDrawPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPlaneOn */
    if ( strcmp ( argv[2], "DrawPlaneOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPlaneOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPlaneOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for DrawPlaneOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DrawPlaneOff */
    if ( strcmp ( argv[2], "DrawPlaneOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DrawPlaneOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DrawPlaneOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable the drawing of the plane. In some cases the plane\n interferes with the object that it is operating on (i.e., the\n plane interferes with the cut surface it produces producing\n z-buffer artifacts.)\n" );
    Tcl_DStringAppendElement ( &dString, "void DrawPlaneOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for DrawPlaneOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutlineTranslation */
    if ( strcmp ( argv[2], "SetOutlineTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutlineTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutlineTranslation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutlineTranslation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetOutlineTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineTranslation */
    if ( strcmp ( argv[2], "GetOutlineTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineTranslation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutlineTranslation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetOutlineTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineTranslationOn */
    if ( strcmp ( argv[2], "OutlineTranslationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineTranslationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineTranslationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for OutlineTranslationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineTranslationOff */
    if ( strcmp ( argv[2], "OutlineTranslationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineTranslationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineTranslationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the bounding box by grabbing it\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineTranslationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for OutlineTranslationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutsideBounds */
    if ( strcmp ( argv[2], "SetOutsideBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutsideBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutsideBounds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the input's bound\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutsideBounds (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetOutsideBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutsideBounds */
    if ( strcmp ( argv[2], "GetOutsideBounds" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutsideBounds" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutsideBounds */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the input's bound\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutsideBounds ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetOutsideBounds */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutsideBoundsOn */
    if ( strcmp ( argv[2], "OutsideBoundsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutsideBoundsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the input's bound\n" );
    Tcl_DStringAppendElement ( &dString, "void OutsideBoundsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for OutsideBoundsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutsideBoundsOff */
    if ( strcmp ( argv[2], "OutsideBoundsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutsideBoundsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutsideBoundsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to move the widget outside of the input's bound\n" );
    Tcl_DStringAppendElement ( &dString, "void OutsideBoundsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for OutsideBoundsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScaleEnabled */
    if ( strcmp ( argv[2], "SetScaleEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScaleEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScaleEnabled */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale with the mouse\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScaleEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetScaleEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScaleEnabled */
    if ( strcmp ( argv[2], "GetScaleEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScaleEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScaleEnabled */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale with the mouse\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScaleEnabled ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetScaleEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleEnabledOn */
    if ( strcmp ( argv[2], "ScaleEnabledOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleEnabledOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale with the mouse\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleEnabledOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for ScaleEnabledOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleEnabledOff */
    if ( strcmp ( argv[2], "ScaleEnabledOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleEnabledOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleEnabledOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to scale with the mouse\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleEnabledOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for ScaleEnabledOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOriginTranslation */
    if ( strcmp ( argv[2], "SetOriginTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOriginTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOriginTranslation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the origin (sphere)\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOriginTranslation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetOriginTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOriginTranslation */
    if ( strcmp ( argv[2], "GetOriginTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOriginTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOriginTranslation */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the origin (sphere)\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOriginTranslation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetOriginTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OriginTranslationOn */
    if ( strcmp ( argv[2], "OriginTranslationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OriginTranslationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OriginTranslationOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the origin (sphere)\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void OriginTranslationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for OriginTranslationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OriginTranslationOff */
    if ( strcmp ( argv[2], "OriginTranslationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OriginTranslationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OriginTranslationOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the ability to translate the origin (sphere)\n with the left mouse button.\n" );
    Tcl_DStringAppendElement ( &dString, "void OriginTranslationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for OriginTranslationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDiagonalRatio */
    if ( strcmp ( argv[2], "SetDiagonalRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDiagonalRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDiagonalRatio */
    Tcl_DStringAppendElement ( &dString, " By default the arrow is 30% of the diagonal length. DiagonalRatio control\n this ratio in the interval \\[0-2\\]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDiagonalRatio (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SetDiagonalRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiagonalRatioMinValue */
    if ( strcmp ( argv[2], "GetDiagonalRatioMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiagonalRatioMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiagonalRatioMinValue */
    Tcl_DStringAppendElement ( &dString, " By default the arrow is 30% of the diagonal length. DiagonalRatio control\n this ratio in the interval \\[0-2\\]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiagonalRatioMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetDiagonalRatioMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiagonalRatioMaxValue */
    if ( strcmp ( argv[2], "GetDiagonalRatioMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiagonalRatioMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiagonalRatioMaxValue */
    Tcl_DStringAppendElement ( &dString, " By default the arrow is 30% of the diagonal length. DiagonalRatio control\n this ratio in the interval \\[0-2\\]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiagonalRatioMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetDiagonalRatioMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDiagonalRatio */
    if ( strcmp ( argv[2], "GetDiagonalRatio" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDiagonalRatio" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDiagonalRatio */
    Tcl_DStringAppendElement ( &dString, " By default the arrow is 30% of the diagonal length. DiagonalRatio control\n this ratio in the interval \\[0-2\\]\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDiagonalRatio ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetDiagonalRatio */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata that defines the plane. The polydata contains a single\n polygon that is clipped by the bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData (vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyDataAlgorithm */
    if ( strcmp ( argv[2], "GetPolyDataAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Satisfies superclass API.  This returns a pointer to the underlying\n PolyData (which represents the plane).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm *GetPolyDataAlgorithm ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetPolyDataAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlane */
    if ( strcmp ( argv[2], "GetPlane" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlane" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPlane" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlane */
    Tcl_DStringAppendElement ( &dString, " Get the implicit function for the plane. The user must provide the\n instance of the class vtkPlane. Note that vtkPlane is a subclass of\n vtkImplicitFunction, meaning that it can be used by a variety of filters\n to perform clipping, cutting, and selection of data.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPlane (vtkPlane *plane);" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetPlane */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdatePlacement */
    if ( strcmp ( argv[2], "UpdatePlacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdatePlacement */
    Tcl_DStringAppendElement ( &dString, " Satisfies the superclass API.  This will change the state of the widget\n to match changes that have been made to the underlying PolyDataSource\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdatePlacement ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for UpdatePlacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SizeHandles */
    if ( strcmp ( argv[2], "SizeHandles" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SizeHandles" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SizeHandles */
    Tcl_DStringAppendElement ( &dString, " Control widget appearance\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SizeHandles ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for SizeHandles */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormalProperty */
    if ( strcmp ( argv[2], "GetNormalProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormalProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormalProperty */
    Tcl_DStringAppendElement ( &dString, " Get the properties on the normal (line and cone).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetNormalProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetNormalProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedNormalProperty */
    if ( strcmp ( argv[2], "GetSelectedNormalProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedNormalProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedNormalProperty */
    Tcl_DStringAppendElement ( &dString, " Get the properties on the normal (line and cone).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedNormalProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetSelectedNormalProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneProperty */
    if ( strcmp ( argv[2], "GetPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Get the plane properties. The properties of the plane when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetPlaneProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPlaneProperty */
    if ( strcmp ( argv[2], "GetSelectedPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Get the plane properties. The properties of the plane when selected\n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedPlaneProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetSelectedPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutlineProperty */
    if ( strcmp ( argv[2], "GetOutlineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutlineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutlineProperty */
    Tcl_DStringAppendElement ( &dString, " Get the property of the outline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetOutlineProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetOutlineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedOutlineProperty */
    if ( strcmp ( argv[2], "GetSelectedOutlineProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedOutlineProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedOutlineProperty */
    Tcl_DStringAppendElement ( &dString, " Get the property of the outline.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedOutlineProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetSelectedOutlineProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEdgesProperty */
    if ( strcmp ( argv[2], "GetEdgesProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEdgesProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEdgesProperty */
    Tcl_DStringAppendElement ( &dString, " Get the property of the intersection edges. (This property also\n applies to the edges when tubed.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetEdgesProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImplicitPlaneWidget" );
    /* Closing for GetEdgesProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataSourceWidgetCppCommand(static_cast<vtkPolyDataSourceWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
