// python wrapper for vtkLineRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLineRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLineRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLineRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkLineRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  const char    *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkLineRepresentation  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLineRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLineRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetPoint1WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::GetPoint1WorldPosition(temp0);
      }
    else
      {
      op->GetPoint1WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetPoint1WorldPosition();
      }
    else
      {
      temp20 = op->GetPoint1WorldPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::GetPoint1DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetPoint1DisplayPosition();
      }
    else
      {
      temp20 = op->GetPoint1DisplayPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetPoint1WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetPoint1WorldPosition(temp0);
      }
    else
      {
      op->SetPoint1WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetPoint1DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetPoint1DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint1DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::GetPoint2DisplayPosition(temp0);
      }
    else
      {
      op->GetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetPoint2DisplayPosition();
      }
    else
      {
      temp20 = op->GetPoint2DisplayPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetPoint2WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::GetPoint2WorldPosition(temp0);
      }
    else
      {
      op->GetPoint2WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double  *temp20;
  PyErr_Clear();
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetPoint2WorldPosition();
      }
    else
      {
      temp20 = op->GetPoint2WorldPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetPoint2WorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetPoint2WorldPosition(temp0);
      }
    else
      {
      op->SetPoint2WorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetPoint2DisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[3];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetPoint2DisplayPosition(temp0);
      }
    else
      {
      op->SetPoint2DisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkPointHandleRepresentation3D  *temp0;
  PyObject *tempH0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPointHandleRepresentation3D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPointHandleRepresentation3D");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetHandleRepresentation(temp0);
      }
    else
      {
      op->SetHandleRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkLineRepresentation_InstantiateHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::InstantiateHandleRepresentation();
      }
    else
      {
      op->InstantiateHandleRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetPoint1Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkPointHandleRepresentation3D  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetPoint1Representation();
      }
    else
      {
      temp20 = op->GetPoint1Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetPoint2Representation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkPointHandleRepresentation3D  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetPoint2Representation();
      }
    else
      {
      temp20 = op->GetPoint2Representation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetLineHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkPointHandleRepresentation3D  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetLineHandleRepresentation();
      }
    else
      {
      temp20 = op->GetLineHandleRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetEndPointProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetEndPointProperty();
      }
    else
      {
      temp20 = op->GetEndPointProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetSelectedEndPointProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetSelectedEndPointProperty();
      }
    else
      {
      temp20 = op->GetSelectedEndPointProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetLineProperty();
      }
    else
      {
      temp20 = op->GetLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetSelectedLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetSelectedLineProperty();
      }
    else
      {
      temp20 = op->GetSelectedLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkLineRepresentation_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[6];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[2];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double temp0[2];
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  double  *temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break38;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkLineRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkLineRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkLineRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetInteractionState(temp0);
      }
    else
      {
      op->SetInteractionState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetInteractionStateMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetInteractionStateMinValue();
      }
    else
      {
      temp20 = op->GetInteractionStateMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetInteractionStateMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetInteractionStateMaxValue();
      }
    else
      {
      temp20 = op->GetInteractionStateMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetRepresentationState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetRepresentationState(temp0);
      }
    else
      {
      op->SetRepresentationState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetRepresentationState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  int      temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetRepresentationState();
      }
    else
      {
      temp20 = op->GetRepresentationState();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  unsigned long     temp20;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLineRepresentation::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLineRepresentation_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLineRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkLineRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break48;
    if (PyVTKClass_Check(self))
      {
      op->vtkLineRepresentation::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break48:
  return NULL;
}

static PyMethodDef PyvtkLineRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLineRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for the class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLineRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for the class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLineRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLineRepresentation\nC++: vtkLineRepresentation *NewInstance ();\n\n Standard methods for the class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLineRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLineRepresentation\nC++: vtkLineRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for the class.\n"},
  {(char*)"GetPoint1WorldPosition",                (PyCFunction)PyvtkLineRepresentation_GetPoint1WorldPosition, 1,
   (char*)"V.GetPoint1WorldPosition((float, float, float))\nC++: void GetPoint1WorldPosition (double pos[3]);\nV.GetPoint1WorldPosition() -> (float, float, float)\nC++: double *GetPoint1WorldPosition ();\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint1DisplayPosition",                (PyCFunction)PyvtkLineRepresentation_GetPoint1DisplayPosition, 1,
   (char*)"V.GetPoint1DisplayPosition((float, float, float))\nC++: void GetPoint1DisplayPosition (double pos[3]);\nV.GetPoint1DisplayPosition() -> (float, float, float)\nC++: double *GetPoint1DisplayPosition ();\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint1WorldPosition",                (PyCFunction)PyvtkLineRepresentation_SetPoint1WorldPosition, 1,
   (char*)"V.SetPoint1WorldPosition((float, float, float))\nC++: void SetPoint1WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint1DisplayPosition",                (PyCFunction)PyvtkLineRepresentation_SetPoint1DisplayPosition, 1,
   (char*)"V.SetPoint1DisplayPosition((float, float, float))\nC++: void SetPoint1DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2DisplayPosition",                (PyCFunction)PyvtkLineRepresentation_GetPoint2DisplayPosition, 1,
   (char*)"V.GetPoint2DisplayPosition((float, float, float))\nC++: void GetPoint2DisplayPosition (double pos[3]);\nV.GetPoint2DisplayPosition() -> (float, float, float)\nC++: double *GetPoint2DisplayPosition ();\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"GetPoint2WorldPosition",                (PyCFunction)PyvtkLineRepresentation_GetPoint2WorldPosition, 1,
   (char*)"V.GetPoint2WorldPosition((float, float, float))\nC++: void GetPoint2WorldPosition (double pos[3]);\nV.GetPoint2WorldPosition() -> (float, float, float)\nC++: double *GetPoint2WorldPosition ();\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint2WorldPosition",                (PyCFunction)PyvtkLineRepresentation_SetPoint2WorldPosition, 1,
   (char*)"V.SetPoint2WorldPosition((float, float, float))\nC++: void SetPoint2WorldPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetPoint2DisplayPosition",                (PyCFunction)PyvtkLineRepresentation_SetPoint2DisplayPosition, 1,
   (char*)"V.SetPoint2DisplayPosition((float, float, float))\nC++: void SetPoint2DisplayPosition (double pos[3]);\n\n Methods to Set/Get the coordinates of the two points defining\n this representation. Note that methods are available for both\n display and world coordinates.\n"},
  {(char*)"SetHandleRepresentation",                (PyCFunction)PyvtkLineRepresentation_SetHandleRepresentation, 1,
   (char*)"V.SetHandleRepresentation(vtkPointHandleRepresentation3D)\nC++: void SetHandleRepresentation (vtkPointHandleRepresentation3D *handle);\n\n This method is used to specify the type of handle representation to\n use for the three internal vtkHandleWidgets within vtkLineWidget2.\n To use this method, create a dummy vtkHandleWidget (or subclass),\n and then invoke this method with this dummy. Then the \n vtkLineRepresentation uses this dummy to clone three vtkHandleWidgets\n of the same type. Make sure you set the handle representation before\n the widget is enabled. (The method InstantiateHandleRepresentation()\n is invoked by the vtkLineWidget2.)\n"},
  {(char*)"InstantiateHandleRepresentation",                (PyCFunction)PyvtkLineRepresentation_InstantiateHandleRepresentation, 1,
   (char*)"V.InstantiateHandleRepresentation()\nC++: void InstantiateHandleRepresentation ();\n\n This method is used to specify the type of handle representation to\n use for the three internal vtkHandleWidgets within vtkLineWidget2.\n To use this method, create a dummy vtkHandleWidget (or subclass),\n and then invoke this method with this dummy. Then the \n vtkLineRepresentation uses this dummy to clone three vtkHandleWidgets\n of the same type. Make sure you set the handle representation before\n the widget is enabled. (The method InstantiateHandleRepresentation()\n is invoked by the vtkLineWidget2.)\n"},
  {(char*)"GetPoint1Representation",                (PyCFunction)PyvtkLineRepresentation_GetPoint1Representation, 1,
   (char*)"V.GetPoint1Representation() -> vtkPointHandleRepresentation3D\nC++: vtkPointHandleRepresentation3D *GetPoint1Representation ();\n\n Get the three handle representations used for the vtkLineWidget2. \n"},
  {(char*)"GetPoint2Representation",                (PyCFunction)PyvtkLineRepresentation_GetPoint2Representation, 1,
   (char*)"V.GetPoint2Representation() -> vtkPointHandleRepresentation3D\nC++: vtkPointHandleRepresentation3D *GetPoint2Representation ();\n\n Get the three handle representations used for the vtkLineWidget2. \n"},
  {(char*)"GetLineHandleRepresentation",                (PyCFunction)PyvtkLineRepresentation_GetLineHandleRepresentation, 1,
   (char*)"V.GetLineHandleRepresentation() -> vtkPointHandleRepresentation3D\nC++: vtkPointHandleRepresentation3D *GetLineHandleRepresentation ();\n\n Get the three handle representations used for the vtkLineWidget2. \n"},
  {(char*)"GetEndPointProperty",                (PyCFunction)PyvtkLineRepresentation_GetEndPointProperty, 1,
   (char*)"V.GetEndPointProperty() -> vtkProperty\nC++: vtkProperty *GetEndPointProperty ();\n\n Get the end-point (sphere) properties. The properties of the end-points \n when selected and unselected can be manipulated.\n"},
  {(char*)"GetSelectedEndPointProperty",                (PyCFunction)PyvtkLineRepresentation_GetSelectedEndPointProperty, 1,
   (char*)"V.GetSelectedEndPointProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedEndPointProperty ();\n\n Get the end-point (sphere) properties. The properties of the end-points \n when selected and unselected can be manipulated.\n"},
  {(char*)"GetLineProperty",                (PyCFunction)PyvtkLineRepresentation_GetLineProperty, 1,
   (char*)"V.GetLineProperty() -> vtkProperty\nC++: vtkProperty *GetLineProperty ();\n\n Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedLineProperty",                (PyCFunction)PyvtkLineRepresentation_GetSelectedLineProperty, 1,
   (char*)"V.GetSelectedLineProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedLineProperty ();\n\n Get the line properties. The properties of the line when selected\n and unselected can be manipulated.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkLineRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the line or end point \n to be active.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkLineRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the line or end point \n to be active.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkLineRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the line or end point \n to be active.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkLineRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the line or end point \n to be active.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkLineRepresentation_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int res);\n\n Set/Get the resolution (number of subdivisions) of the line. A line with\n resolution greater than one is useful when points along the line are\n desired; e.g., generating a rake of streamlines.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkLineRepresentation_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Set/Get the resolution (number of subdivisions) of the line. A line with\n resolution greater than one is useful when points along the line are\n desired; e.g., generating a rake of streamlines.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkLineRepresentation_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Retrieve the polydata (including points) that defines the line.  The\n polydata consists of n+1 points, where n is the resolution of the\n line. These point values are guaranteed to be up-to-date whenever any\n one of the three handles are moved. To use this method, the user\n provides the vtkPolyData as an input argument, and the points and\n polyline are copied into it.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkLineRepresentation_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkLineRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkLineRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkLineRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkLineRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkLineRepresentation_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkLineRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods supporting the rendering process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkLineRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n Methods supporting the rendering process.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkLineRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n Methods supporting the rendering process.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkLineRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods supporting the rendering process.\n"},
  {(char*)"SetInteractionState",                (PyCFunction)PyvtkLineRepresentation_SetInteractionState, 1,
   (char*)"V.SetInteractionState(int)\nC++: void SetInteractionState (int );\n\n The interaction state may be set from a widget (e.g., vtkLineWidget2) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n process with the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {(char*)"GetInteractionStateMinValue",                (PyCFunction)PyvtkLineRepresentation_GetInteractionStateMinValue, 1,
   (char*)"V.GetInteractionStateMinValue() -> int\nC++: int GetInteractionStateMinValue ();\n\n The interaction state may be set from a widget (e.g., vtkLineWidget2) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n process with the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {(char*)"GetInteractionStateMaxValue",                (PyCFunction)PyvtkLineRepresentation_GetInteractionStateMaxValue, 1,
   (char*)"V.GetInteractionStateMaxValue() -> int\nC++: int GetInteractionStateMaxValue ();\n\n The interaction state may be set from a widget (e.g., vtkLineWidget2) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n process with the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {(char*)"SetRepresentationState",                (PyCFunction)PyvtkLineRepresentation_SetRepresentationState, 1,
   (char*)"V.SetRepresentationState(int)\nC++: virtual void SetRepresentationState (int );\n\n Sets the visual appearance of the representation based on the\n state it is in. This state is usually the same as InteractionState.\n"},
  {(char*)"GetRepresentationState",                (PyCFunction)PyvtkLineRepresentation_GetRepresentationState, 1,
   (char*)"V.GetRepresentationState() -> int\nC++: int GetRepresentationState ();\n\n Sets the visual appearance of the representation based on the\n state it is in. This state is usually the same as InteractionState.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkLineRepresentation_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Overload the superclasses' GetMTime() because internal classes\n are used to keep the state of the representation.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkLineRepresentation_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n Overridden to set the rendererer on the internal representations.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLineRepresentationDoc[] = {
  (char*)"vtkLineRepresentation - a class defining the representation for a vtkLineWidget2\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class is a concrete representation for the vtkLineWidget2. It\n represents a straight line with three handles: one at the beginning and\n ending of the line, and one used to translate the line. Through\n interaction with the widget, the line representation can be arbitrarily\n placed in the 3D space.\n\n To use this representation, you normally specify the position of the two\n end points (either i",
  (char*)"n world or display coordinates). The PlaceWidget()\n method is also used to intially position the representation.\n\n",
  "Caveats:\n\n This class, and vtkLineWidget2, are next generation VTK\n widgets. An earlier version of this functionality was defined in the\n class vtkLineWidget.\n\n",
  "See Also:\n\n vtkLineWidget2 vtkLineWidget\n\n",
  NULL
};

static vtkObjectBase *vtkLineRepresentationStaticNew()
{
  return vtkLineRepresentation::New();
}

PyObject *PyVTKClass_vtkLineRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkLineRepresentationStaticNew,
                        PyvtkLineRepresentationMethods,
                        (char*)"vtkLineRepresentation",modulename,
                        (char**)vtkLineRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

