// python wrapper for vtkLogoRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLogoRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLogoRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLogoRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }

static PyObject *PyvtkLogoRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  const char    *temp20;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkLogoRepresentation  *temp20;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLogoRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLogoRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_SetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLogoRepresentation::SetImage(temp0);
      }
    else
      {
      op->SetImage(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_GetImage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkImageData  *temp20;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoRepresentation::GetImage();
      }
    else
      {
      temp20 = op->GetImage();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_SetImageProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkLogoRepresentation::SetImageProperty(temp0);
      }
    else
      {
      op->SetImageProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_GetImageProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoRepresentation::GetImageProperty();
      }
    else
      {
      temp20 = op->GetImageProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLogoRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkLogoRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkLogoRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkLogoRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkLogoRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}

static PyMethodDef PyvtkLogoRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLogoRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLogoRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLogoRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLogoRepresentation\nC++: vtkLogoRepresentation *NewInstance ();\n\n Standard VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLogoRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLogoRepresentation\nC++: vtkLogoRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK class methods.\n"},
  {(char*)"SetImage",                (PyCFunction)PyvtkLogoRepresentation_SetImage, 1,
   (char*)"V.SetImage(vtkImageData)\nC++: virtual void SetImage (vtkImageData *img);\n\n Specify/retrieve the image to display in the balloon.\n"},
  {(char*)"GetImage",                (PyCFunction)PyvtkLogoRepresentation_GetImage, 1,
   (char*)"V.GetImage() -> vtkImageData\nC++: vtkImageData *GetImage ();\n\n Specify/retrieve the image to display in the balloon.\n"},
  {(char*)"SetImageProperty",                (PyCFunction)PyvtkLogoRepresentation_SetImageProperty, 1,
   (char*)"V.SetImageProperty(vtkProperty2D)\nC++: virtual void SetImageProperty (vtkProperty2D *p);\n\n Set/get the image property (relevant only if an image is shown).\n"},
  {(char*)"GetImageProperty",                (PyCFunction)PyvtkLogoRepresentation_GetImageProperty, 1,
   (char*)"V.GetImageProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetImageProperty ();\n\n Set/get the image property (relevant only if an image is shown).\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkLogoRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Satisfy the superclasses' API.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkLogoRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *pc);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkLogoRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkLogoRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLogoRepresentationDoc[] = {
  (char*)"vtkLogoRepresentation - represent the vtkLogoWidget\n\n",
  "Super Class:\n\n vtkBorderRepresentation\n\n",
  "See Also:\n\n vtkLogoWidget\n\n",
  NULL
};

static vtkObjectBase *vtkLogoRepresentationStaticNew()
{
  return vtkLogoRepresentation::New();
}

PyObject *PyVTKClass_vtkLogoRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkLogoRepresentationStaticNew,
                        PyvtkLogoRepresentationMethods,
                        (char*)"vtkLogoRepresentation",modulename,
                        (char**)vtkLogoRepresentationDoc,
                        PyVTKClass_vtkBorderRepresentationNew(modulename));
}

