// python wrapper for vtkLogoWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkLogoWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkLogoWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkLogoWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }

static PyObject *PyvtkLogoWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoWidget *op;

  const char    *temp20;
  op = (vtkLogoWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkLogoWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoWidget *op;

  vtkLogoWidget  *temp20;
  op = (vtkLogoWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkLogoWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkLogoWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkLogoWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkLogoWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkLogoWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoWidget *op;

  vtkLogoRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkLogoWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkLogoRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkLogoRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkLogoWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkLogoWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkLogoWidget *op;

  op = (vtkLogoWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkLogoWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkLogoWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkLogoWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standar VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkLogoWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standar VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkLogoWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkLogoWidget\nC++: vtkLogoWidget *NewInstance ();\n\n Standar VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkLogoWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkLogoWidget\nC++: vtkLogoWidget *SafeDownCast (vtkObject* o);\n\n Standar VTK class methods.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkLogoWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkLogoRepresentation)\nC++: void SetRepresentation (vtkLogoRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkLogoWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkLogoWidgetDoc[] = {
  (char*)"vtkLogoWidget - 2D widget for placing and manipulating a logo\n\n",
  "Super Class:\n\n vtkBorderWidget\n\n",
  (char*)" This class provides support for interactively displaying and manipulating\n a logo. Logos are defined by an image; this widget simply allows you to\n interactively place and resize the image logo. To use this widget, simply\n create a vtkLogoRepresentation (or subclass) and associate it with the\n vtkLogoWidget.\n\n",
  "See Also:\n\n vtkBorderWidget \n\n",
  NULL
};

static vtkObjectBase *vtkLogoWidgetStaticNew()
{
  return vtkLogoWidget::New();
}

PyObject *PyVTKClass_vtkLogoWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkLogoWidgetStaticNew,
                        PyvtkLogoWidgetMethods,
                        (char*)"vtkLogoWidget",modulename,
                        (char**)vtkLogoWidgetDoc,
                        PyVTKClass_vtkBorderWidgetNew(modulename));
}

