// python wrapper for vtkOrientationMarkerWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOrientationMarkerWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOrientationMarkerWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOrientationMarkerWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkInteractorObserverNew(char *); }

static PyObject *PyvtkOrientationMarkerWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  const char    *temp20;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientationMarkerWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientationMarkerWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  vtkOrientationMarkerWidget  *temp20;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientationMarkerWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOrientationMarkerWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOrientationMarkerWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_SetOrientationMarker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::SetOrientationMarker(temp0);
      }
    else
      {
      op->SetOrientationMarker(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_GetOrientationMarker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  vtkProp  *temp20;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientationMarkerWidget::GetOrientationMarker();
      }
    else
      {
      temp20 = op->GetOrientationMarker();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  int      temp0;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_ExecuteCameraUpdateEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  unsigned long     temp1;
  void    *temp2;
  int      size2;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"Ols#", &tempH0, &temp1, &temp2, &size2);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break7;
    temp2 = vtkPythonUnmanglePointer((char *)temp2,&size2,(char*)"void_p");
    if (size2 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExecuteCameraUpdateEvent in vtkOrientationMarkerWidget was of incorrect type.");
      return NULL;
      }
    else if (size2 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExecuteCameraUpdateEvent in vtkOrientationMarkerWidget was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::ExecuteCameraUpdateEvent(temp0,temp1,temp2);
      }
    else
      {
      op->ExecuteCameraUpdateEvent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_SetInteractive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  int      temp0;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::SetInteractive(temp0);
      }
    else
      {
      op->SetInteractive(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_GetInteractive(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  int      temp20;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientationMarkerWidget::GetInteractive();
      }
    else
      {
      temp20 = op->GetInteractive();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_InteractiveOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::InteractiveOn();
      }
    else
      {
      op->InteractiveOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_InteractiveOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::InteractiveOff();
      }
    else
      {
      op->InteractiveOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_SetOutlineColor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::SetOutlineColor(temp0,temp1,temp2);
      }
    else
      {
      op->SetOutlineColor(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientationMarkerWidget_SetViewport(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientationMarkerWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  op = (vtkOrientationMarkerWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddd", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientationMarkerWidget::SetViewport(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetViewport(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOrientationMarkerWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOrientationMarkerWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOrientationMarkerWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOrientationMarkerWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOrientationMarkerWidget\nC++: vtkOrientationMarkerWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOrientationMarkerWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOrientationMarkerWidget\nC++: vtkOrientationMarkerWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetOrientationMarker",                (PyCFunction)PyvtkOrientationMarkerWidget_SetOrientationMarker, 1,
   (char*)"V.SetOrientationMarker(vtkProp)\nC++: virtual void SetOrientationMarker (vtkProp *prop);\n\n Set/get the orientation marker to be displayed in this widget.\n"},
  {(char*)"GetOrientationMarker",                (PyCFunction)PyvtkOrientationMarkerWidget_GetOrientationMarker, 1,
   (char*)"V.GetOrientationMarker() -> vtkProp\nC++: vtkProp *GetOrientationMarker ();\n\n Set/get the orientation marker to be displayed in this widget.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkOrientationMarkerWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Enable/disable the widget.\n"},
  {(char*)"ExecuteCameraUpdateEvent",                (PyCFunction)PyvtkOrientationMarkerWidget_ExecuteCameraUpdateEvent, 1,
   (char*)"V.ExecuteCameraUpdateEvent(vtkObject, int, string)\nC++: void ExecuteCameraUpdateEvent (vtkObject *o, unsigned long event, void *calldata);\n\n Callback to keep the camera for the orientation marker up to date with the\n camera in the parent renderer.\n"},
  {(char*)"SetInteractive",                (PyCFunction)PyvtkOrientationMarkerWidget_SetInteractive, 1,
   (char*)"V.SetInteractive(int)\nC++: void SetInteractive (int state);\n\n Set/get whether to allow this widget to be interactively moved/scaled.\n"},
  {(char*)"GetInteractive",                (PyCFunction)PyvtkOrientationMarkerWidget_GetInteractive, 1,
   (char*)"V.GetInteractive() -> int\nC++: int GetInteractive ();\n\n Set/get whether to allow this widget to be interactively moved/scaled.\n"},
  {(char*)"InteractiveOn",                (PyCFunction)PyvtkOrientationMarkerWidget_InteractiveOn, 1,
   (char*)"V.InteractiveOn()\nC++: void InteractiveOn ();\n\n Set/get whether to allow this widget to be interactively moved/scaled.\n"},
  {(char*)"InteractiveOff",                (PyCFunction)PyvtkOrientationMarkerWidget_InteractiveOff, 1,
   (char*)"V.InteractiveOff()\nC++: void InteractiveOff ();\n\n Set/get whether to allow this widget to be interactively moved/scaled.\n"},
  {(char*)"SetOutlineColor",                (PyCFunction)PyvtkOrientationMarkerWidget_SetOutlineColor, 1,
   (char*)"V.SetOutlineColor(float, float, float)\nC++: void SetOutlineColor (double r, double g, double b);\n\n Set/get the color of the outline of this widget.  The outline is visible\n when (in interactive mode) the cursor is over this widget.\n"},
  {(char*)"SetViewport",                (PyCFunction)PyvtkOrientationMarkerWidget_SetViewport, 1,
   (char*)"V.SetViewport(float, float, float, float)\nC++: void SetViewport (double minX, double minY, double maxX, double maxY);\n\n Set/get the viewport to position/size this widget.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOrientationMarkerWidgetDoc[] = {
  (char*)"vtkOrientationMarkerWidget - 2D widget for manipulating a marker prop\n\n",
  "Super Class:\n\n vtkInteractorObserver\n\n",
  (char*)" This class provides support for interactively manipulating the position,\n size, and apparent orientation of a prop that represents an orientation\n marker.  This class works by adding its internal renderer to an external\n \"parent\" renderer on a different layer.  The input orientation marker is\n rendered as an overlay on the parent renderer and, thus, appears superposed\n over all props in the paren",
  (char*)"t's scene.  The camera view of the orientation\n the marker is made to match that of the parent's by means of an observer\n mechanism, giving the illusion that the orientation of the marker reflects\n that of the prop(s) in the parent's scene.\n\n The widget listens to left mouse button and mouse movement events. It will\n change the cursor shape based on its location. If the cursor is over the\n overlay",
  (char*)" renderer, it will change the cursor shape to a SIZEALL shape\n or to a resize corner shape (e.g., SIZENW) if the cursor is near a corner.\n If the left mouse button is pressed and held down while moving, the overlay\n renderer, and hence, the orientation marker, is resized or moved.  I the case\n of a resize operation, releasing the left mouse button causes the widget\n to enforce its renderer to be s",
  (char*)"quare.  The diagonally opposite corner to the\n one moved is repositioned such that all edges of the renderer have the same\n length: the minimum.\n\n To use this object, there are two key steps: 1) invoke SetInteractor() with\n the argument of the method a vtkRenderWindowInteractor, and 2) invoke\n SetOrientationMarker with an instance of vtkProp (see caveats below).\n Specifically, vtkAxesActor and vtk",
  (char*)"AnnoatedCubeActor are two classes\n designed to work with this class.  A composite orientation marker can be\n generated by adding instances of vtkAxesActor and vtkAnnoatedCubeActor to a\n vtkPropAssembly, which can then be set as the input orientation marker.\n The widget can be also be set up in a non-interactive fashion by setting \n Ineractive to Off and sizing/placing the overlay renderer in its p",
  (char*)"arent \n renderer by calling the widget's SetViewport method.\n\n",
  "Caveats:\n\n The input orientation marker prop should calculate its bounds as though they\n are symmetric about it's origin.  This must currently be done to correctly\n implement the camera synchronization between the ivar renderer and the\n renderer associated with the set interactor.  Importantly, the InteractorStyle\n associated with the interactor must be of the type vtkInteractorStyle*Camera.\n Where desirable, the parent renderer should be set by the SetDefaultRenderer\n method.   ...\n [Truncated]\n\n",
  "See Also:\n\n vtkInteractorObserver vtkXYPlotWidget vtkScalarBarWidget vtkAxesActor\n vtkAnnotatedCubeActor\n\n",
  NULL
};

static vtkObjectBase *vtkOrientationMarkerWidgetStaticNew()
{
  return vtkOrientationMarkerWidget::New();
}

PyObject *PyVTKClass_vtkOrientationMarkerWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkOrientationMarkerWidgetStaticNew,
                        PyvtkOrientationMarkerWidgetMethods,
                        (char*)"vtkOrientationMarkerWidget",modulename,
                        (char**)vtkOrientationMarkerWidgetDoc,
                        PyVTKClass_vtkInteractorObserverNew(modulename));
}

