// python wrapper for vtkOrientedGlyphContourRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkOrientedGlyphContourRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkOrientedGlyphContourRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkOrientedGlyphContourRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContourRepresentationNew(char *); }

static PyObject *PyvtkOrientedGlyphContourRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  const char    *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkOrientedGlyphContourRepresentation  *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkOrientedGlyphContourRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkOrientedGlyphContourRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_SetCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::SetCursorShape(temp0);
      }
    else
      {
      op->SetCursorShape(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkPolyData  *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetCursorShape();
      }
    else
      {
      temp20 = op->GetCursorShape();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_SetActiveCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::SetActiveCursorShape(temp0);
      }
    else
      {
      op->SetActiveCursorShape(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetActiveCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkPolyData  *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetActiveCursorShape();
      }
    else
      {
      temp20 = op->GetActiveCursorShape();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetActiveProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetActiveProperty();
      }
    else
      {
      temp20 = op->GetActiveProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetLinesProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetLinesProperty();
      }
    else
      {
      temp20 = op->GetLinesProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  double temp0[2];
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  double temp0[2];
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  int      temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetContourRepresentationAsPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  vtkPolyData  *temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetContourRepresentationAsPolyData();
      }
    else
      {
      temp20 = op->GetContourRepresentationAsPolyData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_SetAlwaysOnTop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  int      temp0;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::SetAlwaysOnTop(temp0);
      }
    else
      {
      op->SetAlwaysOnTop(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_GetAlwaysOnTop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  int      temp20;
  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkOrientedGlyphContourRepresentation::GetAlwaysOnTop();
      }
    else
      {
      temp20 = op->GetAlwaysOnTop();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_AlwaysOnTopOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::AlwaysOnTopOn();
      }
    else
      {
      op->AlwaysOnTopOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkOrientedGlyphContourRepresentation_AlwaysOnTopOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkOrientedGlyphContourRepresentation *op;

  op = (vtkOrientedGlyphContourRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkOrientedGlyphContourRepresentation::AlwaysOnTopOff();
      }
    else
      {
      op->AlwaysOnTopOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkOrientedGlyphContourRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkOrientedGlyphContourRepresentation\nC++: vtkOrientedGlyphContourRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkOrientedGlyphContourRepresentation\nC++: vtkOrientedGlyphContourRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetCursorShape",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_SetCursorShape, 1,
   (char*)"V.SetCursorShape(vtkPolyData)\nC++: void SetCursorShape (vtkPolyData *cursorShape);\n\n Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n"},
  {(char*)"GetCursorShape",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetCursorShape, 1,
   (char*)"V.GetCursorShape() -> vtkPolyData\nC++: vtkPolyData *GetCursorShape ();\n\n Specify the cursor shape. Keep in mind that the shape will be\n aligned with the  constraining plane by orienting it such that\n the x axis of the geometry lies along the normal of the plane.\n"},
  {(char*)"SetActiveCursorShape",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_SetActiveCursorShape, 1,
   (char*)"V.SetActiveCursorShape(vtkPolyData)\nC++: void SetActiveCursorShape (vtkPolyData *activeShape);\n\n Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n"},
  {(char*)"GetActiveCursorShape",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetActiveCursorShape, 1,
   (char*)"V.GetActiveCursorShape() -> vtkPolyData\nC++: vtkPolyData *GetActiveCursorShape ();\n\n Specify the shape of the cursor (handle) when it is active.\n This is the geometry that will be used when the mouse is\n close to the handle or if the user is manipulating the handle.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n This is the property used when the handle is not active \n (the mouse is not near the handle)\n"},
  {(char*)"GetActiveProperty",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetActiveProperty, 1,
   (char*)"V.GetActiveProperty() -> vtkProperty\nC++: vtkProperty *GetActiveProperty ();\n\n This is the property used when the user is interacting\n with the handle.\n"},
  {(char*)"GetLinesProperty",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetLinesProperty, 1,
   (char*)"V.GetLinesProperty() -> vtkProperty\nC++: vtkProperty *GetLinesProperty ();\n\n This is the property used by the lines.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modified);\n\n Subclasses of vtkOrientedGlyphContourRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"GetContourRepresentationAsPolyData",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetContourRepresentationAsPolyData, 1,
   (char*)"V.GetContourRepresentationAsPolyData() -> vtkPolyData\nC++: virtual vtkPolyData *GetContourRepresentationAsPolyData ();\n\n Get the points in this contour as a vtkPolyData. \n"},
  {(char*)"SetAlwaysOnTop",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_SetAlwaysOnTop, 1,
   (char*)"V.SetAlwaysOnTop(int)\nC++: void SetAlwaysOnTop (int );\n\n Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n"},
  {(char*)"GetAlwaysOnTop",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_GetAlwaysOnTop, 1,
   (char*)"V.GetAlwaysOnTop() -> int\nC++: int GetAlwaysOnTop ();\n\n Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n"},
  {(char*)"AlwaysOnTopOn",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_AlwaysOnTopOn, 1,
   (char*)"V.AlwaysOnTopOn()\nC++: void AlwaysOnTopOn ();\n\n Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n"},
  {(char*)"AlwaysOnTopOff",                (PyCFunction)PyvtkOrientedGlyphContourRepresentation_AlwaysOnTopOff, 1,
   (char*)"V.AlwaysOnTopOff()\nC++: void AlwaysOnTopOff ();\n\n Controls whether the contour widget should always appear on top\n of other actors in the scene. (In effect, this will disable OpenGL\n Depth buffer tests while rendering the contour).\n Default is to set it to false.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkOrientedGlyphContourRepresentationDoc[] = {
  (char*)"vtkOrientedGlyphContourRepresentation - Default representation for the contour widget\n\n",
  "Super Class:\n\n vtkContourRepresentation\n\n",
  (char*)" This class provides the default concrete representation for the \n vtkContourWidget. It works in conjunction with the \n vtkContourLineInterpolator and vtkPointPlacer. See vtkContourWidget\n for details.\n\n",
  "See Also:\n\n vtkContourRepresentation vtkContourWidget vtkPointPlacer \n vtkContourLineInterpolator\n\n",
  NULL
};

static vtkObjectBase *vtkOrientedGlyphContourRepresentationStaticNew()
{
  return vtkOrientedGlyphContourRepresentation::New();
}

PyObject *PyVTKClass_vtkOrientedGlyphContourRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkOrientedGlyphContourRepresentationStaticNew,
                        PyvtkOrientedGlyphContourRepresentationMethods,
                        (char*)"vtkOrientedGlyphContourRepresentation",modulename,
                        (char**)vtkOrientedGlyphContourRepresentationDoc,
                        PyVTKClass_vtkContourRepresentationNew(modulename));
}

