// python wrapper for vtkParallelopipedWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkParallelopipedWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkParallelopipedWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkParallelopipedWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkParallelopipedWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  const char    *temp20;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelopipedWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelopipedWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  vtkParallelopipedWidget  *temp20;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelopipedWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkParallelopipedWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkParallelopipedWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  int      temp0;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelopipedWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  vtkParallelopipedRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkParallelopipedRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkParallelopipedRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelopipedWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_SetEnableChairCreation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  int      temp0;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelopipedWidget::SetEnableChairCreation(temp0);
      }
    else
      {
      op->SetEnableChairCreation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_GetEnableChairCreation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  int      temp20;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkParallelopipedWidget::GetEnableChairCreation();
      }
    else
      {
      temp20 = op->GetEnableChairCreation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_EnableChairCreationOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelopipedWidget::EnableChairCreationOn();
      }
    else
      {
      op->EnableChairCreationOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_EnableChairCreationOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelopipedWidget::EnableChairCreationOff();
      }
    else
      {
      op->EnableChairCreationOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelopipedWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkParallelopipedWidget_SetProcessEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkParallelopipedWidget *op;

  int      temp0;
  op = (vtkParallelopipedWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkParallelopipedWidget::SetProcessEvents(temp0);
      }
    else
      {
      op->SetProcessEvents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkParallelopipedWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkParallelopipedWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkParallelopipedWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkParallelopipedWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkParallelopipedWidget\nC++: vtkParallelopipedWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkParallelopipedWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkParallelopipedWidget\nC++: vtkParallelopipedWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkParallelopipedWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Override the superclass method. This is a composite widget, (it internally\n consists of handle widgets). We will override the superclass method, so\n that we can pass the enabled state to the internal widgets as well.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkParallelopipedWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkParallelopipedRepresentation)\nC++: void SetRepresentation (vtkParallelopipedRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Enable/disable the creation of a chair on this widget. If off,\n chairs cannot be created.\n"},
  {(char*)"SetEnableChairCreation",                (PyCFunction)PyvtkParallelopipedWidget_SetEnableChairCreation, 1,
   (char*)"V.SetEnableChairCreation(int)\nC++: void SetEnableChairCreation (int );\n\n Enable/disable the creation of a chair on this widget. If off,\n chairs cannot be created.\n"},
  {(char*)"GetEnableChairCreation",                (PyCFunction)PyvtkParallelopipedWidget_GetEnableChairCreation, 1,
   (char*)"V.GetEnableChairCreation() -> int\nC++: int GetEnableChairCreation ();\n\n Enable/disable the creation of a chair on this widget. If off,\n chairs cannot be created.\n"},
  {(char*)"EnableChairCreationOn",                (PyCFunction)PyvtkParallelopipedWidget_EnableChairCreationOn, 1,
   (char*)"V.EnableChairCreationOn()\nC++: void EnableChairCreationOn ();\n\n Enable/disable the creation of a chair on this widget. If off,\n chairs cannot be created.\n"},
  {(char*)"EnableChairCreationOff",                (PyCFunction)PyvtkParallelopipedWidget_EnableChairCreationOff, 1,
   (char*)"V.EnableChairCreationOff()\nC++: void EnableChairCreationOff ();\n\n Enable/disable the creation of a chair on this widget. If off,\n chairs cannot be created.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkParallelopipedWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"SetProcessEvents",                (PyCFunction)PyvtkParallelopipedWidget_SetProcessEvents, 1,
   (char*)"V.SetProcessEvents(int)\nC++: virtual void SetProcessEvents (int );\n\n Methods to change the whether the widget responds to interaction.\n Overridden to pass the state to component widgets.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkParallelopipedWidgetDoc[] = {
  (char*)"vtkParallelopipedWidget - a widget to manipulate 3D parallelopipeds\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" This widget was designed with the aim of visualizing / probing cuts on\n a skewed image data / structured grid. \n\n .SECTION Interaction\n The widget allows you to create a parallelopiped (defined by 8 handles).\n The widget is initially placed by using the \"PlaceWidget\" method in the\n representation class. After the widget has been created, the following\n interactions may be used to manipulate it :\n",
  (char*)" 1) Click on a handle and drag it around moves the handle in space, while\n    keeping the same axis alignment of the parallelopiped\n 2) Dragging a handle with the shift button pressed resizes the piped\n    along an axis.\n 3) Control-click on a handle creates a chair at that position. (A chair\n    is a depression in the piped that allows you to visualize cuts in the\n    volume). \n 4) Clicking on a ",
  (char*)"chair and dragging it around moves the chair within the\n    piped.\n 5) Shift-click on the piped enables you to translate it.\n\n\n",
  "Caveats:\n\n\n",
  "See Also:\n\n\n",
  NULL
};

static vtkObjectBase *vtkParallelopipedWidgetStaticNew()
{
  return vtkParallelopipedWidget::New();
}

PyObject *PyVTKClass_vtkParallelopipedWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkParallelopipedWidgetStaticNew,
                        PyvtkParallelopipedWidgetMethods,
                        (char*)"vtkParallelopipedWidget",modulename,
                        (char**)vtkParallelopipedWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

