// python wrapper for vtkPlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlaneWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlaneWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlaneWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceWidgetNew(char *); }

static PyObject *PyvtkPlaneWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  const char    *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkPlaneWidget  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlaneWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlaneWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[6];
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetResolution(temp0);
      }
    else
      {
      op->SetResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetResolution();
      }
    else
      {
      temp20 = op->GetResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetOrigin(temp0,temp1,temp2);
      }
    else
      {
      op->SetOrigin(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetOrigin(temp0);
      }
    else
      {
      op->SetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetOrigin(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetOrigin();
      }
    else
      {
      temp20 = op->GetOrigin();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::GetOrigin(temp0);
      }
    else
      {
      op->GetOrigin(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetPoint1(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint1(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetPoint1(temp0);
      }
    else
      {
      op->SetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetPoint1(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetPoint1();
      }
    else
      {
      temp20 = op->GetPoint1();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::GetPoint1(temp0);
      }
    else
      {
      op->GetPoint1(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetPoint2(temp0,temp1,temp2);
      }
    else
      {
      op->SetPoint2(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetPoint2(temp0);
      }
    else
      {
      op->SetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetPoint2(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetPoint2();
      }
    else
      {
      temp20 = op->GetPoint2();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::GetPoint2(temp0);
      }
    else
      {
      op->GetPoint2(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::GetCenter(temp0);
      }
    else
      {
      op->GetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetNormal(temp0,temp1,temp2);
      }
    else
      {
      op->SetNormal(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetNormal(temp0);
      }
    else
      {
      op->SetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetNormal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetNormal();
      }
    else
      {
      temp20 = op->GetNormal();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::GetNormal(temp0);
      }
    else
      {
      op->GetNormal(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetRepresentationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetRepresentationMinValue();
      }
    else
      {
      temp20 = op->GetRepresentationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetRepresentationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetRepresentationMaxValue();
      }
    else
      {
      temp20 = op->GetRepresentationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetRepresentation();
      }
    else
      {
      temp20 = op->GetRepresentation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetRepresentationToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetRepresentationToOff();
      }
    else
      {
      op->SetRepresentationToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetRepresentationToOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetRepresentationToOutline();
      }
    else
      {
      op->SetRepresentationToOutline();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetRepresentationToWireframe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetRepresentationToWireframe();
      }
    else
      {
      op->SetRepresentationToWireframe();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetRepresentationToSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetRepresentationToSurface();
      }
    else
      {
      op->SetRepresentationToSurface();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetNormalToXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetNormalToXAxis(temp0);
      }
    else
      {
      op->SetNormalToXAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetNormalToXAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetNormalToXAxis();
      }
    else
      {
      temp20 = op->GetNormalToXAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_NormalToXAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::NormalToXAxisOn();
      }
    else
      {
      op->NormalToXAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_NormalToXAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::NormalToXAxisOff();
      }
    else
      {
      op->NormalToXAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetNormalToYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetNormalToYAxis(temp0);
      }
    else
      {
      op->SetNormalToYAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetNormalToYAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetNormalToYAxis();
      }
    else
      {
      temp20 = op->GetNormalToYAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_NormalToYAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::NormalToYAxisOn();
      }
    else
      {
      op->NormalToYAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_NormalToYAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::NormalToYAxisOff();
      }
    else
      {
      op->NormalToYAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetNormalToZAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetNormalToZAxis(temp0);
      }
    else
      {
      op->SetNormalToZAxis(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetNormalToZAxis(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  int      temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetNormalToZAxis();
      }
    else
      {
      temp20 = op->GetNormalToZAxis();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_NormalToZAxisOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::NormalToZAxisOn();
      }
    else
      {
      op->NormalToZAxisOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_NormalToZAxisOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::NormalToZAxisOff();
      }
    else
      {
      op->NormalToZAxisOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break50;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break50:
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetPlane(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkPlane  *temp0;
  PyObject *tempH0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlane *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlane");
    if (!temp0 && tempH0 != Py_None) goto break51;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::GetPlane(temp0);
      }
    else
      {
      op->GetPlane(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break51:
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetPolyDataAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkPolyDataAlgorithm  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetPolyDataAlgorithm();
      }
    else
      {
      temp20 = op->GetPolyDataAlgorithm();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_UpdatePlacement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::UpdatePlacement();
      }
    else
      {
      op->UpdatePlacement();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_SetPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break56;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaneWidget::SetPlaneProperty(temp0);
      }
    else
      {
      op->SetPlaneProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break56:
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetPlaneProperty();
      }
    else
      {
      temp20 = op->GetPlaneProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaneWidget_GetSelectedPlaneProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaneWidget *op;

  vtkProperty  *temp20;
  op = (vtkPlaneWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaneWidget::GetSelectedPlaneProperty();
      }
    else
      {
      temp20 = op->GetSelectedPlaneProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlaneWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlaneWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlaneWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlaneWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlaneWidget\nC++: vtkPlaneWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlaneWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlaneWidget\nC++: vtkPlaneWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkPlaneWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkPlaneWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"SetResolution",                (PyCFunction)PyvtkPlaneWidget_SetResolution, 1,
   (char*)"V.SetResolution(int)\nC++: void SetResolution (int r);\n\n Set/Get the resolution (number of subdivisions) of the plane.\n"},
  {(char*)"GetResolution",                (PyCFunction)PyvtkPlaneWidget_GetResolution, 1,
   (char*)"V.GetResolution() -> int\nC++: int GetResolution ();\n\n Set/Get the resolution (number of subdivisions) of the plane.\n"},
  {(char*)"SetOrigin",                (PyCFunction)PyvtkPlaneWidget_SetOrigin, 1,
   (char*)"V.SetOrigin(float, float, float)\nC++: void SetOrigin (double x, double y, double z);\nV.SetOrigin((float, float, float))\nC++: void SetOrigin (double x[3]);\n\n Set/Get the origin of the plane.\n"},
  {(char*)"GetOrigin",                (PyCFunction)PyvtkPlaneWidget_GetOrigin, 1,
   (char*)"V.GetOrigin() -> (float, float, float)\nC++: double *GetOrigin ();\nV.GetOrigin((float, float, float))\nC++: void GetOrigin (double xyz[3]);\n\n Set/Get the origin of the plane.\n"},
  {(char*)"SetPoint1",                (PyCFunction)PyvtkPlaneWidget_SetPoint1, 1,
   (char*)"V.SetPoint1(float, float, float)\nC++: void SetPoint1 (double x, double y, double z);\nV.SetPoint1((float, float, float))\nC++: void SetPoint1 (double x[3]);\n\n Set/Get the position of the point defining the first axis of the plane.\n"},
  {(char*)"GetPoint1",                (PyCFunction)PyvtkPlaneWidget_GetPoint1, 1,
   (char*)"V.GetPoint1() -> (float, float, float)\nC++: double *GetPoint1 ();\nV.GetPoint1((float, float, float))\nC++: void GetPoint1 (double xyz[3]);\n\n Set/Get the position of the point defining the first axis of the plane.\n"},
  {(char*)"SetPoint2",                (PyCFunction)PyvtkPlaneWidget_SetPoint2, 1,
   (char*)"V.SetPoint2(float, float, float)\nC++: void SetPoint2 (double x, double y, double z);\nV.SetPoint2((float, float, float))\nC++: void SetPoint2 (double x[3]);\n\n Set/Get the position of the point defining the second axis of the plane.\n"},
  {(char*)"GetPoint2",                (PyCFunction)PyvtkPlaneWidget_GetPoint2, 1,
   (char*)"V.GetPoint2() -> (float, float, float)\nC++: double *GetPoint2 ();\nV.GetPoint2((float, float, float))\nC++: void GetPoint2 (double xyz[3]);\n\n Set/Get the position of the point defining the second axis of the plane.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkPlaneWidget_SetCenter, 1,
   (char*)"V.SetCenter(float, float, float)\nC++: void SetCenter (double x, double y, double z);\nV.SetCenter((float, float, float))\nC++: void SetCenter (double x[3]);\n\n Get the center of the plane.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkPlaneWidget_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double *GetCenter ();\nV.GetCenter((float, float, float))\nC++: void GetCenter (double xyz[3]);\n\n Get the center of the plane.\n"},
  {(char*)"SetNormal",                (PyCFunction)PyvtkPlaneWidget_SetNormal, 1,
   (char*)"V.SetNormal(float, float, float)\nC++: void SetNormal (double x, double y, double z);\nV.SetNormal((float, float, float))\nC++: void SetNormal (double x[3]);\n\n Get the normal to the plane.\n"},
  {(char*)"GetNormal",                (PyCFunction)PyvtkPlaneWidget_GetNormal, 1,
   (char*)"V.GetNormal() -> (float, float, float)\nC++: double *GetNormal ();\nV.GetNormal((float, float, float))\nC++: void GetNormal (double xyz[3]);\n\n Get the normal to the plane.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkPlaneWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(int)\nC++: void SetRepresentation (int );\n\n Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n"},
  {(char*)"GetRepresentationMinValue",                (PyCFunction)PyvtkPlaneWidget_GetRepresentationMinValue, 1,
   (char*)"V.GetRepresentationMinValue() -> int\nC++: int GetRepresentationMinValue ();\n\n Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n"},
  {(char*)"GetRepresentationMaxValue",                (PyCFunction)PyvtkPlaneWidget_GetRepresentationMaxValue, 1,
   (char*)"V.GetRepresentationMaxValue() -> int\nC++: int GetRepresentationMaxValue ();\n\n Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n"},
  {(char*)"GetRepresentation",                (PyCFunction)PyvtkPlaneWidget_GetRepresentation, 1,
   (char*)"V.GetRepresentation() -> int\nC++: int GetRepresentation ();\n\n Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n"},
  {(char*)"SetRepresentationToOff",                (PyCFunction)PyvtkPlaneWidget_SetRepresentationToOff, 1,
   (char*)"V.SetRepresentationToOff()\nC++: void SetRepresentationToOff ();this SetRepresentation VTK_PLANE_OFF \n\n Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n"},
  {(char*)"SetRepresentationToOutline",                (PyCFunction)PyvtkPlaneWidget_SetRepresentationToOutline, 1,
   (char*)"V.SetRepresentationToOutline()\nC++: void SetRepresentationToOutline ();this SetRepresentation VTK_PLANE_OUTLINE \n\n Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n"},
  {(char*)"SetRepresentationToWireframe",                (PyCFunction)PyvtkPlaneWidget_SetRepresentationToWireframe, 1,
   (char*)"V.SetRepresentationToWireframe()\nC++: void SetRepresentationToWireframe ();this SetRepresentation VTK_PLANE_WIREFRAME \n\n Control how the plane appears when GetPolyData() is invoked.\n If the mode is \"outline\", then just the outline of the plane\n is shown. If the mode is \"wireframe\" then the plane is drawn\n with the outline plus the interior mesh (corresponding to the\n resolution specified). If the mode is \"surface\" then the plane\n is drawn as a surface.\n"},
  {(char*)"SetRepresentationToSurface",                (PyCFunction)PyvtkPlaneWidget_SetRepresentationToSurface, 1,
   (char*)"V.SetRepresentationToSurface()\nC++: void SetRepresentationToSurface ();this SetRepresentation VTK_PLANE_SURFACE \n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetNormalToXAxis",                (PyCFunction)PyvtkPlaneWidget_SetNormalToXAxis, 1,
   (char*)"V.SetNormalToXAxis(int)\nC++: void SetNormalToXAxis (int );\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetNormalToXAxis",                (PyCFunction)PyvtkPlaneWidget_GetNormalToXAxis, 1,
   (char*)"V.GetNormalToXAxis() -> int\nC++: int GetNormalToXAxis ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToXAxisOn",                (PyCFunction)PyvtkPlaneWidget_NormalToXAxisOn, 1,
   (char*)"V.NormalToXAxisOn()\nC++: void NormalToXAxisOn ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToXAxisOff",                (PyCFunction)PyvtkPlaneWidget_NormalToXAxisOff, 1,
   (char*)"V.NormalToXAxisOff()\nC++: void NormalToXAxisOff ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetNormalToYAxis",                (PyCFunction)PyvtkPlaneWidget_SetNormalToYAxis, 1,
   (char*)"V.SetNormalToYAxis(int)\nC++: void SetNormalToYAxis (int );\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetNormalToYAxis",                (PyCFunction)PyvtkPlaneWidget_GetNormalToYAxis, 1,
   (char*)"V.GetNormalToYAxis() -> int\nC++: int GetNormalToYAxis ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToYAxisOn",                (PyCFunction)PyvtkPlaneWidget_NormalToYAxisOn, 1,
   (char*)"V.NormalToYAxisOn()\nC++: void NormalToYAxisOn ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToYAxisOff",                (PyCFunction)PyvtkPlaneWidget_NormalToYAxisOff, 1,
   (char*)"V.NormalToYAxisOff()\nC++: void NormalToYAxisOff ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"SetNormalToZAxis",                (PyCFunction)PyvtkPlaneWidget_SetNormalToZAxis, 1,
   (char*)"V.SetNormalToZAxis(int)\nC++: void SetNormalToZAxis (int );\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetNormalToZAxis",                (PyCFunction)PyvtkPlaneWidget_GetNormalToZAxis, 1,
   (char*)"V.GetNormalToZAxis() -> int\nC++: int GetNormalToZAxis ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToZAxisOn",                (PyCFunction)PyvtkPlaneWidget_NormalToZAxisOn, 1,
   (char*)"V.NormalToZAxisOn()\nC++: void NormalToZAxisOn ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"NormalToZAxisOff",                (PyCFunction)PyvtkPlaneWidget_NormalToZAxisOff, 1,
   (char*)"V.NormalToZAxisOff()\nC++: void NormalToZAxisOff ();\n\n Force the plane widget to be aligned with one of the x-y-z axes.\n Remember that when the state changes, a ModifiedEvent is invoked.\n This can be used to snap the plane to the axes if it is orginally\n not aligned.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkPlaneWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the plane.  The\n polydata consists of (res+1)*(res+1) points, and res*res quadrilateral\n polygons, where res is the resolution of the plane. These point values\n are guaranteed to be up-to-date when either the InteractionEvent or\n EndInteraction events are invoked. The user provides the vtkPolyData and\n the points and polyplane are added to it.\n"},
  {(char*)"GetPlane",                (PyCFunction)PyvtkPlaneWidget_GetPlane, 1,
   (char*)"V.GetPlane(vtkPlane)\nC++: void GetPlane (vtkPlane *plane);\n\n Get the planes describing the implicit function defined by the plane\n widget. The user must provide the instance of the class vtkPlane. Note\n that vtkPlane is a subclass of vtkImplicitFunction, meaning that it can\n be used by a variety of filters to perform clipping, cutting, and\n selection of data.\n"},
  {(char*)"GetPolyDataAlgorithm",                (PyCFunction)PyvtkPlaneWidget_GetPolyDataAlgorithm, 1,
   (char*)"V.GetPolyDataAlgorithm() -> vtkPolyDataAlgorithm\nC++: vtkPolyDataAlgorithm *GetPolyDataAlgorithm ();\n\n Satisfies superclass API.  This returns a pointer to the underlying\n PolyData.  Make changes to this before calling the initial PlaceWidget()\n to have the initial placement follow suit.  Or, make changes after the\n widget has been initialised and call UpdatePlacement() to realise.\n"},
  {(char*)"UpdatePlacement",                (PyCFunction)PyvtkPlaneWidget_UpdatePlacement, 1,
   (char*)"V.UpdatePlacement()\nC++: void UpdatePlacement (void );\n\n Satisfies superclass API.  This will change the state of the widget to\n match changes that have been made to the underlying PolyDataSource\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkPlaneWidget_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n manipulated.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkPlaneWidget_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n manipulated.\n"},
  {(char*)"SetPlaneProperty",                (PyCFunction)PyvtkPlaneWidget_SetPlaneProperty, 1,
   (char*)"V.SetPlaneProperty(vtkProperty)\nC++: virtual void SetPlaneProperty (vtkProperty *);\n\n Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetPlaneProperty",                (PyCFunction)PyvtkPlaneWidget_GetPlaneProperty, 1,
   (char*)"V.GetPlaneProperty() -> vtkProperty\nC++: vtkProperty *GetPlaneProperty ();\n\n Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedPlaneProperty",                (PyCFunction)PyvtkPlaneWidget_GetSelectedPlaneProperty, 1,
   (char*)"V.GetSelectedPlaneProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedPlaneProperty ();\n\n Get the plane properties. The properties of the plane when selected \n and unselected can be manipulated.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlaneWidgetDoc[] = {
  (char*)"vtkPlaneWidget - 3D widget for manipulating a finite plane\n\n",
  "Super Class:\n\n vtkPolyDataSourceWidget\n\n",
  (char*)" This 3D widget defines a finite (bounded) plane that can be interactively\n placed in a scene. The plane has four handles (at its corner vertices), a\n normal vector, and the plane itself. The handles are used to resize the\n plane; the normal vector to rotate it, and the plane can be picked and\n translated. Selecting the plane while pressing CTRL makes it spin around \n the normal. A nice feature of",
  (char*)" the object is that the vtkPlaneWidget, like\n any 3D widget, will work with the current interactor style. That is, if\n vtkPlaneWidget does not handle an event, then all other registered\n observers (including the interactor style) have an opportunity to process\n the event. Otherwise, the vtkPlaneWidget will terminate the processing of\n the event that it handles.\n\n To use this object, just invoke Se",
  (char*)"tInteractor() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially position the widget. If the \"i\" key (for\n \"interactor\") is pressed, the vtkPlaneWidget will appear. (See superclass\n documentation for information about changing this behavior.) By grabbing\n the one of the four handles (use the left mouse button), the plane can be\n",
  (char*)" resized.  By grabbing the plane itself, the entire plane can be\n arbitrarily translated. Pressing CTRL while grabbing the plane will spin\n the plane around the normal. If you select the normal vector, the plane can be\n arbitrarily rotated. Selecting any part of the widget with the middle\n mouse button enables translation of the plane along its normal. (Once\n selected using middle mouse, moving th",
  (char*)"e mouse in the direction of the\n normal translates the plane in the direction of the normal; moving in the\n direction opposite the normal translates the plane in the direction\n opposite the normal.) Scaling (about the center of the plane) is achieved\n by using the right mouse button. By moving the mouse \"up\" the render\n window the plane will be made bigger; by moving \"down\" the render window\n the ",
  (char*)"widget will be made smaller. Events that occur outside of the widget\n (i.e., no part of the widget is picked) are propagated to any other\n registered obsevers (such as the interaction style).  Turn off the widget\n by pressing the \"i\" key again (or invoke the Off() method).\n\n The vtkPlaneWidget has several methods that can be used in conjunction\n with other VTK objects. The Set/GetResolution() meth",
  (char*)"ods control the number\n of subdivisions of the plane; the GetPolyData() method can be used to get\n the polygonal representation and can be used for things like seeding\n stream lines. GetPlane() can be used to update a vtkPlane implicit\n function. Typical usage of the widget is to make use of the\n StartInteractionEvent, InteractionEvent, and EndInteractionEvent\n events. The InteractionEvent is call",
  (char*)"ed on mouse motion; the other two\n events are called on button down and button up (either left or right\n button).\n\n Some additional features of this class include the ability to control the\n properties of the widget. You can set the properties of the selected and\n unselected representations of the plane. For example, you can set the\n property for the handles and plane. In addition there are method",
  (char*)"s to\n constrain the plane so that it is perpendicular to the x-y-z axes.\n\n",
  "Caveats:\n\n Note that handles and plane can be picked even when they are \"behind\" other\n actors.  This is an intended feature and not a bug.\n\n",
  "See Also:\n\n vtk3DWidget vtkBoxWidget vtkLineWidget vtkSphereWidget\n vtkImplicitPlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkPlaneWidgetStaticNew()
{
  return vtkPlaneWidget::New();
}

PyObject *PyVTKClass_vtkPlaneWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlaneWidgetStaticNew,
                        PyvtkPlaneWidgetMethods,
                        (char*)"vtkPlaneWidget",modulename,
                        (char**)vtkPlaneWidgetDoc,
                        PyVTKClass_vtkPolyDataSourceWidgetNew(modulename));
}

