// python wrapper for vtkPlaybackRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlaybackRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlaybackRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlaybackRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }

static PyObject *PyvtkPlaybackRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  const char    *temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  vtkPlaybackRepresentation  *temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlaybackRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlaybackRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_Play(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::Play();
      }
    else
      {
      op->Play();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_Stop(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::Stop();
      }
    else
      {
      op->Stop();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_ForwardOneFrame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::ForwardOneFrame();
      }
    else
      {
      op->ForwardOneFrame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_BackwardOneFrame(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::BackwardOneFrame();
      }
    else
      {
      op->BackwardOneFrame();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_JumpToBeginning(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::JumpToBeginning();
      }
    else
      {
      op->JumpToBeginning();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_JumpToEnd(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::JumpToEnd();
      }
    else
      {
      op->JumpToEnd();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  double temp0[2];
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::GetSize(temp0);
      }
    else
      {
      op->GetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break15;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break15:
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkPlaybackRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackRepresentation *op;

  int      temp20;
  op = (vtkPlaybackRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlaybackRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlaybackRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlaybackRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlaybackRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlaybackRepresentation\nC++: vtkPlaybackRepresentation *NewInstance ();\n\n Standard VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlaybackRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlaybackRepresentation\nC++: vtkPlaybackRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK class methods.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkPlaybackRepresentation_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetProperty ();\n\n By obtaining this property you can specify the properties of the \n representation.\n"},
  {(char*)"Play",                (PyCFunction)PyvtkPlaybackRepresentation_Play, 1,
   (char*)"V.Play()\nC++: virtual void Play ();\n\n Virtual callbacks that subclasses should implement.\n"},
  {(char*)"Stop",                (PyCFunction)PyvtkPlaybackRepresentation_Stop, 1,
   (char*)"V.Stop()\nC++: virtual void Stop ();\n\n Virtual callbacks that subclasses should implement.\n"},
  {(char*)"ForwardOneFrame",                (PyCFunction)PyvtkPlaybackRepresentation_ForwardOneFrame, 1,
   (char*)"V.ForwardOneFrame()\nC++: virtual void ForwardOneFrame ();\n\n Virtual callbacks that subclasses should implement.\n"},
  {(char*)"BackwardOneFrame",                (PyCFunction)PyvtkPlaybackRepresentation_BackwardOneFrame, 1,
   (char*)"V.BackwardOneFrame()\nC++: virtual void BackwardOneFrame ();\n\n Virtual callbacks that subclasses should implement.\n"},
  {(char*)"JumpToBeginning",                (PyCFunction)PyvtkPlaybackRepresentation_JumpToBeginning, 1,
   (char*)"V.JumpToBeginning()\nC++: virtual void JumpToBeginning ();\n\n Virtual callbacks that subclasses should implement.\n"},
  {(char*)"JumpToEnd",                (PyCFunction)PyvtkPlaybackRepresentation_JumpToEnd, 1,
   (char*)"V.JumpToEnd()\nC++: virtual void JumpToEnd ();\n\n Satisfy the superclasses' API.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkPlaybackRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Satisfy the superclasses' API.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkPlaybackRepresentation_GetSize, 1,
   (char*)"V.GetSize((float, float))\nC++: virtual void GetSize (double size[2]);size size \n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkPlaybackRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkPlaybackRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkPlaybackRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkPlaybackRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkPlaybackRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkPlaybackRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlaybackRepresentationDoc[] = {
  (char*)"vtkPlaybackRepresentation - represent the vtkPlaybackWidget\n\n",
  "Super Class:\n\n vtkBorderRepresentation\n\n",
  (char*)" This class is used to represent the vtkPlaybackWidget. Besides defining\n geometry, this class defines a series of virtual method stubs that are\n meant to be subclassed by applications for controlling playback.\n\n",
  "See Also:\n\n vtkPlaybackWidget\n\n",
  NULL
};

static vtkObjectBase *vtkPlaybackRepresentationStaticNew()
{
  return vtkPlaybackRepresentation::New();
}

PyObject *PyVTKClass_vtkPlaybackRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlaybackRepresentationStaticNew,
                        PyvtkPlaybackRepresentationMethods,
                        (char*)"vtkPlaybackRepresentation",modulename,
                        (char**)vtkPlaybackRepresentationDoc,
                        PyVTKClass_vtkBorderRepresentationNew(modulename));
}

