// python wrapper for vtkPlaybackWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPlaybackWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPlaybackWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPlaybackWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }

static PyObject *PyvtkPlaybackWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackWidget *op;

  const char    *temp20;
  op = (vtkPlaybackWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkPlaybackWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackWidget *op;

  vtkPlaybackWidget  *temp20;
  op = (vtkPlaybackWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPlaybackWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPlaybackWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPlaybackWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPlaybackWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPlaybackWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackWidget *op;

  vtkPlaybackRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkPlaybackWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPlaybackRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPlaybackRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPlaybackWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPlaybackWidget *op;

  op = (vtkPlaybackWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPlaybackWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPlaybackWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPlaybackWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standar VTK class methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPlaybackWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standar VTK class methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPlaybackWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPlaybackWidget\nC++: vtkPlaybackWidget *NewInstance ();\n\n Standar VTK class methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPlaybackWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPlaybackWidget\nC++: vtkPlaybackWidget *SafeDownCast (vtkObject* o);\n\n Standar VTK class methods.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkPlaybackWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkPlaybackRepresentation)\nC++: void SetRepresentation (vtkPlaybackRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkPlaybackWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPlaybackWidgetDoc[] = {
  (char*)"vtkPlaybackWidget - 2D widget for controlling a playback stream\n\n",
  "Super Class:\n\n vtkBorderWidget\n\n",
  (char*)" This class provides support for interactively controlling the playback of\n a serial stream of information (e.g., animation sequence, video, etc.). \n Controls for play, stop, advance one step forward, advance one step backward, \n jump to beginning, and jump to end are available. \n\n",
  "See Also:\n\n vtkBorderWidget \n\n",
  NULL
};

static vtkObjectBase *vtkPlaybackWidgetStaticNew()
{
  return vtkPlaybackWidget::New();
}

PyObject *PyVTKClass_vtkPlaybackWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkPlaybackWidgetStaticNew,
                        PyvtkPlaybackWidgetMethods,
                        (char*)"vtkPlaybackWidget",modulename,
                        (char**)vtkPlaybackWidgetDoc,
                        PyVTKClass_vtkBorderWidgetNew(modulename));
}

