// python wrapper for vtkPointHandleRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointHandleRepresentation2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointHandleRepresentation2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointHandleRepresentation2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHandleRepresentationNew(char *); }

static PyObject *PyvtkPointHandleRepresentation2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  const char    *temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkPointHandleRepresentation2D  *temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointHandleRepresentation2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointHandleRepresentation2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_SetCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::SetCursorShape(temp0);
      }
    else
      {
      op->SetCursorShape(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_GetCursorShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkPolyData  *temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::GetCursorShape();
      }
    else
      {
      temp20 = op->GetCursorShape();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_SetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  double temp0[3];
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::SetDisplayPosition(temp0);
      }
    else
      {
      op->SetDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_SetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkProperty2D  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty2D *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty2D");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::SetSelectedProperty(temp0);
      }
    else
      {
      op->SetSelectedProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  double  *temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  double temp0[2];
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  double temp0[2];
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break16;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break16:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPointHandleRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}

static PyMethodDef PyvtkPointHandleRepresentation2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointHandleRepresentation2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointHandleRepresentation2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointHandleRepresentation2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointHandleRepresentation2D\nC++: vtkPointHandleRepresentation2D *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointHandleRepresentation2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointHandleRepresentation2D\nC++: vtkPointHandleRepresentation2D *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetCursorShape",                (PyCFunction)PyvtkPointHandleRepresentation2D_SetCursorShape, 1,
   (char*)"V.SetCursorShape(vtkPolyData)\nC++: void SetCursorShape (vtkPolyData *cursorShape);\n\n Specify the cursor shape with an instance of vtkPolyData. Note that\n shape is assumed to be defined in the display coordinate system. By\n default a vtkCursor2D shape is used.\n"},
  {(char*)"GetCursorShape",                (PyCFunction)PyvtkPointHandleRepresentation2D_GetCursorShape, 1,
   (char*)"V.GetCursorShape() -> vtkPolyData\nC++: vtkPolyData *GetCursorShape ();\n\n Specify the cursor shape with an instance of vtkPolyData. Note that\n shape is assumed to be defined in the display coordinate system. By\n default a vtkCursor2D shape is used.\n"},
  {(char*)"SetDisplayPosition",                (PyCFunction)PyvtkPointHandleRepresentation2D_SetDisplayPosition, 1,
   (char*)"V.SetDisplayPosition((float, float, float))\nC++: virtual void SetDisplayPosition (double xyz[3]);\n\n Set/Get the position of the point in display coordinates.  This overloads\n the superclasses SetDisplayPosition in order to set the focal point\n of the cursor.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkPointHandleRepresentation2D_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty2D)\nC++: void SetProperty (vtkProperty2D *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"SetSelectedProperty",                (PyCFunction)PyvtkPointHandleRepresentation2D_SetSelectedProperty, 1,
   (char*)"V.SetSelectedProperty(vtkProperty2D)\nC++: void SetSelectedProperty (vtkProperty2D *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkPointHandleRepresentation2D_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkPointHandleRepresentation2D_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetSelectedProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPointHandleRepresentation2D_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\n\n Subclasses of vtkPointHandleRepresentation2D must implement these\n methods. These are the methods that the widget and its representation\n use to communicate with each other.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkPointHandleRepresentation2D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Subclasses of vtkPointHandleRepresentation2D must implement these\n methods. These are the methods that the widget and its representation\n use to communicate with each other.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkPointHandleRepresentation2D_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkPointHandleRepresentation2D must implement these\n methods. These are the methods that the widget and its representation\n use to communicate with each other.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkPointHandleRepresentation2D_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkPointHandleRepresentation2D must implement these\n methods. These are the methods that the widget and its representation\n use to communicate with each other.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkPointHandleRepresentation2D_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Subclasses of vtkPointHandleRepresentation2D must implement these\n methods. These are the methods that the widget and its representation\n use to communicate with each other.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPointHandleRepresentation2D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkPointHandleRepresentation2D_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkPointHandleRepresentation2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkPointHandleRepresentation2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointHandleRepresentation2DDoc[] = {
  (char*)"vtkPointHandleRepresentation2D - represent the position of a point in display coordinates\n\n",
  "Super Class:\n\n vtkHandleRepresentation\n\n",
  (char*)" This class is used to represent a vtkHandleWidget. It represents a\n position in 2D world coordinates using a x-y cursor (the cursor defined by\n an instance of vtkPolyData and generated by a vtkPolyDataAlgorithm).\n\n",
  "See Also:\n\n vtkHandleRepresentation vtkHandleWidget\n\n",
  NULL
};

static vtkObjectBase *vtkPointHandleRepresentation2DStaticNew()
{
  return vtkPointHandleRepresentation2D::New();
}

PyObject *PyVTKClass_vtkPointHandleRepresentation2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointHandleRepresentation2DStaticNew,
                        PyvtkPointHandleRepresentation2DMethods,
                        (char*)"vtkPointHandleRepresentation2D",modulename,
                        (char**)vtkPointHandleRepresentation2DDoc,
                        PyVTKClass_vtkHandleRepresentationNew(modulename));
}

