// python wrapper for vtkPointHandleRepresentation3D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointHandleRepresentation3D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointHandleRepresentation3DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointHandleRepresentation3DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHandleRepresentationNew(char *); }

static PyObject *PyvtkPointHandleRepresentation3D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  const char    *temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkPointHandleRepresentation3D  *temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointHandleRepresentation3D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointHandleRepresentation3D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double temp0[3];
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetWorldPosition(temp0);
      }
    else
      {
      op->SetWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double temp0[3];
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetDisplayPosition(temp0);
      }
    else
      {
      op->SetDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetOutline(temp0);
      }
    else
      {
      op->SetOutline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetOutline();
      }
    else
      {
      temp20 = op->GetOutline();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_OutlineOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::OutlineOn();
      }
    else
      {
      op->OutlineOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_OutlineOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::OutlineOff();
      }
    else
      {
      op->OutlineOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetXShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetXShadows(temp0);
      }
    else
      {
      op->SetXShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetXShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetXShadows();
      }
    else
      {
      temp20 = op->GetXShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_XShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::XShadowsOn();
      }
    else
      {
      op->XShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_XShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::XShadowsOff();
      }
    else
      {
      op->XShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetYShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetYShadows(temp0);
      }
    else
      {
      op->SetYShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetYShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetYShadows();
      }
    else
      {
      temp20 = op->GetYShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_YShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::YShadowsOn();
      }
    else
      {
      op->YShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_YShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::YShadowsOff();
      }
    else
      {
      op->YShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetZShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetZShadows(temp0);
      }
    else
      {
      op->SetZShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetZShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetZShadows();
      }
    else
      {
      temp20 = op->GetZShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_ZShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::ZShadowsOn();
      }
    else
      {
      op->ZShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_ZShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::ZShadowsOff();
      }
    else
      {
      op->ZShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetTranslationMode(temp0);
      }
    else
      {
      op->SetTranslationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetTranslationMode();
      }
    else
      {
      temp20 = op->GetTranslationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_TranslationModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::TranslationModeOn();
      }
    else
      {
      op->TranslationModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_TranslationModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::TranslationModeOff();
      }
    else
      {
      op->TranslationModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_AllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::AllOn();
      }
    else
      {
      op->AllOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_AllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::AllOff();
      }
    else
      {
      op->AllOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetSelectedProperty(temp0);
      }
    else
      {
      op->SetSelectedProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkProperty  *temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkProperty  *temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetHotSpotSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double   temp0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetHotSpotSize(temp0);
      }
    else
      {
      op->SetHotSpotSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetHotSpotSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double   temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetHotSpotSizeMinValue();
      }
    else
      {
      temp20 = op->GetHotSpotSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetHotSpotSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double   temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetHotSpotSizeMaxValue();
      }
    else
      {
      temp20 = op->GetHotSpotSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetHotSpotSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double   temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetHotSpotSize();
      }
    else
      {
      temp20 = op->GetHotSpotSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_SetHandleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double   temp0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::SetHandleSize(temp0);
      }
    else
      {
      op->SetHandleSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double  *temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double temp0[2];
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double temp0[2];
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  double temp0[6];
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break43;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break43:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break44;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break44:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break45;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointHandleRepresentation3D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break45:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break46;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break47;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break47:
  return NULL;
}


static PyObject *PyvtkPointHandleRepresentation3D_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointHandleRepresentation3D *op;

  int      temp20;
  op = (vtkPointHandleRepresentation3D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointHandleRepresentation3D::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointHandleRepresentation3DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointHandleRepresentation3D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointHandleRepresentation3D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointHandleRepresentation3D\nC++: vtkPointHandleRepresentation3D *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointHandleRepresentation3D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointHandleRepresentation3D\nC++: vtkPointHandleRepresentation3D *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetWorldPosition",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetWorldPosition, 1,
   (char*)"V.SetWorldPosition((float, float, float))\nC++: virtual void SetWorldPosition (double p[3]);\n\n Set the position of the point in world and display coordinates. Note \n that if the position is set outside of the bounding box, it will be \n clamped to the boundary of the bounding box. This method overloads\n the superclasses' SetWorldPosition() and SetDisplayPosition() in \n order to set the focal point of the cursor properly.\n"},
  {(char*)"SetDisplayPosition",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetDisplayPosition, 1,
   (char*)"V.SetDisplayPosition((float, float, float))\nC++: virtual void SetDisplayPosition (double p[3]);\n\n Set the position of the point in world and display coordinates. Note \n that if the position is set outside of the bounding box, it will be \n clamped to the boundary of the bounding box. This method overloads\n the superclasses' SetWorldPosition() and SetDisplayPosition() in \n order to set the focal point of the cursor properly.\n"},
  {(char*)"SetOutline",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetOutline, 1,
   (char*)"V.SetOutline(int)\nC++: void SetOutline (int o);this Cursor3D SetOutline o \n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"GetOutline",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetOutline, 1,
   (char*)"V.GetOutline() -> int\nC++: int GetOutline ();return this Cursor3D GetOutline \n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOn",                (PyCFunction)PyvtkPointHandleRepresentation3D_OutlineOn, 1,
   (char*)"V.OutlineOn()\nC++: void OutlineOn ();this Cursor3D OutlineOn \n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOff",                (PyCFunction)PyvtkPointHandleRepresentation3D_OutlineOff, 1,
   (char*)"V.OutlineOff()\nC++: void OutlineOff ();this Cursor3D OutlineOff \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"SetXShadows",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetXShadows, 1,
   (char*)"V.SetXShadows(int)\nC++: void SetXShadows (int o);this Cursor3D SetXShadows o \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"GetXShadows",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetXShadows, 1,
   (char*)"V.GetXShadows() -> int\nC++: int GetXShadows ();return this Cursor3D GetXShadows \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"XShadowsOn",                (PyCFunction)PyvtkPointHandleRepresentation3D_XShadowsOn, 1,
   (char*)"V.XShadowsOn()\nC++: void XShadowsOn ();this Cursor3D XShadowsOn \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"XShadowsOff",                (PyCFunction)PyvtkPointHandleRepresentation3D_XShadowsOff, 1,
   (char*)"V.XShadowsOff()\nC++: void XShadowsOff ();this Cursor3D XShadowsOff \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"SetYShadows",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetYShadows, 1,
   (char*)"V.SetYShadows(int)\nC++: void SetYShadows (int o);this Cursor3D SetYShadows o \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"GetYShadows",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetYShadows, 1,
   (char*)"V.GetYShadows() -> int\nC++: int GetYShadows ();return this Cursor3D GetYShadows \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"YShadowsOn",                (PyCFunction)PyvtkPointHandleRepresentation3D_YShadowsOn, 1,
   (char*)"V.YShadowsOn()\nC++: void YShadowsOn ();this Cursor3D YShadowsOn \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"YShadowsOff",                (PyCFunction)PyvtkPointHandleRepresentation3D_YShadowsOff, 1,
   (char*)"V.YShadowsOff()\nC++: void YShadowsOff ();this Cursor3D YShadowsOff \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"SetZShadows",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetZShadows, 1,
   (char*)"V.SetZShadows(int)\nC++: void SetZShadows (int o);this Cursor3D SetZShadows o \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"GetZShadows",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetZShadows, 1,
   (char*)"V.GetZShadows() -> int\nC++: int GetZShadows ();return this Cursor3D GetZShadows \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"ZShadowsOn",                (PyCFunction)PyvtkPointHandleRepresentation3D_ZShadowsOn, 1,
   (char*)"V.ZShadowsOn()\nC++: void ZShadowsOn ();this Cursor3D ZShadowsOn \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"ZShadowsOff",                (PyCFunction)PyvtkPointHandleRepresentation3D_ZShadowsOff, 1,
   (char*)"V.ZShadowsOff()\nC++: void ZShadowsOff ();this Cursor3D ZShadowsOff \n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. (Note that the bounds can be\n scaled up using the right mouse button, and the bounds can be manually\n set with the SetBounds() method.)\n"},
  {(char*)"SetTranslationMode",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetTranslationMode, 1,
   (char*)"V.SetTranslationMode(int)\nC++: void SetTranslationMode (int );\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. (Note that the bounds can be\n scaled up using the right mouse button, and the bounds can be manually\n set with the SetBounds() method.)\n"},
  {(char*)"GetTranslationMode",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetTranslationMode, 1,
   (char*)"V.GetTranslationMode() -> int\nC++: int GetTranslationMode ();\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. (Note that the bounds can be\n scaled up using the right mouse button, and the bounds can be manually\n set with the SetBounds() method.)\n"},
  {(char*)"TranslationModeOn",                (PyCFunction)PyvtkPointHandleRepresentation3D_TranslationModeOn, 1,
   (char*)"V.TranslationModeOn()\nC++: void TranslationModeOn ();\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. (Note that the bounds can be\n scaled up using the right mouse button, and the bounds can be manually\n set with the SetBounds() method.)\n"},
  {(char*)"TranslationModeOff",                (PyCFunction)PyvtkPointHandleRepresentation3D_TranslationModeOff, 1,
   (char*)"V.TranslationModeOff()\nC++: void TranslationModeOff ();\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated and sized simultaneously as the\n point moves (i.e., the left and middle mouse buttons act the same). If\n translation mode is off, the cursor does not scale itself (based on the\n specified handle size), and the bounding box and shadows do not move or\n size themselves as the cursor focal point moves, which is constrained by\n the bounds of the point representation. (Note that the bounds can be\n scaled up using the right mouse button, and the bounds can be manually\n set with the SetBounds() method.)\n"},
  {(char*)"AllOn",                (PyCFunction)PyvtkPointHandleRepresentation3D_AllOn, 1,
   (char*)"V.AllOn()\nC++: void AllOn ();this OutlineOn this XShadowsOn this YShadowsOn this ZShadowsOn \n\n Convenience methods to turn outline and shadows on and off.\n"},
  {(char*)"AllOff",                (PyCFunction)PyvtkPointHandleRepresentation3D_AllOff, 1,
   (char*)"V.AllOff()\nC++: void AllOff ();this OutlineOff this XShadowsOff this YShadowsOff this ZShadowsOff \n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty)\nC++: void SetProperty (vtkProperty *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"SetSelectedProperty",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetSelectedProperty, 1,
   (char*)"V.SetSelectedProperty(vtkProperty)\nC++: void SetSelectedProperty (vtkProperty *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"SetHotSpotSize",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetHotSpotSize, 1,
   (char*)"V.SetHotSpotSize(float)\nC++: void SetHotSpotSize (double );\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSizeMinValue",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetHotSpotSizeMinValue, 1,
   (char*)"V.GetHotSpotSizeMinValue() -> float\nC++: double GetHotSpotSizeMinValue ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSizeMaxValue",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetHotSpotSizeMaxValue, 1,
   (char*)"V.GetHotSpotSizeMaxValue() -> float\nC++: double GetHotSpotSizeMaxValue ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSize",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetHotSpotSize, 1,
   (char*)"V.GetHotSpotSize() -> float\nC++: double GetHotSpotSize ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"SetHandleSize",                (PyCFunction)PyvtkPointHandleRepresentation3D_SetHandleSize, 1,
   (char*)"V.SetHandleSize(float)\nC++: virtual void SetHandleSize (double size);\n\n Overload the superclasses SetHandleSize() method to update internal variables.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkPointHandleRepresentation3D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkPointHandleRepresentation3D_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkPointHandleRepresentation3D_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkPointHandleRepresentation3D_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkPointHandleRepresentation3D_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkPointHandleRepresentation3D_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkPointHandleRepresentation3D_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkPointHandleRepresentation3D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkPointHandleRepresentation3D_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkPointHandleRepresentation3D_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkPointHandleRepresentation3D_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods to make this class behave as a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointHandleRepresentation3DDoc[] = {
  (char*)"vtkPointHandleRepresentation3D - represent the position of a point in 3D space\n\n",
  "Super Class:\n\n vtkHandleRepresentation\n\n",
  (char*)" This class is used to represent a vtkHandleWidget. It represents a position\n in 3D world coordinates using a x-y-z cursor. The cursor can be configured to\n show a bounding box and/or shadows.\n\n",
  "See Also:\n\n vtkHandleRepresentation vtkHandleWidget vtkCursor3D\n\n",
  NULL
};

static vtkObjectBase *vtkPointHandleRepresentation3DStaticNew()
{
  return vtkPointHandleRepresentation3D::New();
}

PyObject *PyVTKClass_vtkPointHandleRepresentation3DNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointHandleRepresentation3DStaticNew,
                        PyvtkPointHandleRepresentation3DMethods,
                        (char*)"vtkPointHandleRepresentation3D",modulename,
                        (char**)vtkPointHandleRepresentation3DDoc,
                        PyVTKClass_vtkHandleRepresentationNew(modulename));
}

