// python wrapper for vtkPointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkPointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  const char    *temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  vtkPointPlacer  *temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_ValidateDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::ValidateDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPointPlacer_UpdateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[3];
  double temp2[9];
  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp1 + 2, temp2 + 0, temp2 + 1, temp2 + 2, temp2 + 3, temp2 + 4, temp2 + 5, temp2 + 6, temp2 + 7, temp2 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::UpdateWorldPosition(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->UpdateWorldPosition(temp0,temp1,temp2);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkPointPlacer_UpdateInternalState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::UpdateInternalState();
      }
    else
      {
      temp20 = op->UpdateInternalState();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_SetPixelTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  int      temp0;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointPlacer::SetPixelTolerance(temp0);
      }
    else
      {
      op->SetPixelTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_GetPixelToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::GetPixelToleranceMinValue();
      }
    else
      {
      temp20 = op->GetPixelToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_GetPixelToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::GetPixelToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetPixelToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_GetPixelTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  int      temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::GetPixelTolerance();
      }
    else
      {
      temp20 = op->GetPixelTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_SetWorldTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  double   temp0;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointPlacer::SetWorldTolerance(temp0);
      }
    else
      {
      op->SetWorldTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_GetWorldToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  double   temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::GetWorldToleranceMinValue();
      }
    else
      {
      temp20 = op->GetWorldToleranceMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_GetWorldToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  double   temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::GetWorldToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetWorldToleranceMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointPlacer_GetWorldTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointPlacer *op;

  double   temp20;
  op = (vtkPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointPlacer::GetWorldTolerance();
      }
    else
      {
      temp20 = op->GetWorldTolerance();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointPlacer\nC++: vtkPointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointPlacer\nC++: vtkPointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkPointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]);\n\n Given a renderer and a display position in pixel coordinates,\n compute the world position and orientation where this point\n will be placed. This method is typically used by the\n representation to place the point initially. A return value of 1\n indicates that constraints of the placer are met.\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkPointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Given a world position check the validity of this \n position according to the constraints of the placer.\n"},
  {(char*)"ValidateDisplayPosition",                (PyCFunction)PyvtkPointPlacer_ValidateDisplayPosition, 1,
   (char*)"V.ValidateDisplayPosition(vtkRenderer, (float, float)) -> int\nC++: virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]);\n\n Given a display position, check the validity of this position.\n"},
  {(char*)"UpdateWorldPosition",                (PyCFunction)PyvtkPointPlacer_UpdateWorldPosition, 1,
   (char*)"V.UpdateWorldPosition(vtkRenderer, (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int UpdateWorldPosition (vtkRenderer *ren, double worldPos[3], double worldOrient[9]);\n\n Given a current renderer, world position and orientation,\n update them according to the constraints of the placer.\n This method is typically used when UpdateContour is called\n on the representation, which must be called after changes\n are made to the constraints in the placer. A return \n value of 1 indicates that the point has been updated. A\n return value of 0 indicates that the point could not\n be updated and was left alone. By default this is a no-op - \n leaving the point as is.\n"},
  {(char*)"UpdateInternalState",                (PyCFunction)PyvtkPointPlacer_UpdateInternalState, 1,
   (char*)"V.UpdateInternalState() -> int\nC++: virtual int UpdateInternalState ();return \n\n Set/get the tolerance used when performing computations\n in display coordinates.\n"},
  {(char*)"SetPixelTolerance",                (PyCFunction)PyvtkPointPlacer_SetPixelTolerance, 1,
   (char*)"V.SetPixelTolerance(int)\nC++: void SetPixelTolerance (int );\n\n Set/get the tolerance used when performing computations\n in display coordinates.\n"},
  {(char*)"GetPixelToleranceMinValue",                (PyCFunction)PyvtkPointPlacer_GetPixelToleranceMinValue, 1,
   (char*)"V.GetPixelToleranceMinValue() -> int\nC++: int GetPixelToleranceMinValue ();\n\n Set/get the tolerance used when performing computations\n in display coordinates.\n"},
  {(char*)"GetPixelToleranceMaxValue",                (PyCFunction)PyvtkPointPlacer_GetPixelToleranceMaxValue, 1,
   (char*)"V.GetPixelToleranceMaxValue() -> int\nC++: int GetPixelToleranceMaxValue ();\n\n Set/get the tolerance used when performing computations\n in display coordinates.\n"},
  {(char*)"GetPixelTolerance",                (PyCFunction)PyvtkPointPlacer_GetPixelTolerance, 1,
   (char*)"V.GetPixelTolerance() -> int\nC++: int GetPixelTolerance ();\n\n Set/get the tolerance used when performing computations\n in display coordinates.\n"},
  {(char*)"SetWorldTolerance",                (PyCFunction)PyvtkPointPlacer_SetWorldTolerance, 1,
   (char*)"V.SetWorldTolerance(float)\nC++: void SetWorldTolerance (double );\n\n Set/get the tolerance used when performing computations\n in world coordinates.\n"},
  {(char*)"GetWorldToleranceMinValue",                (PyCFunction)PyvtkPointPlacer_GetWorldToleranceMinValue, 1,
   (char*)"V.GetWorldToleranceMinValue() -> float\nC++: double GetWorldToleranceMinValue ();\n\n Set/get the tolerance used when performing computations\n in world coordinates.\n"},
  {(char*)"GetWorldToleranceMaxValue",                (PyCFunction)PyvtkPointPlacer_GetWorldToleranceMaxValue, 1,
   (char*)"V.GetWorldToleranceMaxValue() -> float\nC++: double GetWorldToleranceMaxValue ();\n\n Set/get the tolerance used when performing computations\n in world coordinates.\n"},
  {(char*)"GetWorldTolerance",                (PyCFunction)PyvtkPointPlacer_GetWorldTolerance, 1,
   (char*)"V.GetWorldTolerance() -> float\nC++: double GetWorldTolerance ();\n\n Set/get the tolerance used when performing computations\n in world coordinates.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointPlacerDoc[] = {
  (char*)"vtkPointPlacer - Abstract interface to translate 2D display positions to world coordinates\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" Most widgets in VTK have a need to translate of 2D display coordinates (as\n reported by the RenderWindowInteractor) to 3D world coordinates. This class\n is an abstraction of this functionality. A few subclasses are listed below:\n <p>1) vtkFocalPlanePointPlacer: This class converts 2D display positions to \n world positions such that they lie on the focal plane.\n <p>2) vtkPolygonalSurfacePointPlace",
  (char*)"r: Converts 2D display positions to \n world positions such that they lie on the surface of one or more specified \n polydatas.\n <p>3) vtkImageActorPointPlacer: Converts 2D display positions to world \n positions such that they lie on an ImageActor\n <p>4) vtkBoundedPlanePointPlacer: Converts 2D display positions to world \n positions such that they lie within a set of specified bounding planes.\n <p>5)",
  (char*)" vtkTerrainDataPointPlacer: Converts 2D display positions to world \n positions such that they lie on a height field.\n <p> Point placers provide an extensible framework to specify constraints on \n points. The methods ComputeWorldPosition, ValidateDisplayPosition and\n ValidateWorldPosition may be overridden to dictate whether a world or\n display position is allowed. These classes are currently used ",
  (char*)"by the\n HandleWidget and the ContourWidget to allow various constraints to be \n enforced on the placement of their handles.\n\n",
  NULL
};

static vtkObjectBase *vtkPointPlacerStaticNew()
{
  return vtkPointPlacer::New();
}

PyObject *PyVTKClass_vtkPointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointPlacerStaticNew,
                        PyvtkPointPlacerMethods,
                        (char*)"vtkPointPlacer",modulename,
                        (char**)vtkPointPlacerDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

