// python wrapper for vtkPointWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPointWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPointWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPointWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }

static PyObject *PyvtkPointWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  const char    *temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  vtkPointWidget  *temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPointWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPointWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPointWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double temp0[6];
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  PyErr_Clear();
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPointWidget_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetPosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetPosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double  *temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetPosition();
      }
    else
      {
      temp20 = op->GetPosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::GetPosition(temp0);
      }
    else
      {
      op->GetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_SetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetOutline(temp0);
      }
    else
      {
      op->SetOutline(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetOutline(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetOutline();
      }
    else
      {
      temp20 = op->GetOutline();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_OutlineOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::OutlineOn();
      }
    else
      {
      op->OutlineOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_OutlineOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::OutlineOff();
      }
    else
      {
      op->OutlineOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_SetXShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetXShadows(temp0);
      }
    else
      {
      op->SetXShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetXShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetXShadows();
      }
    else
      {
      temp20 = op->GetXShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_XShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::XShadowsOn();
      }
    else
      {
      op->XShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_XShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::XShadowsOff();
      }
    else
      {
      op->XShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_SetYShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetYShadows(temp0);
      }
    else
      {
      op->SetYShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetYShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetYShadows();
      }
    else
      {
      temp20 = op->GetYShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_YShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::YShadowsOn();
      }
    else
      {
      op->YShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_YShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::YShadowsOff();
      }
    else
      {
      op->YShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_SetZShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetZShadows(temp0);
      }
    else
      {
      op->SetZShadows(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetZShadows(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetZShadows();
      }
    else
      {
      temp20 = op->GetZShadows();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_ZShadowsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::ZShadowsOn();
      }
    else
      {
      op->ZShadowsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_ZShadowsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::ZShadowsOff();
      }
    else
      {
      op->ZShadowsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_SetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetTranslationMode(temp0);
      }
    else
      {
      op->SetTranslationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  int      temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetTranslationMode();
      }
    else
      {
      temp20 = op->GetTranslationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_TranslationModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::TranslationModeOn();
      }
    else
      {
      op->TranslationModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_TranslationModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::TranslationModeOff();
      }
    else
      {
      op->TranslationModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_AllOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::AllOn();
      }
    else
      {
      op->AllOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_AllOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::AllOff();
      }
    else
      {
      op->AllOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  vtkProperty  *temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  vtkProperty  *temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_SetHotSpotSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double   temp0;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPointWidget::SetHotSpotSize(temp0);
      }
    else
      {
      op->SetHotSpotSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetHotSpotSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double   temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetHotSpotSizeMinValue();
      }
    else
      {
      temp20 = op->GetHotSpotSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetHotSpotSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double   temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetHotSpotSizeMaxValue();
      }
    else
      {
      temp20 = op->GetHotSpotSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPointWidget_GetHotSpotSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPointWidget *op;

  double   temp20;
  op = (vtkPointWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPointWidget::GetHotSpotSize();
      }
    else
      {
      temp20 = op->GetHotSpotSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPointWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPointWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPointWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPointWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPointWidget\nC++: vtkPointWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPointWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPointWidget\nC++: vtkPointWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkPointWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkPointWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget()\nC++: void PlaceWidget ();this Superclass PlaceWidget \nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Methods that satisfy the superclass' API.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkPointWidget_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the point. A\n single point and a vertex compose the vtkPolyData.\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkPointWidget_SetPosition, 1,
   (char*)"V.SetPosition(float, float, float)\nC++: void SetPosition (double x, double y, double z);this Cursor3D SetFocalPoint x y z \nV.SetPosition((float, float, float))\nC++: void SetPosition (double x[3]);this SetPosition x x x \n\n Set/Get the position of the point. Note that if the position is set\n outside of the bounding box, it will be clamped to the boundary of\n the bounding box.\n"},
  {(char*)"GetPosition",                (PyCFunction)PyvtkPointWidget_GetPosition, 1,
   (char*)"V.GetPosition() -> (float, float, float)\nC++: double *GetPosition ();return this Cursor3D GetFocalPoint \nV.GetPosition((float, float, float))\nC++: void GetPosition (double xyz[3]);this Cursor3D GetFocalPoint xyz \n\n Set/Get the position of the point. Note that if the position is set\n outside of the bounding box, it will be clamped to the boundary of\n the bounding box.\n"},
  {(char*)"SetOutline",                (PyCFunction)PyvtkPointWidget_SetOutline, 1,
   (char*)"V.SetOutline(int)\nC++: void SetOutline (int o);this Cursor3D SetOutline o \n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"GetOutline",                (PyCFunction)PyvtkPointWidget_GetOutline, 1,
   (char*)"V.GetOutline() -> int\nC++: int GetOutline ();return this Cursor3D GetOutline \n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOn",                (PyCFunction)PyvtkPointWidget_OutlineOn, 1,
   (char*)"V.OutlineOn()\nC++: void OutlineOn ();this Cursor3D OutlineOn \n\n Turn on/off the wireframe bounding box.\n"},
  {(char*)"OutlineOff",                (PyCFunction)PyvtkPointWidget_OutlineOff, 1,
   (char*)"V.OutlineOff()\nC++: void OutlineOff ();this Cursor3D OutlineOff \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"SetXShadows",                (PyCFunction)PyvtkPointWidget_SetXShadows, 1,
   (char*)"V.SetXShadows(int)\nC++: void SetXShadows (int o);this Cursor3D SetXShadows o \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"GetXShadows",                (PyCFunction)PyvtkPointWidget_GetXShadows, 1,
   (char*)"V.GetXShadows() -> int\nC++: int GetXShadows ();return this Cursor3D GetXShadows \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"XShadowsOn",                (PyCFunction)PyvtkPointWidget_XShadowsOn, 1,
   (char*)"V.XShadowsOn()\nC++: void XShadowsOn ();this Cursor3D XShadowsOn \n\n Turn on/off the wireframe x-shadows.\n"},
  {(char*)"XShadowsOff",                (PyCFunction)PyvtkPointWidget_XShadowsOff, 1,
   (char*)"V.XShadowsOff()\nC++: void XShadowsOff ();this Cursor3D XShadowsOff \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"SetYShadows",                (PyCFunction)PyvtkPointWidget_SetYShadows, 1,
   (char*)"V.SetYShadows(int)\nC++: void SetYShadows (int o);this Cursor3D SetYShadows o \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"GetYShadows",                (PyCFunction)PyvtkPointWidget_GetYShadows, 1,
   (char*)"V.GetYShadows() -> int\nC++: int GetYShadows ();return this Cursor3D GetYShadows \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"YShadowsOn",                (PyCFunction)PyvtkPointWidget_YShadowsOn, 1,
   (char*)"V.YShadowsOn()\nC++: void YShadowsOn ();this Cursor3D YShadowsOn \n\n Turn on/off the wireframe y-shadows.\n"},
  {(char*)"YShadowsOff",                (PyCFunction)PyvtkPointWidget_YShadowsOff, 1,
   (char*)"V.YShadowsOff()\nC++: void YShadowsOff ();this Cursor3D YShadowsOff \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"SetZShadows",                (PyCFunction)PyvtkPointWidget_SetZShadows, 1,
   (char*)"V.SetZShadows(int)\nC++: void SetZShadows (int o);this Cursor3D SetZShadows o \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"GetZShadows",                (PyCFunction)PyvtkPointWidget_GetZShadows, 1,
   (char*)"V.GetZShadows() -> int\nC++: int GetZShadows ();return this Cursor3D GetZShadows \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"ZShadowsOn",                (PyCFunction)PyvtkPointWidget_ZShadowsOn, 1,
   (char*)"V.ZShadowsOn()\nC++: void ZShadowsOn ();this Cursor3D ZShadowsOn \n\n Turn on/off the wireframe z-shadows.\n"},
  {(char*)"ZShadowsOff",                (PyCFunction)PyvtkPointWidget_ZShadowsOff, 1,
   (char*)"V.ZShadowsOff()\nC++: void ZShadowsOff ();this Cursor3D ZShadowsOff \n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n"},
  {(char*)"SetTranslationMode",                (PyCFunction)PyvtkPointWidget_SetTranslationMode, 1,
   (char*)"V.SetTranslationMode(int)\nC++: void SetTranslationMode (int mode);this Cursor3D SetTranslationMode mode this Cursor3D Update \n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n"},
  {(char*)"GetTranslationMode",                (PyCFunction)PyvtkPointWidget_GetTranslationMode, 1,
   (char*)"V.GetTranslationMode() -> int\nC++: int GetTranslationMode ();return this Cursor3D GetTranslationMode \n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n"},
  {(char*)"TranslationModeOn",                (PyCFunction)PyvtkPointWidget_TranslationModeOn, 1,
   (char*)"V.TranslationModeOn()\nC++: void TranslationModeOn ();this SetTranslationMode \n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n"},
  {(char*)"TranslationModeOff",                (PyCFunction)PyvtkPointWidget_TranslationModeOff, 1,
   (char*)"V.TranslationModeOff()\nC++: void TranslationModeOff ();this SetTranslationMode \n\n Convenience methods to turn outline and shadows on and off.\n"},
  {(char*)"AllOn",                (PyCFunction)PyvtkPointWidget_AllOn, 1,
   (char*)"V.AllOn()\nC++: void AllOn ();this OutlineOn this XShadowsOn this YShadowsOn this ZShadowsOn \n\n Convenience methods to turn outline and shadows on and off.\n"},
  {(char*)"AllOff",                (PyCFunction)PyvtkPointWidget_AllOff, 1,
   (char*)"V.AllOff()\nC++: void AllOff ();this OutlineOff this XShadowsOff this YShadowsOff this ZShadowsOff \n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkPointWidget_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkPointWidget_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedProperty ();\n\n Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n"},
  {(char*)"SetHotSpotSize",                (PyCFunction)PyvtkPointWidget_SetHotSpotSize, 1,
   (char*)"V.SetHotSpotSize(float)\nC++: void SetHotSpotSize (double );\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSizeMinValue",                (PyCFunction)PyvtkPointWidget_GetHotSpotSizeMinValue, 1,
   (char*)"V.GetHotSpotSizeMinValue() -> float\nC++: double GetHotSpotSizeMinValue ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSizeMaxValue",                (PyCFunction)PyvtkPointWidget_GetHotSpotSizeMaxValue, 1,
   (char*)"V.GetHotSpotSizeMaxValue() -> float\nC++: double GetHotSpotSizeMaxValue ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSize",                (PyCFunction)PyvtkPointWidget_GetHotSpotSize, 1,
   (char*)"V.GetHotSpotSize() -> float\nC++: double GetHotSpotSize ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPointWidgetDoc[] = {
  (char*)"vtkPointWidget - position a point in 3D space\n\n",
  "Super Class:\n\n vtk3DWidget\n\n",
  (char*)" This 3D widget allows the user to position a point in 3D space using a 3D\n cursor. The cursor has an outline bounding box, axes-aligned cross-hairs,\n and axes shadows. (The outline and shadows can be turned off.) Any of\n these can be turned off. A nice feature of the object is that the\n vtkPointWidget, like any 3D widget, will work with the current interactor\n style. That is, if vtkPointWidget do",
  (char*)"es not handle an event, then all other\n registered observers (including the interactor style) have an opportunity\n to process the event. Otherwise, the vtkPointWidget will terminate the\n processing of the event that it handles.\n\n To use this object, just invoke SetInteractor() with the argument of the\n method a vtkRenderWindowInteractor.  You may also wish to invoke\n \"PlaceWidget()\" to initially p",
  (char*)"osition the widget. The interactor will act\n normally until the \"i\" key (for \"interactor\") is pressed, at which point\n the vtkPointWidget will appear. (See superclass documentation for\n information about changing this behavior.) To move the point, the user can\n grab (left mouse) on any widget line and \"slide\" the point into\n position. Scaling is achieved by using the right mouse button \"up\" the\n r",
  (char*)"ender window (makes the widget bigger) or \"down\" the render window (makes\n the widget smaller). To translate the widget use the middle mouse button.\n (Note: all of the translation interactions can be constrained to one of\n the x-y-z axes by using the \"shift\" key.) The vtkPointWidget produces as\n output a polydata with a single point and a vertex cell.\n\n Some additional features of this class inclu",
  (char*)"de the ability to control the\n rendered properties of the widget. You can set the properties of the\n selected and unselected representations of the parts of the widget. For\n example, you can set the property of the 3D cursor in its normal and\n selected states.\n\n",
  "Caveats:\n\n Note that widget can be picked even when it is \"behind\" other actors.\n This is an intended feature and not a bug.\n\n The constrained translation/sliding action (i.e., when the \"shift\" key is\n depressed) along the axes is based on a combination of a \"hot\" spot around\n the cursor focus plus the initial mouse motion after selection. That is,\n if the user selects an axis outside of the hot spot, then the motion is\n constrained along that axis. If the user selects th ...\n [Truncated]\n\n",
  "See Also:\n\n vtk3DWidget vtkLineWidget vtkBoxWidget vtkPlaneWidget\n\n",
  NULL
};

static vtkObjectBase *vtkPointWidgetStaticNew()
{
  return vtkPointWidget::New();
}

PyObject *PyVTKClass_vtkPointWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkPointWidgetStaticNew,
                        PyvtkPointWidgetMethods,
                        (char*)"vtkPointWidget",modulename,
                        (char**)vtkPointWidgetDoc,
                        PyVTKClass_vtk3DWidgetNew(modulename));
}

