// tcl wrapper for vtkPointWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPointWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPointWidgetNewCommand()
{
  vtkPointWidget *temp = vtkPointWidget::New();
  return static_cast<ClientData>(temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPointWidgetCppCommand(vtkPointWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPointWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPointWidgetCppCommand(static_cast<vtkPointWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPointWidgetCppCommand(vtkPointWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPointWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtk3DWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPointWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPointWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPointWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPointWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPosition(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOutline",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetOutline(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOutline",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetOutline();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("OutlineOn",argv[1]))&&(argc == 2))
    {
    op->OutlineOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("OutlineOff",argv[1]))&&(argc == 2))
    {
    op->OutlineOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("XShadowsOn",argv[1]))&&(argc == 2))
    {
    op->XShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("XShadowsOff",argv[1]))&&(argc == 2))
    {
    op->XShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetYShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetYShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetYShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("YShadowsOn",argv[1]))&&(argc == 2))
    {
    op->YShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("YShadowsOff",argv[1]))&&(argc == 2))
    {
    op->YShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetZShadows",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetZShadows(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetZShadows",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetZShadows();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ZShadowsOn",argv[1]))&&(argc == 2))
    {
    op->ZShadowsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ZShadowsOff",argv[1]))&&(argc == 2))
    {
    op->ZShadowsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTranslationMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTranslationMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslationMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTranslationMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TranslationModeOn",argv[1]))&&(argc == 2))
    {
    op->TranslationModeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TranslationModeOff",argv[1]))&&(argc == 2))
    {
    op->TranslationModeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllOn",argv[1]))&&(argc == 2))
    {
    op->AllOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AllOff",argv[1]))&&(argc == 2))
    {
    op->AllOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetHotSpotSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetHotSpotSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHotSpotSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHotSpotSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHotSpotSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHotSpotSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetHotSpotSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetHotSpotSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPointWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPointWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOutline\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetOutline\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOn\n",NULL);
    Tcl_AppendResult(interp,"  OutlineOff\n",NULL);
    Tcl_AppendResult(interp,"  SetXShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXShadows\n",NULL);
    Tcl_AppendResult(interp,"  XShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  XShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetYShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYShadows\n",NULL);
    Tcl_AppendResult(interp,"  YShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  YShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetZShadows\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetZShadows\n",NULL);
    Tcl_AppendResult(interp,"  ZShadowsOn\n",NULL);
    Tcl_AppendResult(interp,"  ZShadowsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslationMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslationMode\n",NULL);
    Tcl_AppendResult(interp,"  TranslationModeOn\n",NULL);
    Tcl_AppendResult(interp,"  TranslationModeOff\n",NULL);
    Tcl_AppendResult(interp,"  AllOn\n",NULL);
    Tcl_AppendResult(interp,"  AllOff\n",NULL);
    Tcl_AppendResult(interp,"  GetProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetHotSpotSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHotSpotSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHotSpotSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetHotSpotSize\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    Tcl_DStringAppendElement ( &dString, "GetOutline" );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    Tcl_DStringAppendElement ( &dString, "SetXShadows" );
    Tcl_DStringAppendElement ( &dString, "GetXShadows" );
    Tcl_DStringAppendElement ( &dString, "XShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "XShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetYShadows" );
    Tcl_DStringAppendElement ( &dString, "GetYShadows" );
    Tcl_DStringAppendElement ( &dString, "YShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "YShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetZShadows" );
    Tcl_DStringAppendElement ( &dString, "GetZShadows" );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOn" );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOff" );
    Tcl_DStringAppendElement ( &dString, "SetTranslationMode" );
    Tcl_DStringAppendElement ( &dString, "GetTranslationMode" );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOn" );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOff" );
    Tcl_DStringAppendElement ( &dString, "AllOn" );
    Tcl_DStringAppendElement ( &dString, "AllOff" );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    Tcl_DStringAppendElement ( &dString, "SetHotSpotSize" );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSize" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtk3DWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this widget\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPointWidget *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget ();this Superclass PlaceWidget " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that defines the point. A\n single point and a vertex compose the vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that defines the point. A\n single point and a vertex compose the vtkPolyData.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData (vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point. Note that if the position is set\n outside of the bounding box, it will be clamped to the boundary of\n the bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition (double x, double y, double z);this Cursor3D SetFocalPoint x y z " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPosition */
    if ( strcmp ( argv[2], "SetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point. Note that if the position is set\n outside of the bounding box, it will be clamped to the boundary of\n the bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPosition (double x\\[3\\]);this SetPosition x x x " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point. Note that if the position is set\n outside of the bounding box, it will be clamped to the boundary of\n the bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPosition ();return this Cursor3D GetFocalPoint " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPosition */
    if ( strcmp ( argv[2], "GetPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPosition */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPosition (double xyz\\[3\\]);this Cursor3D GetFocalPoint xyz " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOutline */
    if ( strcmp ( argv[2], "SetOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOutline */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOutline (int o);this Cursor3D SetOutline o " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOutline */
    if ( strcmp ( argv[2], "GetOutline" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOutline" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOutline */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetOutline ();return this Cursor3D GetOutline " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetOutline */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOn */
    if ( strcmp ( argv[2], "OutlineOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOn ();this Cursor3D OutlineOn " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for OutlineOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: OutlineOff */
    if ( strcmp ( argv[2], "OutlineOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "OutlineOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for OutlineOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void OutlineOff ();this Cursor3D OutlineOff " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for OutlineOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXShadows */
    if ( strcmp ( argv[2], "SetXShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXShadows (int o);this Cursor3D SetXShadows o " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetXShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXShadows */
    if ( strcmp ( argv[2], "GetXShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXShadows ();return this Cursor3D GetXShadows " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetXShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XShadowsOn */
    if ( strcmp ( argv[2], "XShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe x-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void XShadowsOn ();this Cursor3D XShadowsOn " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for XShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: XShadowsOff */
    if ( strcmp ( argv[2], "XShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "XShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for XShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void XShadowsOff ();this Cursor3D XShadowsOff " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for XShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYShadows */
    if ( strcmp ( argv[2], "SetYShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYShadows (int o);this Cursor3D SetYShadows o " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetYShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYShadows */
    if ( strcmp ( argv[2], "GetYShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetYShadows ();return this Cursor3D GetYShadows " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetYShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YShadowsOn */
    if ( strcmp ( argv[2], "YShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe y-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void YShadowsOn ();this Cursor3D YShadowsOn " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for YShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: YShadowsOff */
    if ( strcmp ( argv[2], "YShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "YShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for YShadowsOff */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void YShadowsOff ();this Cursor3D YShadowsOff " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for YShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetZShadows */
    if ( strcmp ( argv[2], "SetZShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetZShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetZShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetZShadows (int o);this Cursor3D SetZShadows o " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetZShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetZShadows */
    if ( strcmp ( argv[2], "GetZShadows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetZShadows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetZShadows */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetZShadows ();return this Cursor3D GetZShadows " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetZShadows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZShadowsOn */
    if ( strcmp ( argv[2], "ZShadowsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZShadowsOn */
    Tcl_DStringAppendElement ( &dString, " Turn on/off the wireframe z-shadows.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZShadowsOn ();this Cursor3D ZShadowsOn " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for ZShadowsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ZShadowsOff */
    if ( strcmp ( argv[2], "ZShadowsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ZShadowsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ZShadowsOff */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n" );
    Tcl_DStringAppendElement ( &dString, "void ZShadowsOff ();this Cursor3D ZShadowsOff " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for ZShadowsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslationMode */
    if ( strcmp ( argv[2], "SetTranslationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslationMode */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslationMode (int mode);this Cursor3D SetTranslationMode mode this Cursor3D Update " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetTranslationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslationMode */
    if ( strcmp ( argv[2], "GetTranslationMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslationMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslationMode */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTranslationMode ();return this Cursor3D GetTranslationMode " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetTranslationMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationModeOn */
    if ( strcmp ( argv[2], "TranslationModeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationModeOn */
    Tcl_DStringAppendElement ( &dString, " If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point\n moves.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationModeOn ();this SetTranslationMode " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for TranslationModeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationModeOff */
    if ( strcmp ( argv[2], "TranslationModeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationModeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationModeOff */
    Tcl_DStringAppendElement ( &dString, " Convenience methods to turn outline and shadows on and off.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationModeOff ();this SetTranslationMode " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for TranslationModeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllOn */
    if ( strcmp ( argv[2], "AllOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllOn */
    Tcl_DStringAppendElement ( &dString, " Convenience methods to turn outline and shadows on and off.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllOn ();this OutlineOn this XShadowsOn this YShadowsOn this ZShadowsOn " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for AllOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AllOff */
    if ( strcmp ( argv[2], "AllOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AllOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AllOff */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "void AllOff ();this OutlineOff this XShadowsOff this YShadowsOff this ZShadowsOff " );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for AllOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetProperty */
    if ( strcmp ( argv[2], "GetProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedProperty */
    if ( strcmp ( argv[2], "GetSelectedProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little balls are the handles). The \n properties of the handles when selected and normal can be \n set.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetSelectedProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHotSpotSize */
    if ( strcmp ( argv[2], "SetHotSpotSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHotSpotSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHotSpotSize */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHotSpotSize (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for SetHotSpotSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHotSpotSizeMinValue */
    if ( strcmp ( argv[2], "GetHotSpotSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHotSpotSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHotSpotSizeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetHotSpotSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHotSpotSizeMaxValue */
    if ( strcmp ( argv[2], "GetHotSpotSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHotSpotSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHotSpotSizeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetHotSpotSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHotSpotSize */
    if ( strcmp ( argv[2], "GetHotSpotSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHotSpotSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHotSpotSize */
    Tcl_DStringAppendElement ( &dString, " Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetHotSpotSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPointWidget" );
    /* Closing for GetHotSpotSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
