// python wrapper for vtkPolyDataContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataContourLineInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataContourLineInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataContourLineInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContourLineInterpolatorNew(char *); }

static PyObject *PyvtkPolyDataContourLineInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataContourLineInterpolator *op;

  const char    *temp20;
  op = (vtkPolyDataContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataContourLineInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataContourLineInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataContourLineInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataContourLineInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataContourLineInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataContourLineInterpolator *op;

  vtkPolyDataContourLineInterpolator  *temp20;
  op = (vtkPolyDataContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataContourLineInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataContourLineInterpolator_InterpolateLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataContourLineInterpolator *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkContourRepresentation  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkPolyDataContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break3;
    temp1 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkContourRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->InterpolateLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataContourLineInterpolator_GetPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataContourLineInterpolator *op;

  vtkPolyDataCollection  *temp20;
  op = (vtkPolyDataContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataContourLineInterpolator::GetPolys();
      }
    else
      {
      temp20 = op->GetPolys();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataContourLineInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataContourLineInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataContourLineInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataContourLineInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataContourLineInterpolator\nC++: vtkPolyDataContourLineInterpolator *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"InterpolateLine",                (PyCFunction)PyvtkPolyDataContourLineInterpolator_InterpolateLine, 1,
   (char*)"V.InterpolateLine(vtkRenderer, vtkContourRepresentation, int, int) -> int\nC++: virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2) = 0;\n\n Subclasses that wish to interpolate a line segment must implement this.\n For instance vtkBezierContourLineInterpolator adds nodes between idx1\n and idx2, that allow the contour to adhere to a bezier curve.\n"},
  {(char*)"GetPolys",                (PyCFunction)PyvtkPolyDataContourLineInterpolator_GetPolys, 1,
   (char*)"V.GetPolys() -> vtkPolyDataCollection\nC++: vtkPolyDataCollection *GetPolys ();\n\n Be sure to add polydata on which you wish to place points to this list\n or they will not be considered for placement.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataContourLineInterpolatorDoc[] = {
  (char*)"vtkPolyDataContourLineInterpolator - Contour interpolator for polygonal data\n\n",
  "Super Class:\n\n vtkContourLineInterpolator\n\n",
  (char*)" vtkPolyDataContourLineInterpolator is an abstract base class for contour\n line interpolators that interpolate on polygonal data.\n\n\n",
  "See Also:\n\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPolyDataContourLineInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPolyDataContourLineInterpolatorMethods,
                        (char*)"vtkPolyDataContourLineInterpolator",modulename,
                        (char**)vtkPolyDataContourLineInterpolatorDoc,
                        PyVTKClass_vtkContourLineInterpolatorNew(modulename));
}

