// python wrapper for vtkPolyDataPointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataPointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataPointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataPointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointPlacerNew(char *); }

static PyObject *PyvtkPolyDataPointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  const char    *temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkPolyDataPointPlacer  *temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolyDataPointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolyDataPointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_AddProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointPlacer::AddProp(temp0);
      }
    else
      {
      op->AddProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_RemoveViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointPlacer::RemoveViewProp(temp0);
      }
    else
      {
      op->RemoveViewProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_RemoveAllProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataPointPlacer::RemoveAllProps();
      }
    else
      {
      op->RemoveAllProps();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_HasProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::HasProp(temp0);
      }
    else
      {
      temp20 = op->HasProp(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_GetNumberOfProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  int      temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::GetNumberOfProps();
      }
    else
      {
      temp20 = op->GetNumberOfProps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_ValidateDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  int      temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::ValidateDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkPolyDataPointPlacer_GetPropPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataPointPlacer *op;

  vtkPropPicker  *temp20;
  op = (vtkPolyDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataPointPlacer::GetPropPicker();
      }
    else
      {
      temp20 = op->GetPropPicker();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataPointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataPointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataPointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataPointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataPointPlacer\nC++: vtkPolyDataPointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolyDataPointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolyDataPointPlacer\nC++: vtkPolyDataPointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"AddProp",                (PyCFunction)PyvtkPolyDataPointPlacer_AddProp, 1,
   (char*)"V.AddProp(vtkProp)\nC++: virtual void AddProp (vtkProp *);\n\n"},
  {(char*)"RemoveViewProp",                (PyCFunction)PyvtkPolyDataPointPlacer_RemoveViewProp, 1,
   (char*)"V.RemoveViewProp(vtkProp)\nC++: virtual void RemoveViewProp (vtkProp *prop);\n\n"},
  {(char*)"RemoveAllProps",                (PyCFunction)PyvtkPolyDataPointPlacer_RemoveAllProps, 1,
   (char*)"V.RemoveAllProps()\nC++: virtual void RemoveAllProps ();\n\n"},
  {(char*)"HasProp",                (PyCFunction)PyvtkPolyDataPointPlacer_HasProp, 1,
   (char*)"V.HasProp(vtkProp) -> int\nC++: int HasProp (vtkProp *);\n\n"},
  {(char*)"GetNumberOfProps",                (PyCFunction)PyvtkPolyDataPointPlacer_GetNumberOfProps, 1,
   (char*)"V.GetNumberOfProps() -> int\nC++: int GetNumberOfProps ();\n\n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkPolyDataPointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]);\n\n Given a renderer and a display position in pixel coordinates,\n compute the world position and orientation where this point\n will be placed. This method is typically used by the\n representation to place the point initially.\n For the Terrain point placer this computes world points that\n lie at the specified height above the terrain.\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkPolyDataPointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Given a world position check the validity of this \n position according to the constraints of the placer\n"},
  {(char*)"ValidateDisplayPosition",                (PyCFunction)PyvtkPolyDataPointPlacer_ValidateDisplayPosition, 1,
   (char*)"V.ValidateDisplayPosition(vtkRenderer, (float, float)) -> int\nC++: virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]);\n\n Given a display position, check the validity of this position.\n"},
  {(char*)"GetPropPicker",                (PyCFunction)PyvtkPolyDataPointPlacer_GetPropPicker, 1,
   (char*)"V.GetPropPicker() -> vtkPropPicker\nC++: vtkPropPicker *GetPropPicker ();\n\n Get the Prop picker.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataPointPlacerDoc[] = {
  (char*)"- Base class to place points given constraints on polygonal data\n\n",
  "Super Class:\n\n vtkPointPlacer\n\n",
  (char*)" vtkPolyDataPointPlacer is a base class to place points on the surface of \n polygonal data.\n\n .SECTION Usage\n The actors that render polygonal data and wish to be considered \n for placement by this placer are added to the list as\n \\code\n placer->AddProp( polyDataActor );\n \\endcode\n\n\n",
  "See Also:\n\n vtkPolygonalSurfacePointPlacer\n\n",
  NULL
};

static vtkObjectBase *vtkPolyDataPointPlacerStaticNew()
{
  return vtkPolyDataPointPlacer::New();
}

PyObject *PyVTKClass_vtkPolyDataPointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolyDataPointPlacerStaticNew,
                        PyvtkPolyDataPointPlacerMethods,
                        (char*)"vtkPolyDataPointPlacer",modulename,
                        (char**)vtkPolyDataPointPlacerDoc,
                        PyVTKClass_vtkPointPlacerNew(modulename));
}

