// python wrapper for vtkPolyDataSourceWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolyDataSourceWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolyDataSourceWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolyDataSourceWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtk3DWidgetNew(char *); }

static PyObject *PyvtkPolyDataSourceWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  const char    *temp20;
  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSourceWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSourceWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSourceWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSourceWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  vtkPolyDataSourceWidget  *temp20;
  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSourceWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSourceWidget_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSourceWidget::PlaceWidget();
      }
    else
      {
      op->PlaceWidget();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  double temp0[6];
  PyErr_Clear();
  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  double   temp0;
  double   temp1;
  double   temp2;
  double   temp3;
  double   temp4;
  double   temp5;
  PyErr_Clear();
  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"dddddd", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolyDataSourceWidget::PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSourceWidget_GetPolyDataSource(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  vtkPolyDataSource  *temp20;
  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolyDataSourceWidget::GetPolyDataSource();
      }
    else
      {
      temp20 = op->GetPolyDataSource();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSourceWidget_GetPolyDataAlgorithm(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  vtkPolyDataAlgorithm  *temp20;
  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->GetPolyDataAlgorithm();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolyDataSourceWidget_UpdatePlacement(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolyDataSourceWidget *op;

  op = (vtkPolyDataSourceWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->UpdatePlacement();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolyDataSourceWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolyDataSourceWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolyDataSourceWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolyDataSourceWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolyDataSourceWidget\nC++: vtkPolyDataSourceWidget *NewInstance ();\n\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkPolyDataSourceWidget_PlaceWidget, 1,
   (char*)"V.PlaceWidget()\nC++: virtual void PlaceWidget ();\nV.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]) = 0;\nV.PlaceWidget(float, float, float, float, float, float)\nC++: void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax \n\n Overrides vtk3DWidget PlaceWidget() so that it doesn't complain if\n there's no Input and no Prop3D.\n"},
  {(char*)"GetPolyDataSource",                (PyCFunction)PyvtkPolyDataSourceWidget_GetPolyDataSource, 1,
   (char*)"V.GetPolyDataSource() -> vtkPolyDataSource\nC++: virtual vtkPolyDataSource *GetPolyDataSource ();\n\n Returns underlying vtkPolyDataSource that determines geometry.  This\n can be modified after which PlaceWidget() or UpdatePlacement() can be\n called.  UpdatePlacement() will always update the planewidget according\n to the geometry of the underlying PolyDataSource.  PlaceWidget() will\n only make use of this geometry if there is no Input and no Prop3D set.\n"},
  {(char*)"GetPolyDataAlgorithm",                (PyCFunction)PyvtkPolyDataSourceWidget_GetPolyDataAlgorithm, 1,
   (char*)"V.GetPolyDataAlgorithm() -> vtkPolyDataAlgorithm\nC++: virtual vtkPolyDataAlgorithm *GetPolyDataAlgorithm () = 0;\n\n Returns underlying vtkPolyDataSource that determines geometry.  This\n can be modified after which PlaceWidget() or UpdatePlacement() can be\n called.  UpdatePlacement() will always update the planewidget according\n to the geometry of the underlying PolyDataSource.  PlaceWidget() will\n only make use of this geometry if there is no Input and no Prop3D set.\n"},
  {(char*)"UpdatePlacement",                (PyCFunction)PyvtkPolyDataSourceWidget_UpdatePlacement, 1,
   (char*)"V.UpdatePlacement()\nC++: virtual void UpdatePlacement () = 0;\n\n If you've made changes to the underlying vtkPolyDataSource AFTER your\n initial call to PlaceWidget(), use this method to realise the changes\n in the widget.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolyDataSourceWidgetDoc[] = {
  (char*)"vtkPolyDataSourceWidget - abstract PolyDataSource-based 3D widget\n\n",
  "Super Class:\n\n vtk3DWidget\n\n",
  (char*)" This abstract class serves as parent to 3D widgets that have simple\n vtkPolyDataSource instances defining their geometry.\n\n In addition to what is offered by the vtk3DWidget parent, this class\n makes it possible to manipulate the underlying polydatasource and to\n PlaceWidget() according to that, instead of having to make use of\n SetInput() or SetProp3D().\n\n Implementors of child classes HAVE to i",
  (char*)"mplement their PlaceWidget(bounds)\n to check for the existence of Input and Prop3D FIRST.  If these don't\n exist, place according to the underlying PolyDataSource.  Child classes\n also have to imprement UpdatePlacement(), which updates the widget according\n to the geometry of the underlying PolyDataSource.\n\n",
  "See Also:\n\n vtk3DWidget vtkLineWidget vtkPlaneWidget vtkSphereWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkPolyDataSourceWidgetNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkPolyDataSourceWidgetMethods,
                        (char*)"vtkPolyDataSourceWidget",modulename,
                        (char**)vtkPolyDataSourceWidgetDoc,
                        PyVTKClass_vtk3DWidgetNew(modulename));
}

