// python wrapper for vtkPolygonalSurfaceContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolygonalSurfaceContourLineInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolygonalSurfaceContourLineInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolygonalSurfaceContourLineInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataContourLineInterpolatorNew(char *); }

static PyObject *PyvtkPolygonalSurfaceContourLineInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfaceContourLineInterpolator *op;

  const char    *temp20;
  op = (vtkPolygonalSurfaceContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfaceContourLineInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfaceContourLineInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfaceContourLineInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolygonalSurfaceContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfaceContourLineInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfaceContourLineInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfaceContourLineInterpolator *op;

  vtkPolygonalSurfaceContourLineInterpolator  *temp20;
  op = (vtkPolygonalSurfaceContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfaceContourLineInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfaceContourLineInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolygonalSurfaceContourLineInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolygonalSurfaceContourLineInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolygonalSurfaceContourLineInterpolator_InterpolateLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfaceContourLineInterpolator *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkContourRepresentation  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkPolygonalSurfaceContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkContourRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfaceContourLineInterpolator::InterpolateLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->InterpolateLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolygonalSurfaceContourLineInterpolator_SetDistanceOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfaceContourLineInterpolator *op;

  double   temp0;
  op = (vtkPolygonalSurfaceContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalSurfaceContourLineInterpolator::SetDistanceOffset(temp0);
      }
    else
      {
      op->SetDistanceOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfaceContourLineInterpolator_GetDistanceOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfaceContourLineInterpolator *op;

  double   temp20;
  op = (vtkPolygonalSurfaceContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfaceContourLineInterpolator::GetDistanceOffset();
      }
    else
      {
      temp20 = op->GetDistanceOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolygonalSurfaceContourLineInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolygonalSurfaceContourLineInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolygonalSurfaceContourLineInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolygonalSurfaceContourLineInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolygonalSurfaceContourLineInterpolator\nC++: vtkPolygonalSurfaceContourLineInterpolator *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolygonalSurfaceContourLineInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolygonalSurfaceContourLineInterpolator\nC++: vtkPolygonalSurfaceContourLineInterpolator *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"InterpolateLine",                (PyCFunction)PyvtkPolygonalSurfaceContourLineInterpolator_InterpolateLine, 1,
   (char*)"V.InterpolateLine(vtkRenderer, vtkContourRepresentation, int, int) -> int\nC++: virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2);\n\n Subclasses that wish to interpolate a line segment must implement this.\n For instance vtkBezierContourLineInterpolator adds nodes between idx1\n and idx2, that allow the contour to adhere to a bezier curve.\n"},
  {(char*)"SetDistanceOffset",                (PyCFunction)PyvtkPolygonalSurfaceContourLineInterpolator_SetDistanceOffset, 1,
   (char*)"V.SetDistanceOffset(float)\nC++: void SetDistanceOffset (double );\n\n Height offset at which points may be placed on the polygonal surface.\n If you specify a non-zero value here, be sure to have computed vertex\n normals on your input polygonal data. (easily done with \n vtkPolyDataNormals).\n"},
  {(char*)"GetDistanceOffset",                (PyCFunction)PyvtkPolygonalSurfaceContourLineInterpolator_GetDistanceOffset, 1,
   (char*)"V.GetDistanceOffset() -> float\nC++: double GetDistanceOffset ();\n\n Height offset at which points may be placed on the polygonal surface.\n If you specify a non-zero value here, be sure to have computed vertex\n normals on your input polygonal data. (easily done with \n vtkPolyDataNormals).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolygonalSurfaceContourLineInterpolatorDoc[] = {
  (char*)"vtkPolygonalSurfaceContourLineInterpolator - Contour interpolator for to place points on polygonal surfaces.\n\n",
  "Super Class:\n\n vtkPolyDataContourLineInterpolator\n\n",
  (char*)" vtkPolygonalSurfaceContourLineInterpolator interpolates and places\n contour points on polygonal surfaces. The class interpolates nodes by\n computing a \\em graph \\em geodesic lying on the polygonal data. By \\em \n graph \\em Geodesic, we mean that the line interpolating the two end\n points traverses along on the mesh edges so as to form the shortest\n path. A Dijkstra algorithm is used to compute the",
  (char*)" path. See\n vtkDijkstraGraphGeodesicPath.\n \n The class is mean to be used in conjunction with \n vtkPolygonalSurfacePointPlacer. The reason for this weak coupling is a \n performance issue, both classes need to perform a cell pick, and \n coupling avoids multiple cell picks (cell picks are slow).\n \n\n",
  "Caveats:\n\n You should have computed cell normals for the input polydata.\n\n\n",
  "See Also:\n\n vtkDijkstraGraphGeodesicPath, vtkPolyDataNormals\n\n",
  NULL
};

static vtkObjectBase *vtkPolygonalSurfaceContourLineInterpolatorStaticNew()
{
  return vtkPolygonalSurfaceContourLineInterpolator::New();
}

PyObject *PyVTKClass_vtkPolygonalSurfaceContourLineInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolygonalSurfaceContourLineInterpolatorStaticNew,
                        PyvtkPolygonalSurfaceContourLineInterpolatorMethods,
                        (char*)"vtkPolygonalSurfaceContourLineInterpolator",modulename,
                        (char**)vtkPolygonalSurfaceContourLineInterpolatorDoc,
                        PyVTKClass_vtkPolyDataContourLineInterpolatorNew(modulename));
}

