// python wrapper for vtkPolygonalSurfacePointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkPolygonalSurfacePointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkPolygonalSurfacePointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkPolygonalSurfacePointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPolyDataPointPlacerNew(char *); }

static PyObject *PyvtkPolygonalSurfacePointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  const char    *temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkPolygonalSurfacePointPlacer  *temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkPolygonalSurfacePointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkPolygonalSurfacePointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_AddProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalSurfacePointPlacer::AddProp(temp0);
      }
    else
      {
      op->AddProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_RemoveViewProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalSurfacePointPlacer::RemoveViewProp(temp0);
      }
    else
      {
      op->RemoveViewProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_RemoveAllProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalSurfacePointPlacer::RemoveAllProps();
      }
    else
      {
      op->RemoveAllProps();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break7:
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_ValidateDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  int      temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::ValidateDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_GetCellPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkCellPicker  *temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::GetCellPicker();
      }
    else
      {
      temp20 = op->GetCellPicker();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_GetPolys(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  vtkPolyDataCollection  *temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::GetPolys();
      }
    else
      {
      temp20 = op->GetPolys();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_SetDistanceOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  double   temp0;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkPolygonalSurfacePointPlacer::SetDistanceOffset(temp0);
      }
    else
      {
      op->SetDistanceOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkPolygonalSurfacePointPlacer_GetDistanceOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkPolygonalSurfacePointPlacer *op;

  double   temp20;
  op = (vtkPolygonalSurfacePointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkPolygonalSurfacePointPlacer::GetDistanceOffset();
      }
    else
      {
      temp20 = op->GetDistanceOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkPolygonalSurfacePointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkPolygonalSurfacePointPlacer\nC++: vtkPolygonalSurfacePointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkPolygonalSurfacePointPlacer\nC++: vtkPolygonalSurfacePointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"AddProp",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_AddProp, 1,
   (char*)"V.AddProp(vtkProp)\nC++: virtual void AddProp (vtkProp *);\n\n"},
  {(char*)"RemoveViewProp",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_RemoveViewProp, 1,
   (char*)"V.RemoveViewProp(vtkProp)\nC++: virtual void RemoveViewProp (vtkProp *prop);\n\n"},
  {(char*)"RemoveAllProps",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_RemoveAllProps, 1,
   (char*)"V.RemoveAllProps()\nC++: virtual void RemoveAllProps ();\n\n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]);\n\n Given a renderer and a display position in pixel coordinates,\n compute the world position and orientation where this point\n will be placed. This method is typically used by the\n representation to place the point initially.\n For the Terrain point placer this computes world points that\n lie at the specified height above the terrain.\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Given a world position check the validity of this \n position according to the constraints of the placer\n"},
  {(char*)"ValidateDisplayPosition",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_ValidateDisplayPosition, 1,
   (char*)"V.ValidateDisplayPosition(vtkRenderer, (float, float)) -> int\nC++: virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]);\n\n Given a display position, check the validity of this position.\n"},
  {(char*)"GetCellPicker",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_GetCellPicker, 1,
   (char*)"V.GetCellPicker() -> vtkCellPicker\nC++: vtkCellPicker *GetCellPicker ();\n\n Get the Prop picker.\n"},
  {(char*)"GetPolys",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_GetPolys, 1,
   (char*)"V.GetPolys() -> vtkPolyDataCollection\nC++: vtkPolyDataCollection *GetPolys ();\n\n Be sure to add polydata on which you wish to place points to this list\n or they will not be considered for placement.\n"},
  {(char*)"SetDistanceOffset",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_SetDistanceOffset, 1,
   (char*)"V.SetDistanceOffset(float)\nC++: void SetDistanceOffset (double );\n\n Height offset at which points may be placed on the polygonal surface.\n If you specify a non-zero value here, be sure to compute cell normals\n on your input polygonal data (easily done with vtkPolyDataNormals).\n"},
  {(char*)"GetDistanceOffset",                (PyCFunction)PyvtkPolygonalSurfacePointPlacer_GetDistanceOffset, 1,
   (char*)"V.GetDistanceOffset() -> float\nC++: double GetDistanceOffset ();\n\n Height offset at which points may be placed on the polygonal surface.\n If you specify a non-zero value here, be sure to compute cell normals\n on your input polygonal data (easily done with vtkPolyDataNormals).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkPolygonalSurfacePointPlacerDoc[] = {
  (char*)"- Place points on the surface of polygonal data.\n\n",
  "Super Class:\n\n vtkPolyDataPointPlacer\n\n",
  (char*)" vtkPolygonalSurfacePointPlacer places points on polygonal data and is\n meant to be used in conjunction with \n vtkPolygonalSurfaceContourLineInterpolator.\n\n .SECTION Usage\n\n\n",
  "Caveats:\n\n You should have computed cell normals for the input polydata if you are\n specifying a distance offset.\n\n\n",
  "See Also:\n\n vtkPointPlacer vtkPolyDataNormals\n\n",
  NULL
};

static vtkObjectBase *vtkPolygonalSurfacePointPlacerStaticNew()
{
  return vtkPolygonalSurfacePointPlacer::New();
}

PyObject *PyVTKClass_vtkPolygonalSurfacePointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkPolygonalSurfacePointPlacerStaticNew,
                        PyvtkPolygonalSurfacePointPlacerMethods,
                        (char*)"vtkPolygonalSurfacePointPlacer",modulename,
                        (char**)vtkPolygonalSurfacePointPlacerDoc,
                        PyVTKClass_vtkPolyDataPointPlacerNew(modulename));
}

