// tcl wrapper for vtkPolygonalSurfacePointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkPolygonalSurfacePointPlacer.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkPolygonalSurfacePointPlacerNewCommand()
{
  vtkPolygonalSurfacePointPlacer *temp = vtkPolygonalSurfacePointPlacer::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataPointPlacerCppCommand(vtkPolyDataPointPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkPolygonalSurfacePointPlacerCppCommand(vtkPolygonalSurfacePointPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkPolygonalSurfacePointPlacerCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkPolygonalSurfacePointPlacerCppCommand(static_cast<vtkPolygonalSurfacePointPlacer *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkPolygonalSurfacePointPlacerCppCommand(vtkPolygonalSurfacePointPlacer *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkPolygonalSurfacePointPlacer",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataPointPlacerCppCommand(static_cast<vtkPolyDataPointPlacer *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataPointPlacer"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkPolygonalSurfacePointPlacer  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolygonalSurfacePointPlacer");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkPolygonalSurfacePointPlacer  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolygonalSurfacePointPlacer");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkPolygonalSurfacePointPlacer  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolygonalSurfacePointPlacer");
    return TCL_OK;
    }
    }
  if ((!strcmp("AddProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->AddProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveViewProp",argv[1]))&&(argc == 3))
    {
    vtkProp  *temp0;
    error = 0;

    temp0 = (vtkProp *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProp"),interp,error));
    if (!error)
    {
    op->RemoveViewProp(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllProps",argv[1]))&&(argc == 2))
    {
    op->RemoveAllProps();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ValidateWorldPosition",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    temp20 = (op)->ValidateWorldPosition(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellPicker",argv[1]))&&(argc == 2))
    {
    vtkCellPicker  *temp20;
    temp20 = (op)->GetCellPicker();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkCellPicker");
    return TCL_OK;
    }
  if ((!strcmp("GetPolys",argv[1]))&&(argc == 2))
    {
    vtkPolyDataCollection  *temp20;
    temp20 = (op)->GetPolys();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetDistanceOffset",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetDistanceOffset(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDistanceOffset",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetDistanceOffset();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkPolygonalSurfacePointPlacerCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataPointPlacerCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkPolygonalSurfacePointPlacer:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  AddProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveViewProp\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllProps\n",NULL);
    Tcl_AppendResult(interp,"  ValidateWorldPosition\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellPicker\n",NULL);
    Tcl_AppendResult(interp,"  GetPolys\n",NULL);
    Tcl_AppendResult(interp,"  SetDistanceOffset\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDistanceOffset\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataPointPlacerCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "AddProp" );
    Tcl_DStringAppendElement ( &dString, "RemoveViewProp" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllProps" );
    Tcl_DStringAppendElement ( &dString, "ValidateWorldPosition" );
    Tcl_DStringAppendElement ( &dString, "GetCellPicker" );
    Tcl_DStringAppendElement ( &dString, "GetPolys" );
    Tcl_DStringAppendElement ( &dString, "SetDistanceOffset" );
    Tcl_DStringAppendElement ( &dString, "GetDistanceOffset" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataPointPlacerCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate this class.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkPolygonalSurfacePointPlacer *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard methods for instances of this class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddProp */
    if ( strcmp ( argv[2], "AddProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddProp */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void AddProp (vtkProp *);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for AddProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveViewProp */
    if ( strcmp ( argv[2], "RemoveViewProp" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveViewProp" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProp" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveViewProp */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveViewProp (vtkProp *prop);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for RemoveViewProp */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllProps */
    if ( strcmp ( argv[2], "RemoveAllProps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllProps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllProps */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual void RemoveAllProps ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for RemoveAllProps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ValidateWorldPosition */
    if ( strcmp ( argv[2], "ValidateWorldPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ValidateWorldPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ValidateWorldPosition */
    Tcl_DStringAppendElement ( &dString, " Given a world position check the validity of this \n position according to the constraints of the placer\n" );
    Tcl_DStringAppendElement ( &dString, "virtual int ValidateWorldPosition (double worldPos\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for ValidateWorldPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellPicker */
    if ( strcmp ( argv[2], "GetCellPicker" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellPicker" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellPicker */
    Tcl_DStringAppendElement ( &dString, " Get the Prop picker.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkCellPicker *GetCellPicker ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for GetCellPicker */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolys */
    if ( strcmp ( argv[2], "GetPolys" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolys" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolys */
    Tcl_DStringAppendElement ( &dString, " Be sure to add polydata on which you wish to place points to this list\n or they will not be considered for placement.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataCollection *GetPolys ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for GetPolys */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDistanceOffset */
    if ( strcmp ( argv[2], "SetDistanceOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDistanceOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDistanceOffset */
    Tcl_DStringAppendElement ( &dString, " Height offset at which points may be placed on the polygonal surface.\n If you specify a non-zero value here, be sure to compute cell normals\n on your input polygonal data (easily done with vtkPolyDataNormals).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDistanceOffset (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for SetDistanceOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDistanceOffset */
    if ( strcmp ( argv[2], "GetDistanceOffset" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDistanceOffset" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDistanceOffset */
    Tcl_DStringAppendElement ( &dString, " Height offset at which points may be placed on the polygonal surface.\n If you specify a non-zero value here, be sure to compute cell normals\n on your input polygonal data (easily done with vtkPolyDataNormals).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetDistanceOffset ();" );
    Tcl_DStringAppendElement ( &dString, "vtkPolygonalSurfacePointPlacer" );
    /* Closing for GetDistanceOffset */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataPointPlacerCppCommand(static_cast<vtkPolyDataPointPlacer *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
