// python wrapper for vtkRectilinearWipeRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkRectilinearWipeRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkRectilinearWipeRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkRectilinearWipeRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkRectilinearWipeRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  const char    *temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkRectilinearWipeRepresentation  *temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkRectilinearWipeRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkRectilinearWipeRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_SetRectilinearWipe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkImageRectilinearWipe  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageRectilinearWipe *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageRectilinearWipe");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::SetRectilinearWipe(temp0);
      }
    else
      {
      op->SetRectilinearWipe(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_GetRectilinearWipe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkImageRectilinearWipe  *temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::GetRectilinearWipe();
      }
    else
      {
      temp20 = op->GetRectilinearWipe();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_SetImageActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkImageActor  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageActor");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::SetImageActor(temp0);
      }
    else
      {
      op->SetImageActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_GetImageActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkImageActor  *temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::GetImageActor();
      }
    else
      {
      temp20 = op->GetImageActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  int      temp0;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkProperty2D  *temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  double temp0[2];
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  double temp0[2];
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break17;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break17:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break18;
    if (PyVTKClass_Check(self))
      {
      op->vtkRectilinearWipeRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break18:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkRectilinearWipeRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkRectilinearWipeRepresentation *op;

  int      temp20;
  op = (vtkRectilinearWipeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkRectilinearWipeRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkRectilinearWipeRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkRectilinearWipeRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkRectilinearWipeRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkRectilinearWipeRepresentation\nC++: vtkRectilinearWipeRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkRectilinearWipeRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkRectilinearWipeRepresentation\nC++: vtkRectilinearWipeRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetRectilinearWipe",                (PyCFunction)PyvtkRectilinearWipeRepresentation_SetRectilinearWipe, 1,
   (char*)"V.SetRectilinearWipe(vtkImageRectilinearWipe)\nC++: void SetRectilinearWipe (vtkImageRectilinearWipe *wipe);\n\n Specify an instance of vtkImageRectilinearWipe to manipulate.\n"},
  {(char*)"GetRectilinearWipe",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetRectilinearWipe, 1,
   (char*)"V.GetRectilinearWipe() -> vtkImageRectilinearWipe\nC++: vtkImageRectilinearWipe *GetRectilinearWipe ();\n\n Specify an instance of vtkImageRectilinearWipe to manipulate.\n"},
  {(char*)"SetImageActor",                (PyCFunction)PyvtkRectilinearWipeRepresentation_SetImageActor, 1,
   (char*)"V.SetImageActor(vtkImageActor)\nC++: void SetImageActor (vtkImageActor *imageActor);\n\n Specify an instance of vtkImageActor to decorate.\n"},
  {(char*)"GetImageActor",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetImageActor, 1,
   (char*)"V.GetImageActor() -> vtkImageActor\nC++: vtkImageActor *GetImageActor ();\n\n Specify an instance of vtkImageActor to decorate.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkRectilinearWipeRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the widget (in pixels)\n in which the cursor is considered to be on the widget, or on a\n widget feature (e.g., a corner point or edge).\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetProperty ();\n\n Get the properties for the widget. This can be manipulated to set\n different colors, line widths, etc.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkRectilinearWipeRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkRectilinearWipeRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkRectilinearWipeRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkRectilinearWipeRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Subclasses of vtkRectilinearWipeRepresentation must implement these methods. These\n are the methods that the widget and its representation use to\n communicate with each other.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkRectilinearWipeRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkRectilinearWipeRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkRectilinearWipeRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkRectilinearWipeRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkRectilinearWipeRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkRectilinearWipeRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods to make this class behave as a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkRectilinearWipeRepresentationDoc[] = {
  (char*)"vtkRectilinearWipeRepresentation - represent a vtkRectilinearWipeWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class is used to represent and render a vtkRectilinearWipeWidget. To\n use this class, you need to specify an instance of a\n vtkImageRectilinearWipe and vtkImageActor. This provides the information\n for this representation to construct and place itself.\n\n The class may be subclassed so that alternative representations can\n be created.  The class defines an API and a default implementation tha",
  (char*)"t\n the vtkRectilinearWipeWidget interacts with to render itself in the scene.\n\n",
  "Caveats:\n\n The separation of the widget event handling and representation enables\n users and developers to create new appearances for the widget. It also\n facilitates parallel processing, where the client application handles\n events, and remote representations of the widget are slaves to the \n client (and do not handle events).\n\n",
  "See Also:\n\n vtkRectilinearWipeWidget vtkWidgetRepresentation vtkAbstractWidget\n\n",
  NULL
};

static vtkObjectBase *vtkRectilinearWipeRepresentationStaticNew()
{
  return vtkRectilinearWipeRepresentation::New();
}

PyObject *PyVTKClass_vtkRectilinearWipeRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkRectilinearWipeRepresentationStaticNew,
                        PyvtkRectilinearWipeRepresentationMethods,
                        (char*)"vtkRectilinearWipeRepresentation",modulename,
                        (char**)vtkRectilinearWipeRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

