// python wrapper for vtkScalarBarRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkScalarBarRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScalarBarRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScalarBarRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }

static PyObject *PyvtkScalarBarRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  const char    *temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkScalarBarRepresentation  *temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkScalarBarRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkScalarBarRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_GetScalarBarActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkScalarBarActor  *temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::GetScalarBarActor();
      }
    else
      {
      temp20 = op->GetScalarBarActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_SetScalarBarActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkScalarBarActor  *temp0;
  PyObject *tempH0;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarBarActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarBarActor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarRepresentation::SetScalarBarActor(temp0);
      }
    else
      {
      op->SetScalarBarActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  double temp0[2];
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  double temp0[2];
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarRepresentation::GetSize(temp0);
      }
    else
      {
      op->GetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  int      temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_SetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  int      temp0;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarRepresentation::SetOrientation(temp0);
      }
    else
      {
      op->SetOrientation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarRepresentation_GetOrientation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarRepresentation *op;

  int      temp20;
  op = (vtkScalarBarRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarRepresentation::GetOrientation();
      }
    else
      {
      temp20 = op->GetOrientation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkScalarBarRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScalarBarRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScalarBarRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScalarBarRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScalarBarRepresentation\nC++: vtkScalarBarRepresentation *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkScalarBarRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScalarBarRepresentation\nC++: vtkScalarBarRepresentation *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"GetScalarBarActor",                (PyCFunction)PyvtkScalarBarRepresentation_GetScalarBarActor, 1,
   (char*)"V.GetScalarBarActor() -> vtkScalarBarActor\nC++: vtkScalarBarActor *GetScalarBarActor ();\n\n The prop that is placed in the renderer.\n"},
  {(char*)"SetScalarBarActor",                (PyCFunction)PyvtkScalarBarRepresentation_SetScalarBarActor, 1,
   (char*)"V.SetScalarBarActor(vtkScalarBarActor)\nC++: virtual void SetScalarBarActor (vtkScalarBarActor *);\n\n The prop that is placed in the renderer.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkScalarBarRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Satisfy the superclass' API.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkScalarBarRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Satisfy the superclass' API.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkScalarBarRepresentation_GetSize, 1,
   (char*)"V.GetSize((float, float))\nC++: virtual void GetSize (double size[2]);size size \n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkScalarBarRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *collection);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkScalarBarRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *window);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkScalarBarRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkScalarBarRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkScalarBarRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkScalarBarRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"SetOrientation",                (PyCFunction)PyvtkScalarBarRepresentation_SetOrientation, 1,
   (char*)"V.SetOrientation(int)\nC++: void SetOrientation (int orient);\n\n Get/Set the orientation.\n"},
  {(char*)"GetOrientation",                (PyCFunction)PyvtkScalarBarRepresentation_GetOrientation, 1,
   (char*)"V.GetOrientation() -> int\nC++: int GetOrientation ();\n\n Get/Set the orientation.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScalarBarRepresentationDoc[] = {
  (char*)"vtkScalarBarRepresentation - represent scalar bar for vtkScalarBarWidget\n\n",
  "Super Class:\n\n vtkBorderRepresentation\n\n",
  (char*)"\n This class represents a scalar bar for a vtkScalarBarWidget.  This class\n provides support for interactively placing a scalar bar on the 2D overlay\n plane.  The scalar bar is defined by an instance of vtkScalarBarActor.\n\n One specialty of this class is that if the scalar bar is moved near enough\n to an edge, it's orientation is flipped to match that edge.\n\n\n",
  "See Also:\n\n vtkScalarBarWidget vtkWidgetRepresentation vtkScalarBarActor\n\n\n",
  NULL
};

static vtkObjectBase *vtkScalarBarRepresentationStaticNew()
{
  return vtkScalarBarRepresentation::New();
}

PyObject *PyVTKClass_vtkScalarBarRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkScalarBarRepresentationStaticNew,
                        PyvtkScalarBarRepresentationMethods,
                        (char*)"vtkScalarBarRepresentation",modulename,
                        (char**)vtkScalarBarRepresentationDoc,
                        PyVTKClass_vtkBorderRepresentationNew(modulename));
}

