// python wrapper for vtkScalarBarWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkScalarBarWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkScalarBarWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkScalarBarWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }

static PyObject *PyvtkScalarBarWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  const char    *temp20;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarWidget  *temp20;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkScalarBarWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkScalarBarWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarBarRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarBarRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_GetScalarBarRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarRepresentation  *temp20;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::GetScalarBarRepresentation();
      }
    else
      {
      temp20 = op->GetScalarBarRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_SetScalarBarActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarActor  *temp0;
  PyObject *tempH0;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkScalarBarActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkScalarBarActor");
    if (!temp0 && tempH0 != Py_None) goto break6;
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::SetScalarBarActor(temp0);
      }
    else
      {
      op->SetScalarBarActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break6:
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_GetScalarBarActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  vtkScalarBarActor  *temp20;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::GetScalarBarActor();
      }
    else
      {
      temp20 = op->GetScalarBarActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_SetRepositionable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  int      temp0;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::SetRepositionable(temp0);
      }
    else
      {
      op->SetRepositionable(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_GetRepositionable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  int      temp20;
  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkScalarBarWidget::GetRepositionable();
      }
    else
      {
      temp20 = op->GetRepositionable();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_RepositionableOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::RepositionableOn();
      }
    else
      {
      op->RepositionableOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_RepositionableOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::RepositionableOff();
      }
    else
      {
      op->RepositionableOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkScalarBarWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkScalarBarWidget *op;

  op = (vtkScalarBarWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkScalarBarWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkScalarBarWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkScalarBarWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkScalarBarWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkScalarBarWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkScalarBarWidget\nC++: vtkScalarBarWidget *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkScalarBarWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkScalarBarWidget\nC++: vtkScalarBarWidget *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkScalarBarWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkScalarBarRepresentation)\nC++: virtual void SetRepresentation (vtkScalarBarRepresentation *rep);\n\n Specify an instance of vtkWidgetRepresentation used to represent this\n widget in the scene. Note that the representation is a subclass of vtkProp\n so it can be added to the renderer independent of the widget.\n"},
  {(char*)"GetScalarBarRepresentation",                (PyCFunction)PyvtkScalarBarWidget_GetScalarBarRepresentation, 1,
   (char*)"V.GetScalarBarRepresentation() -> vtkScalarBarRepresentation\nC++: vtkScalarBarRepresentation *GetScalarBarRepresentation ();return reinterpret_cast vtkScalarBarRepresentation this GetRepresentation \n\n Get the ScalarBar used by this Widget. One is created automatically.\n"},
  {(char*)"SetScalarBarActor",                (PyCFunction)PyvtkScalarBarWidget_SetScalarBarActor, 1,
   (char*)"V.SetScalarBarActor(vtkScalarBarActor)\nC++: virtual void SetScalarBarActor (vtkScalarBarActor *actor);\n\n Get the ScalarBar used by this Widget. One is created automatically.\n"},
  {(char*)"GetScalarBarActor",                (PyCFunction)PyvtkScalarBarWidget_GetScalarBarActor, 1,
   (char*)"V.GetScalarBarActor() -> vtkScalarBarActor\nC++: virtual vtkScalarBarActor *GetScalarBarActor ();\n\n Get the ScalarBar used by this Widget. One is created automatically.\n"},
  {(char*)"SetRepositionable",                (PyCFunction)PyvtkScalarBarWidget_SetRepositionable, 1,
   (char*)"V.SetRepositionable(int)\nC++: void SetRepositionable (int );\n\n Can the widget be moved. On by default. If off, the widget cannot be moved\n around.\n\n TODO: This functionality should probably be moved to the superclass.\n"},
  {(char*)"GetRepositionable",                (PyCFunction)PyvtkScalarBarWidget_GetRepositionable, 1,
   (char*)"V.GetRepositionable() -> int\nC++: int GetRepositionable ();\n\n Can the widget be moved. On by default. If off, the widget cannot be moved\n around.\n\n TODO: This functionality should probably be moved to the superclass.\n"},
  {(char*)"RepositionableOn",                (PyCFunction)PyvtkScalarBarWidget_RepositionableOn, 1,
   (char*)"V.RepositionableOn()\nC++: void RepositionableOn ();\n\n Can the widget be moved. On by default. If off, the widget cannot be moved\n around.\n\n TODO: This functionality should probably be moved to the superclass.\n"},
  {(char*)"RepositionableOff",                (PyCFunction)PyvtkScalarBarWidget_RepositionableOff, 1,
   (char*)"V.RepositionableOff()\nC++: void RepositionableOff ();\n\n Can the widget be moved. On by default. If off, the widget cannot be moved\n around.\n\n TODO: This functionality should probably be moved to the superclass.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkScalarBarWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: virtual void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkScalarBarWidgetDoc[] = {
  (char*)"vtkScalarBarWidget - 2D widget for manipulating a scalar bar\n\n",
  "Super Class:\n\n vtkBorderWidget\n\n",
  (char*)" This class provides support for interactively manipulating the position,\n size, and orientation of a scalar bar. It listens to Left mouse events and\n mouse movement. It also listens to Right mouse events and notifies any \n observers of Right mouse events on this object when they occur.\n It will change the cursor shape based on its location. If\n the cursor is over an edge of the scalar bar it will",
  (char*)" change the cursor\n shape to a resize edge shape. If the position of a scalar bar is moved to\n be close to the center of one of the four edges of the viewport, then the\n scalar bar will change its orientation to align with that edge. This\n orientation is sticky in that it will stay that orientation until the\n position is moved close to another edge.\n\n",
  "See Also:\n\n vtkInteractorObserver\n\n",
  NULL
};

static vtkObjectBase *vtkScalarBarWidgetStaticNew()
{
  return vtkScalarBarWidget::New();
}

PyObject *PyVTKClass_vtkScalarBarWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkScalarBarWidgetStaticNew,
                        PyvtkScalarBarWidgetMethods,
                        (char*)"vtkScalarBarWidget",modulename,
                        (char**)vtkScalarBarWidgetDoc,
                        PyVTKClass_vtkBorderWidgetNew(modulename));
}

