// python wrapper for vtkSeedRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSeedRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSeedRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSeedRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkSeedRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  const char    *temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  vtkSeedRepresentation  *temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSeedRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSeedRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetSeedWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  unsigned int      temp0;
  double temp1[3];
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::GetSeedWorldPosition(temp0,temp1);
      }
    else
      {
      op->GetSeedWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_SetSeedDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  unsigned int      temp0;
  double temp1[3];
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::SetSeedDisplayPosition(temp0,temp1);
      }
    else
      {
      op->SetSeedDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetSeedDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  unsigned int      temp0;
  double temp1[3];
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i(ddd)", &temp0, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::GetSeedDisplayPosition(temp0,temp1);
      }
    else
      {
      op->GetSeedDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetNumberOfSeeds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetNumberOfSeeds();
      }
    else
      {
      temp20 = op->GetNumberOfSeeds();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_SetHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  vtkHandleRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkHandleRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkHandleRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::SetHandleRepresentation(temp0);
      }
    else
      {
      op->SetHandleRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetHandleRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  unsigned int      temp0;
  vtkHandleRepresentation  *temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetHandleRepresentation(temp0);
      }
    else
      {
      temp20 = op->GetHandleRepresentation(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  vtkHandleRepresentation  *temp20;
  PyErr_Clear();
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetHandleRepresentation();
      }
    else
      {
      temp20 = op->GetHandleRepresentation();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_SetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  int      temp0;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::SetTolerance(temp0);
      }
    else
      {
      op->SetTolerance(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetToleranceMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetToleranceMinValue();
      }
    else
      {
      temp20 = op->GetToleranceMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetToleranceMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetToleranceMaxValue();
      }
    else
      {
      temp20 = op->GetToleranceMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetTolerance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetTolerance();
      }
    else
      {
      temp20 = op->GetTolerance();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_GetActiveHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::GetActiveHandle();
      }
    else
      {
      temp20 = op->GetActiveHandle();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_CreateHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  double temp0[2];
  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::CreateHandle(temp0);
      }
    else
      {
      temp20 = op->CreateHandle(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_RemoveLastHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::RemoveLastHandle();
      }
    else
      {
      op->RemoveLastHandle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_RemoveActiveHandle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::RemoveActiveHandle();
      }
    else
      {
      op->RemoveActiveHandle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkSeedRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSeedRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSeedRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSeedRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSeedRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSeedRepresentation\nC++: vtkSeedRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSeedRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSeedRepresentation\nC++: vtkSeedRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"GetSeedWorldPosition",                (PyCFunction)PyvtkSeedRepresentation_GetSeedWorldPosition, 1,
   (char*)"V.GetSeedWorldPosition(int, (float, float, float))\nC++: virtual void GetSeedWorldPosition (unsigned int seedNum, double pos[3]);\n\n Methods to Set/Get the coordinates of seed points defining\n this representation. Note that methods are available for both\n display and world coordinates. The seeds are accessed by a seed\n number.\n"},
  {(char*)"SetSeedDisplayPosition",                (PyCFunction)PyvtkSeedRepresentation_SetSeedDisplayPosition, 1,
   (char*)"V.SetSeedDisplayPosition(int, (float, float, float))\nC++: virtual void SetSeedDisplayPosition (unsigned int seedNum, double pos[3]);\n\n Methods to Set/Get the coordinates of seed points defining\n this representation. Note that methods are available for both\n display and world coordinates. The seeds are accessed by a seed\n number.\n"},
  {(char*)"GetSeedDisplayPosition",                (PyCFunction)PyvtkSeedRepresentation_GetSeedDisplayPosition, 1,
   (char*)"V.GetSeedDisplayPosition(int, (float, float, float))\nC++: virtual void GetSeedDisplayPosition (unsigned int seedNum, double pos[3]);\n\n Methods to Set/Get the coordinates of seed points defining\n this representation. Note that methods are available for both\n display and world coordinates. The seeds are accessed by a seed\n number.\n"},
  {(char*)"GetNumberOfSeeds",                (PyCFunction)PyvtkSeedRepresentation_GetNumberOfSeeds, 1,
   (char*)"V.GetNumberOfSeeds() -> int\nC++: int GetNumberOfSeeds ();\n\n Return the number of seeds (or handles) that have been created.\n"},
  {(char*)"SetHandleRepresentation",                (PyCFunction)PyvtkSeedRepresentation_SetHandleRepresentation, 1,
   (char*)"V.SetHandleRepresentation(vtkHandleRepresentation)\nC++: void SetHandleRepresentation (vtkHandleRepresentation *handle);\n\n This method is used to specify the type of handle representation to use\n for the internal vtkHandleWidgets within vtkSeedWidget.  To use this\n method, create a dummy vtkHandleWidget (or subclass), and then invoke\n this method with this dummy. Then the vtkSeedRepresentation uses this\n dummy to clone vtkHandleWidgets of the same type. Make sure you set the\n handle representation before the widget is enabled. \n"},
  {(char*)"GetHandleRepresentation",                (PyCFunction)PyvtkSeedRepresentation_GetHandleRepresentation, 1,
   (char*)"V.GetHandleRepresentation(int) -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetHandleRepresentation (unsigned int num);\nV.GetHandleRepresentation() -> vtkHandleRepresentation\nC++: vtkHandleRepresentation *GetHandleRepresentation ();return this HandleRepresentation \n\n Get the handle representations used for a particular seed. A side effect of\n this method is that it will create a handle representation in the list of\n representations if one has not yet been created.\n"},
  {(char*)"SetTolerance",                (PyCFunction)PyvtkSeedRepresentation_SetTolerance, 1,
   (char*)"V.SetTolerance(int)\nC++: void SetTolerance (int );\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"GetToleranceMinValue",                (PyCFunction)PyvtkSeedRepresentation_GetToleranceMinValue, 1,
   (char*)"V.GetToleranceMinValue() -> int\nC++: int GetToleranceMinValue ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"GetToleranceMaxValue",                (PyCFunction)PyvtkSeedRepresentation_GetToleranceMaxValue, 1,
   (char*)"V.GetToleranceMaxValue() -> int\nC++: int GetToleranceMaxValue ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"GetTolerance",                (PyCFunction)PyvtkSeedRepresentation_GetTolerance, 1,
   (char*)"V.GetTolerance() -> int\nC++: int GetTolerance ();\n\n The tolerance representing the distance to the widget (in pixels) in\n which the cursor is considered near enough to the end points of\n the widget to be active.\n"},
  {(char*)"GetActiveHandle",                (PyCFunction)PyvtkSeedRepresentation_GetActiveHandle, 1,
   (char*)"V.GetActiveHandle() -> int\nC++: virtual int GetActiveHandle ();\n\n These are methods specific to vtkSeedRepresentation and which are\n invoked from vtkSeedWidget.\n"},
  {(char*)"CreateHandle",                (PyCFunction)PyvtkSeedRepresentation_CreateHandle, 1,
   (char*)"V.CreateHandle((float, float)) -> int\nC++: virtual int CreateHandle (double e[2]);\n\n These are methods specific to vtkSeedRepresentation and which are\n invoked from vtkSeedWidget.\n"},
  {(char*)"RemoveLastHandle",                (PyCFunction)PyvtkSeedRepresentation_RemoveLastHandle, 1,
   (char*)"V.RemoveLastHandle()\nC++: virtual void RemoveLastHandle ();\n\n These are methods specific to vtkSeedRepresentation and which are\n invoked from vtkSeedWidget.\n"},
  {(char*)"RemoveActiveHandle",                (PyCFunction)PyvtkSeedRepresentation_RemoveActiveHandle, 1,
   (char*)"V.RemoveActiveHandle()\nC++: virtual void RemoveActiveHandle ();\n\n These are methods specific to vtkSeedRepresentation and which are\n invoked from vtkSeedWidget.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkSeedRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkSeedRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSeedRepresentationDoc[] = {
  (char*)"vtkSeedRepresentation - represent the vtkSeedWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The vtkSeedRepresentation is a superclass for classes representing the\n vtkSeedWidget. This representation consists of one or more handles\n (vtkHandleRepresentation) which are used to place and manipulate the\n points defining the collection of seeds. \n\n",
  "See Also:\n\n vtkSeedWidget vtkHandleRepresentation vtkSeedRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkSeedRepresentationStaticNew()
{
  return vtkSeedRepresentation::New();
}

PyObject *PyVTKClass_vtkSeedRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkSeedRepresentationStaticNew,
                        PyvtkSeedRepresentationMethods,
                        (char*)"vtkSeedRepresentation",modulename,
                        (char**)vtkSeedRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

