// python wrapper for vtkSeedWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSeedWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSeedWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSeedWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkSeedWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  const char    *temp20;
  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  vtkSeedWidget  *temp20;
  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSeedWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSeedWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSeedWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSeedWidget_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  int      temp0;
  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedWidget::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  vtkSeedRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSeedRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSeedRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkSeedWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedWidget_SetProcessEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  int      temp0;
  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedWidget::SetProcessEvents(temp0);
      }
    else
      {
      op->SetProcessEvents(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedWidget_CompleteInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedWidget::CompleteInteraction();
      }
    else
      {
      op->CompleteInteraction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSeedWidget_RestartInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSeedWidget *op;

  op = (vtkSeedWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSeedWidget::RestartInteraction();
      }
    else
      {
      op->RestartInteraction();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSeedWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSeedWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSeedWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSeedWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSeedWidget\nC++: vtkSeedWidget *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSeedWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSeedWidget\nC++: vtkSeedWidget *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkSeedWidget_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n The method for activiating and deactiviating this widget. This method\n must be overridden because it is a composite widget and does more than\n its superclasses' vtkAbstractWidget::SetEnabled() method.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkSeedWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkSeedRepresentation)\nC++: void SetRepresentation (vtkSeedRepresentation *rep);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation rep \n\n Create the default widget representation if one is not set. \n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkSeedWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {(char*)"SetProcessEvents",                (PyCFunction)PyvtkSeedWidget_SetProcessEvents, 1,
   (char*)"V.SetProcessEvents(int)\nC++: virtual void SetProcessEvents (int );\n\n Methods to change the whether the widget responds to interaction.\n Overridden to pass the state to component widgets.\n"},
  {(char*)"CompleteInteraction",                (PyCFunction)PyvtkSeedWidget_CompleteInteraction, 1,
   (char*)"V.CompleteInteraction()\nC++: virtual void CompleteInteraction ();\n\n Method to be called when the seed widget should stop responding to\n the interaction. \n"},
  {(char*)"RestartInteraction",                (PyCFunction)PyvtkSeedWidget_RestartInteraction, 1,
   (char*)"V.RestartInteraction()\nC++: virtual void RestartInteraction ();\n\n Method to be called when the seed widget should start responding\n to the interaction.  \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSeedWidgetDoc[] = {
  (char*)"vtkSeedWidget - place multiple seed points\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkSeedWidget is used to placed multiple seed points in the scene.\n The seed points can be used for operations like connectivity, segmentation,\n and region growing. \n \n To use this widget, specify an instance of vtkSeedWidget and a\n representation (a subclass of vtkSeedRepresentation). The widget is\n implemented using multiple instances of vtkHandleWidget which can be used\n to position the se",
  (char*)"ed points (after they are initially placed). The\n representations for these handle widgets are provided by the\n vtkSeedRepresentation.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n   LeftButtonPressEvent - add a point or select a handle (i.e., seed)\n   RightButtonPressEvent - finish",
  (char*)" adding the seeds\n   MouseMoveEvent - move a handle (i.e., seed)\n   LeftButtonReleaseEvent - release the selected handle (seed)\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkSeedWidget's widget events:\n <pre>\n   vtkWidgetEvent::AddPoint -- add one point; depending on the state\n     ",
  (char*)"                          it may the first or second point added. Or,\n                               if near handle, select handle.\n   vtkWidgetEvent::Completed -- finished adding seeds.\n   vtkWidgetEvent::Move -- move the second point or handle depending on the state.\n   vtkWidgetEvent::EndSelect -- the handle manipulation process has completed.\n </pre>\n\n This widget invokes the following VTK eve",
  (char*)"nts on itself (which observers\n can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (beginning to interact)\n   vtkCommand::EndInteractionEvent (completing interaction)\n   vtkCommand::InteractionEvent (moving after selecting something)\n   vtkCommand::PlacePointEvent (after point is positioned; \n                                call data includes handle id (0,1))\n </pre>\n\n",
  "See Also:\n\n vtkHandleWidget vtkSeedReoresentation\n\n",
  NULL
};

static vtkObjectBase *vtkSeedWidgetStaticNew()
{
  return vtkSeedWidget::New();
}

PyObject *PyVTKClass_vtkSeedWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkSeedWidgetStaticNew,
                        PyvtkSeedWidgetMethods,
                        (char*)"vtkSeedWidget",modulename,
                        (char**)vtkSeedWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

