// python wrapper for vtkSliderRepresentation2D object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSliderRepresentation2D.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSliderRepresentation2DNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSliderRepresentation2DNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkSliderRepresentationNew(char *); }

static PyObject *PyvtkSliderRepresentation2D_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  const char    *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  char    *temp0;
  int      temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkSliderRepresentation2D  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSliderRepresentation2D  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSliderRepresentation2D::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetPoint1Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkCoordinate  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetPoint1Coordinate();
      }
    else
      {
      temp20 = op->GetPoint1Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetPoint2Coordinate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkCoordinate  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetPoint2Coordinate();
      }
    else
      {
      temp20 = op->GetPoint2Coordinate();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_SetTitleText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  char    *temp0;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::SetTitleText(temp0);
      }
    else
      {
      op->SetTitleText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetTitleText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  const char    *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetTitleText();
      }
    else
      {
      temp20 = op->GetTitleText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetSliderProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetSliderProperty();
      }
    else
      {
      temp20 = op->GetSliderProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetTubeProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetTubeProperty();
      }
    else
      {
      temp20 = op->GetTubeProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetCapProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetCapProperty();
      }
    else
      {
      temp20 = op->GetCapProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkProperty2D  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetLabelProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkTextProperty  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetLabelProperty();
      }
    else
      {
      temp20 = op->GetLabelProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetTitleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkTextProperty  *temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::GetTitleProperty();
      }
    else
      {
      temp20 = op->GetTitleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  double temp0[6];
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  double temp0[2];
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  double temp0[2];
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_Highlight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  int      temp0;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::Highlight(temp0);
      }
    else
      {
      op->Highlight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break19;
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break19:
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break20;
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation2D::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break21;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break21:
  return NULL;
}


static PyObject *PyvtkSliderRepresentation2D_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation2D *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSliderRepresentation2D *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break22;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation2D::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break22:
  return NULL;
}

static PyMethodDef PyvtkSliderRepresentation2DMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSliderRepresentation2D_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for the class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSliderRepresentation2D_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for the class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSliderRepresentation2D_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSliderRepresentation2D\nC++: vtkSliderRepresentation2D *NewInstance ();\n\n Standard methods for the class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSliderRepresentation2D_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSliderRepresentation2D\nC++: vtkSliderRepresentation2D *SafeDownCast (vtkObject* o);\n\n Standard methods for the class.\n"},
  {(char*)"GetPoint1Coordinate",                (PyCFunction)PyvtkSliderRepresentation2D_GetPoint1Coordinate, 1,
   (char*)"V.GetPoint1Coordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPoint1Coordinate ();\n\n Position the first end point of the slider. Note that this point is an\n instance of vtkCoordinate, meaning that Point 1 can be specified in a\n variety of coordinate systems, and can even be relative to another\n point. To set the point, you'll want to get the Point1Coordinate and\n then invoke the necessary methods to put it into the correct coordinate\n system and set the correct initial value.\n"},
  {(char*)"GetPoint2Coordinate",                (PyCFunction)PyvtkSliderRepresentation2D_GetPoint2Coordinate, 1,
   (char*)"V.GetPoint2Coordinate() -> vtkCoordinate\nC++: vtkCoordinate *GetPoint2Coordinate ();\n\n Position the second end point of the slider. Note that this point is an\n instance of vtkCoordinate, meaning that Point 1 can be specified in a\n variety of coordinate systems, and can even be relative to another\n point. To set the point, you'll want to get the Point2Coordinate and\n then invoke the necessary methods to put it into the correct coordinate\n system and set the correct initial value.\n"},
  {(char*)"SetTitleText",                (PyCFunction)PyvtkSliderRepresentation2D_SetTitleText, 1,
   (char*)"V.SetTitleText(string)\nC++: virtual void SetTitleText (const char *);\n\n Specify the label text for this widget. If the value is not set, or set\n to the empty string \"\", then the label text is not displayed.\n"},
  {(char*)"GetTitleText",                (PyCFunction)PyvtkSliderRepresentation2D_GetTitleText, 1,
   (char*)"V.GetTitleText() -> string\nC++: virtual const char *GetTitleText ();\n\n Specify the label text for this widget. If the value is not set, or set\n to the empty string \"\", then the label text is not displayed.\n"},
  {(char*)"GetSliderProperty",                (PyCFunction)PyvtkSliderRepresentation2D_GetSliderProperty, 1,
   (char*)"V.GetSliderProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetSliderProperty ();\n\n Get the slider properties. The properties of the slider when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetTubeProperty",                (PyCFunction)PyvtkSliderRepresentation2D_GetTubeProperty, 1,
   (char*)"V.GetTubeProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetTubeProperty ();\n\n Get the properties for the tube and end caps. \n"},
  {(char*)"GetCapProperty",                (PyCFunction)PyvtkSliderRepresentation2D_GetCapProperty, 1,
   (char*)"V.GetCapProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetCapProperty ();\n\n Get the properties for the tube and end caps. \n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkSliderRepresentation2D_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty2D\nC++: vtkProperty2D *GetSelectedProperty ();\n\n Get the selection property. This property is used to modify the appearance of\n selected objects (e.g., the slider).\n"},
  {(char*)"GetLabelProperty",                (PyCFunction)PyvtkSliderRepresentation2D_GetLabelProperty, 1,
   (char*)"V.GetLabelProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetLabelProperty ();\n\n Set/Get the properties for the label and title text.\n"},
  {(char*)"GetTitleProperty",                (PyCFunction)PyvtkSliderRepresentation2D_GetTitleProperty, 1,
   (char*)"V.GetTitleProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetTitleProperty ();\n\n Set/Get the properties for the label and title text.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkSliderRepresentation2D_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display space\n where the widget should be placed.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkSliderRepresentation2D_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display space\n where the widget should be placed.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkSliderRepresentation2D_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display space\n where the widget should be placed.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkSliderRepresentation2D_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double newEventPos[2]);\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display space\n where the widget should be placed.\n"},
  {(char*)"Highlight",                (PyCFunction)PyvtkSliderRepresentation2D_Highlight, 1,
   (char*)"V.Highlight(int)\nC++: virtual void Highlight (int );\n\n Methods to interface with the vtkSliderWidget. The PlaceWidget() method\n assumes that the parameter bounds[6] specifies the location in display space\n where the widget should be placed.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkSliderRepresentation2D_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSliderRepresentation2D_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkSliderRepresentation2D_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkSliderRepresentation2D_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSliderRepresentation2DDoc[] = {
  (char*)"vtkSliderRepresentation2D - provide the representation for a vtkSliderWidget with a 3D skin\n\n",
  "Super Class:\n\n vtkSliderRepresentation\n\n",
  (char*)" This class is used to represent and render a vtkSliderWidget. To use this\n class, you must at a minimum specify the end points of the\n slider. Optional instance variable can be used to modify the appearance of\n the widget.\n\n\n",
  "See Also:\n\n vtkSliderWidget\n\n",
  NULL
};

static vtkObjectBase *vtkSliderRepresentation2DStaticNew()
{
  return vtkSliderRepresentation2D::New();
}

PyObject *PyVTKClass_vtkSliderRepresentation2DNew(char *modulename)
{
  return PyVTKClass_New(&vtkSliderRepresentation2DStaticNew,
                        PyvtkSliderRepresentation2DMethods,
                        (char*)"vtkSliderRepresentation2D",modulename,
                        (char**)vtkSliderRepresentation2DDoc,
                        PyVTKClass_vtkSliderRepresentationNew(modulename));
}

