// python wrapper for vtkSliderRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSliderRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSliderRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSliderRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkSliderRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  const char    *temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  vtkSliderRepresentation  *temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetValue(temp0);
      }
    else
      {
      op->SetValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetValue();
      }
    else
      {
      temp20 = op->GetValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetMinimumValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetMinimumValue(temp0);
      }
    else
      {
      op->SetMinimumValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetMinimumValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetMinimumValue();
      }
    else
      {
      temp20 = op->GetMinimumValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetMaximumValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetMaximumValue(temp0);
      }
    else
      {
      op->SetMaximumValue(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetMaximumValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetMaximumValue();
      }
    else
      {
      temp20 = op->GetMaximumValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetSliderLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetSliderLength(temp0);
      }
    else
      {
      op->SetSliderLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetSliderLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetSliderLengthMinValue();
      }
    else
      {
      temp20 = op->GetSliderLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetSliderLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetSliderLengthMaxValue();
      }
    else
      {
      temp20 = op->GetSliderLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetSliderLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetSliderLength();
      }
    else
      {
      temp20 = op->GetSliderLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetSliderWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetSliderWidth(temp0);
      }
    else
      {
      op->SetSliderWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetSliderWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetSliderWidthMinValue();
      }
    else
      {
      temp20 = op->GetSliderWidthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetSliderWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetSliderWidthMaxValue();
      }
    else
      {
      temp20 = op->GetSliderWidthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetSliderWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetSliderWidth();
      }
    else
      {
      temp20 = op->GetSliderWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetTubeWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetTubeWidth(temp0);
      }
    else
      {
      op->SetTubeWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetTubeWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetTubeWidthMinValue();
      }
    else
      {
      temp20 = op->GetTubeWidthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetTubeWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetTubeWidthMaxValue();
      }
    else
      {
      temp20 = op->GetTubeWidthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetTubeWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetTubeWidth();
      }
    else
      {
      temp20 = op->GetTubeWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetEndCapLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetEndCapLength(temp0);
      }
    else
      {
      op->SetEndCapLength(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetEndCapLengthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetEndCapLengthMinValue();
      }
    else
      {
      temp20 = op->GetEndCapLengthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetEndCapLengthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetEndCapLengthMaxValue();
      }
    else
      {
      temp20 = op->GetEndCapLengthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetEndCapLength(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetEndCapLength();
      }
    else
      {
      temp20 = op->GetEndCapLength();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetEndCapWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetEndCapWidth(temp0);
      }
    else
      {
      op->SetEndCapWidth(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetEndCapWidthMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetEndCapWidthMinValue();
      }
    else
      {
      temp20 = op->GetEndCapWidthMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetEndCapWidthMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetEndCapWidthMaxValue();
      }
    else
      {
      temp20 = op->GetEndCapWidthMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetEndCapWidth(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetEndCapWidth();
      }
    else
      {
      temp20 = op->GetEndCapWidth();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetTitleText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  char    *temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetTitleText(temp0);
      }
    else
      {
      op->SetTitleText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetTitleText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  const char    *temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetTitleText();
      }
    else
      {
      temp20 = op->GetTitleText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  char    *temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetLabelFormat(temp0);
      }
    else
      {
      op->SetLabelFormat(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetLabelFormat(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  char    *temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetLabelFormat();
      }
    else
      {
      temp20 = op->GetLabelFormat();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetLabelHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetLabelHeight(temp0);
      }
    else
      {
      op->SetLabelHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetLabelHeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetLabelHeightMinValue();
      }
    else
      {
      temp20 = op->GetLabelHeightMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetLabelHeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetLabelHeightMaxValue();
      }
    else
      {
      temp20 = op->GetLabelHeightMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetLabelHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetLabelHeight();
      }
    else
      {
      temp20 = op->GetLabelHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetTitleHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetTitleHeight(temp0);
      }
    else
      {
      op->SetTitleHeight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetTitleHeightMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetTitleHeightMinValue();
      }
    else
      {
      temp20 = op->GetTitleHeightMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetTitleHeightMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetTitleHeightMaxValue();
      }
    else
      {
      temp20 = op->GetTitleHeightMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetTitleHeight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetTitleHeight();
      }
    else
      {
      temp20 = op->GetTitleHeight();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_SetShowSliderLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  int      temp0;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::SetShowSliderLabel(temp0);
      }
    else
      {
      op->SetShowSliderLabel(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetShowSliderLabel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  int      temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetShowSliderLabel();
      }
    else
      {
      temp20 = op->GetShowSliderLabel();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_ShowSliderLabelOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::ShowSliderLabelOn();
      }
    else
      {
      op->ShowSliderLabelOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_ShowSliderLabelOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderRepresentation::ShowSliderLabelOff();
      }
    else
      {
      op->ShowSliderLabelOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetCurrentT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetCurrentT();
      }
    else
      {
      temp20 = op->GetCurrentT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderRepresentation_GetPickedT(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderRepresentation *op;

  double   temp20;
  op = (vtkSliderRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderRepresentation::GetPickedT();
      }
    else
      {
      temp20 = op->GetPickedT();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSliderRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSliderRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for the class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSliderRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for the class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSliderRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSliderRepresentation\nC++: vtkSliderRepresentation *NewInstance ();\n\n Standard methods for the class.\n"},
  {(char*)"SetValue",                (PyCFunction)PyvtkSliderRepresentation_SetValue, 1,
   (char*)"V.SetValue(float)\nC++: void SetValue (double value);\n\n Specify the current value for the widget. The value should lie between\n the minimum and maximum values.\n"},
  {(char*)"GetValue",                (PyCFunction)PyvtkSliderRepresentation_GetValue, 1,
   (char*)"V.GetValue() -> float\nC++: double GetValue ();\n\n Specify the current value for the widget. The value should lie between\n the minimum and maximum values.\n"},
  {(char*)"SetMinimumValue",                (PyCFunction)PyvtkSliderRepresentation_SetMinimumValue, 1,
   (char*)"V.SetMinimumValue(float)\nC++: void SetMinimumValue (double value);\n\n Set the current minimum value that the slider can take. Setting the\n minimum value greater than the maximum value will cause the maximum\n value to grow to (minimum value + 1).\n"},
  {(char*)"GetMinimumValue",                (PyCFunction)PyvtkSliderRepresentation_GetMinimumValue, 1,
   (char*)"V.GetMinimumValue() -> float\nC++: double GetMinimumValue ();\n\n Set the current minimum value that the slider can take. Setting the\n minimum value greater than the maximum value will cause the maximum\n value to grow to (minimum value + 1).\n"},
  {(char*)"SetMaximumValue",                (PyCFunction)PyvtkSliderRepresentation_SetMaximumValue, 1,
   (char*)"V.SetMaximumValue(float)\nC++: void SetMaximumValue (double value);\n\n Set the current maximum value that the slider can take. Setting the\n maximum value less than the minimum value will cause the minimum\n value to change to (maximum value - 1).\n"},
  {(char*)"GetMaximumValue",                (PyCFunction)PyvtkSliderRepresentation_GetMaximumValue, 1,
   (char*)"V.GetMaximumValue() -> float\nC++: double GetMaximumValue ();\n\n Set the current maximum value that the slider can take. Setting the\n maximum value less than the minimum value will cause the minimum\n value to change to (maximum value - 1).\n"},
  {(char*)"SetSliderLength",                (PyCFunction)PyvtkSliderRepresentation_SetSliderLength, 1,
   (char*)"V.SetSliderLength(float)\nC++: void SetSliderLength (double );\n\n Specify the length of the slider shape (in normalized display coordinates\n [0.01,0.5]). The slider length by default is 0.05.\n"},
  {(char*)"GetSliderLengthMinValue",                (PyCFunction)PyvtkSliderRepresentation_GetSliderLengthMinValue, 1,
   (char*)"V.GetSliderLengthMinValue() -> float\nC++: double GetSliderLengthMinValue ();\n\n Specify the length of the slider shape (in normalized display coordinates\n [0.01,0.5]). The slider length by default is 0.05.\n"},
  {(char*)"GetSliderLengthMaxValue",                (PyCFunction)PyvtkSliderRepresentation_GetSliderLengthMaxValue, 1,
   (char*)"V.GetSliderLengthMaxValue() -> float\nC++: double GetSliderLengthMaxValue ();\n\n Specify the length of the slider shape (in normalized display coordinates\n [0.01,0.5]). The slider length by default is 0.05.\n"},
  {(char*)"GetSliderLength",                (PyCFunction)PyvtkSliderRepresentation_GetSliderLength, 1,
   (char*)"V.GetSliderLength() -> float\nC++: double GetSliderLength ();\n\n Specify the length of the slider shape (in normalized display coordinates\n [0.01,0.5]). The slider length by default is 0.05.\n"},
  {(char*)"SetSliderWidth",                (PyCFunction)PyvtkSliderRepresentation_SetSliderWidth, 1,
   (char*)"V.SetSliderWidth(float)\nC++: void SetSliderWidth (double );\n\n Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n"},
  {(char*)"GetSliderWidthMinValue",                (PyCFunction)PyvtkSliderRepresentation_GetSliderWidthMinValue, 1,
   (char*)"V.GetSliderWidthMinValue() -> float\nC++: double GetSliderWidthMinValue ();\n\n Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n"},
  {(char*)"GetSliderWidthMaxValue",                (PyCFunction)PyvtkSliderRepresentation_GetSliderWidthMaxValue, 1,
   (char*)"V.GetSliderWidthMaxValue() -> float\nC++: double GetSliderWidthMaxValue ();\n\n Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n"},
  {(char*)"GetSliderWidth",                (PyCFunction)PyvtkSliderRepresentation_GetSliderWidth, 1,
   (char*)"V.GetSliderWidth() -> float\nC++: double GetSliderWidth ();\n\n Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n"},
  {(char*)"SetTubeWidth",                (PyCFunction)PyvtkSliderRepresentation_SetTubeWidth, 1,
   (char*)"V.SetTubeWidth(float)\nC++: void SetTubeWidth (double );\n\n Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n"},
  {(char*)"GetTubeWidthMinValue",                (PyCFunction)PyvtkSliderRepresentation_GetTubeWidthMinValue, 1,
   (char*)"V.GetTubeWidthMinValue() -> float\nC++: double GetTubeWidthMinValue ();\n\n Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n"},
  {(char*)"GetTubeWidthMaxValue",                (PyCFunction)PyvtkSliderRepresentation_GetTubeWidthMaxValue, 1,
   (char*)"V.GetTubeWidthMaxValue() -> float\nC++: double GetTubeWidthMaxValue ();\n\n Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n"},
  {(char*)"GetTubeWidth",                (PyCFunction)PyvtkSliderRepresentation_GetTubeWidth, 1,
   (char*)"V.GetTubeWidth() -> float\nC++: double GetTubeWidth ();\n\n Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n"},
  {(char*)"SetEndCapLength",                (PyCFunction)PyvtkSliderRepresentation_SetEndCapLength, 1,
   (char*)"V.SetEndCapLength(float)\nC++: void SetEndCapLength (double );\n\n Specify the length of each end cap (in normalized coordinates\n [0.0,0.25]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n"},
  {(char*)"GetEndCapLengthMinValue",                (PyCFunction)PyvtkSliderRepresentation_GetEndCapLengthMinValue, 1,
   (char*)"V.GetEndCapLengthMinValue() -> float\nC++: double GetEndCapLengthMinValue ();\n\n Specify the length of each end cap (in normalized coordinates\n [0.0,0.25]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n"},
  {(char*)"GetEndCapLengthMaxValue",                (PyCFunction)PyvtkSliderRepresentation_GetEndCapLengthMaxValue, 1,
   (char*)"V.GetEndCapLengthMaxValue() -> float\nC++: double GetEndCapLengthMaxValue ();\n\n Specify the length of each end cap (in normalized coordinates\n [0.0,0.25]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n"},
  {(char*)"GetEndCapLength",                (PyCFunction)PyvtkSliderRepresentation_GetEndCapLength, 1,
   (char*)"V.GetEndCapLength() -> float\nC++: double GetEndCapLength ();\n\n Specify the length of each end cap (in normalized coordinates\n [0.0,0.25]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n"},
  {(char*)"SetEndCapWidth",                (PyCFunction)PyvtkSliderRepresentation_SetEndCapWidth, 1,
   (char*)"V.SetEndCapWidth(float)\nC++: void SetEndCapWidth (double );\n\n Specify the width of each end cap (in normalized coordinates\n [0.0,0.25]). By default the width is twice the tube width. \n"},
  {(char*)"GetEndCapWidthMinValue",                (PyCFunction)PyvtkSliderRepresentation_GetEndCapWidthMinValue, 1,
   (char*)"V.GetEndCapWidthMinValue() -> float\nC++: double GetEndCapWidthMinValue ();\n\n Specify the width of each end cap (in normalized coordinates\n [0.0,0.25]). By default the width is twice the tube width. \n"},
  {(char*)"GetEndCapWidthMaxValue",                (PyCFunction)PyvtkSliderRepresentation_GetEndCapWidthMaxValue, 1,
   (char*)"V.GetEndCapWidthMaxValue() -> float\nC++: double GetEndCapWidthMaxValue ();\n\n Specify the width of each end cap (in normalized coordinates\n [0.0,0.25]). By default the width is twice the tube width. \n"},
  {(char*)"GetEndCapWidth",                (PyCFunction)PyvtkSliderRepresentation_GetEndCapWidth, 1,
   (char*)"V.GetEndCapWidth() -> float\nC++: double GetEndCapWidth ();\n\n Specify the width of each end cap (in normalized coordinates\n [0.0,0.25]). By default the width is twice the tube width. \n"},
  {(char*)"SetTitleText",                (PyCFunction)PyvtkSliderRepresentation_SetTitleText, 1,
   (char*)"V.SetTitleText(string)\nC++: virtual void SetTitleText (const char *);\n\n Specify the label text for this widget. If the value is not set, or set\n to the empty string \"\", then the label text is not displayed.\n"},
  {(char*)"GetTitleText",                (PyCFunction)PyvtkSliderRepresentation_GetTitleText, 1,
   (char*)"V.GetTitleText() -> string\nC++: virtual const char *GetTitleText ();return NULL \n\n Set/Get the format with which to print the slider value.\n"},
  {(char*)"SetLabelFormat",                (PyCFunction)PyvtkSliderRepresentation_SetLabelFormat, 1,
   (char*)"V.SetLabelFormat(string)\nC++: void SetLabelFormat (char *);\n\n Set/Get the format with which to print the slider value.\n"},
  {(char*)"GetLabelFormat",                (PyCFunction)PyvtkSliderRepresentation_GetLabelFormat, 1,
   (char*)"V.GetLabelFormat() -> string\nC++: char *GetLabelFormat ();\n\n Set/Get the format with which to print the slider value.\n"},
  {(char*)"SetLabelHeight",                (PyCFunction)PyvtkSliderRepresentation_SetLabelHeight, 1,
   (char*)"V.SetLabelHeight(float)\nC++: void SetLabelHeight (double );\n\n Specify the relative height of the label as compared to the length of the\n slider. \n"},
  {(char*)"GetLabelHeightMinValue",                (PyCFunction)PyvtkSliderRepresentation_GetLabelHeightMinValue, 1,
   (char*)"V.GetLabelHeightMinValue() -> float\nC++: double GetLabelHeightMinValue ();\n\n Specify the relative height of the label as compared to the length of the\n slider. \n"},
  {(char*)"GetLabelHeightMaxValue",                (PyCFunction)PyvtkSliderRepresentation_GetLabelHeightMaxValue, 1,
   (char*)"V.GetLabelHeightMaxValue() -> float\nC++: double GetLabelHeightMaxValue ();\n\n Specify the relative height of the label as compared to the length of the\n slider. \n"},
  {(char*)"GetLabelHeight",                (PyCFunction)PyvtkSliderRepresentation_GetLabelHeight, 1,
   (char*)"V.GetLabelHeight() -> float\nC++: double GetLabelHeight ();\n\n Specify the relative height of the label as compared to the length of the\n slider. \n"},
  {(char*)"SetTitleHeight",                (PyCFunction)PyvtkSliderRepresentation_SetTitleHeight, 1,
   (char*)"V.SetTitleHeight(float)\nC++: void SetTitleHeight (double );\n\n Specify the relative height of the title as compared to the length of the\n slider. \n"},
  {(char*)"GetTitleHeightMinValue",                (PyCFunction)PyvtkSliderRepresentation_GetTitleHeightMinValue, 1,
   (char*)"V.GetTitleHeightMinValue() -> float\nC++: double GetTitleHeightMinValue ();\n\n Specify the relative height of the title as compared to the length of the\n slider. \n"},
  {(char*)"GetTitleHeightMaxValue",                (PyCFunction)PyvtkSliderRepresentation_GetTitleHeightMaxValue, 1,
   (char*)"V.GetTitleHeightMaxValue() -> float\nC++: double GetTitleHeightMaxValue ();\n\n Specify the relative height of the title as compared to the length of the\n slider. \n"},
  {(char*)"GetTitleHeight",                (PyCFunction)PyvtkSliderRepresentation_GetTitleHeight, 1,
   (char*)"V.GetTitleHeight() -> float\nC++: double GetTitleHeight ();\n\n Specify the relative height of the title as compared to the length of the\n slider. \n"},
  {(char*)"SetShowSliderLabel",                (PyCFunction)PyvtkSliderRepresentation_SetShowSliderLabel, 1,
   (char*)"V.SetShowSliderLabel(int)\nC++: void SetShowSliderLabel (int );\n\n Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n"},
  {(char*)"GetShowSliderLabel",                (PyCFunction)PyvtkSliderRepresentation_GetShowSliderLabel, 1,
   (char*)"V.GetShowSliderLabel() -> int\nC++: int GetShowSliderLabel ();\n\n Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n"},
  {(char*)"ShowSliderLabelOn",                (PyCFunction)PyvtkSliderRepresentation_ShowSliderLabelOn, 1,
   (char*)"V.ShowSliderLabelOn()\nC++: void ShowSliderLabelOn ();\n\n Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n"},
  {(char*)"ShowSliderLabelOff",                (PyCFunction)PyvtkSliderRepresentation_ShowSliderLabelOff, 1,
   (char*)"V.ShowSliderLabelOff()\nC++: void ShowSliderLabelOff ();\n\n Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n"},
  {(char*)"GetCurrentT",                (PyCFunction)PyvtkSliderRepresentation_GetCurrentT, 1,
   (char*)"V.GetCurrentT() -> float\nC++: virtual double GetCurrentT ();return this CurrentT \n\n Methods to interface with the vtkSliderWidget. Subclasses of this class \n actually do something.\n"},
  {(char*)"GetPickedT",                (PyCFunction)PyvtkSliderRepresentation_GetPickedT, 1,
   (char*)"V.GetPickedT() -> float\nC++: virtual double GetPickedT ();return this PickedT \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSliderRepresentationDoc[] = {
  (char*)"vtkSliderRepresentation - abstract class defines the representation for a vtkSliderWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This abstract class is used to specify how the vtkSliderWidget should\n interact with representations of the vtkSliderWidget. This class may be\n subclassed so that alternative representations can be created. The class\n defines an API, and a default implementation, that the vtkSliderWidget\n interacts with to render itself in the scene.\n\n",
  "See Also:\n\n vtkSliderWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkSliderRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkSliderRepresentationMethods,
                        (char*)"vtkSliderRepresentation",modulename,
                        (char**)vtkSliderRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

