// tcl wrapper for vtkSliderRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSliderRepresentation.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>
int vtkWidgetRepresentationCppCommand(vtkWidgetRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSliderRepresentationCppCommand(vtkSliderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSliderRepresentationCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSliderRepresentationCppCommand(static_cast<vtkSliderRepresentation *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSliderRepresentationCppCommand(vtkSliderRepresentation *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSliderRepresentation",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkWidgetRepresentation"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSliderRepresentation  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSliderRepresentation");
    return TCL_OK;
    }
  if ((!strcmp("SetValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMinimumValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMinimumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMinimumValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMinimumValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMaximumValue",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMaximumValue(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMaximumValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMaximumValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliderLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSliderLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliderLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliderLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliderLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliderLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliderLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliderLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliderWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSliderWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliderWidthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliderWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliderWidthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliderWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSliderWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSliderWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTubeWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTubeWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTubeWidthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTubeWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTubeWidthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTubeWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTubeWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTubeWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndCapLength",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEndCapLength(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndCapLengthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndCapLengthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEndCapLengthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndCapLengthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEndCapLength",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndCapLength();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetEndCapWidth",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetEndCapWidth(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetEndCapWidthMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndCapWidthMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEndCapWidthMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndCapWidthMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetEndCapWidth",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetEndCapWidth();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleText",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitleText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleText",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetTitleText();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLabelHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetLabelHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelHeightMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelHeightMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelHeightMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelHeightMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLabelHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLabelHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTitleHeight",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetTitleHeight(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleHeightMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTitleHeightMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTitleHeightMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTitleHeightMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTitleHeight",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetTitleHeight();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetShowSliderLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetShowSliderLabel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShowSliderLabel",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetShowSliderLabel();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ShowSliderLabelOn",argv[1]))&&(argc == 2))
    {
    op->ShowSliderLabelOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ShowSliderLabelOff",argv[1]))&&(argc == 2))
    {
    op->ShowSliderLabelOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurrentT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPickedT",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetPickedT();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSliderRepresentationCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSliderRepresentation:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SetValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMinimumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMinimumValue\n",NULL);
    Tcl_AppendResult(interp,"  SetMaximumValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMaximumValue\n",NULL);
    Tcl_AppendResult(interp,"  SetSliderLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderLength\n",NULL);
    Tcl_AppendResult(interp,"  SetSliderWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetSliderWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetTubeWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTubeWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTubeWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTubeWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetEndCapLength\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndCapLengthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEndCapLengthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEndCapLength\n",NULL);
    Tcl_AppendResult(interp,"  SetEndCapWidth\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetEndCapWidthMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEndCapWidthMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetEndCapWidth\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleText\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelHeightMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelHeightMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleHeight\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleHeightMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleHeightMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleHeight\n",NULL);
    Tcl_AppendResult(interp,"  SetShowSliderLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShowSliderLabel\n",NULL);
    Tcl_AppendResult(interp,"  ShowSliderLabelOn\n",NULL);
    Tcl_AppendResult(interp,"  ShowSliderLabelOff\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentT\n",NULL);
    Tcl_AppendResult(interp,"  GetPickedT\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    Tcl_DStringAppendElement ( &dString, "SetMinimumValue" );
    Tcl_DStringAppendElement ( &dString, "GetMinimumValue" );
    Tcl_DStringAppendElement ( &dString, "SetMaximumValue" );
    Tcl_DStringAppendElement ( &dString, "GetMaximumValue" );
    Tcl_DStringAppendElement ( &dString, "SetSliderLength" );
    Tcl_DStringAppendElement ( &dString, "GetSliderLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSliderLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSliderLength" );
    Tcl_DStringAppendElement ( &dString, "SetSliderWidth" );
    Tcl_DStringAppendElement ( &dString, "GetSliderWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetSliderWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetSliderWidth" );
    Tcl_DStringAppendElement ( &dString, "SetTubeWidth" );
    Tcl_DStringAppendElement ( &dString, "GetTubeWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTubeWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTubeWidth" );
    Tcl_DStringAppendElement ( &dString, "SetEndCapLength" );
    Tcl_DStringAppendElement ( &dString, "GetEndCapLengthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndCapLengthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndCapLength" );
    Tcl_DStringAppendElement ( &dString, "SetEndCapWidth" );
    Tcl_DStringAppendElement ( &dString, "GetEndCapWidthMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndCapWidthMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetEndCapWidth" );
    Tcl_DStringAppendElement ( &dString, "SetTitleText" );
    Tcl_DStringAppendElement ( &dString, "GetTitleText" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetLabelHeight" );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeightMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeightMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeight" );
    Tcl_DStringAppendElement ( &dString, "SetTitleHeight" );
    Tcl_DStringAppendElement ( &dString, "GetTitleHeightMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetTitleHeightMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetTitleHeight" );
    Tcl_DStringAppendElement ( &dString, "SetShowSliderLabel" );
    Tcl_DStringAppendElement ( &dString, "GetShowSliderLabel" );
    Tcl_DStringAppendElement ( &dString, "ShowSliderLabelOn" );
    Tcl_DStringAppendElement ( &dString, "ShowSliderLabelOff" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentT" );
    Tcl_DStringAppendElement ( &dString, "GetPickedT" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkWidgetRepresentationCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard methods for the class.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetValue */
    if ( strcmp ( argv[2], "SetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetValue */
    Tcl_DStringAppendElement ( &dString, " Specify the current value for the widget. The value should lie between\n the minimum and maximum values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetValue (double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetValue */
    if ( strcmp ( argv[2], "GetValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetValue */
    Tcl_DStringAppendElement ( &dString, " Specify the current value for the widget. The value should lie between\n the minimum and maximum values.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMinimumValue */
    if ( strcmp ( argv[2], "SetMinimumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMinimumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMinimumValue */
    Tcl_DStringAppendElement ( &dString, " Set the current minimum value that the slider can take. Setting the\n minimum value greater than the maximum value will cause the maximum\n value to grow to (minimum value + 1).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMinimumValue (double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetMinimumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMinimumValue */
    if ( strcmp ( argv[2], "GetMinimumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMinimumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMinimumValue */
    Tcl_DStringAppendElement ( &dString, " Set the current minimum value that the slider can take. Setting the\n minimum value greater than the maximum value will cause the maximum\n value to grow to (minimum value + 1).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMinimumValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetMinimumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMaximumValue */
    if ( strcmp ( argv[2], "SetMaximumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMaximumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMaximumValue */
    Tcl_DStringAppendElement ( &dString, " Set the current maximum value that the slider can take. Setting the\n maximum value less than the minimum value will cause the minimum\n value to change to (maximum value - 1).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMaximumValue (double value);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetMaximumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMaximumValue */
    if ( strcmp ( argv[2], "GetMaximumValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMaximumValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMaximumValue */
    Tcl_DStringAppendElement ( &dString, " Set the current maximum value that the slider can take. Setting the\n maximum value less than the minimum value will cause the minimum\n value to change to (maximum value - 1).\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMaximumValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetMaximumValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliderLength */
    if ( strcmp ( argv[2], "SetSliderLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliderLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliderLength */
    Tcl_DStringAppendElement ( &dString, " Specify the length of the slider shape (in normalized display coordinates\n \\[0.01,0.5\\]). The slider length by default is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliderLength (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetSliderLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderLengthMinValue */
    if ( strcmp ( argv[2], "GetSliderLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the length of the slider shape (in normalized display coordinates\n \\[0.01,0.5\\]). The slider length by default is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSliderLengthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetSliderLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderLengthMaxValue */
    if ( strcmp ( argv[2], "GetSliderLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the length of the slider shape (in normalized display coordinates\n \\[0.01,0.5\\]). The slider length by default is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSliderLengthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetSliderLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderLength */
    if ( strcmp ( argv[2], "GetSliderLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderLength */
    Tcl_DStringAppendElement ( &dString, " Specify the length of the slider shape (in normalized display coordinates\n \\[0.01,0.5\\]). The slider length by default is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSliderLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetSliderLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliderWidth */
    if ( strcmp ( argv[2], "SetSliderWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliderWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliderWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliderWidth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetSliderWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderWidthMinValue */
    if ( strcmp ( argv[2], "GetSliderWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSliderWidthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetSliderWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderWidthMaxValue */
    if ( strcmp ( argv[2], "GetSliderWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSliderWidthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetSliderWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliderWidth */
    if ( strcmp ( argv[2], "GetSliderWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliderWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliderWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the slider in the directions orthogonal to the\n slider axis. Using this it is possible to create ellipsoidal and hockey\n puck sliders (in some subclasses). By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSliderWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetSliderWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTubeWidth */
    if ( strcmp ( argv[2], "SetTubeWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTubeWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTubeWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTubeWidth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetTubeWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTubeWidthMinValue */
    if ( strcmp ( argv[2], "GetTubeWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTubeWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTubeWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTubeWidthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetTubeWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTubeWidthMaxValue */
    if ( strcmp ( argv[2], "GetTubeWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTubeWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTubeWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTubeWidthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetTubeWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTubeWidth */
    if ( strcmp ( argv[2], "GetTubeWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTubeWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTubeWidth */
    Tcl_DStringAppendElement ( &dString, " Set the width of the tube (in normalized display coordinates) on which\n the slider moves. By default the width is 0.05.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTubeWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetTubeWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndCapLength */
    if ( strcmp ( argv[2], "SetEndCapLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndCapLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndCapLength */
    Tcl_DStringAppendElement ( &dString, " Specify the length of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndCapLength (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetEndCapLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndCapLengthMinValue */
    if ( strcmp ( argv[2], "GetEndCapLengthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndCapLengthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndCapLengthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the length of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndCapLengthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetEndCapLengthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndCapLengthMaxValue */
    if ( strcmp ( argv[2], "GetEndCapLengthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndCapLengthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndCapLengthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the length of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndCapLengthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetEndCapLengthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndCapLength */
    if ( strcmp ( argv[2], "GetEndCapLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndCapLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndCapLength */
    Tcl_DStringAppendElement ( &dString, " Specify the length of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the length is 0.025. If the end cap length\n is set to 0.0, then the end cap will not display at all.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndCapLength ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetEndCapLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEndCapWidth */
    if ( strcmp ( argv[2], "SetEndCapWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEndCapWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEndCapWidth */
    Tcl_DStringAppendElement ( &dString, " Specify the width of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the width is twice the tube width. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetEndCapWidth (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetEndCapWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndCapWidthMinValue */
    if ( strcmp ( argv[2], "GetEndCapWidthMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndCapWidthMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndCapWidthMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the width of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the width is twice the tube width. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndCapWidthMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetEndCapWidthMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndCapWidthMaxValue */
    if ( strcmp ( argv[2], "GetEndCapWidthMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndCapWidthMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndCapWidthMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the width of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the width is twice the tube width. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndCapWidthMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetEndCapWidthMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetEndCapWidth */
    if ( strcmp ( argv[2], "GetEndCapWidth" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetEndCapWidth" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetEndCapWidth */
    Tcl_DStringAppendElement ( &dString, " Specify the width of each end cap (in normalized coordinates\n \\[0.0,0.25\\]). By default the width is twice the tube width. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetEndCapWidth ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetEndCapWidth */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleText */
    if ( strcmp ( argv[2], "SetTitleText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleText */
    Tcl_DStringAppendElement ( &dString, " Specify the label text for this widget. If the value is not set, or set\n to the empty string \"\", then the label text is not displayed.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleText (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetTitleText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleText */
    if ( strcmp ( argv[2], "GetTitleText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleText */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the slider value.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual const char *GetTitleText ();return NULL " );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetTitleText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the slider value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelFormat (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the slider value.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelHeight */
    if ( strcmp ( argv[2], "SetLabelHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelHeight */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the label as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetLabelHeight (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetLabelHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelHeightMinValue */
    if ( strcmp ( argv[2], "GetLabelHeightMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeightMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelHeightMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the label as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelHeightMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetLabelHeightMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelHeightMaxValue */
    if ( strcmp ( argv[2], "GetLabelHeightMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeightMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelHeightMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the label as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelHeightMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetLabelHeightMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelHeight */
    if ( strcmp ( argv[2], "GetLabelHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelHeight */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the label as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetLabelHeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetLabelHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleHeight */
    if ( strcmp ( argv[2], "SetTitleHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleHeight */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the title as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitleHeight (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetTitleHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleHeightMinValue */
    if ( strcmp ( argv[2], "GetTitleHeightMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleHeightMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleHeightMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the title as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetTitleHeightMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetTitleHeightMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleHeightMaxValue */
    if ( strcmp ( argv[2], "GetTitleHeightMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleHeightMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleHeightMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the title as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetTitleHeightMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetTitleHeightMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleHeight */
    if ( strcmp ( argv[2], "GetTitleHeight" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleHeight" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleHeight */
    Tcl_DStringAppendElement ( &dString, " Specify the relative height of the title as compared to the length of the\n slider. \n" );
    Tcl_DStringAppendElement ( &dString, "double GetTitleHeight ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetTitleHeight */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShowSliderLabel */
    if ( strcmp ( argv[2], "SetShowSliderLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShowSliderLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShowSliderLabel */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetShowSliderLabel (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for SetShowSliderLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShowSliderLabel */
    if ( strcmp ( argv[2], "GetShowSliderLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShowSliderLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShowSliderLabel */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShowSliderLabel ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetShowSliderLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowSliderLabelOn */
    if ( strcmp ( argv[2], "ShowSliderLabelOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowSliderLabelOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowSliderLabelOn */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowSliderLabelOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for ShowSliderLabelOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ShowSliderLabelOff */
    if ( strcmp ( argv[2], "ShowSliderLabelOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ShowSliderLabelOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ShowSliderLabelOff */
    Tcl_DStringAppendElement ( &dString, " Indicate whether the slider text label should be displayed. This is\n a number corresponding to the current Value of this widget.\n" );
    Tcl_DStringAppendElement ( &dString, "void ShowSliderLabelOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for ShowSliderLabelOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentT */
    if ( strcmp ( argv[2], "GetCurrentT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentT */
    Tcl_DStringAppendElement ( &dString, " Methods to interface with the vtkSliderWidget. Subclasses of this class \n actually do something.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetCurrentT ();return this CurrentT " );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetCurrentT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPickedT */
    if ( strcmp ( argv[2], "GetPickedT" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPickedT" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPickedT */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "virtual double GetPickedT ();return this PickedT " );
    Tcl_DStringAppendElement ( &dString, "vtkSliderRepresentation" );
    /* Closing for GetPickedT */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkWidgetRepresentationCppCommand(static_cast<vtkWidgetRepresentation *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
