// python wrapper for vtkSliderWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSliderWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSliderWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSliderWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkSliderWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  const char    *temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  vtkSliderWidget  *temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSliderWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSliderWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSliderWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  vtkSliderRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSliderRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSliderRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkSliderWidget_SetAnimationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp0;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderWidget::SetAnimationMode(temp0);
      }
    else
      {
      op->SetAnimationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_GetAnimationModeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::GetAnimationModeMinValue();
      }
    else
      {
      temp20 = op->GetAnimationModeMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_GetAnimationModeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::GetAnimationModeMaxValue();
      }
    else
      {
      temp20 = op->GetAnimationModeMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_GetAnimationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::GetAnimationMode();
      }
    else
      {
      temp20 = op->GetAnimationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_SetAnimationModeToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderWidget::SetAnimationModeToOff();
      }
    else
      {
      op->SetAnimationModeToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_SetAnimationModeToJump(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderWidget::SetAnimationModeToJump();
      }
    else
      {
      op->SetAnimationModeToJump();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_SetAnimationModeToAnimate(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderWidget::SetAnimationModeToAnimate();
      }
    else
      {
      op->SetAnimationModeToAnimate();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_SetNumberOfAnimationSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp0;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderWidget::SetNumberOfAnimationSteps(temp0);
      }
    else
      {
      op->SetNumberOfAnimationSteps(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_GetNumberOfAnimationStepsMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::GetNumberOfAnimationStepsMinValue();
      }
    else
      {
      temp20 = op->GetNumberOfAnimationStepsMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_GetNumberOfAnimationStepsMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::GetNumberOfAnimationStepsMaxValue();
      }
    else
      {
      temp20 = op->GetNumberOfAnimationStepsMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_GetNumberOfAnimationSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  int      temp20;
  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSliderWidget::GetNumberOfAnimationSteps();
      }
    else
      {
      temp20 = op->GetNumberOfAnimationSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSliderWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSliderWidget *op;

  op = (vtkSliderWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSliderWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSliderWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSliderWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSliderWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSliderWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSliderWidget\nC++: vtkSliderWidget *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSliderWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSliderWidget\nC++: vtkSliderWidget *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkSliderWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkSliderRepresentation)\nC++: void SetRepresentation (vtkSliderRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n"},
  {(char*)"SetAnimationMode",                (PyCFunction)PyvtkSliderWidget_SetAnimationMode, 1,
   (char*)"V.SetAnimationMode(int)\nC++: void SetAnimationMode (int );\n\n Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n"},
  {(char*)"GetAnimationModeMinValue",                (PyCFunction)PyvtkSliderWidget_GetAnimationModeMinValue, 1,
   (char*)"V.GetAnimationModeMinValue() -> int\nC++: int GetAnimationModeMinValue ();\n\n Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n"},
  {(char*)"GetAnimationModeMaxValue",                (PyCFunction)PyvtkSliderWidget_GetAnimationModeMaxValue, 1,
   (char*)"V.GetAnimationModeMaxValue() -> int\nC++: int GetAnimationModeMaxValue ();\n\n Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n"},
  {(char*)"GetAnimationMode",                (PyCFunction)PyvtkSliderWidget_GetAnimationMode, 1,
   (char*)"V.GetAnimationMode() -> int\nC++: int GetAnimationMode ();\n\n Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n"},
  {(char*)"SetAnimationModeToOff",                (PyCFunction)PyvtkSliderWidget_SetAnimationModeToOff, 1,
   (char*)"V.SetAnimationModeToOff()\nC++: void SetAnimationModeToOff ();this SetAnimationMode AnimateOff \n\n Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n"},
  {(char*)"SetAnimationModeToJump",                (PyCFunction)PyvtkSliderWidget_SetAnimationModeToJump, 1,
   (char*)"V.SetAnimationModeToJump()\nC++: void SetAnimationModeToJump ();this SetAnimationMode Jump \n\n Control the behavior of the slider when selecting the tube or caps. If\n Jump, then selecting the tube, left cap, or right cap causes the slider to\n jump to the selection point. If the mode is Animate, the slider moves\n towards the selection point in NumberOfAnimationSteps number of steps.\n If Off, then the slider does not move.\n"},
  {(char*)"SetAnimationModeToAnimate",                (PyCFunction)PyvtkSliderWidget_SetAnimationModeToAnimate, 1,
   (char*)"V.SetAnimationModeToAnimate()\nC++: void SetAnimationModeToAnimate ();this SetAnimationMode Animate \n\n Specify the number of animation steps to take if the animation mode\n is set to animate.\n"},
  {(char*)"SetNumberOfAnimationSteps",                (PyCFunction)PyvtkSliderWidget_SetNumberOfAnimationSteps, 1,
   (char*)"V.SetNumberOfAnimationSteps(int)\nC++: void SetNumberOfAnimationSteps (int );\n\n Specify the number of animation steps to take if the animation mode\n is set to animate.\n"},
  {(char*)"GetNumberOfAnimationStepsMinValue",                (PyCFunction)PyvtkSliderWidget_GetNumberOfAnimationStepsMinValue, 1,
   (char*)"V.GetNumberOfAnimationStepsMinValue() -> int\nC++: int GetNumberOfAnimationStepsMinValue ();\n\n Specify the number of animation steps to take if the animation mode\n is set to animate.\n"},
  {(char*)"GetNumberOfAnimationStepsMaxValue",                (PyCFunction)PyvtkSliderWidget_GetNumberOfAnimationStepsMaxValue, 1,
   (char*)"V.GetNumberOfAnimationStepsMaxValue() -> int\nC++: int GetNumberOfAnimationStepsMaxValue ();\n\n Specify the number of animation steps to take if the animation mode\n is set to animate.\n"},
  {(char*)"GetNumberOfAnimationSteps",                (PyCFunction)PyvtkSliderWidget_GetNumberOfAnimationSteps, 1,
   (char*)"V.GetNumberOfAnimationSteps() -> int\nC++: int GetNumberOfAnimationSteps ();\n\n Specify the number of animation steps to take if the animation mode\n is set to animate.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkSliderWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSliderWidgetDoc[] = {
  (char*)"vtkSliderWidget - set a value by manipulating a slider\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The vtkSliderWidget is used to set a scalar value in an application.  This\n class assumes that a slider is moved along a 1D parameter space (e.g., a\n spherical bead that can be moved along a tube).  Moving the slider\n modifies the value of the widget, which can be used to set parameters on\n other objects. Note that the actual appearance of the widget depends on\n the specific representation for th",
  (char*)"e widget.\n \n To use this widget, set the widget representation. The representation is\n assumed to consist of a tube, two end caps, and a slider (the details may\n vary depending on the particulars of the representation). Then in the\n representation you will typically set minimum and maximum value, as well\n as the current value. The position of the slider must also be set, as well\n as various proper",
  (char*)"ties.\n\n .SECTION Event Bindings\n By default, the widget responds to the following VTK events (i.e., it\n watches the vtkRenderWindowInteractor for these events):\n <pre>\n If the slider bead is selected:\n   LeftButtonPressEvent - select slider (if on slider)\n   LeftButtonReleaseEvent - release slider (if selected)\n   MouseMoveEvent - move slider\n If the end caps or slider tube are selected:\n   LeftBu",
  (char*)"ttonPressEvent - move (or animate) to cap or point on tube;\n </pre>\n\n Note that the event bindings described above can be changed using this\n class's vtkWidgetEventTranslator. This class translates VTK events \n into the vtkSliderWidget's widget events:\n <pre>\n   vtkWidgetEvent::Select -- some part of the widget has been selected\n   vtkWidgetEvent::EndSelect -- the selection process has completed\n ",
  (char*)"  vtkWidgetEvent::Move -- a request for slider motion has been invoked\n </pre>\n\n In turn, when these widget events are processed, the vtkSliderWidget\n invokes the following VTK events on itself (which observers can listen for):\n <pre>\n   vtkCommand::StartInteractionEvent (on vtkWidgetEvent::Select)\n   vtkCommand::EndInteractionEvent (on vtkWidgetEvent::EndSelect)\n   vtkCommand::InteractionEvent (o",
  (char*)"n vtkWidgetEvent::Move)\n </pre>\n\n\n",
  NULL
};

static vtkObjectBase *vtkSliderWidgetStaticNew()
{
  return vtkSliderWidget::New();
}

PyObject *PyVTKClass_vtkSliderWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkSliderWidgetStaticNew,
                        PyvtkSliderWidgetMethods,
                        (char*)"vtkSliderWidget",modulename,
                        (char**)vtkSliderWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

