// python wrapper for vtkSphereHandleRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSphereHandleRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSphereHandleRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSphereHandleRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkHandleRepresentationNew(char *); }

static PyObject *PyvtkSphereHandleRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  const char    *temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkSphereHandleRepresentation  *temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSphereHandleRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSphereHandleRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double temp0[3];
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetWorldPosition(temp0);
      }
    else
      {
      op->SetWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double temp0[3];
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetDisplayPosition(temp0);
      }
    else
      {
      op->SetDisplayPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  int      temp0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetTranslationMode(temp0);
      }
    else
      {
      op->SetTranslationMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetTranslationMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  int      temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetTranslationMode();
      }
    else
      {
      temp20 = op->GetTranslationMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_TranslationModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::TranslationModeOn();
      }
    else
      {
      op->TranslationModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_TranslationModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::TranslationModeOff();
      }
    else
      {
      op->TranslationModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetSphereRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double   temp0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetSphereRadius(temp0);
      }
    else
      {
      op->SetSphereRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetSphereRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double   temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetSphereRadius();
      }
    else
      {
      temp20 = op->GetSphereRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetProperty(temp0);
      }
    else
      {
      op->SetProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkProperty  *temp0;
  PyObject *tempH0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProperty *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProperty");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetSelectedProperty(temp0);
      }
    else
      {
      op->SetSelectedProperty(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetProperty();
      }
    else
      {
      temp20 = op->GetProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetSelectedProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetSelectedProperty();
      }
    else
      {
      temp20 = op->GetSelectedProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetHotSpotSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double   temp0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetHotSpotSize(temp0);
      }
    else
      {
      op->SetHotSpotSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetHotSpotSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double   temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetHotSpotSizeMinValue();
      }
    else
      {
      temp20 = op->GetHotSpotSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetHotSpotSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double   temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetHotSpotSizeMaxValue();
      }
    else
      {
      temp20 = op->GetHotSpotSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetHotSpotSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double   temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetHotSpotSize();
      }
    else
      {
      temp20 = op->GetHotSpotSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_SetHandleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double   temp0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::SetHandleSize(temp0);
      }
    else
      {
      op->SetHandleSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double  *temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double temp0[2];
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double temp0[2];
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  double temp0[6];
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereHandleRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkSphereHandleRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereHandleRepresentation *op;

  int      temp20;
  op = (vtkSphereHandleRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereHandleRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSphereHandleRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSphereHandleRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSphereHandleRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSphereHandleRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSphereHandleRepresentation\nC++: vtkSphereHandleRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSphereHandleRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSphereHandleRepresentation\nC++: vtkSphereHandleRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetWorldPosition",                (PyCFunction)PyvtkSphereHandleRepresentation_SetWorldPosition, 1,
   (char*)"V.SetWorldPosition((float, float, float))\nC++: virtual void SetWorldPosition (double p[3]);\n\n Set the position of the point in world and display coordinates. Note \n that if the position is set outside of the bounding box, it will be \n clamped to the boundary of the bounding box. This method overloads\n the superclasses' SetWorldPosition() and SetDisplayPosition() in \n order to set the focal point of the cursor properly.\n"},
  {(char*)"SetDisplayPosition",                (PyCFunction)PyvtkSphereHandleRepresentation_SetDisplayPosition, 1,
   (char*)"V.SetDisplayPosition((float, float, float))\nC++: virtual void SetDisplayPosition (double p[3]);\n\n Set the position of the point in world and display coordinates. Note \n that if the position is set outside of the bounding box, it will be \n clamped to the boundary of the bounding box. This method overloads\n the superclasses' SetWorldPosition() and SetDisplayPosition() in \n order to set the focal point of the cursor properly.\n"},
  {(char*)"SetTranslationMode",                (PyCFunction)PyvtkSphereHandleRepresentation_SetTranslationMode, 1,
   (char*)"V.SetTranslationMode(int)\nC++: void SetTranslationMode (int );\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point moves\n (i.e., the left and middle mouse buttons act the same).  Otherwise, only\n the cursor focal point moves, which is constrained by the bounds of the\n point representation. (Note that the bounds can be scaled up using the\n right mouse button.)\n"},
  {(char*)"GetTranslationMode",                (PyCFunction)PyvtkSphereHandleRepresentation_GetTranslationMode, 1,
   (char*)"V.GetTranslationMode() -> int\nC++: int GetTranslationMode ();\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point moves\n (i.e., the left and middle mouse buttons act the same).  Otherwise, only\n the cursor focal point moves, which is constrained by the bounds of the\n point representation. (Note that the bounds can be scaled up using the\n right mouse button.)\n"},
  {(char*)"TranslationModeOn",                (PyCFunction)PyvtkSphereHandleRepresentation_TranslationModeOn, 1,
   (char*)"V.TranslationModeOn()\nC++: void TranslationModeOn ();\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point moves\n (i.e., the left and middle mouse buttons act the same).  Otherwise, only\n the cursor focal point moves, which is constrained by the bounds of the\n point representation. (Note that the bounds can be scaled up using the\n right mouse button.)\n"},
  {(char*)"TranslationModeOff",                (PyCFunction)PyvtkSphereHandleRepresentation_TranslationModeOff, 1,
   (char*)"V.TranslationModeOff()\nC++: void TranslationModeOff ();\n\n If translation mode is on, as the widget is moved the bounding box,\n shadows, and cursor are all translated simultaneously as the point moves\n (i.e., the left and middle mouse buttons act the same).  Otherwise, only\n the cursor focal point moves, which is constrained by the bounds of the\n point representation. (Note that the bounds can be scaled up using the\n right mouse button.)\n"},
  {(char*)"SetSphereRadius",                (PyCFunction)PyvtkSphereHandleRepresentation_SetSphereRadius, 1,
   (char*)"V.SetSphereRadius(float)\nC++: void SetSphereRadius (double );\n\n"},
  {(char*)"GetSphereRadius",                (PyCFunction)PyvtkSphereHandleRepresentation_GetSphereRadius, 1,
   (char*)"V.GetSphereRadius() -> float\nC++: double GetSphereRadius ();\n\n"},
  {(char*)"SetProperty",                (PyCFunction)PyvtkSphereHandleRepresentation_SetProperty, 1,
   (char*)"V.SetProperty(vtkProperty)\nC++: void SetProperty (vtkProperty *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"SetSelectedProperty",                (PyCFunction)PyvtkSphereHandleRepresentation_SetSelectedProperty, 1,
   (char*)"V.SetSelectedProperty(vtkProperty)\nC++: void SetSelectedProperty (vtkProperty *);\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetProperty",                (PyCFunction)PyvtkSphereHandleRepresentation_GetProperty, 1,
   (char*)"V.GetProperty() -> vtkProperty\nC++: vtkProperty *GetProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"GetSelectedProperty",                (PyCFunction)PyvtkSphereHandleRepresentation_GetSelectedProperty, 1,
   (char*)"V.GetSelectedProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedProperty ();\n\n Set/Get the handle properties when unselected and selected.\n"},
  {(char*)"SetHotSpotSize",                (PyCFunction)PyvtkSphereHandleRepresentation_SetHotSpotSize, 1,
   (char*)"V.SetHotSpotSize(float)\nC++: void SetHotSpotSize (double );\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSizeMinValue",                (PyCFunction)PyvtkSphereHandleRepresentation_GetHotSpotSizeMinValue, 1,
   (char*)"V.GetHotSpotSizeMinValue() -> float\nC++: double GetHotSpotSizeMinValue ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSizeMaxValue",                (PyCFunction)PyvtkSphereHandleRepresentation_GetHotSpotSizeMaxValue, 1,
   (char*)"V.GetHotSpotSizeMaxValue() -> float\nC++: double GetHotSpotSizeMaxValue ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"GetHotSpotSize",                (PyCFunction)PyvtkSphereHandleRepresentation_GetHotSpotSize, 1,
   (char*)"V.GetHotSpotSize() -> float\nC++: double GetHotSpotSize ();\n\n Set the \"hot spot\" size; i.e., the region around the focus, in which the\n motion vector is used to control the constrained sliding action. Note the\n size is specified as a fraction of the length of the diagonal of the \n point widget's bounding box.\n"},
  {(char*)"SetHandleSize",                (PyCFunction)PyvtkSphereHandleRepresentation_SetHandleSize, 1,
   (char*)"V.SetHandleSize(float)\nC++: virtual void SetHandleSize (double size);\n\n Overload the superclasses SetHandleSize() method to update internal \n variables.\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkSphereHandleRepresentation_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkSphereHandleRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkSphereHandleRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkSphereHandleRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double eventPos[2]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkSphereHandleRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkSphereHandleRepresentation_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\n\n Methods to make this class properly act like a vtkWidgetRepresentation.\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkSphereHandleRepresentation_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkSphereHandleRepresentation_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSphereHandleRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkSphereHandleRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSphereHandleRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *viewport);\n\n Methods to make this class behave as a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSphereHandleRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods to make this class behave as a vtkProp.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSphereHandleRepresentationDoc[] = {
  (char*)"vtkSphereHandleRepresentation - A spherical rendition of point in 3D space\n\n",
  "Super Class:\n\n vtkHandleRepresentation\n\n",
  (char*)" This class is a concrete implementation of vtkHandleRepresentation. It \n renders handles as spherical blobs in 3D space.\n\n\n",
  "See Also:\n\n vtkHandleRepresentation vtkHandleWidget vtkSphereSource\n\n",
  NULL
};

static vtkObjectBase *vtkSphereHandleRepresentationStaticNew()
{
  return vtkSphereHandleRepresentation::New();
}

PyObject *PyVTKClass_vtkSphereHandleRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkSphereHandleRepresentationStaticNew,
                        PyvtkSphereHandleRepresentationMethods,
                        (char*)"vtkSphereHandleRepresentation",modulename,
                        (char**)vtkSphereHandleRepresentationDoc,
                        PyVTKClass_vtkHandleRepresentationNew(modulename));
}

