// python wrapper for vtkSphereRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkSphereRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkSphereRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkSphereRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkSphereRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  const char    *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkSphereRepresentation  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkSphereRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkSphereRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetRepresentationMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetRepresentationMinValue();
      }
    else
      {
      temp20 = op->GetRepresentationMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetRepresentationMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetRepresentationMaxValue();
      }
    else
      {
      temp20 = op->GetRepresentationMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetRepresentation();
      }
    else
      {
      temp20 = op->GetRepresentation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetRepresentationToOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetRepresentationToOff();
      }
    else
      {
      op->SetRepresentationToOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetRepresentationToWireframe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetRepresentationToWireframe();
      }
    else
      {
      op->SetRepresentationToWireframe();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetRepresentationToSurface(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetRepresentationToSurface();
      }
    else
      {
      op->SetRepresentationToSurface();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetThetaResolution(temp0);
      }
    else
      {
      op->SetThetaResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetThetaResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetThetaResolution();
      }
    else
      {
      temp20 = op->GetThetaResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetPhiResolution(temp0);
      }
    else
      {
      op->SetPhiResolution(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetPhiResolution(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetPhiResolution();
      }
    else
      {
      temp20 = op->GetPhiResolution();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[3];
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetCenter(temp0);
      }
    else
      {
      op->SetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetCenter(temp0,temp1,temp2);
      }
    else
      {
      op->SetCenter(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetCenter(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetCenter();
      }
    else
      {
      temp20 = op->GetCenter();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::GetCenter(temp0);
      }
    else
      {
      op->GetCenter(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double   temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetRadius(temp0);
      }
    else
      {
      op->SetRadius(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetRadius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double   temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetRadius();
      }
    else
      {
      temp20 = op->GetRadius();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetHandleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetHandleVisibility(temp0);
      }
    else
      {
      op->SetHandleVisibility(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetHandleVisibility(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetHandleVisibility();
      }
    else
      {
      temp20 = op->GetHandleVisibility();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_HandleVisibilityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::HandleVisibilityOn();
      }
    else
      {
      op->HandleVisibilityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_HandleVisibilityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::HandleVisibilityOff();
      }
    else
      {
      op->HandleVisibilityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[3];
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetHandlePosition(temp0);
      }
    else
      {
      op->SetHandlePosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetHandlePosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetHandlePosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetHandlePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetHandlePosition();
      }
    else
      {
      temp20 = op->GetHandlePosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetHandleDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[3];
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetHandleDirection(temp0);
      }
    else
      {
      op->SetHandleDirection(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  PyErr_Clear();
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetHandleDirection(temp0,temp1,temp2);
      }
    else
      {
      op->SetHandleDirection(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetHandleDirection(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetHandleDirection();
      }
    else
      {
      temp20 = op->GetHandleDirection();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetHandleText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetHandleText(temp0);
      }
    else
      {
      op->SetHandleText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetHandleText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetHandleText();
      }
    else
      {
      temp20 = op->GetHandleText();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_HandleTextOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::HandleTextOn();
      }
    else
      {
      op->HandleTextOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_HandleTextOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::HandleTextOff();
      }
    else
      {
      op->HandleTextOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetRadialLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetRadialLine(temp0);
      }
    else
      {
      op->SetRadialLine(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetRadialLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetRadialLine();
      }
    else
      {
      temp20 = op->GetRadialLine();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_RadialLineOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::RadialLineOn();
      }
    else
      {
      op->RadialLineOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_RadialLineOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::RadialLineOff();
      }
    else
      {
      op->RadialLineOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetPolyData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break39;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::GetPolyData(temp0);
      }
    else
      {
      op->GetPolyData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break39:
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetSphere(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkSphere  *temp0;
  PyObject *tempH0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkSphere *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkSphere");
    if (!temp0 && tempH0 != Py_None) goto break40;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::GetSphere(temp0);
      }
    else
      {
      op->GetSphere(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break40:
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetSphereProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetSphereProperty();
      }
    else
      {
      temp20 = op->GetSphereProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetSelectedSphereProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetSelectedSphereProperty();
      }
    else
      {
      temp20 = op->GetSelectedSphereProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetHandleProperty();
      }
    else
      {
      temp20 = op->GetHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetSelectedHandleProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetSelectedHandleProperty();
      }
    else
      {
      temp20 = op->GetSelectedHandleProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetHandleTextProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkTextProperty  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetHandleTextProperty();
      }
    else
      {
      temp20 = op->GetHandleTextProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_GetRadialLineProperty(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkProperty  *temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::GetRadialLineProperty();
      }
    else
      {
      temp20 = op->GetRadialLineProperty();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_SetInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::SetInteractionState(temp0);
      }
    else
      {
      op->SetInteractionState(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_PlaceWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[6];
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp0 + 3, temp0 + 4, temp0 + 5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::PlaceWidget(temp0);
      }
    else
      {
      op->PlaceWidget(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,6)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[3];
  double temp1[3];
  PyErr_Clear();
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::PlaceWidget(temp0,temp1);
      }
    else
      {
      op->PlaceWidget(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[2];
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  double temp0[2];
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break54;
    if (PyVTKClass_Check(self))
      {
      op->vtkSphereRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break54:
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break55;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break55:
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break56;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break56:
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break57;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break57:
  return NULL;
}


static PyObject *PyvtkSphereRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkSphereRepresentation *op;

  int      temp20;
  op = (vtkSphereRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkSphereRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkSphereRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkSphereRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for type information and to print out the contents of the class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkSphereRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for type information and to print out the contents of the class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkSphereRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkSphereRepresentation\nC++: vtkSphereRepresentation *NewInstance ();\n\n Standard methods for type information and to print out the contents of the class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkSphereRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkSphereRepresentation\nC++: vtkSphereRepresentation *SafeDownCast (vtkObject* o);\n\n Standard methods for type information and to print out the contents of the class.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkSphereRepresentation_SetRepresentation, 1,
   (char*)"V.SetRepresentation(int)\nC++: void SetRepresentation (int );\n\n Set the representation (i.e., appearance) of the sphere. Different\n representations are useful depending on the application. \n"},
  {(char*)"GetRepresentationMinValue",                (PyCFunction)PyvtkSphereRepresentation_GetRepresentationMinValue, 1,
   (char*)"V.GetRepresentationMinValue() -> int\nC++: int GetRepresentationMinValue ();\n\n Set the representation (i.e., appearance) of the sphere. Different\n representations are useful depending on the application. \n"},
  {(char*)"GetRepresentationMaxValue",                (PyCFunction)PyvtkSphereRepresentation_GetRepresentationMaxValue, 1,
   (char*)"V.GetRepresentationMaxValue() -> int\nC++: int GetRepresentationMaxValue ();\n\n Set the representation (i.e., appearance) of the sphere. Different\n representations are useful depending on the application. \n"},
  {(char*)"GetRepresentation",                (PyCFunction)PyvtkSphereRepresentation_GetRepresentation, 1,
   (char*)"V.GetRepresentation() -> int\nC++: int GetRepresentation ();\n\n Set the representation (i.e., appearance) of the sphere. Different\n representations are useful depending on the application. \n"},
  {(char*)"SetRepresentationToOff",                (PyCFunction)PyvtkSphereRepresentation_SetRepresentationToOff, 1,
   (char*)"V.SetRepresentationToOff()\nC++: void SetRepresentationToOff ();this SetRepresentation VTK_SPHERE_OFF \n\n Set the representation (i.e., appearance) of the sphere. Different\n representations are useful depending on the application. \n"},
  {(char*)"SetRepresentationToWireframe",                (PyCFunction)PyvtkSphereRepresentation_SetRepresentationToWireframe, 1,
   (char*)"V.SetRepresentationToWireframe()\nC++: void SetRepresentationToWireframe ();this SetRepresentation VTK_SPHERE_WIREFRAME \n\n Set the representation (i.e., appearance) of the sphere. Different\n representations are useful depending on the application. \n"},
  {(char*)"SetRepresentationToSurface",                (PyCFunction)PyvtkSphereRepresentation_SetRepresentationToSurface, 1,
   (char*)"V.SetRepresentationToSurface()\nC++: void SetRepresentationToSurface ();this SetRepresentation VTK_SPHERE_SURFACE \n\n Set/Get the resolution of the sphere in the theta direction.\n"},
  {(char*)"SetThetaResolution",                (PyCFunction)PyvtkSphereRepresentation_SetThetaResolution, 1,
   (char*)"V.SetThetaResolution(int)\nC++: void SetThetaResolution (int r);this SphereSource SetThetaResolution r \n\n Set/Get the resolution of the sphere in the theta direction.\n"},
  {(char*)"GetThetaResolution",                (PyCFunction)PyvtkSphereRepresentation_GetThetaResolution, 1,
   (char*)"V.GetThetaResolution() -> int\nC++: int GetThetaResolution ();return this SphereSource GetThetaResolution \n\n Set/Get the resolution of the sphere in the phi direction.\n"},
  {(char*)"SetPhiResolution",                (PyCFunction)PyvtkSphereRepresentation_SetPhiResolution, 1,
   (char*)"V.SetPhiResolution(int)\nC++: void SetPhiResolution (int r);this SphereSource SetPhiResolution r \n\n Set/Get the resolution of the sphere in the phi direction.\n"},
  {(char*)"GetPhiResolution",                (PyCFunction)PyvtkSphereRepresentation_GetPhiResolution, 1,
   (char*)"V.GetPhiResolution() -> int\nC++: int GetPhiResolution ();return this SphereSource GetPhiResolution \n\n Set/Get the center position of the sphere. Note that this may\n adjust the direction from the handle to the center, as well as\n the radius of the sphere.\n"},
  {(char*)"SetCenter",                (PyCFunction)PyvtkSphereRepresentation_SetCenter, 1,
   (char*)"V.SetCenter((float, float, float))\nC++: void SetCenter (double c[3]);\nV.SetCenter(float, float, float)\nC++: void SetCenter (double x, double y, double z);double c c x c y c z this SetCenter c \n\n Set/Get the center position of the sphere. Note that this may\n adjust the direction from the handle to the center, as well as\n the radius of the sphere.\n"},
  {(char*)"GetCenter",                (PyCFunction)PyvtkSphereRepresentation_GetCenter, 1,
   (char*)"V.GetCenter() -> (float, float, float)\nC++: double *GetCenter ();return this SphereSource GetCenter \nV.GetCenter((float, float, float))\nC++: void GetCenter (double xyz[3]);this SphereSource GetCenter xyz \n\n Set/Get the center position of the sphere. Note that this may\n adjust the direction from the handle to the center, as well as\n the radius of the sphere.\n"},
  {(char*)"SetRadius",                (PyCFunction)PyvtkSphereRepresentation_SetRadius, 1,
   (char*)"V.SetRadius(float)\nC++: void SetRadius (double r);\n\n Set/Get the radius of sphere. Default is 0.5. Note that this may\n modify the position of the handle based on the handle direction.\n"},
  {(char*)"GetRadius",                (PyCFunction)PyvtkSphereRepresentation_GetRadius, 1,
   (char*)"V.GetRadius() -> float\nC++: double GetRadius ();return this SphereSource GetRadius \n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"SetHandleVisibility",                (PyCFunction)PyvtkSphereRepresentation_SetHandleVisibility, 1,
   (char*)"V.SetHandleVisibility(int)\nC++: void SetHandleVisibility (int );\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"GetHandleVisibility",                (PyCFunction)PyvtkSphereRepresentation_GetHandleVisibility, 1,
   (char*)"V.GetHandleVisibility() -> int\nC++: int GetHandleVisibility ();\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"HandleVisibilityOn",                (PyCFunction)PyvtkSphereRepresentation_HandleVisibilityOn, 1,
   (char*)"V.HandleVisibilityOn()\nC++: void HandleVisibilityOn ();\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"HandleVisibilityOff",                (PyCFunction)PyvtkSphereRepresentation_HandleVisibilityOff, 1,
   (char*)"V.HandleVisibilityOff()\nC++: void HandleVisibilityOff ();\n\n The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n"},
  {(char*)"SetHandlePosition",                (PyCFunction)PyvtkSphereRepresentation_SetHandlePosition, 1,
   (char*)"V.SetHandlePosition((float, float, float))\nC++: void SetHandlePosition (double handle[3]);\nV.SetHandlePosition(float, float, float)\nC++: void SetHandlePosition (double x, double y, double z);double p p x p y p z this SetHandlePosition p \n\n Set/Get the position of the handle. Note that this may adjust the radius\n of the sphere and the handle direction.\n"},
  {(char*)"GetHandlePosition",                (PyCFunction)PyvtkSphereRepresentation_GetHandlePosition, 1,
   (char*)"V.GetHandlePosition() -> (float, float, float)\nC++: double  *GetHandlePosition ();\n\n Set/Get the position of the handle. Note that this may adjust the radius\n of the sphere and the handle direction.\n"},
  {(char*)"SetHandleDirection",                (PyCFunction)PyvtkSphereRepresentation_SetHandleDirection, 1,
   (char*)"V.SetHandleDirection((float, float, float))\nC++: void SetHandleDirection (double dir[3]);\nV.SetHandleDirection(float, float, float)\nC++: void SetHandleDirection (double dx, double dy, double dz);double d d dx d dy d dz this SetHandleDirection d \n\n Set/Get the direction vector of the handle relative to the center of\n the sphere. This may affect the position of the handle and the radius\n of the sphere.\n"},
  {(char*)"GetHandleDirection",                (PyCFunction)PyvtkSphereRepresentation_GetHandleDirection, 1,
   (char*)"V.GetHandleDirection() -> (float, float, float)\nC++: double  *GetHandleDirection ();\n\n Set/Get the direction vector of the handle relative to the center of\n the sphere. This may affect the position of the handle and the radius\n of the sphere.\n"},
  {(char*)"SetHandleText",                (PyCFunction)PyvtkSphereRepresentation_SetHandleText, 1,
   (char*)"V.SetHandleText(int)\nC++: void SetHandleText (int );\n\n Enable/disable a label that displays the location of the handle in\n spherical coordinates (radius,theta,phi). The two angles, theta and\n phi, are displayed in degrees. Note that phi is measured from the\n north pole down towards the equator; and theta is the angle around \n the north/south axis.\n"},
  {(char*)"GetHandleText",                (PyCFunction)PyvtkSphereRepresentation_GetHandleText, 1,
   (char*)"V.GetHandleText() -> int\nC++: int GetHandleText ();\n\n Enable/disable a label that displays the location of the handle in\n spherical coordinates (radius,theta,phi). The two angles, theta and\n phi, are displayed in degrees. Note that phi is measured from the\n north pole down towards the equator; and theta is the angle around \n the north/south axis.\n"},
  {(char*)"HandleTextOn",                (PyCFunction)PyvtkSphereRepresentation_HandleTextOn, 1,
   (char*)"V.HandleTextOn()\nC++: void HandleTextOn ();\n\n Enable/disable a label that displays the location of the handle in\n spherical coordinates (radius,theta,phi). The two angles, theta and\n phi, are displayed in degrees. Note that phi is measured from the\n north pole down towards the equator; and theta is the angle around \n the north/south axis.\n"},
  {(char*)"HandleTextOff",                (PyCFunction)PyvtkSphereRepresentation_HandleTextOff, 1,
   (char*)"V.HandleTextOff()\nC++: void HandleTextOff ();\n\n Enable/disable a label that displays the location of the handle in\n spherical coordinates (radius,theta,phi). The two angles, theta and\n phi, are displayed in degrees. Note that phi is measured from the\n north pole down towards the equator; and theta is the angle around \n the north/south axis.\n"},
  {(char*)"SetRadialLine",                (PyCFunction)PyvtkSphereRepresentation_SetRadialLine, 1,
   (char*)"V.SetRadialLine(int)\nC++: void SetRadialLine (int );\n\n Enable/disable a radial line segment that joins the center of the\n outer sphere and the handle.\n"},
  {(char*)"GetRadialLine",                (PyCFunction)PyvtkSphereRepresentation_GetRadialLine, 1,
   (char*)"V.GetRadialLine() -> int\nC++: int GetRadialLine ();\n\n Enable/disable a radial line segment that joins the center of the\n outer sphere and the handle.\n"},
  {(char*)"RadialLineOn",                (PyCFunction)PyvtkSphereRepresentation_RadialLineOn, 1,
   (char*)"V.RadialLineOn()\nC++: void RadialLineOn ();\n\n Enable/disable a radial line segment that joins the center of the\n outer sphere and the handle.\n"},
  {(char*)"RadialLineOff",                (PyCFunction)PyvtkSphereRepresentation_RadialLineOff, 1,
   (char*)"V.RadialLineOff()\nC++: void RadialLineOff ();\n\n Enable/disable a radial line segment that joins the center of the\n outer sphere and the handle.\n"},
  {(char*)"GetPolyData",                (PyCFunction)PyvtkSphereRepresentation_GetPolyData, 1,
   (char*)"V.GetPolyData(vtkPolyData)\nC++: void GetPolyData (vtkPolyData *pd);\n\n Grab the polydata (including points) that defines the sphere.  The\n polydata consists of n+1 points, where n is the resolution of the\n sphere. These point values are guaranteed to be up-to-date when either the\n InteractionEvent or EndInteraction events are invoked. The user provides\n the vtkPolyData and the points and polysphere are added to it.\n"},
  {(char*)"GetSphere",                (PyCFunction)PyvtkSphereRepresentation_GetSphere, 1,
   (char*)"V.GetSphere(vtkSphere)\nC++: void GetSphere (vtkSphere *sphere);\n\n Get the spherical implicit function defined by this widget.  Note that\n vtkSphere is a subclass of vtkImplicitFunction, meaning that it can be\n used by a variety of filters to perform clipping, cutting, and selection\n of data.\n"},
  {(char*)"GetSphereProperty",                (PyCFunction)PyvtkSphereRepresentation_GetSphereProperty, 1,
   (char*)"V.GetSphereProperty() -> vtkProperty\nC++: vtkProperty *GetSphereProperty ();\n\n Get the sphere properties. The properties of the sphere when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetSelectedSphereProperty",                (PyCFunction)PyvtkSphereRepresentation_GetSelectedSphereProperty, 1,
   (char*)"V.GetSelectedSphereProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedSphereProperty ();\n\n Get the sphere properties. The properties of the sphere when selected \n and unselected can be manipulated.\n"},
  {(char*)"GetHandleProperty",                (PyCFunction)PyvtkSphereRepresentation_GetHandleProperty, 1,
   (char*)"V.GetHandleProperty() -> vtkProperty\nC++: vtkProperty *GetHandleProperty ();\n\n Get the handle properties (the little ball on the sphere is the\n handle). The properties of the handle when selected and unselected\n can be  manipulated.\n"},
  {(char*)"GetSelectedHandleProperty",                (PyCFunction)PyvtkSphereRepresentation_GetSelectedHandleProperty, 1,
   (char*)"V.GetSelectedHandleProperty() -> vtkProperty\nC++: vtkProperty *GetSelectedHandleProperty ();\n\n Get the handle properties (the little ball on the sphere is the\n handle). The properties of the handle when selected and unselected\n can be  manipulated.\n"},
  {(char*)"GetHandleTextProperty",                (PyCFunction)PyvtkSphereRepresentation_GetHandleTextProperty, 1,
   (char*)"V.GetHandleTextProperty() -> vtkTextProperty\nC++: vtkTextProperty *GetHandleTextProperty ();\n\n Get the handle text property. This can be used to control the appearance \n of the handle text.\n"},
  {(char*)"GetRadialLineProperty",                (PyCFunction)PyvtkSphereRepresentation_GetRadialLineProperty, 1,
   (char*)"V.GetRadialLineProperty() -> vtkProperty\nC++: vtkProperty *GetRadialLineProperty ();\n\n Get the property of the radial line. This can be used to control the \n appearance of the optional line connecting the center to the handle.\n"},
  {(char*)"SetInteractionState",                (PyCFunction)PyvtkSphereRepresentation_SetInteractionState, 1,
   (char*)"V.SetInteractionState(int)\nC++: void SetInteractionState (int state);\n\n The interaction state may be set from a widget (e.g., vtkSphereWidget2) or\n other object. This controls how the interaction with the widget\n proceeds. Normally this method is used as part of a handshaking\n process with the widget: First ComputeInteractionState() is invoked that\n returns a state based on geometric considerations (i.e., cursor near a\n widget feature), then based on events, the widget may modify this\n further.\n"},
  {(char*)"PlaceWidget",                (PyCFunction)PyvtkSphereRepresentation_PlaceWidget, 1,
   (char*)"V.PlaceWidget((float, float, float, float, float, float))\nC++: virtual void PlaceWidget (double bounds[6]);\nV.PlaceWidget((float, float, float), (float, float, float))\nC++: virtual void PlaceWidget (double center[3], double handlePosition[3]);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkSphereRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkSphereRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkSphereRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkSphereRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double e[2]);\n\n These are methods that satisfy vtkWidgetRepresentation's API. Note that a \n version of place widget is available where the center and handle position\n are specified.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkSphereRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkSphereRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSphereRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkSphereRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n Methods supporting, and required by, the rendering process.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkSphereRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n Methods supporting, and required by, the rendering process.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkSphereRepresentationDoc[] = {
  (char*)"vtkSphereRepresentation - a class defining the representation for the vtkSphereWidget2\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" This class is a concrete representation for the vtkSphereWidget2. It\n represents a sphere with an optional handle.  Through interaction with the\n widget, the sphere can be arbitrarily positioned and scaled in 3D space;\n and the handle can be moved on the surface of the sphere. Typically the\n vtkSphereWidget2/vtkSphereRepresentation are used to position a sphere for\n the purpose of extracting, cut",
  (char*)"ting or clipping data; or the handle is\n moved on the sphere to position a light or camera.\n\n To use this representation, you normally use the PlaceWidget() method\n to position the widget at a specified region in space. It is also possible\n to set the center of the sphere, a radius, and/or a handle position.\n\n\n",
  "Caveats:\n\n Note that the representation is overconstrained in that the center and radius\n of the sphere can be defined, this information plus the handle direction defines\n the geometry of the representation. Alternatively, the user may specify the center\n of the sphere plus the handle position.\n\n This class, and vtkSphereWidget2, are second generation VTK widgets. An\n earlier version of this functionality was defined in the class\n vtkSphereWidget.\n\n",
  "See Also:\n\n vtkSphereWidget2 vtkSphereWidget\n\n",
  NULL
};

static vtkObjectBase *vtkSphereRepresentationStaticNew()
{
  return vtkSphereRepresentation::New();
}

PyObject *PyVTKClass_vtkSphereRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkSphereRepresentationStaticNew,
                        PyvtkSphereRepresentationMethods,
                        (char*)"vtkSphereRepresentation",modulename,
                        (char**)vtkSphereRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

