// tcl wrapper for vtkSphereWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkSphereWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkSphereWidgetNewCommand()
{
  vtkSphereWidget *temp = vtkSphereWidget::New();
  return static_cast<ClientData>(temp);
}

int vtk3DWidgetCppCommand(vtk3DWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkSphereWidgetCppCommand(vtkSphereWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkSphereWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkSphereWidgetCppCommand(static_cast<vtkSphereWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkSphereWidgetCppCommand(vtkSphereWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkSphereWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtk3DWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkSphereWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkSphereWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkSphereWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkSphereWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRepresentation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRepresentation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRepresentationMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentationMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentationMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentationMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRepresentation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRepresentation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToOff",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToWireframe",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToWireframe();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRepresentationToSurface",argv[1]))&&(argc == 2))
    {
    op->SetRepresentationToSurface();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetThetaResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetThetaResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThetaResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetThetaResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPhiResolution",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPhiResolution(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPhiResolution",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPhiResolution();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRadius",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetRadius(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRadius",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetRadius();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetCenter(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCenter();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTranslation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTranslation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTranslation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TranslationOn",argv[1]))&&(argc == 2))
    {
    op->TranslationOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TranslationOff",argv[1]))&&(argc == 2))
    {
    op->TranslationOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetScale",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetScale(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetScale",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetScale();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ScaleOn",argv[1]))&&(argc == 2))
    {
    op->ScaleOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ScaleOff",argv[1]))&&(argc == 2))
    {
    op->ScaleOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetHandleVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetHandleVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("HandleVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->HandleVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("HandleVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->HandleVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetHandleDirection",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetHandleDirection(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetHandleDirection",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetHandleDirection(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetHandleDirection",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetHandleDirection();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetHandlePosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetHandlePosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSphere",argv[1]))&&(argc == 3))
    {
    vtkSphere  *temp0;
    error = 0;

    temp0 = (vtkSphere *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkSphere"),interp,error));
    if (!error)
    {
    op->GetSphere(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSphereProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSphereProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedSphereProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedSphereProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("GetSelectedHandleProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedHandleProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkSphereWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkSphereWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentationMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRepresentation\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToWireframe\n",NULL);
    Tcl_AppendResult(interp,"  SetRepresentationToSurface\n",NULL);
    Tcl_AppendResult(interp,"  SetThetaResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThetaResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetPhiResolution\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPhiResolution\n",NULL);
    Tcl_AppendResult(interp,"  SetRadius\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRadius\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslation\n",NULL);
    Tcl_AppendResult(interp,"  TranslationOn\n",NULL);
    Tcl_AppendResult(interp,"  TranslationOff\n",NULL);
    Tcl_AppendResult(interp,"  SetScale\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetScale\n",NULL);
    Tcl_AppendResult(interp,"  ScaleOn\n",NULL);
    Tcl_AppendResult(interp,"  ScaleOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleVisibility\n",NULL);
    Tcl_AppendResult(interp,"  HandleVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  HandleVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleDirection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetHandleDirection\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleDirection\n",NULL);
    Tcl_AppendResult(interp,"  GetHandlePosition\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSphere\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSphereProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedSphereProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetHandleProperty\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedHandleProperty\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtk3DWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToOff" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToWireframe" );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToSurface" );
    Tcl_DStringAppendElement ( &dString, "SetThetaResolution" );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolution" );
    Tcl_DStringAppendElement ( &dString, "SetPhiResolution" );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolution" );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    Tcl_DStringAppendElement ( &dString, "TranslationOn" );
    Tcl_DStringAppendElement ( &dString, "TranslationOff" );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    Tcl_DStringAppendElement ( &dString, "ScaleOn" );
    Tcl_DStringAppendElement ( &dString, "ScaleOff" );
    Tcl_DStringAppendElement ( &dString, "SetHandleVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetHandleVisibility" );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "SetHandleDirection" );
    Tcl_DStringAppendElement ( &dString, "SetHandleDirection" );
    Tcl_DStringAppendElement ( &dString, "GetHandleDirection" );
    Tcl_DStringAppendElement ( &dString, "GetHandlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetSphere" );
    Tcl_DStringAppendElement ( &dString, "GetSphereProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedSphereProperty" );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtk3DWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkSphereWidget *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget ();this Superclass PlaceWidget " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Set the representation of the sphere. Different representations are\n useful depending on the application.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentation */
    if ( strcmp ( argv[2], "SetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set the representation of the sphere. Different representations are\n useful depending on the application.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationMinValue */
    if ( strcmp ( argv[2], "GetRepresentationMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the representation of the sphere. Different representations are\n useful depending on the application.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentationMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetRepresentationMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentationMaxValue */
    if ( strcmp ( argv[2], "GetRepresentationMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentationMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentationMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the representation of the sphere. Different representations are\n useful depending on the application.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentationMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetRepresentationMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRepresentation */
    if ( strcmp ( argv[2], "GetRepresentation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRepresentation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRepresentation */
    Tcl_DStringAppendElement ( &dString, " Set the representation of the sphere. Different representations are\n useful depending on the application.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRepresentation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetRepresentation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToOff */
    if ( strcmp ( argv[2], "SetRepresentationToOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToOff */
    Tcl_DStringAppendElement ( &dString, " Set the representation of the sphere. Different representations are\n useful depending on the application.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToOff ();this SetRepresentation VTK_SPHERE_OFF " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetRepresentationToOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToWireframe */
    if ( strcmp ( argv[2], "SetRepresentationToWireframe" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToWireframe" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToWireframe */
    Tcl_DStringAppendElement ( &dString, " Set the representation of the sphere. Different representations are\n useful depending on the application.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToWireframe ();this SetRepresentation VTK_SPHERE_WIREFRAME " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetRepresentationToWireframe */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRepresentationToSurface */
    if ( strcmp ( argv[2], "SetRepresentationToSurface" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRepresentationToSurface" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRepresentationToSurface */
    Tcl_DStringAppendElement ( &dString, " Set/Get the resolution of the sphere in the Theta direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRepresentationToSurface ();this SetRepresentation VTK_SPHERE_SURFACE " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetRepresentationToSurface */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThetaResolution */
    if ( strcmp ( argv[2], "SetThetaResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThetaResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThetaResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the resolution of the sphere in the Theta direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetThetaResolution (int r);this SphereSource SetThetaResolution r " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetThetaResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThetaResolution */
    if ( strcmp ( argv[2], "GetThetaResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThetaResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThetaResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the resolution of the sphere in the Phi direction.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThetaResolution ();return this SphereSource GetThetaResolution " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetThetaResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPhiResolution */
    if ( strcmp ( argv[2], "SetPhiResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPhiResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPhiResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the resolution of the sphere in the Phi direction.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPhiResolution (int r);this SphereSource SetPhiResolution r " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetPhiResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPhiResolution */
    if ( strcmp ( argv[2], "GetPhiResolution" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPhiResolution" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPhiResolution */
    Tcl_DStringAppendElement ( &dString, " Set/Get the radius of sphere. Default is .5.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPhiResolution ();return this SphereSource GetPhiResolution " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetPhiResolution */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRadius */
    if ( strcmp ( argv[2], "SetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the radius of sphere. Default is .5.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRadius (double r);if r r this SphereSource SetRadius r " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRadius */
    if ( strcmp ( argv[2], "GetRadius" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRadius" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRadius */
    Tcl_DStringAppendElement ( &dString, " Set/Get the center of the sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetRadius ();return this SphereSource GetRadius " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetRadius */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the center of the sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter (double x, double y, double z);this SphereSource SetCenter x y z " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCenter */
    if ( strcmp ( argv[2], "SetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCenter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the center of the sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetCenter (double x\\[3\\]);this SetCenter x x x " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Set/Get the center of the sphere.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetCenter ();return this SphereSource GetCenter " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCenter (double xyz\\[3\\]);this SphereSource GetCenter xyz " );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslation */
    if ( strcmp ( argv[2], "SetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslation */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslation */
    if ( strcmp ( argv[2], "GetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslation */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTranslation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationOn */
    if ( strcmp ( argv[2], "TranslationOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationOn */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for TranslationOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TranslationOff */
    if ( strcmp ( argv[2], "TranslationOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TranslationOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TranslationOff */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "void TranslationOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for TranslationOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetScale */
    if ( strcmp ( argv[2], "SetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetScale */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetScale (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetScale */
    if ( strcmp ( argv[2], "GetScale" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetScale" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetScale */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetScale ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetScale */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleOn */
    if ( strcmp ( argv[2], "ScaleOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleOn */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for ScaleOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ScaleOff */
    if ( strcmp ( argv[2], "ScaleOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ScaleOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ScaleOff */
    Tcl_DStringAppendElement ( &dString, " Enable translation and scaling of the widget. By default, the widget\n can be translated and rotated.\n" );
    Tcl_DStringAppendElement ( &dString, "void ScaleOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for ScaleOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleVisibility */
    if ( strcmp ( argv[2], "SetHandleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleVisibility */
    Tcl_DStringAppendElement ( &dString, " The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetHandleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleVisibility */
    if ( strcmp ( argv[2], "GetHandleVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleVisibility */
    Tcl_DStringAppendElement ( &dString, " The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetHandleVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetHandleVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleVisibilityOn */
    if ( strcmp ( argv[2], "HandleVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for HandleVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: HandleVisibilityOff */
    if ( strcmp ( argv[2], "HandleVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "HandleVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for HandleVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " The handle sits on the surface of the sphere and may be moved around\n the surface by picking (left mouse) and then moving. The position\n of the handle can be retrieved, this is useful for positioning cameras\n and lights. By default, the handle is turned off.\n" );
    Tcl_DStringAppendElement ( &dString, "void HandleVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for HandleVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleDirection */
    if ( strcmp ( argv[2], "SetHandleDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleDirection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the direction vector of the handle relative to the center of\n the sphere. The direction of the handle is from the sphere center to\n the handle position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleDirection (double , double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetHandleDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetHandleDirection */
    if ( strcmp ( argv[2], "SetHandleDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetHandleDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetHandleDirection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the direction vector of the handle relative to the center of\n the sphere. The direction of the handle is from the sphere center to\n the handle position.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetHandleDirection (double  a\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for SetHandleDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleDirection */
    if ( strcmp ( argv[2], "GetHandleDirection" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleDirection" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleDirection */
    Tcl_DStringAppendElement ( &dString, " Set/Get the direction vector of the handle relative to the center of\n the sphere. The direction of the handle is from the sphere center to\n the handle position.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetHandleDirection ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetHandleDirection */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandlePosition */
    if ( strcmp ( argv[2], "GetHandlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandlePosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the handle.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetHandlePosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetHandlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that defines the sphere.  The\n polydata consists of n+1 points, where n is the resolution of the\n sphere. These point values are guaranteed to be up-to-date when either the\n InteractionEvent or EndInteraction events are invoked. The user provides\n the vtkPolyData and the points and polysphere are added to it.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData (vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphere */
    if ( strcmp ( argv[2], "GetSphere" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphere" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkSphere" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphere */
    Tcl_DStringAppendElement ( &dString, " Get the spherical implicit function defined by this widget.  Note that\n vtkSphere is a subclass of vtkImplicitFunction, meaning that it can be\n used by a variety of filters to perform clipping, cutting, and selection\n of data.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetSphere (vtkSphere *sphere);" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetSphere */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSphereProperty */
    if ( strcmp ( argv[2], "GetSphereProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSphereProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSphereProperty */
    Tcl_DStringAppendElement ( &dString, " Get the sphere properties. The properties of the sphere when selected \n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSphereProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetSphereProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedSphereProperty */
    if ( strcmp ( argv[2], "GetSelectedSphereProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedSphereProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedSphereProperty */
    Tcl_DStringAppendElement ( &dString, " Get the sphere properties. The properties of the sphere when selected \n and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedSphereProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetSelectedSphereProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetHandleProperty */
    if ( strcmp ( argv[2], "GetHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little ball on the sphere is the\n handle). The properties of the handle when selected and unselected\n can be  manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetHandleProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedHandleProperty */
    if ( strcmp ( argv[2], "GetSelectedHandleProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedHandleProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedHandleProperty */
    Tcl_DStringAppendElement ( &dString, " Get the handle properties (the little ball on the sphere is the\n handle). The properties of the handle when selected and unselected\n can be  manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedHandleProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkSphereWidget" );
    /* Closing for GetSelectedHandleProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtk3DWidgetCppCommand(static_cast<vtk3DWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
