// python wrapper for vtkTensorProbeRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTensorProbeRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTensorProbeRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTensorProbeRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }

static PyObject *PyvtkTensorProbeRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  const char    *temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  vtkTensorProbeRepresentation  *temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_SetProbePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  double   temp0;
  double   temp1;
  double   temp2;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"ddd", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeRepresentation::SetProbePosition(temp0,temp1,temp2);
      }
    else
      {
      op->SetProbePosition(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  double temp0[3];
  PyErr_Clear();
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeRepresentation::SetProbePosition(temp0);
      }
    else
      {
      op->SetProbePosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_GetProbePosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  double  *temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeRepresentation::GetProbePosition();
      }
    else
      {
      temp20 = op->GetProbePosition();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ddd",temp20[0],temp20[1],temp20[2]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_SetProbeCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  vtkIdType   temp0;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeRepresentation::SetProbeCellId(temp0);
      }
    else
      {
      op->SetProbeCellId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_GetProbeCellId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  vtkIdType   temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeRepresentation::GetProbeCellId();
      }
    else
      {
      temp20 = op->GetProbeCellId();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_SetTrajectory(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  vtkPolyData  *temp0;
  PyObject *tempH0;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPolyData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPolyData");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeRepresentation::SetTrajectory(temp0);
      }
    else
      {
      op->SetTrajectory(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_Initialize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeRepresentation::Initialize();
      }
    else
      {
      op->Initialize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_SelectProbe(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  int    temp0[2];
  int      temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      temp20 = op->SelectProbe(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeRepresentation_Move(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeRepresentation *op;

  double temp0[2];
  int      temp20;
  op = (vtkTensorProbeRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeRepresentation::Move(temp0);
      }
    else
      {
      temp20 = op->Move(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTensorProbeRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTensorProbeRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTensorProbeRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTensorProbeRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTensorProbeRepresentation\nC++: vtkTensorProbeRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkTensorProbeRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n See vtkWidgetRepresentation for details.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkTensorProbeRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n See vtkWidgetRepresentation for details.\n"},
  {(char*)"SetProbePosition",                (PyCFunction)PyvtkTensorProbeRepresentation_SetProbePosition, 1,
   (char*)"V.SetProbePosition(float, float, float)\nC++: void SetProbePosition (double , double , double );\nV.SetProbePosition((float, float, float))\nC++: void SetProbePosition (double  a[3]);\n\n Set the position of the Tensor probe.\n"},
  {(char*)"GetProbePosition",                (PyCFunction)PyvtkTensorProbeRepresentation_GetProbePosition, 1,
   (char*)"V.GetProbePosition() -> (float, float, float)\nC++: double  *GetProbePosition ();\n\n Set the position of the Tensor probe.\n"},
  {(char*)"SetProbeCellId",                (PyCFunction)PyvtkTensorProbeRepresentation_SetProbeCellId, 1,
   (char*)"V.SetProbeCellId(int)\nC++: void SetProbeCellId (vtkIdType );\n\n Set the position of the Tensor probe.\n"},
  {(char*)"GetProbeCellId",                (PyCFunction)PyvtkTensorProbeRepresentation_GetProbeCellId, 1,
   (char*)"V.GetProbeCellId() -> int\nC++: vtkIdType GetProbeCellId ();\n\n Set the position of the Tensor probe.\n"},
  {(char*)"SetTrajectory",                (PyCFunction)PyvtkTensorProbeRepresentation_SetTrajectory, 1,
   (char*)"V.SetTrajectory(vtkPolyData)\nC++: virtual void SetTrajectory (vtkPolyData *);\n\n Set the trajectory that we are trying to probe tensors on\n"},
  {(char*)"Initialize",                (PyCFunction)PyvtkTensorProbeRepresentation_Initialize, 1,
   (char*)"V.Initialize()\nC++: void Initialize ();\n\n Set the probe position to a reasonable location on the trajectory.\n"},
  {(char*)"SelectProbe",                (PyCFunction)PyvtkTensorProbeRepresentation_SelectProbe, 1,
   (char*)"V.SelectProbe((int, int)) -> int\nC++: virtual int SelectProbe (int pos[2]) = 0;\n\n This method is invoked by the widget during user interaction.\n Can we pick the tensor glyph at the current cursor pos\n"},
  {(char*)"Move",                (PyCFunction)PyvtkTensorProbeRepresentation_Move, 1,
   (char*)"V.Move((float, float)) -> int\nC++: virtual int Move (double motionVector[2]);\n\n INTERNAL - Do not use\n This method is invoked by the widget during user interaction.\n Move probe based on the position and the motion vector.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTensorProbeRepresentationDoc[] = {
  (char*)"vtkTensorProbeRepresentation - Abstract class that serves as a representation for vtkTensorProbeWidget\n\n",
  "Super Class:\n\n vtkWidgetRepresentation\n\n",
  (char*)" The class serves as an abstract geometrical representation for the\n vtkTensorProbeWidget. It is left to the concrete implementation to render\n the tensors as it desires. For instance, \n vtkEllipsoidTensorProbeRepresentation renders the tensors as ellipsoids.\n\n\n",
  "See Also:\n\n vtkTensorProbeWidget\n\n",
  NULL
};

PyObject *PyVTKClass_vtkTensorProbeRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkTensorProbeRepresentationMethods,
                        (char*)"vtkTensorProbeRepresentation",modulename,
                        (char**)vtkTensorProbeRepresentationDoc,
                        PyVTKClass_vtkWidgetRepresentationNew(modulename));
}

