// python wrapper for vtkTensorProbeWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTensorProbeWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTensorProbeWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTensorProbeWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkAbstractWidgetNew(char *); }

static PyObject *PyvtkTensorProbeWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeWidget *op;

  const char    *temp20;
  op = (vtkTensorProbeWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkTensorProbeWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeWidget *op;

  vtkTensorProbeWidget  *temp20;
  op = (vtkTensorProbeWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTensorProbeWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTensorProbeWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTensorProbeWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTensorProbeWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTensorProbeWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeWidget *op;

  vtkTensorProbeRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkTensorProbeWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTensorProbeRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTensorProbeRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTensorProbeWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTensorProbeWidget *op;

  op = (vtkTensorProbeWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTensorProbeWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTensorProbeWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTensorProbeWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK class macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTensorProbeWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK class macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTensorProbeWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTensorProbeWidget\nC++: vtkTensorProbeWidget *NewInstance ();\n\n Standard VTK class macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTensorProbeWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTensorProbeWidget\nC++: vtkTensorProbeWidget *SafeDownCast (vtkObject* o);\n\n Standard VTK class macros.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkTensorProbeWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkTensorProbeRepresentation)\nC++: void SetRepresentation (vtkTensorProbeRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n See vtkWidgetRepresentation for details.\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkTensorProbeWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: virtual void CreateDefaultRepresentation ();\n\n See vtkWidgetRepresentation for details.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTensorProbeWidgetDoc[] = {
  (char*)"vtkTensorProbeWidget - a widget to probe tensors on a polyline\n\n",
  "Super Class:\n\n vtkAbstractWidget\n\n",
  (char*)" The class is used to probe tensors on a trajectory. The representation\n (vtkTensorProbeRepresentation) is free to choose its own method of \n rendering the tensors. For instance vtkEllipsoidTensorProbeRepresentation\n renders the tensors as ellipsoids. The interactions of the widget are \n controlled by the left mouse button. A left click on the tensor selects\n it. It can dragged around the trajecto",
  (char*)"ry to probe the tensors on it.\n \n For instance dragging the ellipsoid around with \n vtkEllipsoidTensorProbeRepresentation will manifest itself with the \n ellipsoid shape changing as needed along the trajectory.\n\n",
  NULL
};

static vtkObjectBase *vtkTensorProbeWidgetStaticNew()
{
  return vtkTensorProbeWidget::New();
}

PyObject *PyVTKClass_vtkTensorProbeWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkTensorProbeWidgetStaticNew,
                        PyvtkTensorProbeWidgetMethods,
                        (char*)"vtkTensorProbeWidget",modulename,
                        (char**)vtkTensorProbeWidgetDoc,
                        PyVTKClass_vtkAbstractWidgetNew(modulename));
}

