// python wrapper for vtkTerrainContourLineInterpolator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTerrainContourLineInterpolator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTerrainContourLineInterpolatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTerrainContourLineInterpolatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkContourLineInterpolatorNew(char *); }

static PyObject *PyvtkTerrainContourLineInterpolator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainContourLineInterpolator *op;

  const char    *temp20;
  op = (vtkTerrainContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainContourLineInterpolator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainContourLineInterpolator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainContourLineInterpolator *op;

  char    *temp0;
  int      temp20;
  op = (vtkTerrainContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainContourLineInterpolator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainContourLineInterpolator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainContourLineInterpolator *op;

  vtkTerrainContourLineInterpolator  *temp20;
  op = (vtkTerrainContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainContourLineInterpolator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainContourLineInterpolator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTerrainContourLineInterpolator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTerrainContourLineInterpolator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTerrainContourLineInterpolator_InterpolateLine(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainContourLineInterpolator *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  vtkContourRepresentation  *temp1;
  PyObject *tempH1;
  int      temp2;
  int      temp3;
  int      temp20;
  op = (vtkTerrainContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"OOii", &tempH0, &tempH1, &temp2, &temp3);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break4;
    temp1 = (vtkContourRepresentation *)vtkPythonGetPointerFromObject(tempH1,(char*)"vtkContourRepresentation");
    if (!temp1 && tempH1 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainContourLineInterpolator::InterpolateLine(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->InterpolateLine(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTerrainContourLineInterpolator_SetImageData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainContourLineInterpolator *op;

  vtkImageData  *temp0;
  PyObject *tempH0;
  op = (vtkTerrainContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkImageData *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkImageData");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTerrainContourLineInterpolator::SetImageData(temp0);
      }
    else
      {
      op->SetImageData(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTerrainContourLineInterpolator_GetImageData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainContourLineInterpolator *op;

  vtkImageData  *temp20;
  op = (vtkTerrainContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainContourLineInterpolator::GetImageData();
      }
    else
      {
      temp20 = op->GetImageData();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainContourLineInterpolator_GetProjector(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainContourLineInterpolator *op;

  vtkProjectedTerrainPath  *temp20;
  op = (vtkTerrainContourLineInterpolator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainContourLineInterpolator::GetProjector();
      }
    else
      {
      temp20 = op->GetProjector();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTerrainContourLineInterpolatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTerrainContourLineInterpolator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTerrainContourLineInterpolator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTerrainContourLineInterpolator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTerrainContourLineInterpolator\nC++: vtkTerrainContourLineInterpolator *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTerrainContourLineInterpolator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTerrainContourLineInterpolator\nC++: vtkTerrainContourLineInterpolator *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"InterpolateLine",                (PyCFunction)PyvtkTerrainContourLineInterpolator_InterpolateLine, 1,
   (char*)"V.InterpolateLine(vtkRenderer, vtkContourRepresentation, int, int) -> int\nC++: virtual int InterpolateLine (vtkRenderer *ren, vtkContourRepresentation *rep, int idx1, int idx2);\n\n Interpolate to create lines between contour nodes idx1 and idx2.\n Depending on the projection mode, the interpolated line may either \n hug the terrain, just connect the two points with a straight line or \n a non-occluded interpolation. \n Used internally by vtkContourRepresentation.\n"},
  {(char*)"SetImageData",                (PyCFunction)PyvtkTerrainContourLineInterpolator_SetImageData, 1,
   (char*)"V.SetImageData(vtkImageData)\nC++: virtual void SetImageData (vtkImageData *);\n\n Set the height field data. The height field data is a 2D image. The\n scalars in the image represent the height field. This must be set.\n"},
  {(char*)"GetImageData",                (PyCFunction)PyvtkTerrainContourLineInterpolator_GetImageData, 1,
   (char*)"V.GetImageData() -> vtkImageData\nC++: vtkImageData *GetImageData ();\n\n Set the height field data. The height field data is a 2D image. The\n scalars in the image represent the height field. This must be set.\n"},
  {(char*)"GetProjector",                (PyCFunction)PyvtkTerrainContourLineInterpolator_GetProjector, 1,
   (char*)"V.GetProjector() -> vtkProjectedTerrainPath\nC++: vtkProjectedTerrainPath *GetProjector ();\n\n Get the vtkProjectedTerrainPath operator used to project the terrain\n onto the data. This operator has several modes, See the documentation\n of vtkProjectedTerrainPath. The default mode is to hug the terrain\n data at 0 height offset.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTerrainContourLineInterpolatorDoc[] = {
  (char*)"vtkTerrainContourLineInterpolator - Contour interpolator for DEM data.\n\n",
  "Super Class:\n\n vtkContourLineInterpolator\n\n",
  (char*)" vtkTerrainContourLineInterpolator interpolates nodes on height field data.\n The class is meant to be used in conjunciton with a vtkContourWidget, \n enabling you to draw paths on terrain data. The class internally uses a \n vtkProjectedTerrainPath. Users can set kind of interpolation\n desired between two node points by setting the modes of the this filter.\n For instance:\n\n \\code\n contourRepresentat",
  (char*)"ion->SetLineInterpolator(interpolator);\n interpolator->SetImageData( demDataFile );\n interpolator->GetProjector()->SetProjectionModeToHug();\n interpolator->SetHeightOffset(25.0);\n \\endcode\n\n You are required to set the ImageData to this class as the height-field \n image.\n\n\n",
  "See Also:\n\n vtkTerrainDataPointPlacer vtkProjectedTerrainPath\n\n",
  NULL
};

static vtkObjectBase *vtkTerrainContourLineInterpolatorStaticNew()
{
  return vtkTerrainContourLineInterpolator::New();
}

PyObject *PyVTKClass_vtkTerrainContourLineInterpolatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkTerrainContourLineInterpolatorStaticNew,
                        PyvtkTerrainContourLineInterpolatorMethods,
                        (char*)"vtkTerrainContourLineInterpolator",modulename,
                        (char**)vtkTerrainContourLineInterpolatorDoc,
                        PyVTKClass_vtkContourLineInterpolatorNew(modulename));
}

