// python wrapper for vtkTerrainDataPointPlacer object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTerrainDataPointPlacer.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTerrainDataPointPlacerNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTerrainDataPointPlacerNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPointPlacerNew(char *); }

static PyObject *PyvtkTerrainDataPointPlacer_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  const char    *temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  char    *temp0;
  int      temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  vtkTerrainDataPointPlacer  *temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTerrainDataPointPlacer  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTerrainDataPointPlacer::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_AddProp(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTerrainDataPointPlacer::AddProp(temp0);
      }
    else
      {
      op->AddProp(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_RemoveAllProps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTerrainDataPointPlacer::RemoveAllProps();
      }
    else
      {
      op->RemoveAllProps();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_SetHeightOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  double   temp0;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTerrainDataPointPlacer::SetHeightOffset(temp0);
      }
    else
      {
      op->SetHeightOffset(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_GetHeightOffset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  double   temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::GetHeightOffset();
      }
    else
      {
      temp20 = op->GetHeightOffset();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_ComputeWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[9];
  int      temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp3 + 3, temp3 + 4, temp3 + 5, temp3 + 6, temp3 + 7, temp3 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break8:
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  double temp2[3];
  double temp3[3];
  double temp4[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)(ddd)(ddd)(ddddddddd)", &tempH0, temp1 + 0, temp1 + 1, temp2 + 0, temp2 + 1, temp2 + 2, temp3 + 0, temp3 + 1, temp3 + 2, temp4 + 0, temp4 + 1, temp4 + 2, temp4 + 3, temp4 + 4, temp4 + 5, temp4 + 6, temp4 + 7, temp4 + 8);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break9;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->ComputeWorldPosition(temp0,temp1,temp2,temp3,temp4);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,2,temp2,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,3,temp3,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,4,temp4,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break9:
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_ValidateWorldPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  double temp0[3];
  int      temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)", temp0 + 0, temp0 + 1, temp0 + 2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::ValidateWorldPosition(temp0);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  double temp0[3];
  double temp1[9];
  int      temp20;
  PyErr_Clear();
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"(ddd)(ddddddddd)", temp0 + 0, temp0 + 1, temp0 + 2, temp1 + 0, temp1 + 1, temp1 + 2, temp1 + 3, temp1 + 4, temp1 + 5, temp1 + 6, temp1 + 7, temp1 + 8);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::ValidateWorldPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateWorldPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,0,temp0,3)) {
      return 0;
      }
    if (vtkPythonCheckArray(args,1,temp1,9)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_ValidateDisplayPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  double temp1[2];
  int      temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"O(dd)", &tempH0, temp1 + 0, temp1 + 1);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::ValidateDisplayPosition(temp0,temp1);
      }
    else
      {
      temp20 = op->ValidateDisplayPosition(temp0,temp1);
      }
    if (vtkPythonCheckArray(args,1,temp1,2)) {
      return 0;
      }
    return PyInt_FromLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkTerrainDataPointPlacer_GetPropPicker(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTerrainDataPointPlacer *op;

  vtkPropPicker  *temp20;
  op = (vtkTerrainDataPointPlacer *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTerrainDataPointPlacer::GetPropPicker();
      }
    else
      {
      temp20 = op->GetPropPicker();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTerrainDataPointPlacerMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTerrainDataPointPlacer_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTerrainDataPointPlacer_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTerrainDataPointPlacer_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTerrainDataPointPlacer\nC++: vtkTerrainDataPointPlacer *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTerrainDataPointPlacer_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTerrainDataPointPlacer\nC++: vtkTerrainDataPointPlacer *SafeDownCast (vtkObject* o);\n\n Standard methods for instances of this class.\n"},
  {(char*)"AddProp",                (PyCFunction)PyvtkTerrainDataPointPlacer_AddProp, 1,
   (char*)"V.AddProp(vtkProp)\nC++: virtual void AddProp (vtkProp *);\n\n"},
  {(char*)"RemoveAllProps",                (PyCFunction)PyvtkTerrainDataPointPlacer_RemoveAllProps, 1,
   (char*)"V.RemoveAllProps()\nC++: virtual void RemoveAllProps ();\n\n"},
  {(char*)"SetHeightOffset",                (PyCFunction)PyvtkTerrainDataPointPlacer_SetHeightOffset, 1,
   (char*)"V.SetHeightOffset(float)\nC++: void SetHeightOffset (double );\n\n This is the height above (or below) the terrain that the dictated\n point should be placed. Positive values indicate distances above the \n terrain; negative values indicate distances below the terrain. The \n default is 0.0. \n"},
  {(char*)"GetHeightOffset",                (PyCFunction)PyvtkTerrainDataPointPlacer_GetHeightOffset, 1,
   (char*)"V.GetHeightOffset() -> float\nC++: double GetHeightOffset ();\n\n This is the height above (or below) the terrain that the dictated\n point should be placed. Positive values indicate distances above the \n terrain; negative values indicate distances below the terrain. The \n default is 0.0. \n"},
  {(char*)"ComputeWorldPosition",                (PyCFunction)PyvtkTerrainDataPointPlacer_ComputeWorldPosition, 1,
   (char*)"V.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double worldPos[3], double worldOrient[9]);\nV.ComputeWorldPosition(vtkRenderer, (float, float), (float, float, float), (float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ComputeWorldPosition (vtkRenderer *ren, double displayPos[2], double refWorldPos[3], double worldPos[3], double worldOrient[9]);\n\n Given a renderer and a display position in pixel coordinates,\n compute the world position and orientation where this point\n will be placed. This method is typically used by the\n representation to place the point initially.\n For the Terrain point placer this computes world points that\n lie at the specified height above the terrain.\n"},
  {(char*)"ValidateWorldPosition",                (PyCFunction)PyvtkTerrainDataPointPlacer_ValidateWorldPosition, 1,
   (char*)"V.ValidateWorldPosition((float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3]);\nV.ValidateWorldPosition((float, float, float), (float, float, float, float, float, float, float, float, float)) -> int\nC++: virtual int ValidateWorldPosition (double worldPos[3], double worldOrient[9]);\n\n Given a world position check the validity of this \n position according to the constraints of the placer\n"},
  {(char*)"ValidateDisplayPosition",                (PyCFunction)PyvtkTerrainDataPointPlacer_ValidateDisplayPosition, 1,
   (char*)"V.ValidateDisplayPosition(vtkRenderer, (float, float)) -> int\nC++: virtual int ValidateDisplayPosition (vtkRenderer *, double displayPos[2]);\n\n Given a display position, check the validity of this position.\n"},
  {(char*)"GetPropPicker",                (PyCFunction)PyvtkTerrainDataPointPlacer_GetPropPicker, 1,
   (char*)"V.GetPropPicker() -> vtkPropPicker\nC++: vtkPropPicker *GetPropPicker ();\n\n Get the Prop picker.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTerrainDataPointPlacerDoc[] = {
  (char*)"vtkTerrainDataPointPlacer - Place points on terrain data\n\n",
  "Super Class:\n\n vtkPointPlacer\n\n",
  (char*)" vtkTerrainDataPointPlacer dictates the placement of points on height field \n data. The class takes as input the list of props that represent the terrain\n in a rendered scene. A height offset can be specified to dicatate the \n placement of points at a certain height above the surface. \n\n .SECTION Usage\n A typical usage of this class is as follows:\n \\code\n pointPlacer->AddProp(demActor);    // the ",
  (char*)"actor(s) containing the terrain.\n rep->SetPointPlacer(pointPlacer);\n pointPlacer->SetHeightOffset( 100 );\n \\endcode\n\n\n",
  "See Also:\n\n vtkPointPlacer vtkTerrainContourLineInterpolator\n\n",
  NULL
};

static vtkObjectBase *vtkTerrainDataPointPlacerStaticNew()
{
  return vtkTerrainDataPointPlacer::New();
}

PyObject *PyVTKClass_vtkTerrainDataPointPlacerNew(char *modulename)
{
  return PyVTKClass_New(&vtkTerrainDataPointPlacerStaticNew,
                        PyvtkTerrainDataPointPlacerMethods,
                        (char*)"vtkTerrainDataPointPlacer",modulename,
                        (char**)vtkTerrainDataPointPlacerDoc,
                        PyVTKClass_vtkPointPlacerNew(modulename));
}

