// python wrapper for vtkTextRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderRepresentationNew(char *); }

static PyObject *PyvtkTextRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  const char    *temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkTextRepresentation  *temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextRepresentation  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextRepresentation::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_SetTextActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkTextActor  *temp0;
  PyObject *tempH0;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextActor");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::SetTextActor(temp0);
      }
    else
      {
      op->SetTextActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_GetTextActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkTextActor  *temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::GetTextActor();
      }
    else
      {
      temp20 = op->GetTextActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_SetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  char    *temp0;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::SetText(temp0);
      }
    else
      {
      op->SetText(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_GetText(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  const char    *temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::GetText();
      }
    else
      {
      temp20 = op->GetText();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::BuildRepresentation();
      }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_GetSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  double temp0[2];
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::GetSize(temp0);
      }
    else
      {
      op->GetSize(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break10;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break10:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break12;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break12:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break14;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break14:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  int      temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_SetWindowLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  int      temp0;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::SetWindowLocation(temp0);
      }
    else
      {
      op->SetWindowLocation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_GetWindowLocation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  int      temp20;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextRepresentation::GetWindowLocation();
      }
    else
      {
      temp20 = op->GetWindowLocation();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_SetPosition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  double   temp0;
  double   temp1;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"dd", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::SetPosition(temp0,temp1);
      }
    else
      {
      op->SetPosition(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  double temp0[2];
  PyErr_Clear();
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::SetPosition(temp0);
      }
    else
      {
      op->SetPosition(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkTextRepresentation_ExecuteTextPropertyModifiedEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  unsigned long     temp1;
  void    *temp2;
  int      size2;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"Ols#", &tempH0, &temp1, &temp2, &size2);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break20;
    temp2 = vtkPythonUnmanglePointer((char *)temp2,&size2,(char*)"void_p");
    if (size2 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExecuteTextPropertyModifiedEvent in vtkTextRepresentation was of incorrect type.");
      return NULL;
      }
    else if (size2 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExecuteTextPropertyModifiedEvent in vtkTextRepresentation was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::ExecuteTextPropertyModifiedEvent(temp0,temp1,temp2);
      }
    else
      {
      op->ExecuteTextPropertyModifiedEvent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break20:
  return NULL;
}


static PyObject *PyvtkTextRepresentation_ExecuteTextActorModifiedEvent(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextRepresentation *op;

  vtkObject  *temp0;
  PyObject *tempH0;
  unsigned long     temp1;
  void    *temp2;
  int      size2;
  op = (vtkTextRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"Ols#", &tempH0, &temp1, &temp2, &size2);
  if (op)
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break21;
    temp2 = vtkPythonUnmanglePointer((char *)temp2,&size2,(char*)"void_p");
    if (size2 == -1) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExecuteTextActorModifiedEvent in vtkTextRepresentation was of incorrect type.");
      return NULL;
      }
    else if (size2 == -2) {
      PyErr_SetString(PyExc_ValueError,"mangled pointer to ExecuteTextActorModifiedEvent in vtkTextRepresentation was poorly formed.");
      return NULL;
      }
    if (PyVTKClass_Check(self))
      {
      op->vtkTextRepresentation::ExecuteTextActorModifiedEvent(temp0,temp1,temp2);
      }
    else
      {
      op->ExecuteTextActorModifiedEvent(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break21:
  return NULL;
}

static PyMethodDef PyvtkTextRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextRepresentation\nC++: vtkTextRepresentation *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextRepresentation_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextRepresentation\nC++: vtkTextRepresentation *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"SetTextActor",                (PyCFunction)PyvtkTextRepresentation_SetTextActor, 1,
   (char*)"V.SetTextActor(vtkTextActor)\nC++: void SetTextActor (vtkTextActor *textActor);\n\n Specify the vtkTextActor to manage. If not specified, then one\n is automatically created.\n"},
  {(char*)"GetTextActor",                (PyCFunction)PyvtkTextRepresentation_GetTextActor, 1,
   (char*)"V.GetTextActor() -> vtkTextActor\nC++: vtkTextActor *GetTextActor ();\n\n Specify the vtkTextActor to manage. If not specified, then one\n is automatically created.\n"},
  {(char*)"SetText",                (PyCFunction)PyvtkTextRepresentation_SetText, 1,
   (char*)"V.SetText(string)\nC++: void SetText (const char *text);\n\n Get/Set the text string display by this representation.\n"},
  {(char*)"GetText",                (PyCFunction)PyvtkTextRepresentation_GetText, 1,
   (char*)"V.GetText() -> string\nC++: const char *GetText ();\n\n Get/Set the text string display by this representation.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkTextRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation ();\n\n Satisfy the superclasses API.\n"},
  {(char*)"GetSize",                (PyCFunction)PyvtkTextRepresentation_GetSize, 1,
   (char*)"V.GetSize((float, float))\nC++: virtual void GetSize (double size[2]);size size \n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkTextRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkTextRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkTextRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkTextRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkTextRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkTextRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();\n\n These methods are necessary to make this representation behave as\n a vtkProp.\n"},
  {(char*)"SetWindowLocation",                (PyCFunction)PyvtkTextRepresentation_SetWindowLocation, 1,
   (char*)"V.SetWindowLocation(int)\nC++: virtual void SetWindowLocation (int enumLocation);\n\n Set the text position, by enumeration (\n AnyLocation = 0,\n LowerLeftCorner,\n LowerRightCorner,\n LowerCenter,\n UpperLeftCorner,\n UpperRightCorner,\n UpperCenter)\n related to the render window\n"},
  {(char*)"GetWindowLocation",                (PyCFunction)PyvtkTextRepresentation_GetWindowLocation, 1,
   (char*)"V.GetWindowLocation() -> int\nC++: int GetWindowLocation ();\n\n Set the text position, by enumeration (\n AnyLocation = 0,\n LowerLeftCorner,\n LowerRightCorner,\n LowerCenter,\n UpperLeftCorner,\n UpperRightCorner,\n UpperCenter)\n related to the render window\n"},
  {(char*)"SetPosition",                (PyCFunction)PyvtkTextRepresentation_SetPosition, 1,
   (char*)"V.SetPosition(float, float)\nC++: virtual void SetPosition (double x, double y);\nV.SetPosition((float, float))\nC++: virtual void SetPosition (double pos[2]);this SetPosition pos pos \n\n Set the text position, by overiding the same function of\n vtkBorderRepresentation so that the Modified() will be called.\n"},
  {(char*)"ExecuteTextPropertyModifiedEvent",                (PyCFunction)PyvtkTextRepresentation_ExecuteTextPropertyModifiedEvent, 1,
   (char*)"V.ExecuteTextPropertyModifiedEvent(vtkObject, int, string)\nC++: void ExecuteTextPropertyModifiedEvent (vtkObject *obj, unsigned long enumEvent, void *p);\n\n Internal. Excecute events observed by internal observer\n"},
  {(char*)"ExecuteTextActorModifiedEvent",                (PyCFunction)PyvtkTextRepresentation_ExecuteTextActorModifiedEvent, 1,
   (char*)"V.ExecuteTextActorModifiedEvent(vtkObject, int, string)\nC++: void ExecuteTextActorModifiedEvent (vtkObject *obj, unsigned long enumEvent, void *p);\n\n Internal. Excecute events observed by internal observer\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextRepresentationDoc[] = {
  (char*)"vtkTextRepresentation - represent text for vtkTextWidget\n\n",
  "Super Class:\n\n vtkBorderRepresentation\n\n",
  (char*)" This class represents text for a vtkTextWidget.  This class provides\n support for interactively placing text on the 2D overlay plane. The text\n is defined by an instance of vtkTextActor.\n\n",
  "See Also:\n\n vtkTextRepresentation vtkBorderWidget vtkAbstractWidget vtkWidgetRepresentation\n\n",
  NULL
};

static vtkObjectBase *vtkTextRepresentationStaticNew()
{
  return vtkTextRepresentation::New();
}

PyObject *PyVTKClass_vtkTextRepresentationNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextRepresentationStaticNew,
                        PyvtkTextRepresentationMethods,
                        (char*)"vtkTextRepresentation",modulename,
                        (char**)vtkTextRepresentationDoc,
                        PyVTKClass_vtkBorderRepresentationNew(modulename));
}

