// python wrapper for vtkTextWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkTextWidget.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkTextWidgetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkTextWidgetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkBorderWidgetNew(char *); }

static PyObject *PyvtkTextWidget_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextWidget *op;

  const char    *temp20;
  op = (vtkTextWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextWidget::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkTextWidget_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextWidget *op;

  char    *temp0;
  int      temp20;
  op = (vtkTextWidget *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextWidget::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextWidget_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextWidget *op;

  vtkTextWidget  *temp20;
  op = (vtkTextWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextWidget::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextWidget_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkTextWidget  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkTextWidget::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkTextWidget_SetRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextWidget *op;

  vtkTextRepresentation  *temp0;
  PyObject *tempH0;
  op = (vtkTextWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextRepresentation *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextRepresentation");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextWidget::SetRepresentation(temp0);
      }
    else
      {
      op->SetRepresentation(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkTextWidget_SetTextActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextWidget *op;

  vtkTextActor  *temp0;
  PyObject *tempH0;
  op = (vtkTextWidget *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkTextActor *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkTextActor");
    if (!temp0 && tempH0 != Py_None) goto break5;
    if (PyVTKClass_Check(self))
      {
      op->vtkTextWidget::SetTextActor(temp0);
      }
    else
      {
      op->SetTextActor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break5:
  return NULL;
}


static PyObject *PyvtkTextWidget_GetTextActor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextWidget *op;

  vtkTextActor  *temp20;
  op = (vtkTextWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkTextWidget::GetTextActor();
      }
    else
      {
      temp20 = op->GetTextActor();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkTextWidget_CreateDefaultRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkTextWidget *op;

  op = (vtkTextWidget *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkTextWidget::CreateDefaultRepresentation();
      }
    else
      {
      op->CreateDefaultRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkTextWidgetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkTextWidget_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard VTK methods.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkTextWidget_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard VTK methods.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkTextWidget_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkTextWidget\nC++: vtkTextWidget *NewInstance ();\n\n Standard VTK methods.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkTextWidget_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkTextWidget\nC++: vtkTextWidget *SafeDownCast (vtkObject* o);\n\n Standard VTK methods.\n"},
  {(char*)"SetRepresentation",                (PyCFunction)PyvtkTextWidget_SetRepresentation, 1,
   (char*)"V.SetRepresentation(vtkTextRepresentation)\nC++: void SetRepresentation (vtkTextRepresentation *r);this Superclass SetWidgetRepresentation reinterpret_cast vtkWidgetRepresentation r \n\n Specify a vtkTextActor to manage. This is a convenient, alternative\n method to specify the representation for the widget (i.e., used instead\n of SetRepresentation()). It internally creates a vtkTextRepresentation\n and then invokes vtkTextRepresentation::SetTextActor().\n"},
  {(char*)"SetTextActor",                (PyCFunction)PyvtkTextWidget_SetTextActor, 1,
   (char*)"V.SetTextActor(vtkTextActor)\nC++: void SetTextActor (vtkTextActor *textActor);\n\n Specify a vtkTextActor to manage. This is a convenient, alternative\n method to specify the representation for the widget (i.e., used instead\n of SetRepresentation()). It internally creates a vtkTextRepresentation\n and then invokes vtkTextRepresentation::SetTextActor().\n"},
  {(char*)"GetTextActor",                (PyCFunction)PyvtkTextWidget_GetTextActor, 1,
   (char*)"V.GetTextActor() -> vtkTextActor\nC++: vtkTextActor *GetTextActor ();\n\n Specify a vtkTextActor to manage. This is a convenient, alternative\n method to specify the representation for the widget (i.e., used instead\n of SetRepresentation()). It internally creates a vtkTextRepresentation\n and then invokes vtkTextRepresentation::SetTextActor().\n"},
  {(char*)"CreateDefaultRepresentation",                (PyCFunction)PyvtkTextWidget_CreateDefaultRepresentation, 1,
   (char*)"V.CreateDefaultRepresentation()\nC++: virtual void CreateDefaultRepresentation ();\n\n Create the default widget representation if one is not set. \n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkTextWidgetDoc[] = {
  (char*)"vtkTextWidget - widget for placing text on overlay plane\n\n",
  "Super Class:\n\n vtkBorderWidget\n\n",
  (char*)" This class provides support for interactively placing text on the 2D\n overlay plane. The text is defined by an instance of vtkTextActor. It uses\n the event bindings of its superclass (vtkBorderWidget). In addition, when\n the text is selected, the widget emits a WidgetActivateEvent that\n observers can watch for. This is useful for opening GUI dialogoues to\n adjust font characteristics, etc. (Pleas",
  (char*)"e see the superclass for a\n description of event bindings.)\n\n",
  "See Also:\n\n vtkBorderWidget vtkCaptionWidget\n\n",
  NULL
};

static vtkObjectBase *vtkTextWidgetStaticNew()
{
  return vtkTextWidget::New();
}

PyObject *PyVTKClass_vtkTextWidgetNew(char *modulename)
{
  return PyVTKClass_New(&vtkTextWidgetStaticNew,
                        PyvtkTextWidgetMethods,
                        (char*)"vtkTextWidget",modulename,
                        (char**)vtkTextWidgetDoc,
                        PyVTKClass_vtkBorderWidgetNew(modulename));
}

