// python wrapper for vtkWidgetCallbackMapper object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWidgetCallbackMapper.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWidgetCallbackMapperNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWidgetCallbackMapperNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkWidgetCallbackMapper_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetCallbackMapper *op;

  const char    *temp20;
  op = (vtkWidgetCallbackMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetCallbackMapper::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetCallbackMapper_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetCallbackMapper *op;

  char    *temp0;
  int      temp20;
  op = (vtkWidgetCallbackMapper *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetCallbackMapper::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetCallbackMapper_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetCallbackMapper *op;

  vtkWidgetCallbackMapper  *temp20;
  op = (vtkWidgetCallbackMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetCallbackMapper::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetCallbackMapper_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWidgetCallbackMapper  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWidgetCallbackMapper::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWidgetCallbackMapper_SetEventTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetCallbackMapper *op;

  vtkWidgetEventTranslator  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetCallbackMapper *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWidgetEventTranslator *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWidgetEventTranslator");
    if (!temp0 && tempH0 != Py_None) goto break4;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetCallbackMapper::SetEventTranslator(temp0);
      }
    else
      {
      op->SetEventTranslator(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break4:
  return NULL;
}


static PyObject *PyvtkWidgetCallbackMapper_GetEventTranslator(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetCallbackMapper *op;

  vtkWidgetEventTranslator  *temp20;
  op = (vtkWidgetCallbackMapper *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetCallbackMapper::GetEventTranslator();
      }
    else
      {
      temp20 = op->GetEventTranslator();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetCallbackMapper_InvokeCallback(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetCallbackMapper *op;

  unsigned long     temp0;
  op = (vtkWidgetCallbackMapper *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetCallbackMapper::InvokeCallback(temp0);
      }
    else
      {
      op->InvokeCallback(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWidgetCallbackMapperMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWidgetCallbackMapper_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWidgetCallbackMapper_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWidgetCallbackMapper_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWidgetCallbackMapper\nC++: vtkWidgetCallbackMapper *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWidgetCallbackMapper_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWidgetCallbackMapper\nC++: vtkWidgetCallbackMapper *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"SetEventTranslator",                (PyCFunction)PyvtkWidgetCallbackMapper_SetEventTranslator, 1,
   (char*)"V.SetEventTranslator(vtkWidgetEventTranslator)\nC++: void SetEventTranslator (vtkWidgetEventTranslator *t);\n\n Specify the vtkWidgetEventTranslator to coordinate with.\n"},
  {(char*)"GetEventTranslator",                (PyCFunction)PyvtkWidgetCallbackMapper_GetEventTranslator, 1,
   (char*)"V.GetEventTranslator() -> vtkWidgetEventTranslator\nC++: vtkWidgetEventTranslator *GetEventTranslator ();\n\n Specify the vtkWidgetEventTranslator to coordinate with.\n"},
  {(char*)"InvokeCallback",                (PyCFunction)PyvtkWidgetCallbackMapper_InvokeCallback, 1,
   (char*)"V.InvokeCallback(int)\nC++: void InvokeCallback (unsigned long widgetEvent);\n\n This method invokes the callback given a widget event. A non-zero value\n is returned if the listed event is registered.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWidgetCallbackMapperDoc[] = {
  (char*)"vtkWidgetCallbackMapper - map widget events into callbacks\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkWidgetCallbackMapper maps widget events (defined in vtkWidgetEvent.h)\n into static class methods, and provides facilities to invoke the methods.\n This class is templated and meant to be used as an internal helper class\n by the widget classes. The class works in combination with the class\n vtkWidgetEventTranslator, which translates VTK events into widget events.\n\n\n",
  "See Also:\n\n vtkWidgetEvent vtkWidgetEventTranslator\n\n",
  NULL
};

static vtkObjectBase *vtkWidgetCallbackMapperStaticNew()
{
  return vtkWidgetCallbackMapper::New();
}

PyObject *PyVTKClass_vtkWidgetCallbackMapperNew(char *modulename)
{
  return PyVTKClass_New(&vtkWidgetCallbackMapperStaticNew,
                        PyvtkWidgetCallbackMapperMethods,
                        (char*)"vtkWidgetCallbackMapper",modulename,
                        (char**)vtkWidgetCallbackMapperDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

