// python wrapper for vtkWidgetEvent object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWidgetEvent.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWidgetEventNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWidgetEventNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkWidgetEvent_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEvent *op;

  const char    *temp20;
  op = (vtkWidgetEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEvent::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEvent_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEvent *op;

  char    *temp0;
  int      temp20;
  op = (vtkWidgetEvent *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEvent::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEvent_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEvent *op;

  vtkWidgetEvent  *temp20;
  op = (vtkWidgetEvent *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEvent::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEvent_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWidgetEvent  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWidgetEvent::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWidgetEvent_GetStringFromEventId(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  unsigned long     temp0;
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"l", &temp0)))
    {
      {
      temp20 = vtkWidgetEvent::GetStringFromEventId(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEvent_GetEventIdFromString(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  char    *temp0;
  unsigned long     temp20;
  if ((PyArg_ParseTuple(args, (char*)"z", &temp0)))
    {
      {
      temp20 = vtkWidgetEvent::GetEventIdFromString(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWidgetEventMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWidgetEvent_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWidgetEvent_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWidgetEvent_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWidgetEvent\nC++: vtkWidgetEvent *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWidgetEvent_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWidgetEvent\nC++: vtkWidgetEvent *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"GetStringFromEventId",                (PyCFunction)PyvtkWidgetEvent_GetStringFromEventId, 1,
   (char*)"V.GetStringFromEventId(int) -> string\nC++: static const char *GetStringFromEventId (unsigned long event);\n\n Convenience methods for translating between event names and event ids.\n"},
  {(char*)"GetEventIdFromString",                (PyCFunction)PyvtkWidgetEvent_GetEventIdFromString, 1,
   (char*)"V.GetEventIdFromString(string) -> int\nC++: static unsigned long GetEventIdFromString (const char *event);\n\n Convenience methods for translating between event names and event ids.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWidgetEventDoc[] = {
  (char*)"vtkWidgetEvent - define widget events\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkWidgetEvent defines widget events. These events are processed by\n subclasses of vtkInteractorObserver.\n\n",
  NULL
};

static vtkObjectBase *vtkWidgetEventStaticNew()
{
  return vtkWidgetEvent::New();
}

PyObject *PyVTKClass_vtkWidgetEventNew(char *modulename)
{
  return PyVTKClass_New(&vtkWidgetEventStaticNew,
                        PyvtkWidgetEventMethods,
                        (char*)"vtkWidgetEvent",modulename,
                        (char**)vtkWidgetEventDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

