// python wrapper for vtkWidgetEventTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWidgetEventTranslator.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWidgetEventTranslatorNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWidgetEventTranslatorNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkWidgetEventTranslator_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  const char    *temp20;
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEventTranslator_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  char    *temp0;
  int      temp20;
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEventTranslator_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  vtkWidgetEventTranslator  *temp20;
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEventTranslator_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWidgetEventTranslator  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWidgetEventTranslator::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWidgetEventTranslator_SetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  unsigned long     temp0;
  unsigned long     temp1;
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"ll", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetEventTranslator::SetTranslation(temp0,temp1);
      }
    else
      {
      op->SetTranslation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  char    *temp0;
  char    *temp1;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetEventTranslator::SetTranslation(temp0,temp1);
      }
    else
      {
      op->SetTranslation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  unsigned long     temp5;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"licizl", &temp0, &temp1, &temp2, &temp3, &temp4, &temp5);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetEventTranslator::SetTranslation(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    else
      {
      op->SetTranslation(temp0,temp1,temp2,temp3,temp4,temp5);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  vtkEvent  *temp0;
  PyObject *tempH0;
  unsigned long     temp1;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"Ol", &tempH0, &temp1);
  if (op)
    {
    temp0 = (vtkEvent *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEvent");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetEventTranslator::SetTranslation(temp0,temp1);
      }
    else
      {
      op->SetTranslation(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkWidgetEventTranslator_GetTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  unsigned long     temp0;
  unsigned long     temp20;
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::GetTranslation(temp0);
      }
    else
      {
      temp20 = op->GetTranslation(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  char    *temp0;
  const char    *temp20;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::GetTranslation(temp0);
      }
    else
      {
      temp20 = op->GetTranslation(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  unsigned long     temp20;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"liciz", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::GetTranslation(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->GetTranslation(temp0,temp1,temp2,temp3,temp4);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  vtkEvent  *temp0;
  PyObject *tempH0;
  unsigned long     temp20;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEvent *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEvent");
    if (!temp0 && tempH0 != Py_None) goto break11;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::GetTranslation(temp0);
      }
    else
      {
      temp20 = op->GetTranslation(temp0);
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
 break11:
  return NULL;
}


static PyObject *PyvtkWidgetEventTranslator_RemoveTranslation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  unsigned long     temp0;
  int      temp1;
  char     temp2;
  int      temp3;
  char    *temp4;
  int      temp20;
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"liciz", &temp0, &temp1, &temp2, &temp3, &temp4);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::RemoveTranslation(temp0,temp1,temp2,temp3,temp4);
      }
    else
      {
      temp20 = op->RemoveTranslation(temp0,temp1,temp2,temp3,temp4);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  vtkEvent  *temp0;
  PyObject *tempH0;
  int      temp20;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkEvent *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkEvent");
    if (!temp0 && tempH0 != Py_None) goto break13;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::RemoveTranslation(temp0);
      }
    else
      {
      temp20 = op->RemoveTranslation(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break13:
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  unsigned long     temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"l", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetEventTranslator::RemoveTranslation(temp0);
      }
    else
      {
      temp20 = op->RemoveTranslation(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetEventTranslator_ClearEvents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetEventTranslator *op;

  op = (vtkWidgetEventTranslator *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetEventTranslator::ClearEvents();
      }
    else
      {
      op->ClearEvents();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWidgetEventTranslatorMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWidgetEventTranslator_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard macros.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWidgetEventTranslator_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard macros.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWidgetEventTranslator_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWidgetEventTranslator\nC++: vtkWidgetEventTranslator *NewInstance ();\n\n Standard macros.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWidgetEventTranslator_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWidgetEventTranslator\nC++: vtkWidgetEventTranslator *SafeDownCast (vtkObject* o);\n\n Standard macros.\n"},
  {(char*)"SetTranslation",                (PyCFunction)PyvtkWidgetEventTranslator_SetTranslation, 1,
   (char*)"V.SetTranslation(int, int)\nC++: void SetTranslation (unsigned long VTKEvent, unsigned long widgetEvent);\nV.SetTranslation(string, string)\nC++: void SetTranslation (const char *VTKEvent, const char *widgetEvent);\nV.SetTranslation(int, int, char, int, string, int)\nC++: void SetTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, const char *keySym, unsigned long widgetEvent);\nV.SetTranslation(vtkEvent, int)\nC++: void SetTranslation (vtkEvent *VTKevent, unsigned long widgetEvent);\n\n Use these methods to create the translation from a VTK event to a widget\n event. Specifying vtkWidgetEvent::NoEvent or an empty\n string for the (toEvent) erases the mapping for the event.\n"},
  {(char*)"GetTranslation",                (PyCFunction)PyvtkWidgetEventTranslator_GetTranslation, 1,
   (char*)"V.GetTranslation(int) -> int\nC++: unsigned long GetTranslation (unsigned long VTKEvent);\nV.GetTranslation(string) -> string\nC++: const char *GetTranslation (const char *VTKEvent);\nV.GetTranslation(int, int, char, int, string) -> int\nC++: unsigned long GetTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, char *keySym);\nV.GetTranslation(vtkEvent) -> int\nC++: unsigned long GetTranslation (vtkEvent *VTKEvent);\n\n Translate a VTK event into a widget event. If no event mapping is found,\n then the methods return vtkWidgetEvent::NoEvent or a NULL string.\n"},
  {(char*)"RemoveTranslation",                (PyCFunction)PyvtkWidgetEventTranslator_RemoveTranslation, 1,
   (char*)"V.RemoveTranslation(int, int, char, int, string) -> int\nC++: int RemoveTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, char *keySym);\nV.RemoveTranslation(vtkEvent) -> int\nC++: int RemoveTranslation (vtkEvent *e);\nV.RemoveTranslation(int) -> int\nC++: int RemoveTranslation (unsigned long VTKEvent);\n\n Remove translations for a binding. \n Returns the number of translations removed.\n"},
  {(char*)"ClearEvents",                (PyCFunction)PyvtkWidgetEventTranslator_ClearEvents, 1,
   (char*)"V.ClearEvents()\nC++: void ClearEvents ();\n\n Clear all events from the translator (i.e., no events will be\n translated).\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWidgetEventTranslatorDoc[] = {
  (char*)"vtkWidgetEventTranslator - map VTK events into widget events\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" vtkWidgetEventTranslator maps VTK events (defined on vtkCommand) into\n widget events (defined in vtkWidgetEvent.h). This class is typically used\n in combination with vtkWidgetCallbackMapper, which is responsible for\n translating widget events into method callbacks, and then invoking the \n callbacks.\n\n This class can be used to define different mappings of VTK events into\n the widget events. Thus ",
  (char*)"widgets can be reconfigured to use different\n event bindings.\n\n",
  "See Also:\n\n vtkWidgetEvent vtkCommand vtkInteractorObserver\n\n",
  NULL
};

static vtkObjectBase *vtkWidgetEventTranslatorStaticNew()
{
  return vtkWidgetEventTranslator::New();
}

PyObject *PyVTKClass_vtkWidgetEventTranslatorNew(char *modulename)
{
  return PyVTKClass_New(&vtkWidgetEventTranslatorStaticNew,
                        PyvtkWidgetEventTranslatorMethods,
                        (char*)"vtkWidgetEventTranslator",modulename,
                        (char**)vtkWidgetEventTranslatorDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

