// tcl wrapper for vtkWidgetEventTranslator object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkWidgetEventTranslator.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkWidgetEventTranslatorNewCommand()
{
  vtkWidgetEventTranslator *temp = vtkWidgetEventTranslator::New();
  return static_cast<ClientData>(temp);
}

int vtkObjectCppCommand(vtkObject *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkWidgetEventTranslatorCppCommand(vtkWidgetEventTranslator *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkWidgetEventTranslatorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkWidgetEventTranslatorCppCommand(static_cast<vtkWidgetEventTranslator *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkWidgetEventTranslatorCppCommand(vtkWidgetEventTranslator *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkWidgetEventTranslator",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkObject"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkWidgetEventTranslator  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWidgetEventTranslator");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkWidgetEventTranslator  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWidgetEventTranslator");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkWidgetEventTranslator  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkWidgetEventTranslator");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTranslation",argv[1]))&&(argc == 4))
    {
    unsigned long     temp0;
    unsigned long     temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetTranslation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTranslation",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    char    *temp1;
    error = 0;

    temp0 = argv[2];
    temp1 = argv[3];
    if (!error)
    {
    op->SetTranslation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTranslation",argv[1]))&&(argc == 8))
    {
    unsigned long     temp0;
    int      temp1;
    char     temp2;
    int      temp3;
    char    *temp4;
    unsigned long     temp5;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = *(argv[4]);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (Tcl_GetInt(interp,argv[7],&tempi) != TCL_OK) error = 1;
    temp5 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetTranslation(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTranslation",argv[1]))&&(argc == 4))
    {
    vtkEvent  *temp0;
    unsigned long     temp1;
    error = 0;

    temp0 = (vtkEvent *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEvent"),interp,error));
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    op->SetTranslation(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslation",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    unsigned long     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->GetTranslation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslation",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    const char    *temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetTranslation(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslation",argv[1]))&&(argc == 7))
    {
    unsigned long     temp0;
    int      temp1;
    char     temp2;
    int      temp3;
    char    *temp4;
    unsigned long     temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = *(argv[4]);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    temp20 = (op)->GetTranslation(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTranslation",argv[1]))&&(argc == 3))
    {
    vtkEvent  *temp0;
    unsigned long     temp20;
    error = 0;

    temp0 = (vtkEvent *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEvent"),interp,error));
    if (!error)
    {
    temp20 = (op)->GetTranslation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveTranslation",argv[1]))&&(argc == 7))
    {
    unsigned long     temp0;
    int      temp1;
    char     temp2;
    int      temp3;
    char    *temp4;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    temp2 = *(argv[4]);
    if (Tcl_GetInt(interp,argv[5],&tempi) != TCL_OK) error = 1;
    temp3 = tempi;
    temp4 = argv[6];
    if (!error)
    {
    temp20 = (op)->RemoveTranslation(temp0,temp1,temp2,temp3,temp4);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveTranslation",argv[1]))&&(argc == 3))
    {
    vtkEvent  *temp0;
    int      temp20;
    error = 0;

    temp0 = (vtkEvent *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkEvent"),interp,error));
    if (!error)
    {
    temp20 = (op)->RemoveTranslation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveTranslation",argv[1]))&&(argc == 3))
    {
    unsigned long     temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = static_cast<unsigned long>(tempi);
    if (!error)
    {
    temp20 = (op)->RemoveTranslation(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("ClearEvents",argv[1]))&&(argc == 2))
    {
    op->ClearEvents();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkWidgetEventTranslatorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkWidgetEventTranslator:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslation\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTranslation\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslation\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTranslation\t with 5 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveTranslation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  ClearEvents\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkObjectCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    Tcl_DStringAppendElement ( &dString, "RemoveTranslation" );
    Tcl_DStringAppendElement ( &dString, "RemoveTranslation" );
    Tcl_DStringAppendElement ( &dString, "RemoveTranslation" );
    Tcl_DStringAppendElement ( &dString, "ClearEvents" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkObjectCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkWidgetEventTranslator *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, " Standard macros.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslation */
    if ( strcmp ( argv[2], "SetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslation */
    Tcl_DStringAppendElement ( &dString, " Use these methods to create the translation from a VTK event to a widget\n event. Specifying vtkWidgetEvent::NoEvent or an empty\n string for the (toEvent) erases the mapping for the event.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslation (unsigned long VTKEvent, unsigned long widgetEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for SetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslation */
    if ( strcmp ( argv[2], "SetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslation */
    Tcl_DStringAppendElement ( &dString, " Use these methods to create the translation from a VTK event to a widget\n event. Specifying vtkWidgetEvent::NoEvent or an empty\n string for the (toEvent) erases the mapping for the event.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslation (const char *VTKEvent, const char *widgetEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for SetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslation */
    if ( strcmp ( argv[2], "SetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslation */
    Tcl_DStringAppendElement ( &dString, " Use these methods to create the translation from a VTK event to a widget\n event. Specifying vtkWidgetEvent::NoEvent or an empty\n string for the (toEvent) erases the mapping for the event.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, const char *keySym, unsigned long widgetEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for SetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTranslation */
    if ( strcmp ( argv[2], "SetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEvent" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTranslation */
    Tcl_DStringAppendElement ( &dString, " Use these methods to create the translation from a VTK event to a widget\n event. Specifying vtkWidgetEvent::NoEvent or an empty\n string for the (toEvent) erases the mapping for the event.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTranslation (vtkEvent *VTKevent, unsigned long widgetEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for SetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslation */
    if ( strcmp ( argv[2], "GetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslation */
    Tcl_DStringAppendElement ( &dString, " Translate a VTK event into a widget event. If no event mapping is found,\n then the methods return vtkWidgetEvent::NoEvent or a NULL string.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTranslation (unsigned long VTKEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for GetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslation */
    if ( strcmp ( argv[2], "GetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslation */
    Tcl_DStringAppendElement ( &dString, " Translate a VTK event into a widget event. If no event mapping is found,\n then the methods return vtkWidgetEvent::NoEvent or a NULL string.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetTranslation (const char *VTKEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for GetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslation */
    if ( strcmp ( argv[2], "GetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslation */
    Tcl_DStringAppendElement ( &dString, " Translate a VTK event into a widget event. If no event mapping is found,\n then the methods return vtkWidgetEvent::NoEvent or a NULL string.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, char *keySym);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for GetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTranslation */
    if ( strcmp ( argv[2], "GetTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEvent" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTranslation */
    Tcl_DStringAppendElement ( &dString, " Translate a VTK event into a widget event. If no event mapping is found,\n then the methods return vtkWidgetEvent::NoEvent or a NULL string.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetTranslation (vtkEvent *VTKEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for GetTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveTranslation */
    if ( strcmp ( argv[2], "RemoveTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "char" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveTranslation */
    Tcl_DStringAppendElement ( &dString, " Remove translations for a binding. \n Returns the number of translations removed.\n" );
    Tcl_DStringAppendElement ( &dString, "int RemoveTranslation (unsigned long VTKEvent, int modifier, char keyCode, int repeatCount, char *keySym);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for RemoveTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveTranslation */
    if ( strcmp ( argv[2], "RemoveTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkEvent" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveTranslation */
    Tcl_DStringAppendElement ( &dString, " Remove translations for a binding. \n Returns the number of translations removed.\n" );
    Tcl_DStringAppendElement ( &dString, "int RemoveTranslation (vtkEvent *e);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for RemoveTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveTranslation */
    if ( strcmp ( argv[2], "RemoveTranslation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveTranslation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveTranslation */
    Tcl_DStringAppendElement ( &dString, " Remove translations for a binding. \n Returns the number of translations removed.\n" );
    Tcl_DStringAppendElement ( &dString, "int RemoveTranslation (unsigned long VTKEvent);" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for RemoveTranslation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ClearEvents */
    if ( strcmp ( argv[2], "ClearEvents" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ClearEvents" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ClearEvents */
    Tcl_DStringAppendElement ( &dString, " Clear all events from the translator (i.e., no events will be\n translated).\n" );
    Tcl_DStringAppendElement ( &dString, "void ClearEvents ();" );
    Tcl_DStringAppendElement ( &dString, "vtkWidgetEventTranslator" );
    /* Closing for ClearEvents */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkObjectCppCommand(static_cast<vtkObject *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
