// python wrapper for vtkWidgetRepresentation object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWidgetRepresentation.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkPropNew(char *); }

static PyObject *PyvtkWidgetRepresentation_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  const char    *temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  char    *temp0;
  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkWidgetRepresentation  *temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_SetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkRenderer  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkRenderer *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkRenderer");
    if (!temp0 && tempH0 != Py_None) goto break3;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::SetRenderer(temp0);
      }
    else
      {
      op->SetRenderer(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetRenderer(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkRenderer  *temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetRenderer();
      }
    else
      {
      temp20 = op->GetRenderer();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_BuildRepresentation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      PyErr_SetString(PyExc_TypeError,"pure virtual method call");
      return NULL;
    }
    else
      {
      op->BuildRepresentation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_StartWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double temp0[2];
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::StartWidgetInteraction(temp0);
      }
    else
      {
      op->StartWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_WidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double temp0[2];
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::WidgetInteraction(temp0);
      }
    else
      {
      op->WidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_EndWidgetInteraction(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double temp0[2];
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"(dd)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::EndWidgetInteraction(temp0);
      }
    else
      {
      op->EndWidgetInteraction(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_ComputeInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::ComputeInteractionState(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->ComputeInteractionState(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetInteractionState(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetInteractionState();
      }
    else
      {
      temp20 = op->GetInteractionState();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_Highlight(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::Highlight(temp0);
      }
    else
      {
      op->Highlight(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_SetPlaceFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::SetPlaceFactor(temp0);
      }
    else
      {
      op->SetPlaceFactor(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetPlaceFactorMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetPlaceFactorMinValue();
      }
    else
      {
      temp20 = op->GetPlaceFactorMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetPlaceFactorMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetPlaceFactorMaxValue();
      }
    else
      {
      temp20 = op->GetPlaceFactorMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetPlaceFactor(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetPlaceFactor();
      }
    else
      {
      temp20 = op->GetPlaceFactor();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_SetHandleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::SetHandleSize(temp0);
      }
    else
      {
      op->SetHandleSize(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetHandleSizeMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetHandleSizeMinValue();
      }
    else
      {
      temp20 = op->GetHandleSizeMinValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetHandleSizeMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetHandleSizeMaxValue();
      }
    else
      {
      temp20 = op->GetHandleSizeMaxValue();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetHandleSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double   temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetHandleSize();
      }
    else
      {
      temp20 = op->GetHandleSize();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetNeedToRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetNeedToRender();
      }
    else
      {
      temp20 = op->GetNeedToRender();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_SetNeedToRender(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::SetNeedToRender(temp0);
      }
    else
      {
      op->SetNeedToRender(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetNeedToRenderMinValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetNeedToRenderMinValue();
      }
    else
      {
      temp20 = op->GetNeedToRenderMinValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetNeedToRenderMaxValue(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetNeedToRenderMaxValue();
      }
    else
      {
      temp20 = op->GetNeedToRenderMaxValue();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_NeedToRenderOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::NeedToRenderOn();
      }
    else
      {
      op->NeedToRenderOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_NeedToRenderOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::NeedToRenderOff();
      }
    else
      {
      op->NeedToRenderOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetBounds(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  double  *temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::GetBounds();
      }
    else
      {
      temp20 = op->GetBounds();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"dddddd",temp20[0],temp20[1],temp20[2],temp20[3],temp20[4],temp20[5]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_ShallowCopy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkProp  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkProp *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkProp");
    if (!temp0 && tempH0 != Py_None) goto break27;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::ShallowCopy(temp0);
      }
    else
      {
      op->ShallowCopy(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break27:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetActors(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break28;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::GetActors(temp0);
      }
    else
      {
      op->GetActors(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break28:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetActors2D(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break29;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::GetActors2D(temp0);
      }
    else
      {
      op->GetActors2D(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break29:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_GetVolumes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkPropCollection  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkPropCollection *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkPropCollection");
    if (!temp0 && tempH0 != Py_None) goto break30;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::GetVolumes(temp0);
      }
    else
      {
      op->GetVolumes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break30:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_ReleaseGraphicsResources(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkWindow  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkWindow *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkWindow");
    if (!temp0 && tempH0 != Py_None) goto break31;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetRepresentation::ReleaseGraphicsResources(temp0);
      }
    else
      {
      op->ReleaseGraphicsResources(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break31:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_RenderOverlay(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break32;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::RenderOverlay(temp0);
      }
    else
      {
      temp20 = op->RenderOverlay(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break32:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_RenderOpaqueGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break33;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::RenderOpaqueGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderOpaqueGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break33:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_RenderTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break34;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::RenderTranslucentPolygonalGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderTranslucentPolygonalGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break34:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_RenderVolumetricGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  vtkViewport  *temp0;
  PyObject *tempH0;
  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkViewport *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkViewport");
    if (!temp0 && tempH0 != Py_None) goto break35;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::RenderVolumetricGeometry(temp0);
      }
    else
      {
      temp20 = op->RenderVolumetricGeometry(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break35:
  return NULL;
}


static PyObject *PyvtkWidgetRepresentation_HasTranslucentPolygonalGeometry(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetRepresentation *op;

  int      temp20;
  op = (vtkWidgetRepresentation *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetRepresentation::HasTranslucentPolygonalGeometry();
      }
    else
      {
      temp20 = op->HasTranslucentPolygonalGeometry();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWidgetRepresentationMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWidgetRepresentation_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWidgetRepresentation_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for instances of this class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWidgetRepresentation_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWidgetRepresentation\nC++: vtkWidgetRepresentation *NewInstance ();\n\n Standard methods for instances of this class.\n"},
  {(char*)"SetRenderer",                (PyCFunction)PyvtkWidgetRepresentation_SetRenderer, 1,
   (char*)"V.SetRenderer(vtkRenderer)\nC++: virtual void SetRenderer (vtkRenderer *ren);\n\n Subclasses of vtkWidgetRepresentation must implement these methods. This is\n considered the minimum API for a widget representation.\n <pre>\n SetRenderer() - the renderer in which the widget is to appear must be set.\n BuildRepresentation() - update the geometry of the widget based on its\n                         current state.\n </pre>\n WARNING: The renderer is NOT reference counted by the representation,\n in order to avoid reference loops.  Be sure that the representation\n lifetime does not extend beyond the renderer lifetime.\n"},
  {(char*)"GetRenderer",                (PyCFunction)PyvtkWidgetRepresentation_GetRenderer, 1,
   (char*)"V.GetRenderer() -> vtkRenderer\nC++: vtkRenderer *GetRenderer ();\n\n Subclasses of vtkWidgetRepresentation must implement these methods. This is\n considered the minimum API for a widget representation.\n <pre>\n SetRenderer() - the renderer in which the widget is to appear must be set.\n BuildRepresentation() - update the geometry of the widget based on its\n                         current state.\n </pre>\n WARNING: The renderer is NOT reference counted by the representation,\n in order to avoid reference loops.  Be sure that the representation\n lifetime does not extend beyond the renderer lifetime.\n"},
  {(char*)"BuildRepresentation",                (PyCFunction)PyvtkWidgetRepresentation_BuildRepresentation, 1,
   (char*)"V.BuildRepresentation()\nC++: virtual void BuildRepresentation () = 0;\n\n Subclasses of vtkWidgetRepresentation must implement these methods. This is\n considered the minimum API for a widget representation.\n <pre>\n SetRenderer() - the renderer in which the widget is to appear must be set.\n BuildRepresentation() - update the geometry of the widget based on its\n                         current state.\n </pre>\n WARNING: The renderer is NOT reference counted by the representation,\n in order to avoid reference loops.  Be sure that the representation\n lifetime does not extend beyond the renderer lifetime.\n"},
  {(char*)"StartWidgetInteraction",                (PyCFunction)PyvtkWidgetRepresentation_StartWidgetInteraction, 1,
   (char*)"V.StartWidgetInteraction((float, float))\nC++: virtual void StartWidgetInteraction (double eventPos[2]);void eventPos \n\n The following is a suggested API for widget representations. These methods\n define the communication between the widget and its representation. These\n methods are only suggestions because widgets take on so many different\n forms that a universal API is not deemed practical. However, these methods\n should be implemented when possible to insure that the VTK widget hierarchy\n remains self-consistent.\n <pre>\n PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place \n                 the widget inside of it. The current orientation of the widget \n                 is preserved, only scaling and translation is performed.\n StartWidgetInteraction() - generally corresponds to a initial event (e.g.,\n                            mouse down) that starts the interaction process\n                            with the widget.\n WidgetInteraction() - invoked when an event causes the widget to change \n                       appearance.\n EndWidgetIntera ...\n [Truncated]\n"},
  {(char*)"WidgetInteraction",                (PyCFunction)PyvtkWidgetRepresentation_WidgetInteraction, 1,
   (char*)"V.WidgetInteraction((float, float))\nC++: virtual void WidgetInteraction (double newEventPos[2]);void newEventPos \n\n The following is a suggested API for widget representations. These methods\n define the communication between the widget and its representation. These\n methods are only suggestions because widgets take on so many different\n forms that a universal API is not deemed practical. However, these methods\n should be implemented when possible to insure that the VTK widget hierarchy\n remains self-consistent.\n <pre>\n PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place \n                 the widget inside of it. The current orientation of the widget \n                 is preserved, only scaling and translation is performed.\n StartWidgetInteraction() - generally corresponds to a initial event (e.g.,\n                            mouse down) that starts the interaction process\n                            with the widget.\n WidgetInteraction() - invoked when an event causes the widget to change \n                       appearance.\n EndWidgetIntera ...\n [Truncated]\n"},
  {(char*)"EndWidgetInteraction",                (PyCFunction)PyvtkWidgetRepresentation_EndWidgetInteraction, 1,
   (char*)"V.EndWidgetInteraction((float, float))\nC++: virtual void EndWidgetInteraction (double newEventPos[2]);void newEventPos \n\n The following is a suggested API for widget representations. These methods\n define the communication between the widget and its representation. These\n methods are only suggestions because widgets take on so many different\n forms that a universal API is not deemed practical. However, these methods\n should be implemented when possible to insure that the VTK widget hierarchy\n remains self-consistent.\n <pre>\n PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place \n                 the widget inside of it. The current orientation of the widget \n                 is preserved, only scaling and translation is performed.\n StartWidgetInteraction() - generally corresponds to a initial event (e.g.,\n                            mouse down) that starts the interaction process\n                            with the widget.\n WidgetInteraction() - invoked when an event causes the widget to change \n                       appearance.\n EndWidgetIntera ...\n [Truncated]\n"},
  {(char*)"ComputeInteractionState",                (PyCFunction)PyvtkWidgetRepresentation_ComputeInteractionState, 1,
   (char*)"V.ComputeInteractionState(int, int, int) -> int\nC++: virtual int ComputeInteractionState (int X, int Y, int modify);\n\n The following is a suggested API for widget representations. These methods\n define the communication between the widget and its representation. These\n methods are only suggestions because widgets take on so many different\n forms that a universal API is not deemed practical. However, these methods\n should be implemented when possible to insure that the VTK widget hierarchy\n remains self-consistent.\n <pre>\n PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place \n                 the widget inside of it. The current orientation of the widget \n                 is preserved, only scaling and translation is performed.\n StartWidgetInteraction() - generally corresponds to a initial event (e.g.,\n                            mouse down) that starts the interaction process\n                            with the widget.\n WidgetInteraction() - invoked when an event causes the widget to change \n                       appearance.\n EndWidgetIntera ...\n [Truncated]\n"},
  {(char*)"GetInteractionState",                (PyCFunction)PyvtkWidgetRepresentation_GetInteractionState, 1,
   (char*)"V.GetInteractionState() -> int\nC++: virtual int GetInteractionState ();return this InteractionState \n\n The following is a suggested API for widget representations. These methods\n define the communication between the widget and its representation. These\n methods are only suggestions because widgets take on so many different\n forms that a universal API is not deemed practical. However, these methods\n should be implemented when possible to insure that the VTK widget hierarchy\n remains self-consistent.\n <pre>\n PlaceWidget() - given a bounding box (xmin,xmax,ymin,ymax,zmin,zmax), place \n                 the widget inside of it. The current orientation of the widget \n                 is preserved, only scaling and translation is performed.\n StartWidgetInteraction() - generally corresponds to a initial event (e.g.,\n                            mouse down) that starts the interaction process\n                            with the widget.\n WidgetInteraction() - invoked when an event causes the widget to change \n                       appearance.\n EndWidgetIntera ...\n [Truncated]\n"},
  {(char*)"Highlight",                (PyCFunction)PyvtkWidgetRepresentation_Highlight, 1,
   (char*)"V.Highlight(int)\nC++: virtual void Highlight (int );\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"SetPlaceFactor",                (PyCFunction)PyvtkWidgetRepresentation_SetPlaceFactor, 1,
   (char*)"V.SetPlaceFactor(float)\nC++: void SetPlaceFactor (double );\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"GetPlaceFactorMinValue",                (PyCFunction)PyvtkWidgetRepresentation_GetPlaceFactorMinValue, 1,
   (char*)"V.GetPlaceFactorMinValue() -> float\nC++: double GetPlaceFactorMinValue ();\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"GetPlaceFactorMaxValue",                (PyCFunction)PyvtkWidgetRepresentation_GetPlaceFactorMaxValue, 1,
   (char*)"V.GetPlaceFactorMaxValue() -> float\nC++: double GetPlaceFactorMaxValue ();\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"GetPlaceFactor",                (PyCFunction)PyvtkWidgetRepresentation_GetPlaceFactor, 1,
   (char*)"V.GetPlaceFactor() -> float\nC++: double GetPlaceFactor ();\n\n Set/Get a factor representing the scaling of the widget upon placement\n (via the PlaceWidget() method). Normally the widget is placed so that\n it just fits within the bounding box defined in PlaceWidget(bounds).\n The PlaceFactor will make the widget larger (PlaceFactor > 1) or smaller\n (PlaceFactor < 1). By default, PlaceFactor is set to 0.5.\n"},
  {(char*)"SetHandleSize",                (PyCFunction)PyvtkWidgetRepresentation_SetHandleSize, 1,
   (char*)"V.SetHandleSize(float)\nC++: void SetHandleSize (double );\n\n Set/Get the factor that controls the size of the handles that appear as\n part of the widget (if any). These handles (like spheres, etc.)  are\n used to manipulate the widget. The HandleSize data member allows you\n to change the relative size of the handles. Note that while the handle\n size is typically expressed in pixels, some subclasses may use a relative size\n with respect to the viewport. (As a corollary, the value of this ivar is often\n set by subclasses of this class during instance instantiation.)\n"},
  {(char*)"GetHandleSizeMinValue",                (PyCFunction)PyvtkWidgetRepresentation_GetHandleSizeMinValue, 1,
   (char*)"V.GetHandleSizeMinValue() -> float\nC++: double GetHandleSizeMinValue ();\n\n Set/Get the factor that controls the size of the handles that appear as\n part of the widget (if any). These handles (like spheres, etc.)  are\n used to manipulate the widget. The HandleSize data member allows you\n to change the relative size of the handles. Note that while the handle\n size is typically expressed in pixels, some subclasses may use a relative size\n with respect to the viewport. (As a corollary, the value of this ivar is often\n set by subclasses of this class during instance instantiation.)\n"},
  {(char*)"GetHandleSizeMaxValue",                (PyCFunction)PyvtkWidgetRepresentation_GetHandleSizeMaxValue, 1,
   (char*)"V.GetHandleSizeMaxValue() -> float\nC++: double GetHandleSizeMaxValue ();\n\n Set/Get the factor that controls the size of the handles that appear as\n part of the widget (if any). These handles (like spheres, etc.)  are\n used to manipulate the widget. The HandleSize data member allows you\n to change the relative size of the handles. Note that while the handle\n size is typically expressed in pixels, some subclasses may use a relative size\n with respect to the viewport. (As a corollary, the value of this ivar is often\n set by subclasses of this class during instance instantiation.)\n"},
  {(char*)"GetHandleSize",                (PyCFunction)PyvtkWidgetRepresentation_GetHandleSize, 1,
   (char*)"V.GetHandleSize() -> float\nC++: double GetHandleSize ();\n\n Set/Get the factor that controls the size of the handles that appear as\n part of the widget (if any). These handles (like spheres, etc.)  are\n used to manipulate the widget. The HandleSize data member allows you\n to change the relative size of the handles. Note that while the handle\n size is typically expressed in pixels, some subclasses may use a relative size\n with respect to the viewport. (As a corollary, the value of this ivar is often\n set by subclasses of this class during instance instantiation.)\n"},
  {(char*)"GetNeedToRender",                (PyCFunction)PyvtkWidgetRepresentation_GetNeedToRender, 1,
   (char*)"V.GetNeedToRender() -> int\nC++: int GetNeedToRender ();\n\n Some subclasses use this data member to keep track of whether to render\n or not (i.e., to minimize the total number of renders).\n"},
  {(char*)"SetNeedToRender",                (PyCFunction)PyvtkWidgetRepresentation_SetNeedToRender, 1,
   (char*)"V.SetNeedToRender(int)\nC++: void SetNeedToRender (int );\n\n Some subclasses use this data member to keep track of whether to render\n or not (i.e., to minimize the total number of renders).\n"},
  {(char*)"GetNeedToRenderMinValue",                (PyCFunction)PyvtkWidgetRepresentation_GetNeedToRenderMinValue, 1,
   (char*)"V.GetNeedToRenderMinValue() -> int\nC++: int GetNeedToRenderMinValue ();\n\n Some subclasses use this data member to keep track of whether to render\n or not (i.e., to minimize the total number of renders).\n"},
  {(char*)"GetNeedToRenderMaxValue",                (PyCFunction)PyvtkWidgetRepresentation_GetNeedToRenderMaxValue, 1,
   (char*)"V.GetNeedToRenderMaxValue() -> int\nC++: int GetNeedToRenderMaxValue ();\n\n Some subclasses use this data member to keep track of whether to render\n or not (i.e., to minimize the total number of renders).\n"},
  {(char*)"NeedToRenderOn",                (PyCFunction)PyvtkWidgetRepresentation_NeedToRenderOn, 1,
   (char*)"V.NeedToRenderOn()\nC++: void NeedToRenderOn ();\n\n Some subclasses use this data member to keep track of whether to render\n or not (i.e., to minimize the total number of renders).\n"},
  {(char*)"NeedToRenderOff",                (PyCFunction)PyvtkWidgetRepresentation_NeedToRenderOff, 1,
   (char*)"V.NeedToRenderOff()\nC++: void NeedToRenderOff ();\n\n Some subclasses use this data member to keep track of whether to render\n or not (i.e., to minimize the total number of renders).\n"},
  {(char*)"GetBounds",                (PyCFunction)PyvtkWidgetRepresentation_GetBounds, 1,
   (char*)"V.GetBounds() -> (float, float, float, float, float, float)\nC++: virtual double *GetBounds ();return NULL \n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"ShallowCopy",                (PyCFunction)PyvtkWidgetRepresentation_ShallowCopy, 1,
   (char*)"V.ShallowCopy(vtkProp)\nC++: virtual void ShallowCopy (vtkProp *prop);\n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"GetActors",                (PyCFunction)PyvtkWidgetRepresentation_GetActors, 1,
   (char*)"V.GetActors(vtkPropCollection)\nC++: virtual void GetActors (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"GetActors2D",                (PyCFunction)PyvtkWidgetRepresentation_GetActors2D, 1,
   (char*)"V.GetActors2D(vtkPropCollection)\nC++: virtual void GetActors2D (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"GetVolumes",                (PyCFunction)PyvtkWidgetRepresentation_GetVolumes, 1,
   (char*)"V.GetVolumes(vtkPropCollection)\nC++: virtual void GetVolumes (vtkPropCollection *);\n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"ReleaseGraphicsResources",                (PyCFunction)PyvtkWidgetRepresentation_ReleaseGraphicsResources, 1,
   (char*)"V.ReleaseGraphicsResources(vtkWindow)\nC++: virtual void ReleaseGraphicsResources (vtkWindow *);\n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"RenderOverlay",                (PyCFunction)PyvtkWidgetRepresentation_RenderOverlay, 1,
   (char*)"V.RenderOverlay(vtkViewport) -> int\nC++: virtual int RenderOverlay (vtkViewport *);return \n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"RenderOpaqueGeometry",                (PyCFunction)PyvtkWidgetRepresentation_RenderOpaqueGeometry, 1,
   (char*)"V.RenderOpaqueGeometry(vtkViewport) -> int\nC++: virtual int RenderOpaqueGeometry (vtkViewport *);return \n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"RenderTranslucentPolygonalGeometry",                (PyCFunction)PyvtkWidgetRepresentation_RenderTranslucentPolygonalGeometry, 1,
   (char*)"V.RenderTranslucentPolygonalGeometry(vtkViewport) -> int\nC++: virtual int RenderTranslucentPolygonalGeometry (vtkViewport *);return \n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"RenderVolumetricGeometry",                (PyCFunction)PyvtkWidgetRepresentation_RenderVolumetricGeometry, 1,
   (char*)"V.RenderVolumetricGeometry(vtkViewport) -> int\nC++: virtual int RenderVolumetricGeometry (vtkViewport *);return \n\n Methods to make this class behave as a vtkProp. They are repeated here (from the\n vtkProp superclass) as a reminder to the widget implementor. Failure to implement\n these methods properly may result in the representation not appearing in the scene\n (i.e., not implementing the Render() methods properly) or leaking graphics resources\n (i.e., not implementing ReleaseGraphicsResources() properly).\n"},
  {(char*)"HasTranslucentPolygonalGeometry",                (PyCFunction)PyvtkWidgetRepresentation_HasTranslucentPolygonalGeometry, 1,
   (char*)"V.HasTranslucentPolygonalGeometry() -> int\nC++: virtual int HasTranslucentPolygonalGeometry ();return \n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWidgetRepresentationDoc[] = {
  (char*)"vtkWidgetRepresentation - abstract class defines interface between the widget and widget representation classes\n\n",
  "Super Class:\n\n vtkProp\n\n",
  (char*)" This class is used to define the API for, and partially implement, a\n representation for different types of widgets. Note that the widget\n representation (i.e., subclasses of vtkWidgetRepresentation) are a type of\n vtkProp; meaning that they can be associated with a vtkRenderer end\n embedded in a scene like any other vtkActor. However,\n vtkWidgetRepresentation also defines an API that enables it ",
  (char*)"to be paired\n with a subclass vtkAbstractWidget, meaning that it can be driven by a\n widget, serving to represent the widget as the widget responds to\n registered events. \n\n The API defined here should be regarded as a guideline for implementing\n widgets and widget representations. Widget behavior is complex, as is the\n way the representation responds to the registered widget events, so the API\n m",
  (char*)"ay vary from widget to widget to reflect this complexity.\n\n",
  "Caveats:\n\n The separation of the widget event handling and representation enables\n users and developers to create new appearances for the widget. It also\n facilitates parallel processing, where the client application handles\n events, and remote representations of the widget are slaves to the \n client (and do not handle events).\n\n",
  NULL
};

PyObject *PyVTKClass_vtkWidgetRepresentationNew(char *modulename)
{
  return PyVTKClass_New(NULL,
                        PyvtkWidgetRepresentationMethods,
                        (char*)"vtkWidgetRepresentation",modulename,
                        (char**)vtkWidgetRepresentationDoc,
                        PyVTKClass_vtkPropNew(modulename));
}

