// python wrapper for vtkWidgetSet object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkWidgetSet.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkWidgetSetNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkWidgetSetNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkObjectNew(char *); }

static PyObject *PyvtkWidgetSet_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  const char    *temp20;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetSet::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetSet_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  char    *temp0;
  int      temp20;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetSet::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetSet_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  vtkWidgetSet  *temp20;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetSet::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetSet_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkWidgetSet  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkWidgetSet::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkWidgetSet_SetEnabled(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  int      temp0;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetSet::SetEnabled(temp0);
      }
    else
      {
      op->SetEnabled(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetSet_EnabledOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetSet::EnabledOn();
      }
    else
      {
      op->EnabledOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetSet_EnabledOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetSet::EnabledOff();
      }
    else
      {
      op->EnabledOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetSet_AddWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  vtkAbstractWidget  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractWidget *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractWidget");
    if (!temp0 && tempH0 != Py_None) goto break7;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetSet::AddWidget(temp0);
      }
    else
      {
      op->AddWidget(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break7:
  return NULL;
}


static PyObject *PyvtkWidgetSet_RemoveWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  vtkAbstractWidget  *temp0;
  PyObject *tempH0;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"O", &tempH0);
  if (op)
    {
    temp0 = (vtkAbstractWidget *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkAbstractWidget");
    if (!temp0 && tempH0 != Py_None) goto break8;
    if (PyVTKClass_Check(self))
      {
      op->vtkWidgetSet::RemoveWidget(temp0);
      }
    else
      {
      op->RemoveWidget(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
 break8:
  return NULL;
}


static PyObject *PyvtkWidgetSet_GetNumberOfWidgets(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  unsigned int      temp20;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetSet::GetNumberOfWidgets();
      }
    else
      {
      temp20 = op->GetNumberOfWidgets();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkWidgetSet_GetNthWidget(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkWidgetSet *op;

  unsigned int      temp0;
  vtkAbstractWidget  *temp20;
  op = (vtkWidgetSet *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkWidgetSet::GetNthWidget(temp0);
      }
    else
      {
      temp20 = op->GetNthWidget(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}

static PyMethodDef PyvtkWidgetSetMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkWidgetSet_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkWidgetSet_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n Standard methods for a VTK class.\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkWidgetSet_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkWidgetSet\nC++: vtkWidgetSet *NewInstance ();\n\n Standard methods for a VTK class.\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkWidgetSet_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkWidgetSet\nC++: vtkWidgetSet *SafeDownCast (vtkObject* o);\n\n Standard methods for a VTK class.\n"},
  {(char*)"SetEnabled",                (PyCFunction)PyvtkWidgetSet_SetEnabled, 1,
   (char*)"V.SetEnabled(int)\nC++: virtual void SetEnabled (int );\n\n Method for activiating and deactiviating all widgets in the group.\n"},
  {(char*)"EnabledOn",                (PyCFunction)PyvtkWidgetSet_EnabledOn, 1,
   (char*)"V.EnabledOn()\nC++: void EnabledOn ();\n\n Method for activiating and deactiviating all widgets in the group.\n"},
  {(char*)"EnabledOff",                (PyCFunction)PyvtkWidgetSet_EnabledOff, 1,
   (char*)"V.EnabledOff()\nC++: void EnabledOff ();\n\n Method for activiating and deactiviating all widgets in the group.\n"},
  {(char*)"AddWidget",                (PyCFunction)PyvtkWidgetSet_AddWidget, 1,
   (char*)"V.AddWidget(vtkAbstractWidget)\nC++: void AddWidget (vtkAbstractWidget *);\n\n Add a widget to the set.\n"},
  {(char*)"RemoveWidget",                (PyCFunction)PyvtkWidgetSet_RemoveWidget, 1,
   (char*)"V.RemoveWidget(vtkAbstractWidget)\nC++: void RemoveWidget (vtkAbstractWidget *);\n\n Remove a widget from the set\n"},
  {(char*)"GetNumberOfWidgets",                (PyCFunction)PyvtkWidgetSet_GetNumberOfWidgets, 1,
   (char*)"V.GetNumberOfWidgets() -> int\nC++: unsigned int GetNumberOfWidgets ();\n\n Get number of widgets in the set.\n"},
  {(char*)"GetNthWidget",                (PyCFunction)PyvtkWidgetSet_GetNthWidget, 1,
   (char*)"V.GetNthWidget(int) -> vtkAbstractWidget\nC++: vtkAbstractWidget *GetNthWidget (unsigned int );\n\n Get the Nth widget in the set.\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkWidgetSetDoc[] = {
  (char*)"vtkWidgetSet - Synchronize a collection on vtkWidgets drawn on different renderwindows using the Callback - Dispatch Action mechanism.\n\n",
  "Super Class:\n\n vtkObject\n\n",
  (char*)" The class synchronizes a set of vtkAbstractWidget(s). Widgets typically\n invoke \"Actions\" that drive the geometry/behaviour of their representations\n in response to interactor events. Interactor interactions on a render window\n are mapped into \"Callbacks\" by the widget, from which \"Actions\" are \n dispatched to the entire set. This architecture allows us to tie widgets\n existing in different rende",
  (char*)"r windows together. For instance a HandleWidget\n might exist on the sagittal view. Moving it around should update the \n representations of the corresponding handle widget that lies on the axial \n and coronal and volume views as well. \n\n .SECTION User API\n A user would use this class as follows.\n \\code\n vtkWidgetSet *set = vtkWidgetSet::New();\n vtkParallelopipedWidget *w1 = vtkParallelopipedWidget:",
  (char*)":New();\n set->AddWidget(w1);\n w1->SetInteractor(axialRenderWindow->GetInteractor());\n vtkParallelopipedWidget *w2 = vtkParallelopipedWidget::New();\n set->AddWidget(w2);\n w2->SetInteractor(coronalRenderWindow->GetInteractor());\n vtkParallelopipedWidget *w3 = vtkParallelopipedWidget::New();\n set->AddWidget(w3);\n w3->SetInteractor(sagittalRenderWindow->GetInteractor());\n set->SetEnabled(1);\n \\endcode",
  (char*)"\n\n .SECTION Motivation\n The motivation for this class is really to provide a usable API to tie \n together multiple widgets of the same kind. To enable this, subclasses\n of vtkAbstractWidget, must be written as follows:\n   They will generally have callback methods mapped to some user \n interaction such as:\n \\code\n this->CallbackMapper->SetCallbackMethod(vtkCommand::LeftButtonPressEvent,\n           ",
  (char*)"              vtkEvent::NoModifier, 0, 0, NULL, \n                         vtkPaintbrushWidget::BeginDrawStrokeEvent,\n                         this, vtkPaintbrushWidget::BeginDrawCallback);\n \\endcode\n   The callback invoked when the left button is pressed looks like: \n \\code\n void vtkPaintbrushWidget::BeginDrawCallback(vtkAbstractWidget *w)\n {\n   vtkPaintbrushWidget *self = vtkPaintbrushWidget::Saf",
  (char*)"eDownCast(w);\n   self->WidgetSet->DispatchAction(self, &vtkPaintbrushWidget::BeginDrawAction);\n }\n \\endcode\n   The actual code for handling the drawing is written in the BeginDrawAction \n method.\n \\code\n void vtkPaintbrushWidget::BeginDrawAction( vtkPaintbrushWidget *dispatcher)\n {\n // Do stuff to draw... \n // Here dispatcher is the widget that was interacted with, the one that\n // dispatched an a",
  (char*)"ction to all the other widgets in its group. You may, if\n // necessary find it helpful to get parameters from it.\n //   For instance for a ResizeAction:\n //     if (this != dispatcher)\n //       {\n //       double *newsize = dispatcher->GetRepresentation()->GetSize();\n //       this->WidgetRep->SetSize(newsize);\n //       }\n //     else\n //       {\n //       this->WidgetRep->IncrementSizeByDelta()",
  (char*)";\n //       }\n }\n \\endcode\n \n\n",
  "Caveats:\n\n Actions are always dispatched first to the activeWidget, the one calling\n the set, and then to the other widgets in the set.\n \n\n",
  NULL
};

static vtkObjectBase *vtkWidgetSetStaticNew()
{
  return vtkWidgetSet::New();
}

PyObject *PyVTKClass_vtkWidgetSetNew(char *modulename)
{
  return PyVTKClass_New(&vtkWidgetSetStaticNew,
                        PyvtkWidgetSetMethods,
                        (char*)"vtkWidgetSet",modulename,
                        (char**)vtkWidgetSetDoc,
                        PyVTKClass_vtkObjectNew(modulename));
}

