// python wrapper for vtkMeshQuality object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkMeshQuality.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkMeshQualityNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkMeshQualityNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkDataSetAlgorithmNew(char *); }

static PyObject *PyvtkMeshQuality_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  const char    *temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  char    *temp0;
  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  vtkMeshQuality  *temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkMeshQuality  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkMeshQuality::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetSaveCellQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetSaveCellQuality(temp0);
      }
    else
      {
      op->SetSaveCellQuality(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetSaveCellQuality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetSaveCellQuality();
      }
    else
      {
      temp20 = op->GetSaveCellQuality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SaveCellQualityOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SaveCellQualityOn();
      }
    else
      {
      op->SaveCellQualityOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SaveCellQualityOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SaveCellQualityOff();
      }
    else
      {
      op->SaveCellQualityOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasure(temp0);
      }
    else
      {
      op->SetTriangleQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetTriangleQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetTriangleQualityMeasure();
      }
    else
      {
      temp20 = op->GetTriangleQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToArea();
      }
    else
      {
      op->SetTriangleQualityMeasureToArea();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetTriangleQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToAspectRatio();
      }
    else
      {
      op->SetTriangleQualityMeasureToAspectRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToRadiusRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToRadiusRatio();
      }
    else
      {
      op->SetTriangleQualityMeasureToRadiusRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToAspectFrobenius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToAspectFrobenius();
      }
    else
      {
      op->SetTriangleQualityMeasureToAspectFrobenius();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToMinAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToMinAngle();
      }
    else
      {
      op->SetTriangleQualityMeasureToMinAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToMaxAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToMaxAngle();
      }
    else
      {
      op->SetTriangleQualityMeasureToMaxAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToCondition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToCondition();
      }
    else
      {
      op->SetTriangleQualityMeasureToCondition();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToScaledJacobian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToScaledJacobian();
      }
    else
      {
      op->SetTriangleQualityMeasureToScaledJacobian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToRelativeSizeSquared(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToRelativeSizeSquared();
      }
    else
      {
      op->SetTriangleQualityMeasureToRelativeSizeSquared();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToShape();
      }
    else
      {
      op->SetTriangleQualityMeasureToShape();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToShapeAndSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToShapeAndSize();
      }
    else
      {
      op->SetTriangleQualityMeasureToShapeAndSize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTriangleQualityMeasureToDistortion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTriangleQualityMeasureToDistortion();
      }
    else
      {
      op->SetTriangleQualityMeasureToDistortion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasure(temp0);
      }
    else
      {
      op->SetQuadQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetQuadQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetQuadQualityMeasure();
      }
    else
      {
      temp20 = op->GetQuadQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetQuadQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToAspectRatio();
      }
    else
      {
      op->SetQuadQualityMeasureToAspectRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToRadiusRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToRadiusRatio();
      }
    else
      {
      op->SetQuadQualityMeasureToRadiusRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMedAspectFrobenius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMedAspectFrobenius();
      }
    else
      {
      op->SetQuadQualityMeasureToMedAspectFrobenius();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMaxAspectFrobenius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMaxAspectFrobenius();
      }
    else
      {
      op->SetQuadQualityMeasureToMaxAspectFrobenius();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMaxEdgeRatios(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMaxEdgeRatios();
      }
    else
      {
      op->SetQuadQualityMeasureToMaxEdgeRatios();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToSkew(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToSkew();
      }
    else
      {
      op->SetQuadQualityMeasureToSkew();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToTaper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToTaper();
      }
    else
      {
      op->SetQuadQualityMeasureToTaper();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToWarpage(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToWarpage();
      }
    else
      {
      op->SetQuadQualityMeasureToWarpage();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToArea(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToArea();
      }
    else
      {
      op->SetQuadQualityMeasureToArea();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToStretch(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToStretch();
      }
    else
      {
      op->SetQuadQualityMeasureToStretch();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMinAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMinAngle();
      }
    else
      {
      op->SetQuadQualityMeasureToMinAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToMaxAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToMaxAngle();
      }
    else
      {
      op->SetQuadQualityMeasureToMaxAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToOddy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToOddy();
      }
    else
      {
      op->SetQuadQualityMeasureToOddy();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToCondition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToCondition();
      }
    else
      {
      op->SetQuadQualityMeasureToCondition();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToJacobian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToJacobian();
      }
    else
      {
      op->SetQuadQualityMeasureToJacobian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToScaledJacobian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToScaledJacobian();
      }
    else
      {
      op->SetQuadQualityMeasureToScaledJacobian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToShear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToShear();
      }
    else
      {
      op->SetQuadQualityMeasureToShear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToShape();
      }
    else
      {
      op->SetQuadQualityMeasureToShape();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToRelativeSizeSquared(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToRelativeSizeSquared();
      }
    else
      {
      op->SetQuadQualityMeasureToRelativeSizeSquared();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToShapeAndSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToShapeAndSize();
      }
    else
      {
      op->SetQuadQualityMeasureToShapeAndSize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToShearAndSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToShearAndSize();
      }
    else
      {
      op->SetQuadQualityMeasureToShearAndSize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetQuadQualityMeasureToDistortion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetQuadQualityMeasureToDistortion();
      }
    else
      {
      op->SetQuadQualityMeasureToDistortion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasure(temp0);
      }
    else
      {
      op->SetTetQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetTetQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetTetQualityMeasure();
      }
    else
      {
      temp20 = op->GetTetQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetTetQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToAspectRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToAspectRatio();
      }
    else
      {
      op->SetTetQualityMeasureToAspectRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToRadiusRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToRadiusRatio();
      }
    else
      {
      op->SetTetQualityMeasureToRadiusRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToAspectFrobenius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToAspectFrobenius();
      }
    else
      {
      op->SetTetQualityMeasureToAspectFrobenius();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToMinAngle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToMinAngle();
      }
    else
      {
      op->SetTetQualityMeasureToMinAngle();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToCollapseRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToCollapseRatio();
      }
    else
      {
      op->SetTetQualityMeasureToCollapseRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToAspectBeta(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToAspectBeta();
      }
    else
      {
      op->SetTetQualityMeasureToAspectBeta();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToAspectGamma(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToAspectGamma();
      }
    else
      {
      op->SetTetQualityMeasureToAspectGamma();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToVolume();
      }
    else
      {
      op->SetTetQualityMeasureToVolume();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToCondition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToCondition();
      }
    else
      {
      op->SetTetQualityMeasureToCondition();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToJacobian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToJacobian();
      }
    else
      {
      op->SetTetQualityMeasureToJacobian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToScaledJacobian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToScaledJacobian();
      }
    else
      {
      op->SetTetQualityMeasureToScaledJacobian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToShape();
      }
    else
      {
      op->SetTetQualityMeasureToShape();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToRelativeSizeSquared(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToRelativeSizeSquared();
      }
    else
      {
      op->SetTetQualityMeasureToRelativeSizeSquared();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToShapeAndSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToShapeAndSize();
      }
    else
      {
      op->SetTetQualityMeasureToShapeAndSize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetTetQualityMeasureToDistortion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetTetQualityMeasureToDistortion();
      }
    else
      {
      op->SetTetQualityMeasureToDistortion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasure(temp0);
      }
    else
      {
      op->SetHexQualityMeasure(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetHexQualityMeasure(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetHexQualityMeasure();
      }
    else
      {
      temp20 = op->GetHexQualityMeasure();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToEdgeRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToEdgeRatio();
      }
    else
      {
      op->SetHexQualityMeasureToEdgeRatio();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToMedAspectFrobenius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToMedAspectFrobenius();
      }
    else
      {
      op->SetHexQualityMeasureToMedAspectFrobenius();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToMaxAspectFrobenius(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToMaxAspectFrobenius();
      }
    else
      {
      op->SetHexQualityMeasureToMaxAspectFrobenius();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToMaxEdgeRatios(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToMaxEdgeRatios();
      }
    else
      {
      op->SetHexQualityMeasureToMaxEdgeRatios();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToSkew(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToSkew();
      }
    else
      {
      op->SetHexQualityMeasureToSkew();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToTaper(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToTaper();
      }
    else
      {
      op->SetHexQualityMeasureToTaper();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToVolume();
      }
    else
      {
      op->SetHexQualityMeasureToVolume();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToStretch(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToStretch();
      }
    else
      {
      op->SetHexQualityMeasureToStretch();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToDiagonal(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToDiagonal();
      }
    else
      {
      op->SetHexQualityMeasureToDiagonal();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToDimension(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToDimension();
      }
    else
      {
      op->SetHexQualityMeasureToDimension();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToOddy(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToOddy();
      }
    else
      {
      op->SetHexQualityMeasureToOddy();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToCondition(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToCondition();
      }
    else
      {
      op->SetHexQualityMeasureToCondition();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToJacobian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToJacobian();
      }
    else
      {
      op->SetHexQualityMeasureToJacobian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToScaledJacobian(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToScaledJacobian();
      }
    else
      {
      op->SetHexQualityMeasureToScaledJacobian();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToShear(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToShear();
      }
    else
      {
      op->SetHexQualityMeasureToShear();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToShape(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToShape();
      }
    else
      {
      op->SetHexQualityMeasureToShape();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToRelativeSizeSquared(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToRelativeSizeSquared();
      }
    else
      {
      op->SetHexQualityMeasureToRelativeSizeSquared();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToShapeAndSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToShapeAndSize();
      }
    else
      {
      op->SetHexQualityMeasureToShapeAndSize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToShearAndSize(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToShearAndSize();
      }
    else
      {
      op->SetHexQualityMeasureToShearAndSize();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetHexQualityMeasureToDistortion(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetHexQualityMeasureToDistortion();
      }
    else
      {
      op->SetHexQualityMeasureToDistortion();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleArea(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break88;
      {
      temp20 = vtkMeshQuality::TriangleArea(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break88:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break89;
      {
      temp20 = vtkMeshQuality::TriangleEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break89:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleAspectRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break90;
      {
      temp20 = vtkMeshQuality::TriangleAspectRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break90:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleRadiusRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break91;
      {
      temp20 = vtkMeshQuality::TriangleRadiusRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break91:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleAspectFrobenius(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break92;
      {
      temp20 = vtkMeshQuality::TriangleAspectFrobenius(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break92:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleMinAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break93;
      {
      temp20 = vtkMeshQuality::TriangleMinAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break93:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleMaxAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break94;
      {
      temp20 = vtkMeshQuality::TriangleMaxAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break94:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleCondition(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break95;
      {
      temp20 = vtkMeshQuality::TriangleCondition(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break95:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleScaledJacobian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break96;
      {
      temp20 = vtkMeshQuality::TriangleScaledJacobian(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break96:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleRelativeSizeSquared(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break97;
      {
      temp20 = vtkMeshQuality::TriangleRelativeSizeSquared(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break97:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleShape(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break98;
      {
      temp20 = vtkMeshQuality::TriangleShape(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break98:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleShapeAndSize(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break99;
      {
      temp20 = vtkMeshQuality::TriangleShapeAndSize(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break99:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TriangleDistortion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break100;
      {
      temp20 = vtkMeshQuality::TriangleDistortion(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break100:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break101;
      {
      temp20 = vtkMeshQuality::QuadEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break101:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadAspectRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break102;
      {
      temp20 = vtkMeshQuality::QuadAspectRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break102:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadRadiusRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break103;
      {
      temp20 = vtkMeshQuality::QuadRadiusRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break103:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMedAspectFrobenius(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break104;
      {
      temp20 = vtkMeshQuality::QuadMedAspectFrobenius(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break104:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMaxAspectFrobenius(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break105;
      {
      temp20 = vtkMeshQuality::QuadMaxAspectFrobenius(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break105:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMinAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break106;
      {
      temp20 = vtkMeshQuality::QuadMinAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break106:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMaxEdgeRatios(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break107;
      {
      temp20 = vtkMeshQuality::QuadMaxEdgeRatios(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break107:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadSkew(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break108;
      {
      temp20 = vtkMeshQuality::QuadSkew(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break108:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadTaper(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break109;
      {
      temp20 = vtkMeshQuality::QuadTaper(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break109:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadWarpage(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break110;
      {
      temp20 = vtkMeshQuality::QuadWarpage(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break110:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadArea(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break111;
      {
      temp20 = vtkMeshQuality::QuadArea(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break111:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadStretch(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break112;
      {
      temp20 = vtkMeshQuality::QuadStretch(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break112:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadMaxAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break113;
      {
      temp20 = vtkMeshQuality::QuadMaxAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break113:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadOddy(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break114;
      {
      temp20 = vtkMeshQuality::QuadOddy(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break114:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadCondition(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break115;
      {
      temp20 = vtkMeshQuality::QuadCondition(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break115:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadJacobian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break116;
      {
      temp20 = vtkMeshQuality::QuadJacobian(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break116:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadScaledJacobian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break117;
      {
      temp20 = vtkMeshQuality::QuadScaledJacobian(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break117:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadShear(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break118;
      {
      temp20 = vtkMeshQuality::QuadShear(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break118:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadShape(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break119;
      {
      temp20 = vtkMeshQuality::QuadShape(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break119:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadRelativeSizeSquared(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break120;
      {
      temp20 = vtkMeshQuality::QuadRelativeSizeSquared(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break120:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadShapeAndSize(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break121;
      {
      temp20 = vtkMeshQuality::QuadShapeAndSize(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break121:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadShearAndSize(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break122;
      {
      temp20 = vtkMeshQuality::QuadShearAndSize(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break122:
  return NULL;
}


static PyObject *PyvtkMeshQuality_QuadDistortion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break123;
      {
      temp20 = vtkMeshQuality::QuadDistortion(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break123:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break124;
      {
      temp20 = vtkMeshQuality::TetEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break124:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetAspectRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break125;
      {
      temp20 = vtkMeshQuality::TetAspectRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break125:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetRadiusRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break126;
      {
      temp20 = vtkMeshQuality::TetRadiusRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break126:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetAspectFrobenius(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break127;
      {
      temp20 = vtkMeshQuality::TetAspectFrobenius(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break127:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetMinAngle(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break128;
      {
      temp20 = vtkMeshQuality::TetMinAngle(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break128:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetCollapseRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break129;
      {
      temp20 = vtkMeshQuality::TetCollapseRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break129:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetAspectBeta(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break130;
      {
      temp20 = vtkMeshQuality::TetAspectBeta(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break130:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetAspectGamma(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break131;
      {
      temp20 = vtkMeshQuality::TetAspectGamma(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break131:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetVolume(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break132;
      {
      temp20 = vtkMeshQuality::TetVolume(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break132:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetCondition(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break133;
      {
      temp20 = vtkMeshQuality::TetCondition(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break133:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetJacobian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break134;
      {
      temp20 = vtkMeshQuality::TetJacobian(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break134:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetScaledJacobian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break135;
      {
      temp20 = vtkMeshQuality::TetScaledJacobian(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break135:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetShape(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break136;
      {
      temp20 = vtkMeshQuality::TetShape(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break136:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetRelativeSizeSquared(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break137;
      {
      temp20 = vtkMeshQuality::TetRelativeSizeSquared(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break137:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetShapeandSize(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break138;
      {
      temp20 = vtkMeshQuality::TetShapeandSize(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break138:
  return NULL;
}


static PyObject *PyvtkMeshQuality_TetDistortion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break139;
      {
      temp20 = vtkMeshQuality::TetDistortion(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break139:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break140;
      {
      temp20 = vtkMeshQuality::HexEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break140:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexMedAspectFrobenius(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break141;
      {
      temp20 = vtkMeshQuality::HexMedAspectFrobenius(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break141:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexMaxAspectFrobenius(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break142;
      {
      temp20 = vtkMeshQuality::HexMaxAspectFrobenius(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break142:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexMaxEdgeRatio(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break143;
      {
      temp20 = vtkMeshQuality::HexMaxEdgeRatio(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break143:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexSkew(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break144;
      {
      temp20 = vtkMeshQuality::HexSkew(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break144:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexTaper(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break145;
      {
      temp20 = vtkMeshQuality::HexTaper(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break145:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexVolume(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break146;
      {
      temp20 = vtkMeshQuality::HexVolume(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break146:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexStretch(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break147;
      {
      temp20 = vtkMeshQuality::HexStretch(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break147:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexDiagonal(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break148;
      {
      temp20 = vtkMeshQuality::HexDiagonal(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break148:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexDimension(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break149;
      {
      temp20 = vtkMeshQuality::HexDimension(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break149:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexOddy(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break150;
      {
      temp20 = vtkMeshQuality::HexOddy(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break150:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexCondition(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break151;
      {
      temp20 = vtkMeshQuality::HexCondition(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break151:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexJacobian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break152;
      {
      temp20 = vtkMeshQuality::HexJacobian(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break152:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexScaledJacobian(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break153;
      {
      temp20 = vtkMeshQuality::HexScaledJacobian(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break153:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexShear(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break154;
      {
      temp20 = vtkMeshQuality::HexShear(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break154:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexShape(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break155;
      {
      temp20 = vtkMeshQuality::HexShape(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break155:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexRelativeSizeSquared(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break156;
      {
      temp20 = vtkMeshQuality::HexRelativeSizeSquared(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break156:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexShapeAndSize(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break157;
      {
      temp20 = vtkMeshQuality::HexShapeAndSize(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break157:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexShearAndSize(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break158;
      {
      temp20 = vtkMeshQuality::HexShearAndSize(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break158:
  return NULL;
}


static PyObject *PyvtkMeshQuality_HexDistortion(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkCell  *temp0;
  PyObject *tempH0;
  double   temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkCell *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkCell");
    if (!temp0 && tempH0 != Py_None) goto break159;
      {
      temp20 = vtkMeshQuality::HexDistortion(temp0);
      }
    return PyFloat_FromDouble(temp20);
    }
  }
 break159:
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetRatio(temp0);
      }
    else
      {
      op->SetRatio(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetRatio(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetRatio();
      }
    else
      {
      temp20 = op->GetRatio();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_RatioOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::RatioOn();
      }
    else
      {
      op->RatioOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_RatioOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::RatioOff();
      }
    else
      {
      op->RatioOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetVolume(temp0);
      }
    else
      {
      op->SetVolume(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetVolume(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetVolume();
      }
    else
      {
      temp20 = op->GetVolume();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_VolumeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::VolumeOn();
      }
    else
      {
      op->VolumeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_VolumeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::VolumeOff();
      }
    else
      {
      op->VolumeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_SetCompatibilityMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp0;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::SetCompatibilityMode(temp0);
      }
    else
      {
      op->SetCompatibilityMode(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_GetCompatibilityMode(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  int      temp20;
  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkMeshQuality::GetCompatibilityMode();
      }
    else
      {
      temp20 = op->GetCompatibilityMode();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_CompatibilityModeOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::CompatibilityModeOn();
      }
    else
      {
      op->CompatibilityModeOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkMeshQuality_CompatibilityModeOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkMeshQuality *op;

  op = (vtkMeshQuality *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkMeshQuality::CompatibilityModeOff();
      }
    else
      {
      op->CompatibilityModeOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkMeshQualityMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkMeshQuality_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkMeshQuality_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkMeshQuality_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkMeshQuality\nC++: vtkMeshQuality *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkMeshQuality_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkMeshQuality\nC++: vtkMeshQuality *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"SetSaveCellQuality",                (PyCFunction)PyvtkMeshQuality_SetSaveCellQuality, 1,
   (char*)"V.SetSaveCellQuality(int)\nC++: void SetSaveCellQuality (int );\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"GetSaveCellQuality",                (PyCFunction)PyvtkMeshQuality_GetSaveCellQuality, 1,
   (char*)"V.GetSaveCellQuality() -> int\nC++: int GetSaveCellQuality ();\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"SaveCellQualityOn",                (PyCFunction)PyvtkMeshQuality_SaveCellQualityOn, 1,
   (char*)"V.SaveCellQualityOn()\nC++: void SaveCellQualityOn ();\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"SaveCellQualityOff",                (PyCFunction)PyvtkMeshQuality_SaveCellQualityOff, 1,
   (char*)"V.SaveCellQualityOff()\nC++: void SaveCellQualityOff ();\n\n This variable controls whether or not cell quality is stored as\n cell data in the resulting mesh or discarded (leaving only the\n aggregate quality average of the entire mesh, recorded in the\n FieldData).\n"},
  {(char*)"SetTriangleQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasure, 1,
   (char*)"V.SetTriangleQualityMeasure(int)\nC++: void SetTriangleQualityMeasure (int );\n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"GetTriangleQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetTriangleQualityMeasure, 1,
   (char*)"V.GetTriangleQualityMeasure() -> int\nC++: int GetTriangleQualityMeasure ();\n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToArea",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToArea, 1,
   (char*)"V.SetTriangleQualityMeasureToArea()\nC++: void SetTriangleQualityMeasureToArea ();this SetTriangleQualityMeasure VTK_QUALITY_AREA \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetTriangleQualityMeasureToEdgeRatio()\nC++: void SetTriangleQualityMeasureToEdgeRatio ();this SetTriangleQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToAspectRatio",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToAspectRatio, 1,
   (char*)"V.SetTriangleQualityMeasureToAspectRatio()\nC++: void SetTriangleQualityMeasureToAspectRatio ();this SetTriangleQualityMeasure VTK_QUALITY_ASPECT_RATIO \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToRadiusRatio",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToRadiusRatio, 1,
   (char*)"V.SetTriangleQualityMeasureToRadiusRatio()\nC++: void SetTriangleQualityMeasureToRadiusRatio ();this SetTriangleQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToAspectFrobenius, 1,
   (char*)"V.SetTriangleQualityMeasureToAspectFrobenius()\nC++: void SetTriangleQualityMeasureToAspectFrobenius ();this SetTriangleQualityMeasure VTK_QUALITY_ASPECT_FROBENIUS \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToMinAngle",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToMinAngle, 1,
   (char*)"V.SetTriangleQualityMeasureToMinAngle()\nC++: void SetTriangleQualityMeasureToMinAngle ();this SetTriangleQualityMeasure VTK_QUALITY_MIN_ANGLE \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToMaxAngle",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToMaxAngle, 1,
   (char*)"V.SetTriangleQualityMeasureToMaxAngle()\nC++: void SetTriangleQualityMeasureToMaxAngle ();this SetTriangleQualityMeasure VTK_QUALITY_MAX_ANGLE \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToCondition",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToCondition, 1,
   (char*)"V.SetTriangleQualityMeasureToCondition()\nC++: void SetTriangleQualityMeasureToCondition ();this SetTriangleQualityMeasure VTK_QUALITY_CONDITION \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToScaledJacobian",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToScaledJacobian, 1,
   (char*)"V.SetTriangleQualityMeasureToScaledJacobian()\nC++: void SetTriangleQualityMeasureToScaledJacobian ();this SetTriangleQualityMeasure VTK_QUALITY_SCALED_JACOBIAN \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToRelativeSizeSquared, 1,
   (char*)"V.SetTriangleQualityMeasureToRelativeSizeSquared()\nC++: void SetTriangleQualityMeasureToRelativeSizeSquared ();this SetTriangleQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToShape",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToShape, 1,
   (char*)"V.SetTriangleQualityMeasureToShape()\nC++: void SetTriangleQualityMeasureToShape ();this SetTriangleQualityMeasure VTK_QUALITY_SHAPE \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToShapeAndSize",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToShapeAndSize, 1,
   (char*)"V.SetTriangleQualityMeasureToShapeAndSize()\nC++: void SetTriangleQualityMeasureToShapeAndSize ();this SetTriangleQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE \n\n Set/Get the particular estimator used to function the quality of triangles.\n The default is VTK_QUALITY_RADIUS_RATIO and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, and VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE, VTK_QUALITY_CONDITION,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE, VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTriangleQualityMeasureToDistortion",                (PyCFunction)PyvtkMeshQuality_SetTriangleQualityMeasureToDistortion, 1,
   (char*)"V.SetTriangleQualityMeasureToDistortion()\nC++: void SetTriangleQualityMeasureToDistortion ();this SetTriangleQualityMeasure VTK_QUALITY_DISTORTION \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasure, 1,
   (char*)"V.SetQuadQualityMeasure(int)\nC++: void SetQuadQualityMeasure (int );\n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"GetQuadQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetQuadQualityMeasure, 1,
   (char*)"V.GetQuadQualityMeasure() -> int\nC++: int GetQuadQualityMeasure ();\n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetQuadQualityMeasureToEdgeRatio()\nC++: void SetQuadQualityMeasureToEdgeRatio ();this SetQuadQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToAspectRatio",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToAspectRatio, 1,
   (char*)"V.SetQuadQualityMeasureToAspectRatio()\nC++: void SetQuadQualityMeasureToAspectRatio ();this SetQuadQualityMeasure VTK_QUALITY_ASPECT_RATIO \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToRadiusRatio",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToRadiusRatio, 1,
   (char*)"V.SetQuadQualityMeasureToRadiusRatio()\nC++: void SetQuadQualityMeasureToRadiusRatio ();this SetQuadQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMedAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMedAspectFrobenius, 1,
   (char*)"V.SetQuadQualityMeasureToMedAspectFrobenius()\nC++: void SetQuadQualityMeasureToMedAspectFrobenius ();this SetQuadQualityMeasure VTK_QUALITY_MED_ASPECT_FROBENIUS \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMaxAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMaxAspectFrobenius, 1,
   (char*)"V.SetQuadQualityMeasureToMaxAspectFrobenius()\nC++: void SetQuadQualityMeasureToMaxAspectFrobenius ();this SetQuadQualityMeasure VTK_QUALITY_MAX_ASPECT_FROBENIUS \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMaxEdgeRatios",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMaxEdgeRatios, 1,
   (char*)"V.SetQuadQualityMeasureToMaxEdgeRatios()\nC++: void SetQuadQualityMeasureToMaxEdgeRatios ();this SetQuadQualityMeasure VTK_QUALITY_MAX_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToSkew",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToSkew, 1,
   (char*)"V.SetQuadQualityMeasureToSkew()\nC++: void SetQuadQualityMeasureToSkew ();this SetQuadQualityMeasure VTK_QUALITY_SKEW \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToTaper",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToTaper, 1,
   (char*)"V.SetQuadQualityMeasureToTaper()\nC++: void SetQuadQualityMeasureToTaper ();this SetQuadQualityMeasure VTK_QUALITY_TAPER \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToWarpage",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToWarpage, 1,
   (char*)"V.SetQuadQualityMeasureToWarpage()\nC++: void SetQuadQualityMeasureToWarpage ();this SetQuadQualityMeasure VTK_QUALITY_WARPAGE \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToArea",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToArea, 1,
   (char*)"V.SetQuadQualityMeasureToArea()\nC++: void SetQuadQualityMeasureToArea ();this SetQuadQualityMeasure VTK_QUALITY_AREA \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToStretch",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToStretch, 1,
   (char*)"V.SetQuadQualityMeasureToStretch()\nC++: void SetQuadQualityMeasureToStretch ();this SetQuadQualityMeasure VTK_QUALITY_STRETCH \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMinAngle",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMinAngle, 1,
   (char*)"V.SetQuadQualityMeasureToMinAngle()\nC++: void SetQuadQualityMeasureToMinAngle ();this SetQuadQualityMeasure VTK_QUALITY_MIN_ANGLE \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToMaxAngle",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToMaxAngle, 1,
   (char*)"V.SetQuadQualityMeasureToMaxAngle()\nC++: void SetQuadQualityMeasureToMaxAngle ();this SetQuadQualityMeasure VTK_QUALITY_MAX_ANGLE \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToOddy",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToOddy, 1,
   (char*)"V.SetQuadQualityMeasureToOddy()\nC++: void SetQuadQualityMeasureToOddy ();this SetQuadQualityMeasure VTK_QUALITY_ODDY \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToCondition",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToCondition, 1,
   (char*)"V.SetQuadQualityMeasureToCondition()\nC++: void SetQuadQualityMeasureToCondition ();this SetQuadQualityMeasure VTK_QUALITY_CONDITION \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToJacobian",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToJacobian, 1,
   (char*)"V.SetQuadQualityMeasureToJacobian()\nC++: void SetQuadQualityMeasureToJacobian ();this SetQuadQualityMeasure VTK_QUALITY_JACOBIAN \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToScaledJacobian",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToScaledJacobian, 1,
   (char*)"V.SetQuadQualityMeasureToScaledJacobian()\nC++: void SetQuadQualityMeasureToScaledJacobian ();this SetQuadQualityMeasure VTK_QUALITY_SCALED_JACOBIAN \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToShear",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToShear, 1,
   (char*)"V.SetQuadQualityMeasureToShear()\nC++: void SetQuadQualityMeasureToShear ();this SetQuadQualityMeasure VTK_QUALITY_SHEAR \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToShape",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToShape, 1,
   (char*)"V.SetQuadQualityMeasureToShape()\nC++: void SetQuadQualityMeasureToShape ();this SetQuadQualityMeasure VTK_QUALITY_SHAPE \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToRelativeSizeSquared, 1,
   (char*)"V.SetQuadQualityMeasureToRelativeSizeSquared()\nC++: void SetQuadQualityMeasureToRelativeSizeSquared ();this SetQuadQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToShapeAndSize",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToShapeAndSize, 1,
   (char*)"V.SetQuadQualityMeasureToShapeAndSize()\nC++: void SetQuadQualityMeasureToShapeAndSize ();this SetQuadQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToShearAndSize",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToShearAndSize, 1,
   (char*)"V.SetQuadQualityMeasureToShearAndSize()\nC++: void SetQuadQualityMeasureToShearAndSize ();this SetQuadQualityMeasure VTK_QUALITY_SHEAR_AND_SIZE \n\n Set/Get the particular estimator used to measure the quality of quadrilaterals.\n The default is VTK_QUALITY_EDGE_RATIO and valid values also include\n VTK_QUALITY_RADIUS_RATIO, VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_MAX_EDGE_RATIO\n VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_WARPAGE, VTK_QUALITY_AREA,\n VTK_QUALITY_STRETCH, VTK_QUALITY_MIN_ANGLE, VTK_QUALITY_MAX_ANGLE,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n\n Scope: Except for VTK_QUALITY_EDGE_RATIO, these estimators are intended for planar\n quadrilaterals only; use at your own risk if you really want to assess non-planar\n quadrilateral quality with those.\n"},
  {(char*)"SetQuadQualityMeasureToDistortion",                (PyCFunction)PyvtkMeshQuality_SetQuadQualityMeasureToDistortion, 1,
   (char*)"V.SetQuadQualityMeasureToDistortion()\nC++: void SetQuadQualityMeasureToDistortion ();this SetQuadQualityMeasure VTK_QUALITY_DISTORTION \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasure, 1,
   (char*)"V.SetTetQualityMeasure(int)\nC++: void SetTetQualityMeasure (int );\n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"GetTetQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetTetQualityMeasure, 1,
   (char*)"V.GetTetQualityMeasure() -> int\nC++: int GetTetQualityMeasure ();\n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetTetQualityMeasureToEdgeRatio()\nC++: void SetTetQualityMeasureToEdgeRatio ();this SetTetQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToAspectRatio",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToAspectRatio, 1,
   (char*)"V.SetTetQualityMeasureToAspectRatio()\nC++: void SetTetQualityMeasureToAspectRatio ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_RATIO \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToRadiusRatio",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToRadiusRatio, 1,
   (char*)"V.SetTetQualityMeasureToRadiusRatio()\nC++: void SetTetQualityMeasureToRadiusRatio ();this SetTetQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToAspectFrobenius, 1,
   (char*)"V.SetTetQualityMeasureToAspectFrobenius()\nC++: void SetTetQualityMeasureToAspectFrobenius ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_FROBENIUS \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToMinAngle",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToMinAngle, 1,
   (char*)"V.SetTetQualityMeasureToMinAngle()\nC++: void SetTetQualityMeasureToMinAngle ();this SetTetQualityMeasure VTK_QUALITY_MIN_ANGLE \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToCollapseRatio",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToCollapseRatio, 1,
   (char*)"V.SetTetQualityMeasureToCollapseRatio()\nC++: void SetTetQualityMeasureToCollapseRatio ();this SetTetQualityMeasure VTK_QUALITY_COLLAPSE_RATIO \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToAspectBeta",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToAspectBeta, 1,
   (char*)"V.SetTetQualityMeasureToAspectBeta()\nC++: void SetTetQualityMeasureToAspectBeta ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_BETA \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToAspectGamma",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToAspectGamma, 1,
   (char*)"V.SetTetQualityMeasureToAspectGamma()\nC++: void SetTetQualityMeasureToAspectGamma ();this SetTetQualityMeasure VTK_QUALITY_ASPECT_GAMMA \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToVolume",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToVolume, 1,
   (char*)"V.SetTetQualityMeasureToVolume()\nC++: void SetTetQualityMeasureToVolume ();this SetTetQualityMeasure VTK_QUALITY_VOLUME \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToCondition",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToCondition, 1,
   (char*)"V.SetTetQualityMeasureToCondition()\nC++: void SetTetQualityMeasureToCondition ();this SetTetQualityMeasure VTK_QUALITY_CONDITION \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToJacobian",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToJacobian, 1,
   (char*)"V.SetTetQualityMeasureToJacobian()\nC++: void SetTetQualityMeasureToJacobian ();this SetTetQualityMeasure VTK_QUALITY_JACOBIAN \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToScaledJacobian",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToScaledJacobian, 1,
   (char*)"V.SetTetQualityMeasureToScaledJacobian()\nC++: void SetTetQualityMeasureToScaledJacobian ();this SetTetQualityMeasure VTK_QUALITY_SCALED_JACOBIAN \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToShape",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToShape, 1,
   (char*)"V.SetTetQualityMeasureToShape()\nC++: void SetTetQualityMeasureToShape ();this SetTetQualityMeasure VTK_QUALITY_SHAPE \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToRelativeSizeSquared, 1,
   (char*)"V.SetTetQualityMeasureToRelativeSizeSquared()\nC++: void SetTetQualityMeasureToRelativeSizeSquared ();this SetTetQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToShapeAndSize",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToShapeAndSize, 1,
   (char*)"V.SetTetQualityMeasureToShapeAndSize()\nC++: void SetTetQualityMeasureToShapeAndSize ();this SetTetQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE \n\n Set/Get the particular estimator used to measure the quality of tetrahedra.\n The default is VTK_QUALITY_RADIUS_RATIO (identical to Verdict's aspect\n ratio beta) and valid values also include\n VTK_QUALITY_ASPECT_RATIO, VTK_QUALITY_ASPECT_FROBENIUS, VTK_QUALITY_EDGE_RATIO,\n VTK_QUALITY_COLLAPSE_RATIO, VTK_QUALITY_ASPECT_BETA, VTK_QUALITY_ASPECT_GAMMA, \n VTK_QUALITY_VOLUME, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN, \n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHAPE, VTK_QUALITY_RELATIVE_SIZE_SQUARED,\n VTK_QUALITY_SHAPE_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetTetQualityMeasureToDistortion",                (PyCFunction)PyvtkMeshQuality_SetTetQualityMeasureToDistortion, 1,
   (char*)"V.SetTetQualityMeasureToDistortion()\nC++: void SetTetQualityMeasureToDistortion ();this SetTetQualityMeasure VTK_QUALITY_DISTORTION \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasure",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasure, 1,
   (char*)"V.SetHexQualityMeasure(int)\nC++: void SetHexQualityMeasure (int );\n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"GetHexQualityMeasure",                (PyCFunction)PyvtkMeshQuality_GetHexQualityMeasure, 1,
   (char*)"V.GetHexQualityMeasure() -> int\nC++: int GetHexQualityMeasure ();\n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToEdgeRatio",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToEdgeRatio, 1,
   (char*)"V.SetHexQualityMeasureToEdgeRatio()\nC++: void SetHexQualityMeasureToEdgeRatio ();this SetHexQualityMeasure VTK_QUALITY_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToMedAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToMedAspectFrobenius, 1,
   (char*)"V.SetHexQualityMeasureToMedAspectFrobenius()\nC++: void SetHexQualityMeasureToMedAspectFrobenius ();this SetHexQualityMeasure VTK_QUALITY_MED_ASPECT_FROBENIUS \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToMaxAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToMaxAspectFrobenius, 1,
   (char*)"V.SetHexQualityMeasureToMaxAspectFrobenius()\nC++: void SetHexQualityMeasureToMaxAspectFrobenius ();this SetHexQualityMeasure VTK_QUALITY_MAX_ASPECT_FROBENIUS \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToMaxEdgeRatios",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToMaxEdgeRatios, 1,
   (char*)"V.SetHexQualityMeasureToMaxEdgeRatios()\nC++: void SetHexQualityMeasureToMaxEdgeRatios ();this SetHexQualityMeasure VTK_QUALITY_MAX_EDGE_RATIO \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToSkew",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToSkew, 1,
   (char*)"V.SetHexQualityMeasureToSkew()\nC++: void SetHexQualityMeasureToSkew ();this SetHexQualityMeasure VTK_QUALITY_SKEW \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToTaper",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToTaper, 1,
   (char*)"V.SetHexQualityMeasureToTaper()\nC++: void SetHexQualityMeasureToTaper ();this SetHexQualityMeasure VTK_QUALITY_TAPER \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToVolume",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToVolume, 1,
   (char*)"V.SetHexQualityMeasureToVolume()\nC++: void SetHexQualityMeasureToVolume ();this SetHexQualityMeasure VTK_QUALITY_VOLUME \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToStretch",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToStretch, 1,
   (char*)"V.SetHexQualityMeasureToStretch()\nC++: void SetHexQualityMeasureToStretch ();this SetHexQualityMeasure VTK_QUALITY_STRETCH \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToDiagonal",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToDiagonal, 1,
   (char*)"V.SetHexQualityMeasureToDiagonal()\nC++: void SetHexQualityMeasureToDiagonal ();this SetHexQualityMeasure VTK_QUALITY_DIAGONAL \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToDimension",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToDimension, 1,
   (char*)"V.SetHexQualityMeasureToDimension()\nC++: void SetHexQualityMeasureToDimension ();this SetHexQualityMeasure VTK_QUALITY_DIMENSION \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToOddy",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToOddy, 1,
   (char*)"V.SetHexQualityMeasureToOddy()\nC++: void SetHexQualityMeasureToOddy ();this SetHexQualityMeasure VTK_QUALITY_ODDY \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToCondition",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToCondition, 1,
   (char*)"V.SetHexQualityMeasureToCondition()\nC++: void SetHexQualityMeasureToCondition ();this SetHexQualityMeasure VTK_QUALITY_CONDITION \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToJacobian",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToJacobian, 1,
   (char*)"V.SetHexQualityMeasureToJacobian()\nC++: void SetHexQualityMeasureToJacobian ();this SetHexQualityMeasure VTK_QUALITY_JACOBIAN \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToScaledJacobian",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToScaledJacobian, 1,
   (char*)"V.SetHexQualityMeasureToScaledJacobian()\nC++: void SetHexQualityMeasureToScaledJacobian ();this SetHexQualityMeasure VTK_QUALITY_SCALED_JACOBIAN \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToShear",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToShear, 1,
   (char*)"V.SetHexQualityMeasureToShear()\nC++: void SetHexQualityMeasureToShear ();this SetHexQualityMeasure VTK_QUALITY_SHEAR \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToShape",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToShape, 1,
   (char*)"V.SetHexQualityMeasureToShape()\nC++: void SetHexQualityMeasureToShape ();this SetHexQualityMeasure VTK_QUALITY_SHAPE \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToRelativeSizeSquared, 1,
   (char*)"V.SetHexQualityMeasureToRelativeSizeSquared()\nC++: void SetHexQualityMeasureToRelativeSizeSquared ();this SetHexQualityMeasure VTK_QUALITY_RELATIVE_SIZE_SQUARED \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToShapeAndSize",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToShapeAndSize, 1,
   (char*)"V.SetHexQualityMeasureToShapeAndSize()\nC++: void SetHexQualityMeasureToShapeAndSize ();this SetHexQualityMeasure VTK_QUALITY_SHAPE_AND_SIZE \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToShearAndSize",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToShearAndSize, 1,
   (char*)"V.SetHexQualityMeasureToShearAndSize()\nC++: void SetHexQualityMeasureToShearAndSize ();this SetHexQualityMeasure VTK_QUALITY_SHEAR_AND_SIZE \n\n Set/Get the particular estimator used to measure the quality of hexahedra.\n The default is VTK_QUALITY_MAX_ASPECT_FROBENIUS and valid values also include\n VTK_QUALITY_EDGE_RATIO, VTK_QUALITY_MAX_ASPECT_FROBENIUS, \n VTK_QUALITY_MAX_EDGE_RATIO, VTK_QUALITY_SKEW, VTK_QUALITY_TAPER, VTK_QUALITY_VOLUME,\n VTK_QUALITY_STRETCH, VTK_QUALITY_DIAGONAL, VTK_QUALITY_DIMENSION,\n VTK_QUALITY_ODDY, VTK_QUALITY_CONDITION, VTK_QUALITY_JACOBIAN,\n VTK_QUALITY_SCALED_JACOBIAN, VTK_QUALITY_SHEAR, VTK_QUALITY_SHAPE,\n VTK_QUALITY_RELATIVE_SIZE_SQUARED, VTK_QUALITY_SHAPE_AND_SIZE,\n VTK_QUALITY_SHEAR_AND_SIZE, and VTK_QUALITY_DISTORTION.\n"},
  {(char*)"SetHexQualityMeasureToDistortion",                (PyCFunction)PyvtkMeshQuality_SetHexQualityMeasureToDistortion, 1,
   (char*)"V.SetHexQualityMeasureToDistortion()\nC++: void SetHexQualityMeasureToDistortion ();this SetHexQualityMeasure VTK_QUALITY_DISTORTION \n\n This is a static function used to calculate the area of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleArea",                (PyCFunction)PyvtkMeshQuality_TriangleArea, 1,
   (char*)"V.TriangleArea(vtkCell) -> float\nC++: static double TriangleArea (vtkCell *cell);\n\n This is a static function used to calculate the area of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleEdgeRatio",                (PyCFunction)PyvtkMeshQuality_TriangleEdgeRatio, 1,
   (char*)"V.TriangleEdgeRatio(vtkCell) -> float\nC++: static double TriangleEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{|t|_\\infty}{|t|_0}\\f$,\n where \\f$|t|_\\infty\\f$ and \\f$|t|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$t\\f$.\n"},
  {(char*)"TriangleAspectRatio",                (PyCFunction)PyvtkMeshQuality_TriangleAspectRatio, 1,
   (char*)"V.TriangleAspectRatio(vtkCell) -> float\nC++: static double TriangleAspectRatio (vtkCell *cell);\n\n This is a static function used to calculate the aspect ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The aspect ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{|t|_\\infty}{2\\sqrt{3}r}\\f$,\n where \\f$|t|_\\infty\\f$ and \\f$r\\f$ respectively denote the greatest edge \n length and the inradius of \\f$t\\f$.\n"},
  {(char*)"TriangleRadiusRatio",                (PyCFunction)PyvtkMeshQuality_TriangleRadiusRatio, 1,
   (char*)"V.TriangleRadiusRatio(vtkCell) -> float\nC++: static double TriangleRadiusRatio (vtkCell *cell);\n\n This is a static function used to calculate the radius ratio of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The radius ratio of a triangle \\f$t\\f$ is: \n \\f$\\frac{R}{2r}\\f$,\n where \\f$R\\f$ and \\f$r\\f$ respectively denote the circumradius and \n the inradius of \\f$t\\f$.\n"},
  {(char*)"TriangleAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_TriangleAspectFrobenius, 1,
   (char*)"V.TriangleAspectFrobenius(vtkCell) -> float\nC++: static double TriangleAspectFrobenius (vtkCell *cell);\n\n This is a static function used to calculate the Frobenius condition number\n of the transformation matrix from an equilateral triangle to a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The Frobenius aspect of a triangle \\f$t\\f$, when the reference element is \n equilateral, is: \n \\f$\\frac{|t|^2_2}{2\\sqrt{3}{\\cal A}}\\f$,\n where \\f$|t|^2_2\\f$ and \\f$\\cal A\\f$ respectively denote the sum of the \n squared edge lengths and the area of \\f$t\\f$.\n"},
  {(char*)"TriangleMinAngle",                (PyCFunction)PyvtkMeshQuality_TriangleMinAngle, 1,
   (char*)"V.TriangleMinAngle(vtkCell) -> float\nC++: static double TriangleMinAngle (vtkCell *cell);\n\n This is a static function used to calculate the minimal (nonoriented) angle\n of a triangle, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleMaxAngle",                (PyCFunction)PyvtkMeshQuality_TriangleMaxAngle, 1,
   (char*)"V.TriangleMaxAngle(vtkCell) -> float\nC++: static double TriangleMaxAngle (vtkCell *cell);\n\n This is a static function used to calculate the maximal (nonoriented) angle\n of a triangle, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleCondition",                (PyCFunction)PyvtkMeshQuality_TriangleCondition, 1,
   (char*)"V.TriangleCondition(vtkCell) -> float\nC++: static double TriangleCondition (vtkCell *cell);\n\n"},
  {(char*)"TriangleScaledJacobian",                (PyCFunction)PyvtkMeshQuality_TriangleScaledJacobian, 1,
   (char*)"V.TriangleScaledJacobian(vtkCell) -> float\nC++: static double TriangleScaledJacobian (vtkCell *cell);\n\n This is a static function used to calculate the scaled Jacobian of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_TriangleRelativeSizeSquared, 1,
   (char*)"V.TriangleRelativeSizeSquared(vtkCell) -> float\nC++: static double TriangleRelativeSizeSquared (vtkCell *cell);\n\n This is a static function used to calculate the square of the relative size of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleShape",                (PyCFunction)PyvtkMeshQuality_TriangleShape, 1,
   (char*)"V.TriangleShape(vtkCell) -> float\nC++: static double TriangleShape (vtkCell *cell);\n\n This is a static function used to calculate the shape of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleShapeAndSize",                (PyCFunction)PyvtkMeshQuality_TriangleShapeAndSize, 1,
   (char*)"V.TriangleShapeAndSize(vtkCell) -> float\nC++: static double TriangleShapeAndSize (vtkCell *cell);\n\n This is a static function used to calculate the product of shape and relative size of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TriangleDistortion",                (PyCFunction)PyvtkMeshQuality_TriangleDistortion, 1,
   (char*)"V.TriangleDistortion(vtkCell) -> float\nC++: static double TriangleDistortion (vtkCell *cell);\n\n This is a static function used to calculate the distortion of a triangle.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"QuadEdgeRatio",                (PyCFunction)PyvtkMeshQuality_QuadEdgeRatio, 1,
   (char*)"V.QuadEdgeRatio(vtkCell) -> float\nC++: static double QuadEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a quadrilateral.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_\\infty}{|q|_0}\\f$,\n where \\f$|q|_\\infty\\f$ and \\f$|q|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$q\\f$.\n"},
  {(char*)"QuadAspectRatio",                (PyCFunction)PyvtkMeshQuality_QuadAspectRatio, 1,
   (char*)"V.QuadAspectRatio(vtkCell) -> float\nC++: static double QuadAspectRatio (vtkCell *cell);\n\n This is a static function used to calculate the aspect ratio of a planar \n quadrilateral.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The aspect ratio of a planar quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_1|q|_\\infty}{4{\\cal A}}\\f$,\n where \\f$|q|_1\\f$, \\f$|q|_\\infty\\f$ and \\f${\\cal A}\\f$ respectively denote the \n perimeter, the greatest edge length and the area of \\f$q\\f$.\n"},
  {(char*)"QuadRadiusRatio",                (PyCFunction)PyvtkMeshQuality_QuadRadiusRatio, 1,
   (char*)"V.QuadRadiusRatio(vtkCell) -> float\nC++: static double QuadRadiusRatio (vtkCell *cell);\n\n This is a static function used to calculate the radius ratio of a planar \n quadrilateral. The name is only used by analogy with the triangle radius \n ratio, because in general a quadrilateral does not have a circumcircle nor\n an incircle. \n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The radius ratio of a planar quadrilateral \\f$q\\f$ is: \n \\f$\\frac{|q|_2h_{\\max}}{\\min_i{\\cal A}_i}\\f$,\n where \\f$|q|_2\\f$, \\f$h_{\\max}\\f$ and \\f$\\min{\\cal A}_i\\f$ respectively denote \n the sum of the squared edge lengths, the greatest amongst diagonal and edge \n lengths and the smallest area of the 4 triangles extractable from \\f$q\\f$.\n"},
  {(char*)"QuadMedAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_QuadMedAspectFrobenius, 1,
   (char*)"V.QuadMedAspectFrobenius(vtkCell) -> float\nC++: static double QuadMedAspectFrobenius (vtkCell *cell);\n\n This is a static function used to calculate the average Frobenius aspect of \n the 4 corner triangles of a planar quadrilateral, when the reference \n triangle elements are right isosceles at the quadrangle vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The Frobenius aspect of a triangle \\f$t\\f$, when the reference element is \n right isosceles at vertex \\f$V\\f$, is: \n \\f$\\frac{f^2+g^2}{4{\\cal A}}\\f$,\n where \\f$f^2+g^2\\f$ and \\f$\\cal A\\f$ respectively denote the sum of the \n squared lengths of the edges attached to \\f$V\\f$ and the area of \\f$t\\f$.\n"},
  {(char*)"QuadMaxAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_QuadMaxAspectFrobenius, 1,
   (char*)"V.QuadMaxAspectFrobenius(vtkCell) -> float\nC++: static double QuadMaxAspectFrobenius (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 4 corner triangles of a planar quadrilateral, when the reference \n triangle elements are right isosceles at the quadrangle vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function. Use at your own risk with nonplanar quadrilaterals.\n The Frobenius aspect of a triangle \\f$t\\f$, when the reference element is \n right isosceles at vertex \\f$V\\f$, is: \n \\f$\\frac{f^2+g^2}{4{\\cal A}}\\f$,\n where \\f$f^2+g^2\\f$ and \\f$\\cal A\\f$ respectively denote the sum of the \n squared lengths of the edges attached to \\f$V\\f$ and the area of \\f$t\\f$.\n"},
  {(char*)"QuadMinAngle",                (PyCFunction)PyvtkMeshQuality_QuadMinAngle, 1,
   (char*)"V.QuadMinAngle(vtkCell) -> float\nC++: static double QuadMinAngle (vtkCell *cell);\n\n This is a static function used to calculate the minimal (nonoriented) angle\n of a quadrilateral, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"QuadMaxEdgeRatios",                (PyCFunction)PyvtkMeshQuality_QuadMaxEdgeRatios, 1,
   (char*)"V.QuadMaxEdgeRatios(vtkCell) -> float\nC++: static double QuadMaxEdgeRatios (vtkCell *cell);\n\n"},
  {(char*)"QuadSkew",                (PyCFunction)PyvtkMeshQuality_QuadSkew, 1,
   (char*)"V.QuadSkew(vtkCell) -> float\nC++: static double QuadSkew (vtkCell *cell);\n\n"},
  {(char*)"QuadTaper",                (PyCFunction)PyvtkMeshQuality_QuadTaper, 1,
   (char*)"V.QuadTaper(vtkCell) -> float\nC++: static double QuadTaper (vtkCell *cell);\n\n"},
  {(char*)"QuadWarpage",                (PyCFunction)PyvtkMeshQuality_QuadWarpage, 1,
   (char*)"V.QuadWarpage(vtkCell) -> float\nC++: static double QuadWarpage (vtkCell *cell);\n\n"},
  {(char*)"QuadArea",                (PyCFunction)PyvtkMeshQuality_QuadArea, 1,
   (char*)"V.QuadArea(vtkCell) -> float\nC++: static double QuadArea (vtkCell *cell);\n\n"},
  {(char*)"QuadStretch",                (PyCFunction)PyvtkMeshQuality_QuadStretch, 1,
   (char*)"V.QuadStretch(vtkCell) -> float\nC++: static double QuadStretch (vtkCell *cell);\n\n"},
  {(char*)"QuadMaxAngle",                (PyCFunction)PyvtkMeshQuality_QuadMaxAngle, 1,
   (char*)"V.QuadMaxAngle(vtkCell) -> float\nC++: static double QuadMaxAngle (vtkCell *cell);\n\n"},
  {(char*)"QuadOddy",                (PyCFunction)PyvtkMeshQuality_QuadOddy, 1,
   (char*)"V.QuadOddy(vtkCell) -> float\nC++: static double QuadOddy (vtkCell *cell);\n\n"},
  {(char*)"QuadCondition",                (PyCFunction)PyvtkMeshQuality_QuadCondition, 1,
   (char*)"V.QuadCondition(vtkCell) -> float\nC++: static double QuadCondition (vtkCell *cell);\n\n"},
  {(char*)"QuadJacobian",                (PyCFunction)PyvtkMeshQuality_QuadJacobian, 1,
   (char*)"V.QuadJacobian(vtkCell) -> float\nC++: static double QuadJacobian (vtkCell *cell);\n\n"},
  {(char*)"QuadScaledJacobian",                (PyCFunction)PyvtkMeshQuality_QuadScaledJacobian, 1,
   (char*)"V.QuadScaledJacobian(vtkCell) -> float\nC++: static double QuadScaledJacobian (vtkCell *cell);\n\n"},
  {(char*)"QuadShear",                (PyCFunction)PyvtkMeshQuality_QuadShear, 1,
   (char*)"V.QuadShear(vtkCell) -> float\nC++: static double QuadShear (vtkCell *cell);\n\n"},
  {(char*)"QuadShape",                (PyCFunction)PyvtkMeshQuality_QuadShape, 1,
   (char*)"V.QuadShape(vtkCell) -> float\nC++: static double QuadShape (vtkCell *cell);\n\n"},
  {(char*)"QuadRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_QuadRelativeSizeSquared, 1,
   (char*)"V.QuadRelativeSizeSquared(vtkCell) -> float\nC++: static double QuadRelativeSizeSquared (vtkCell *cell);\n\n"},
  {(char*)"QuadShapeAndSize",                (PyCFunction)PyvtkMeshQuality_QuadShapeAndSize, 1,
   (char*)"V.QuadShapeAndSize(vtkCell) -> float\nC++: static double QuadShapeAndSize (vtkCell *cell);\n\n"},
  {(char*)"QuadShearAndSize",                (PyCFunction)PyvtkMeshQuality_QuadShearAndSize, 1,
   (char*)"V.QuadShearAndSize(vtkCell) -> float\nC++: static double QuadShearAndSize (vtkCell *cell);\n\n"},
  {(char*)"QuadDistortion",                (PyCFunction)PyvtkMeshQuality_QuadDistortion, 1,
   (char*)"V.QuadDistortion(vtkCell) -> float\nC++: static double QuadDistortion (vtkCell *cell);\n\n"},
  {(char*)"TetEdgeRatio",                (PyCFunction)PyvtkMeshQuality_TetEdgeRatio, 1,
   (char*)"V.TetEdgeRatio(vtkCell) -> float\nC++: static double TetEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{|K|_\\infty}{|K|_0}\\f$,\n where \\f$|K|_\\infty\\f$ and \\f$|K|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$K\\f$.\n"},
  {(char*)"TetAspectRatio",                (PyCFunction)PyvtkMeshQuality_TetAspectRatio, 1,
   (char*)"V.TetAspectRatio(vtkCell) -> float\nC++: static double TetAspectRatio (vtkCell *cell);\n\n This is a static function used to calculate the aspect ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The aspect ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{|K|_\\infty}{2\\sqrt{6}r}\\f$,\n where \\f$|K|_\\infty\\f$ and \\f$r\\f$ respectively denote the greatest edge \n length and the inradius of \\f$K\\f$.\n"},
  {(char*)"TetRadiusRatio",                (PyCFunction)PyvtkMeshQuality_TetRadiusRatio, 1,
   (char*)"V.TetRadiusRatio(vtkCell) -> float\nC++: static double TetRadiusRatio (vtkCell *cell);\n\n This is a static function used to calculate the radius ratio of a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The radius ratio of a tetrahedron \\f$K\\f$ is: \n \\f$\\frac{R}{3r}\\f$,\n where \\f$R\\f$ and \\f$r\\f$ respectively denote the circumradius and \n the inradius of \\f$K\\f$.\n"},
  {(char*)"TetAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_TetAspectFrobenius, 1,
   (char*)"V.TetAspectFrobenius(vtkCell) -> float\nC++: static double TetAspectFrobenius (vtkCell *cell);\n\n This is a static function used to calculate the Frobenius condition number\n of the transformation matrix from a regular tetrahedron to a tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The Frobenius aspect of a tetrahedron \\f$K\\f$, when the reference element is \n regular, is: \n \\f$\\frac{\\frac{3}{2}(l_{11}+l_{22}+l_{33}) - (l_{12}+l_{13}+l_{23})}\n {3(\\sqrt{2}\\det{T})^\\frac{2}{3}}\\f$,\n where \\f$T\\f$ and \\f$l_{ij}\\f$ respectively denote the edge matrix of \\f$K\\f$\n and the entries of \\f$L=T^t\\,T\\f$.\n"},
  {(char*)"TetMinAngle",                (PyCFunction)PyvtkMeshQuality_TetMinAngle, 1,
   (char*)"V.TetMinAngle(vtkCell) -> float\nC++: static double TetMinAngle (vtkCell *cell);\n\n This is a static function used to calculate the minimal (nonoriented) dihedral\n angle of a tetrahedron, expressed in degrees.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetCollapseRatio",                (PyCFunction)PyvtkMeshQuality_TetCollapseRatio, 1,
   (char*)"V.TetCollapseRatio(vtkCell) -> float\nC++: static double TetCollapseRatio (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetAspectBeta",                (PyCFunction)PyvtkMeshQuality_TetAspectBeta, 1,
   (char*)"V.TetAspectBeta(vtkCell) -> float\nC++: static double TetAspectBeta (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetAspectGamma",                (PyCFunction)PyvtkMeshQuality_TetAspectGamma, 1,
   (char*)"V.TetAspectGamma(vtkCell) -> float\nC++: static double TetAspectGamma (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetVolume",                (PyCFunction)PyvtkMeshQuality_TetVolume, 1,
   (char*)"V.TetVolume(vtkCell) -> float\nC++: static double TetVolume (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetCondition",                (PyCFunction)PyvtkMeshQuality_TetCondition, 1,
   (char*)"V.TetCondition(vtkCell) -> float\nC++: static double TetCondition (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetJacobian",                (PyCFunction)PyvtkMeshQuality_TetJacobian, 1,
   (char*)"V.TetJacobian(vtkCell) -> float\nC++: static double TetJacobian (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetScaledJacobian",                (PyCFunction)PyvtkMeshQuality_TetScaledJacobian, 1,
   (char*)"V.TetScaledJacobian(vtkCell) -> float\nC++: static double TetScaledJacobian (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetShape",                (PyCFunction)PyvtkMeshQuality_TetShape, 1,
   (char*)"V.TetShape(vtkCell) -> float\nC++: static double TetShape (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_TetRelativeSizeSquared, 1,
   (char*)"V.TetRelativeSizeSquared(vtkCell) -> float\nC++: static double TetRelativeSizeSquared (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetShapeandSize",                (PyCFunction)PyvtkMeshQuality_TetShapeandSize, 1,
   (char*)"V.TetShapeandSize(vtkCell) -> float\nC++: static double TetShapeandSize (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"TetDistortion",                (PyCFunction)PyvtkMeshQuality_TetDistortion, 1,
   (char*)"V.TetDistortion(vtkCell) -> float\nC++: static double TetDistortion (vtkCell *cell);\n\n This is a static function used to calculate the collapse ratio of a tetrahedron.\n The collapse ratio is a dimensionless number defined as the smallest ratio of the\n height of a vertex above its opposing triangle to the longest edge of that opposing\n triangle across all vertices of the tetrahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexEdgeRatio",                (PyCFunction)PyvtkMeshQuality_HexEdgeRatio, 1,
   (char*)"V.HexEdgeRatio(vtkCell) -> float\nC++: static double HexEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the edge ratio of a hexahedron.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n The edge ratio of a hexahedron \\f$H\\f$ is: \n \\f$\\frac{|H|_\\infty}{|H|_0}\\f$,\n where \\f$|H|_\\infty\\f$ and \\f$|H|_0\\f$ respectively denote the greatest and\n the smallest edge lengths of \\f$H\\f$.\n"},
  {(char*)"HexMedAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_HexMedAspectFrobenius, 1,
   (char*)"V.HexMedAspectFrobenius(vtkCell) -> float\nC++: static double HexMedAspectFrobenius (vtkCell *cell);\n\n This is a static function used to calculate the average Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexMaxAspectFrobenius",                (PyCFunction)PyvtkMeshQuality_HexMaxAspectFrobenius, 1,
   (char*)"V.HexMaxAspectFrobenius(vtkCell) -> float\nC++: static double HexMaxAspectFrobenius (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexMaxEdgeRatio",                (PyCFunction)PyvtkMeshQuality_HexMaxEdgeRatio, 1,
   (char*)"V.HexMaxEdgeRatio(vtkCell) -> float\nC++: static double HexMaxEdgeRatio (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexSkew",                (PyCFunction)PyvtkMeshQuality_HexSkew, 1,
   (char*)"V.HexSkew(vtkCell) -> float\nC++: static double HexSkew (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexTaper",                (PyCFunction)PyvtkMeshQuality_HexTaper, 1,
   (char*)"V.HexTaper(vtkCell) -> float\nC++: static double HexTaper (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexVolume",                (PyCFunction)PyvtkMeshQuality_HexVolume, 1,
   (char*)"V.HexVolume(vtkCell) -> float\nC++: static double HexVolume (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexStretch",                (PyCFunction)PyvtkMeshQuality_HexStretch, 1,
   (char*)"V.HexStretch(vtkCell) -> float\nC++: static double HexStretch (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexDiagonal",                (PyCFunction)PyvtkMeshQuality_HexDiagonal, 1,
   (char*)"V.HexDiagonal(vtkCell) -> float\nC++: static double HexDiagonal (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexDimension",                (PyCFunction)PyvtkMeshQuality_HexDimension, 1,
   (char*)"V.HexDimension(vtkCell) -> float\nC++: static double HexDimension (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexOddy",                (PyCFunction)PyvtkMeshQuality_HexOddy, 1,
   (char*)"V.HexOddy(vtkCell) -> float\nC++: static double HexOddy (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexCondition",                (PyCFunction)PyvtkMeshQuality_HexCondition, 1,
   (char*)"V.HexCondition(vtkCell) -> float\nC++: static double HexCondition (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexJacobian",                (PyCFunction)PyvtkMeshQuality_HexJacobian, 1,
   (char*)"V.HexJacobian(vtkCell) -> float\nC++: static double HexJacobian (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexScaledJacobian",                (PyCFunction)PyvtkMeshQuality_HexScaledJacobian, 1,
   (char*)"V.HexScaledJacobian(vtkCell) -> float\nC++: static double HexScaledJacobian (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexShear",                (PyCFunction)PyvtkMeshQuality_HexShear, 1,
   (char*)"V.HexShear(vtkCell) -> float\nC++: static double HexShear (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexShape",                (PyCFunction)PyvtkMeshQuality_HexShape, 1,
   (char*)"V.HexShape(vtkCell) -> float\nC++: static double HexShape (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexRelativeSizeSquared",                (PyCFunction)PyvtkMeshQuality_HexRelativeSizeSquared, 1,
   (char*)"V.HexRelativeSizeSquared(vtkCell) -> float\nC++: static double HexRelativeSizeSquared (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexShapeAndSize",                (PyCFunction)PyvtkMeshQuality_HexShapeAndSize, 1,
   (char*)"V.HexShapeAndSize(vtkCell) -> float\nC++: static double HexShapeAndSize (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexShearAndSize",                (PyCFunction)PyvtkMeshQuality_HexShearAndSize, 1,
   (char*)"V.HexShearAndSize(vtkCell) -> float\nC++: static double HexShearAndSize (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"HexDistortion",                (PyCFunction)PyvtkMeshQuality_HexDistortion, 1,
   (char*)"V.HexDistortion(vtkCell) -> float\nC++: static double HexDistortion (vtkCell *cell);\n\n This is a static function used to calculate the maximal Frobenius aspect of \n the 8 corner tetrahedra of a hexahedron, when the reference \n tetrahedral elements are right isosceles at the hexahedron vertices.\n It assumes that you pass the correct type of cell -- no type checking is\n performed because this method is called from the inner loop of the Execute()\n member function.\n"},
  {(char*)"SetRatio",                (PyCFunction)PyvtkMeshQuality_SetRatio, 1,
   (char*)"V.SetRatio(int)\nC++: virtual void SetRatio (int r);this SetSaveCellQuality r \n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"GetRatio",                (PyCFunction)PyvtkMeshQuality_GetRatio, 1,
   (char*)"V.GetRatio() -> int\nC++: int GetRatio ();return this GetSaveCellQuality \n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"RatioOn",                (PyCFunction)PyvtkMeshQuality_RatioOn, 1,
   (char*)"V.RatioOn()\nC++: void RatioOn ();\n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"RatioOff",                (PyCFunction)PyvtkMeshQuality_RatioOff, 1,
   (char*)"V.RatioOff()\nC++: void RatioOff ();\n\n These methods are deprecated. Use Get/SetSaveCellQuality() instead.\n\n Formerly, SetRatio could be used to disable computation\n of the tetrahedral radius ratio so that volume alone could be computed.\n Now, cell quality is always computed, but you may decide not\n to store the result for each cell.\n This allows average cell quality of a mesh to be\n calculated without requiring per-cell storage.\n"},
  {(char*)"SetVolume",                (PyCFunction)PyvtkMeshQuality_SetVolume, 1,
   (char*)"V.SetVolume(int)\nC++: virtual void SetVolume (int cv);if cv this Volume return this Modified this Volume cv if this Volume this CompatibilityModeOn \n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"GetVolume",                (PyCFunction)PyvtkMeshQuality_GetVolume, 1,
   (char*)"V.GetVolume() -> int\nC++: int GetVolume ();return this Volume \n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"VolumeOn",                (PyCFunction)PyvtkMeshQuality_VolumeOn, 1,
   (char*)"V.VolumeOn()\nC++: void VolumeOn ();\n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"VolumeOff",                (PyCFunction)PyvtkMeshQuality_VolumeOff, 1,
   (char*)"V.VolumeOff()\nC++: void VolumeOff ();\n\n These methods are deprecated. The functionality of computing cell\n volume is being removed until it can be computed for any 3D cell.\n (The previous implementation only worked for tetrahedra.)\n\n For now, turning on the volume computation will put this\n filter into \"compatibility mode,\" where tetrahedral cell\n volume is stored in first component of each output tuple and\n the radius ratio is stored in the second component. You may\n also use CompatibilityModeOn()/Off() to enter this mode.\n In this mode, cells other than tetrahedra will have report\n a volume of 0.0 (if volume computation is enabled).\n\n By default, volume computation is disabled and compatibility\n mode is off, since it does not make a lot of sense for\n meshes with non-tetrahedral cells.\n"},
  {(char*)"SetCompatibilityMode",                (PyCFunction)PyvtkMeshQuality_SetCompatibilityMode, 1,
   (char*)"V.SetCompatibilityMode(int)\nC++: virtual void SetCompatibilityMode (int cm);if cm this CompatibilityMode return this CompatibilityMode cm this Modified if this CompatibilityMode this Volume this TetQualityMeasure VTK_QUALITY_RADIUS_RATIO \n\n CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality function to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality function and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality function settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setti ...\n [Truncated]\n"},
  {(char*)"GetCompatibilityMode",                (PyCFunction)PyvtkMeshQuality_GetCompatibilityMode, 1,
   (char*)"V.GetCompatibilityMode() -> int\nC++: int GetCompatibilityMode ();\n\n CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality function to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality function and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality function settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setti ...\n [Truncated]\n"},
  {(char*)"CompatibilityModeOn",                (PyCFunction)PyvtkMeshQuality_CompatibilityModeOn, 1,
   (char*)"V.CompatibilityModeOn()\nC++: void CompatibilityModeOn ();\n\n CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality function to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality function and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality function settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setti ...\n [Truncated]\n"},
  {(char*)"CompatibilityModeOff",                (PyCFunction)PyvtkMeshQuality_CompatibilityModeOff, 1,
   (char*)"V.CompatibilityModeOff()\nC++: void CompatibilityModeOff ();\n\n CompatibilityMode governs whether, when both a quality function\n and cell volume are to be stored as cell data, the two values\n are stored in a single array. When compatibility mode is off\n (the default), two separate arrays are used -- one labeled\n \"Quality\" and the other labeled \"Volume\".\n When compatibility mode is on, both values are stored in a\n single array, with volume as the first component and quality\n as the second component.\n\n Enabling CompatibilityMode changes the default tetrahedral\n quality function to VTK_QUALITY_RADIUS_RATIO and turns volume\n computation on. (This matches the default behavior of the\n initial implementation of vtkMeshQuality.) You may change\n quality function and volume computation without leaving\n compatibility mode.\n\n Disabling compatibility mode does not affect the current\n volume computation or tetrahedral quality function settings. \n\n The final caveat to CompatibilityMode is that regardless of\n its setti ...\n [Truncated]\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkMeshQualityDoc[] = {
  (char*)"vtkMeshQuality - Calculate functions of quality of the elements\n\n",
  "Super Class:\n\n vtkDataSetAlgorithm\n\n",
  (char*)" vtkMeshQuality computes one or more functions of (geometric)\n quality for each 2-D and 3-D cell (triangle, quadrilateral, tetrahedron,\n or hexahedron) of a mesh. These functions of quality are then averaged\n over the entire mesh. The minimum, average, maximum, and unbiased variance\n of quality for each type of cell is stored in the output mesh's FieldData.\n The FieldData arrays are named \"Mesh Tr",
  (char*)"iangle Quality,\"\n \"Mesh Quadrilateral Quality,\" \"Mesh Tetrahedron Quality,\"\n and \"Mesh Hexahedron Quality.\" Each array has a single tuple\n with 5 components. The first 4 components are the quality statistics\n mentioned above; the final value is the number of cells of the given type.\n This final component makes aggregation of statistics for distributed\n mesh data possible.\n\n By default, the per-cel",
  (char*)"l quality is added to the mesh's cell data, in\n an array named \"Quality.\" Cell types not supported by\n this filter will have an entry of 0. Use SaveCellQualityOff() to\n store only the final statistics.\n\n This version of the filter written by Philippe Pebay and David Thompson\n overtakes an older version written by Leila Baghdadi, Hanif Ladak, and \n David Steinman at the Imaging Research Labs, Robar",
  (char*)"ts Research Institute.\n That version only supported tetrahedral radius ratio. See the \n CompatibilityModeOn() member for information on how to make this filter \n behave like the previous implementation.\n For more information on the triangle quality functions of this class, cf.\n Pebay & Baker 2003, Analysis of triangle quality measures, Math Comp 72:244.\n For more information on the quadrangle qual",
  (char*)"ity functions of this class, cf.\n Pebay 2004, Planar Quadrangle Quality Measures, Eng Comp 20:2.\n\n\n",
  "Caveats:\n\n While more general than before, this class does not address many\n cell types, including wedges and pyramids in 3D and triangle strips\n and fans in 2D (among others). \n Most quadrilateral quality functions are intended for planar quadrilaterals\n only. \n The minimal angle is not, strictly speaking, a quality function, but it is\n provided because of its useage by many authors.\n\n",
  NULL
};

static vtkObjectBase *vtkMeshQualityStaticNew()
{
  return vtkMeshQuality::New();
}

PyObject *PyVTKClass_vtkMeshQualityNew(char *modulename)
{
  return PyVTKClass_New(&vtkMeshQualityStaticNew,
                        PyvtkMeshQualityMethods,
                        (char*)"vtkMeshQuality",modulename,
                        (char**)vtkMeshQualityDoc,
                        PyVTKClass_vtkDataSetAlgorithmNew(modulename));
}

