// python wrapper for vtkExodusIIReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkPython.h"
#undef _XOPEN_SOURCE /* Conflicts with standards.h.  */
#undef _THREAD_SAFE /* Conflicts with pthread.h.  */
#include "vtkPythonUtil.h"
#include <vtksys/ios/sstream>
#include "vtkExodusIIReader.h"
#if defined(WIN32)
extern "C" { __declspec( dllexport ) PyObject *PyVTKClass_vtkExodusIIReaderNew(char *); }
#else
extern "C" { PyObject *PyVTKClass_vtkExodusIIReaderNew(char *); }
#endif

extern "C" { PyObject *PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(char *); }

static PyObject *PyvtkExodusIIReader_GetClassName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetClassName();
      }
    else
      {
      temp20 = op->GetClassName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_IsA(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::IsA(temp0);
      }
    else
      {
      temp20 = op->IsA(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_NewInstance(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  vtkExodusIIReader  *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::NewInstance();
      }
    else
      {
      temp20 = op->NewInstance();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SafeDownCast(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkObject  *temp0;
  PyObject *tempH0;
  vtkExodusIIReader  *temp20;
  if ((PyArg_ParseTuple(args, (char*)"O", &tempH0)))
    {
    temp0 = (vtkObject *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkObject");
    if (!temp0 && tempH0 != Py_None) goto break3;
      {
      temp20 = vtkExodusIIReader::SafeDownCast(temp0);
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
 break3:
  return NULL;
}


static PyObject *PyvtkExodusIIReader_CanReadFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::CanReadFile(temp0);
      }
    else
      {
      temp20 = op->CanReadFile(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  unsigned long     temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetMTime();
      }
    else
      {
      temp20 = op->GetMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetMetadataMTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  unsigned long     temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetMetadataMTime();
      }
    else
      {
      temp20 = op->GetMetadataMTime();
      }
    return PyLong_FromUnsignedLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFileName(temp0);
      }
    else
      {
      op->SetFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFileName();
      }
    else
      {
      temp20 = op->GetFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetXMLFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetXMLFileName(temp0);
      }
    else
      {
      op->SetXMLFileName(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetXMLFileName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetXMLFileName();
      }
    else
      {
      temp20 = op->GetXMLFileName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetTimeStep(temp0);
      }
    else
      {
      op->SetTimeStep(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTimeStep(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTimeStep();
      }
    else
      {
      temp20 = op->GetTimeStep();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int     *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTimeStepRange();
      }
    else
      {
      temp20 = op->GetTimeStepRange();
      }
    if(temp20)
      {
    return Py_BuildValue((char*)"ii",temp20[0],temp20[1]);
      }
    else
      {
      return Py_BuildValue((char*)"");
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetTimeStepRange(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetTimeStepRange(temp0,temp1);
      }
    else
      {
      op->SetTimeStepRange(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int    temp0[2];
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"(ii)", temp0 + 0, temp0 + 1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetTimeStepRange(temp0);
      }
    else
      {
      op->SetTimeStepRange(temp0);
      }
    if (vtkPythonCheckArray(args,0,temp0,2)) {
      return 0;
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetGenerateObjectIdCellArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetGenerateObjectIdCellArray(temp0);
      }
    else
      {
      op->SetGenerateObjectIdCellArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGenerateObjectIdCellArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetGenerateObjectIdCellArray();
      }
    else
      {
      temp20 = op->GetGenerateObjectIdCellArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateObjectIdCellArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateObjectIdCellArrayOn();
      }
    else
      {
      op->GenerateObjectIdCellArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateObjectIdCellArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateObjectIdCellArrayOff();
      }
    else
      {
      op->GenerateObjectIdCellArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetObjectIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetGenerateGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetGenerateGlobalElementIdArray(temp0);
      }
    else
      {
      op->SetGenerateGlobalElementIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGenerateGlobalElementIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetGenerateGlobalElementIdArray();
      }
    else
      {
      temp20 = op->GetGenerateGlobalElementIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateGlobalElementIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateGlobalElementIdArrayOn();
      }
    else
      {
      op->GenerateGlobalElementIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateGlobalElementIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateGlobalElementIdArrayOff();
      }
    else
      {
      op->GenerateGlobalElementIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetGenerateGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetGenerateGlobalNodeIdArray(temp0);
      }
    else
      {
      op->SetGenerateGlobalNodeIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGenerateGlobalNodeIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetGenerateGlobalNodeIdArray();
      }
    else
      {
      temp20 = op->GetGenerateGlobalNodeIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateGlobalNodeIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateGlobalNodeIdArrayOn();
      }
    else
      {
      op->GenerateGlobalNodeIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateGlobalNodeIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateGlobalNodeIdArrayOff();
      }
    else
      {
      op->GenerateGlobalNodeIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetGenerateFileIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetGenerateFileIdArray(temp0);
      }
    else
      {
      op->SetGenerateFileIdArray(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGenerateFileIdArray(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetGenerateFileIdArray();
      }
    else
      {
      temp20 = op->GetGenerateFileIdArray();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateFileIdArrayOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateFileIdArrayOn();
      }
    else
      {
      op->GenerateFileIdArrayOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GenerateFileIdArrayOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::GenerateFileIdArrayOff();
      }
    else
      {
      op->GenerateFileIdArrayOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFileId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFileId(temp0);
      }
    else
      {
      op->SetFileId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFileId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFileId();
      }
    else
      {
      temp20 = op->GetFileId();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalElementIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetGlobalElementIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPedigreeElementIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetPedigreeElementIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalElementID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break37;
      {
      temp20 = vtkExodusIIReader::GetGlobalElementID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break37:
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break38;
      {
      temp20 = vtkExodusIIReader::GetGlobalElementID(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break38:
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalFaceIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetGlobalFaceIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPedigreeFaceIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetPedigreeFaceIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalFaceID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break41;
      {
      temp20 = vtkExodusIIReader::GetGlobalFaceID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break41:
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break42;
      {
      temp20 = vtkExodusIIReader::GetGlobalFaceID(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break42:
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalEdgeIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetGlobalEdgeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPedigreeEdgeIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetPedigreeEdgeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalEdgeID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break45;
      {
      temp20 = vtkExodusIIReader::GetGlobalEdgeID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break45:
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break46;
      {
      temp20 = vtkExodusIIReader::GetGlobalEdgeID(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break46:
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalNodeIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetGlobalNodeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPedigreeNodeIdArrayName(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  const char    *temp20;
  if ((PyArg_ParseTuple(args, (char*)"")))
    {
      {
      temp20 = vtkExodusIIReader::GetPedigreeNodeIdArrayName();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalNodeID(PyObject *, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp20;
  if ((PyArg_ParseTuple(args, (char*)"Oi", &tempH0, &temp1)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break49;
      {
      temp20 = vtkExodusIIReader::GetGlobalNodeID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break49:
  /* handle an occurrence */
  {
  vtkDataSet  *temp0;
  PyObject *tempH0;
  int      temp1;
  int      temp2;
  int      temp20;
  PyErr_Clear();
  if ((PyArg_ParseTuple(args, (char*)"Oii", &tempH0, &temp1, &temp2)))
    {
    temp0 = (vtkDataSet *)vtkPythonGetPointerFromObject(tempH0,(char*)"vtkDataSet");
    if (!temp0 && tempH0 != Py_None) goto break50;
      {
      temp20 = vtkExodusIIReader::GetGlobalNodeID(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break50:
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetApplyDisplacements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetApplyDisplacements(temp0);
      }
    else
      {
      op->SetApplyDisplacements(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetApplyDisplacements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetApplyDisplacements();
      }
    else
      {
      temp20 = op->GetApplyDisplacements();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_ApplyDisplacementsOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::ApplyDisplacementsOn();
      }
    else
      {
      op->ApplyDisplacementsOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_ApplyDisplacementsOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::ApplyDisplacementsOff();
      }
    else
      {
      op->ApplyDisplacementsOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetDisplacementMagnitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  float    temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"f", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetDisplacementMagnitude(temp0);
      }
    else
      {
      op->SetDisplacementMagnitude(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetDisplacementMagnitude(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  float    temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetDisplacementMagnitude();
      }
    else
      {
      temp20 = op->GetDisplacementMagnitude();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetHasModeShapes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetHasModeShapes(temp0);
      }
    else
      {
      op->SetHasModeShapes(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetHasModeShapes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetHasModeShapes();
      }
    else
      {
      temp20 = op->GetHasModeShapes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_HasModeShapesOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::HasModeShapesOn();
      }
    else
      {
      op->HasModeShapesOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_HasModeShapesOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::HasModeShapesOff();
      }
    else
      {
      op->HasModeShapesOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetModeShapeTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  double   temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"d", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetModeShapeTime(temp0);
      }
    else
      {
      op->SetModeShapeTime(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetModeShapeTime(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  double   temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetModeShapeTime();
      }
    else
      {
      temp20 = op->GetModeShapeTime();
      }
    return PyFloat_FromDouble(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetEdgeFieldDecorations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetEdgeFieldDecorations(temp0);
      }
    else
      {
      op->SetEdgeFieldDecorations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeFieldDecorations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeFieldDecorations();
      }
    else
      {
      temp20 = op->GetEdgeFieldDecorations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_EdgeFieldDecorationsNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::EdgeFieldDecorationsNone();
      }
    else
      {
      op->EdgeFieldDecorationsNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_EdgeFieldDecorationsGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::EdgeFieldDecorationsGlyphs();
      }
    else
      {
      op->EdgeFieldDecorationsGlyphs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_EdgeFieldDecorationsCornerAveraged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::EdgeFieldDecorationsCornerAveraged();
      }
    else
      {
      op->EdgeFieldDecorationsCornerAveraged();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFaceFieldDecorations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFaceFieldDecorations(temp0);
      }
    else
      {
      op->SetFaceFieldDecorations(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceFieldDecorations(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceFieldDecorations();
      }
    else
      {
      temp20 = op->GetFaceFieldDecorations();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_FaceFieldDecorationsNone(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::FaceFieldDecorationsNone();
      }
    else
      {
      op->FaceFieldDecorationsNone();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_FaceFieldDecorationsGlyphs(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::FaceFieldDecorationsGlyphs();
      }
    else
      {
      op->FaceFieldDecorationsGlyphs();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_FaceFieldDecorationsCornerAveraged(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::FaceFieldDecorationsCornerAveraged();
      }
    else
      {
      op->FaceFieldDecorationsCornerAveraged();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTitle(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTitle();
      }
    else
      {
      temp20 = op->GetTitle();
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetDimensionality(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetDimensionality();
      }
    else
      {
      temp20 = op->GetDimensionality();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfTimeSteps(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfTimeSteps();
      }
    else
      {
      temp20 = op->GetNumberOfTimeSteps();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfNodesInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfNodesInFile();
      }
    else
      {
      temp20 = op->GetNumberOfNodesInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfEdgesInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfEdgesInFile();
      }
    else
      {
      temp20 = op->GetNumberOfEdgesInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfFacesInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfFacesInFile();
      }
    else
      {
      temp20 = op->GetNumberOfFacesInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfElementsInFile(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfElementsInFile();
      }
    else
      {
      temp20 = op->GetNumberOfElementsInFile();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectTypeFromName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectTypeFromName(temp0);
      }
    else
      {
      temp20 = op->GetObjectTypeFromName(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectTypeName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectTypeName(temp0);
      }
    else
      {
      temp20 = op->GetObjectTypeName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfNodes();
      }
    else
      {
      temp20 = op->GetNumberOfNodes();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfObjects(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfObjects(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfObjects(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfEntriesInObject(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfEntriesInObject(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNumberOfEntriesInObject(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectId(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectId(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectName(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectName(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  char    *temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectIndex(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectIndex(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectIndex(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectIndex(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectStatus(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectStatus(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  char    *temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectStatus(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectStatus(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetObjectStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetObjectStatus(temp0,temp1,temp2);
      }
    else
      {
      op->SetObjectStatus(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetObjectStatus(temp0,temp1,temp2);
      }
    else
      {
      op->SetObjectStatus(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfObjectArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfObjectArrays(temp0);
      }
    else
      {
      temp20 = op->GetNumberOfObjectArrays(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectArrayName(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectArrayName(temp0,temp1);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectArrayIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  char    *temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectArrayIndex(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectArrayIndex(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfObjectArrayComponents(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfObjectArrayComponents(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNumberOfObjectArrayComponents(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectArrayStatus(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectArrayStatus(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  char    *temp1;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectArrayStatus(temp0,temp1);
      }
    else
      {
      temp20 = op->GetObjectArrayStatus(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetObjectArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetObjectArrayStatus(temp0,temp1,temp2);
      }
    else
      {
      op->SetObjectArrayStatus(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  char    *temp1;
  int      temp2;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"izi", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetObjectArrayStatus(temp0,temp1,temp2);
      }
    else
      {
      op->SetObjectArrayStatus(temp0,temp1,temp2);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfObjectAttributes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfObjectAttributes(temp0,temp1);
      }
    else
      {
      temp20 = op->GetNumberOfObjectAttributes(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectAttributeName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectAttributeName(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetObjectAttributeName(temp0,temp1,temp2);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectAttributeIndex(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iiz", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectAttributeIndex(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetObjectAttributeIndex(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetObjectAttributeStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iii", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectAttributeStatus(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetObjectAttributeStatus(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iiz", &temp0, &temp1, &temp2);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetObjectAttributeStatus(temp0,temp1,temp2);
      }
    else
      {
      temp20 = op->GetObjectAttributeStatus(temp0,temp1,temp2);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetObjectAttributeStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  int      temp2;
  int      temp3;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iiii", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  char    *temp2;
  int      temp3;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"iizi", &temp0, &temp1, &temp2, &temp3);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
      }
    else
      {
      op->SetObjectAttributeStatus(temp0,temp1,temp2,temp3);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTotalNumberOfNodes(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  vtkIdType   temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTotalNumberOfNodes();
      }
    else
      {
      temp20 = op->GetTotalNumberOfNodes();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTotalNumberOfEdges(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  vtkIdType   temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTotalNumberOfEdges();
      }
    else
      {
      temp20 = op->GetTotalNumberOfEdges();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTotalNumberOfFaces(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  vtkIdType   temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTotalNumberOfFaces();
      }
    else
      {
      temp20 = op->GetTotalNumberOfFaces();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTotalNumberOfElements(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  vtkIdType   temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTotalNumberOfElements();
      }
    else
      {
      temp20 = op->GetTotalNumberOfElements();
      }
    return PyInt_FromLong((long)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfPartArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfPartArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPartArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPartArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPartArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPartArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPartArrayID(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPartBlockInfo(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPartBlockInfo(temp0);
      }
    else
      {
      temp20 = op->GetPartBlockInfo(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetPartArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetPartArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPartArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetPartArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPartArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPartArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPartArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPartArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPartArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfMaterialArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfMaterialArrays();
      }
    else
      {
      temp20 = op->GetNumberOfMaterialArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetMaterialArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetMaterialArrayName(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetMaterialArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetMaterialArrayID(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetMaterialArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetMaterialArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetMaterialArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetMaterialArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetMaterialArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetMaterialArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetMaterialArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetMaterialArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetMaterialArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfAssemblyArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfAssemblyArrays();
      }
    else
      {
      temp20 = op->GetNumberOfAssemblyArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetAssemblyArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetAssemblyArrayName(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetAssemblyArrayID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetAssemblyArrayID(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayID(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetAssemblyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetAssemblyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetAssemblyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetAssemblyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetAssemblyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetAssemblyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetAssemblyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetAssemblyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetAssemblyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfHierarchyArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfHierarchyArrays();
      }
    else
      {
      temp20 = op->GetNumberOfHierarchyArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetHierarchyArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetHierarchyArrayName(temp0);
      }
    else
      {
      temp20 = op->GetHierarchyArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetHierarchyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetHierarchyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetHierarchyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetHierarchyArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetHierarchyArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetHierarchyArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetHierarchyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetHierarchyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  PyErr_Clear();
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetHierarchyArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetHierarchyArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetDisplayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetDisplayType();
      }
    else
      {
      temp20 = op->GetDisplayType();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetDisplayType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetDisplayType(temp0);
      }
    else
      {
      op->SetDisplayType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_ExodusModelMetadataOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::ExodusModelMetadataOn();
      }
    else
      {
      op->ExodusModelMetadataOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_ExodusModelMetadataOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::ExodusModelMetadataOff();
      }
    else
      {
      op->ExodusModelMetadataOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetExodusModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetExodusModelMetadata(temp0);
      }
    else
      {
      op->SetExodusModelMetadata(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetExodusModelMetadata(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetExodusModelMetadata();
      }
    else
      {
      temp20 = op->GetExodusModelMetadata();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetExodusModel(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  vtkExodusModel  *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetExodusModel();
      }
    else
      {
      temp20 = op->GetExodusModel();
      }
    return vtkPythonGetObjectFromPointer((vtkObjectBase *)temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetPackExodusModelOntoOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetPackExodusModelOntoOutput(temp0);
      }
    else
      {
      op->SetPackExodusModelOntoOutput(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPackExodusModelOntoOutput(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPackExodusModelOntoOutput();
      }
    else
      {
      temp20 = op->GetPackExodusModelOntoOutput();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_PackExodusModelOntoOutputOn(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::PackExodusModelOntoOutputOn();
      }
    else
      {
      op->PackExodusModelOntoOutputOn();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_PackExodusModelOntoOutputOff(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::PackExodusModelOntoOutputOff();
      }
    else
      {
      op->PackExodusModelOntoOutputOff();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_IsValidVariable(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::IsValidVariable(temp0,temp1);
      }
    else
      {
      temp20 = op->IsValidVariable(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetVariableID(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  char    *temp1;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zz", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetVariableID(temp0,temp1);
      }
    else
      {
      temp20 = op->GetVariableID(temp0,temp1);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetAllArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"ii", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetAllArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetAllArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetTimeSeriesData(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  char    *temp1;
  char    *temp2;
  vtkFloatArray  *temp3;
  PyObject *tempH3;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"izzO", &temp0, &temp1, &temp2, &tempH3);
  if (op)
    {
    temp3 = (vtkFloatArray *)vtkPythonGetPointerFromObject(tempH3,(char*)"vtkFloatArray");
    if (!temp3 && tempH3 != Py_None) goto break154;
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetTimeSeriesData(temp0,temp1,temp2,temp3);
      }
    else
      {
      temp20 = op->GetTimeSeriesData(temp0,temp1,temp2,temp3);
      }
    return PyInt_FromLong(temp20);
    }
  }
 break154:
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfEdgeBlockArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfEdgeBlockArrays();
      }
    else
      {
      temp20 = op->GetNumberOfEdgeBlockArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeBlockArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeBlockArrayName(temp0);
      }
    else
      {
      temp20 = op->GetEdgeBlockArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeBlockArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetEdgeBlockArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetEdgeBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetEdgeBlockArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetEdgeBlockArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfFaceBlockArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfFaceBlockArrays();
      }
    else
      {
      temp20 = op->GetNumberOfFaceBlockArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceBlockArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceBlockArrayName(temp0);
      }
    else
      {
      temp20 = op->GetFaceBlockArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceBlockArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetFaceBlockArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFaceBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFaceBlockArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetFaceBlockArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfElementBlockArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfElementBlockArrays();
      }
    else
      {
      temp20 = op->GetNumberOfElementBlockArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementBlockArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementBlockArrayName(temp0);
      }
    else
      {
      temp20 = op->GetElementBlockArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementBlockArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetElementBlockArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetElementBlockArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetElementBlockArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetElementBlockArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfGlobalResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfGlobalResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfGlobalResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetGlobalResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetGlobalResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetGlobalResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetGlobalResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetGlobalResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetGlobalResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetGlobalResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetGlobalResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfPointResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfPointResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfPointResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPointResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPointResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetPointResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetPointResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetPointResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetPointResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetPointResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetPointResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetPointResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfEdgeResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfEdgeResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfEdgeResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetEdgeResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetEdgeResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetEdgeResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetEdgeResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetEdgeResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfFaceResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfFaceResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfFaceResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetFaceResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetFaceResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFaceResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFaceResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetFaceResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfElementResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfElementResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfElementResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetElementResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetElementResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetElementResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetElementResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetElementResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfNodeMapArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfNodeMapArrays();
      }
    else
      {
      temp20 = op->GetNumberOfNodeMapArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNodeMapArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNodeMapArrayName(temp0);
      }
    else
      {
      temp20 = op->GetNodeMapArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNodeMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNodeMapArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetNodeMapArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetNodeMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetNodeMapArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetNodeMapArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfEdgeMapArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfEdgeMapArrays();
      }
    else
      {
      temp20 = op->GetNumberOfEdgeMapArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeMapArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeMapArrayName(temp0);
      }
    else
      {
      temp20 = op->GetEdgeMapArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeMapArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetEdgeMapArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetEdgeMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetEdgeMapArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetEdgeMapArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfFaceMapArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfFaceMapArrays();
      }
    else
      {
      temp20 = op->GetNumberOfFaceMapArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceMapArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceMapArrayName(temp0);
      }
    else
      {
      temp20 = op->GetFaceMapArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceMapArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetFaceMapArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFaceMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFaceMapArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetFaceMapArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfElementMapArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfElementMapArrays();
      }
    else
      {
      temp20 = op->GetNumberOfElementMapArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementMapArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementMapArrayName(temp0);
      }
    else
      {
      temp20 = op->GetElementMapArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementMapArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetElementMapArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetElementMapArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetElementMapArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetElementMapArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfNodeSetArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfNodeSetArrays();
      }
    else
      {
      temp20 = op->GetNumberOfNodeSetArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNodeSetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNodeSetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetNodeSetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNodeSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNodeSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetNodeSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetNodeSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetNodeSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetNodeSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfSideSetArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfSideSetArrays();
      }
    else
      {
      temp20 = op->GetNumberOfSideSetArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetSideSetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetSideSetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetSideSetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetSideSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetSideSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetSideSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetSideSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetSideSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetSideSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfEdgeSetArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfEdgeSetArrays();
      }
    else
      {
      temp20 = op->GetNumberOfEdgeSetArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeSetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeSetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetEdgeSetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetEdgeSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetEdgeSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetEdgeSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetEdgeSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfFaceSetArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfFaceSetArrays();
      }
    else
      {
      temp20 = op->GetNumberOfFaceSetArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceSetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceSetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetFaceSetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetFaceSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFaceSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFaceSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetFaceSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfElementSetArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfElementSetArrays();
      }
    else
      {
      temp20 = op->GetNumberOfElementSetArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementSetArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementSetArrayName(temp0);
      }
    else
      {
      temp20 = op->GetElementSetArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementSetArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetElementSetArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetElementSetArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetElementSetArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetElementSetArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfNodeSetResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfNodeSetResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfNodeSetResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNodeSetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNodeSetResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetNodeSetResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNodeSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNodeSetResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetNodeSetResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetNodeSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetNodeSetResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetNodeSetResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfSideSetResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfSideSetResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfSideSetResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetSideSetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetSideSetResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetSideSetResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetSideSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetSideSetResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetSideSetResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetSideSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetSideSetResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetSideSetResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfEdgeSetResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfEdgeSetResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfEdgeSetResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeSetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeSetResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetEdgeSetResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetEdgeSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetEdgeSetResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetEdgeSetResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetEdgeSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetEdgeSetResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetEdgeSetResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfFaceSetResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfFaceSetResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfFaceSetResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceSetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceSetResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetFaceSetResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetFaceSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetFaceSetResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetFaceSetResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFaceSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFaceSetResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetFaceSetResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetNumberOfElementSetResultArrays(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetNumberOfElementSetResultArrays();
      }
    else
      {
      temp20 = op->GetNumberOfElementSetResultArrays();
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementSetResultArrayName(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  int      temp0;
  const char    *temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementSetResultArrayName(temp0);
      }
    else
      {
      temp20 = op->GetElementSetResultArrayName(temp0);
      }
    if (temp20 == NULL) {
      Py_INCREF(Py_None);
      return Py_None;
      }
    else {
      return PyString_FromString(temp20);
      }
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_GetElementSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp20;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      temp20 = op->vtkExodusIIReader::GetElementSetResultArrayStatus(temp0);
      }
    else
      {
      temp20 = op->GetElementSetResultArrayStatus(temp0);
      }
    return PyInt_FromLong(temp20);
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetElementSetResultArrayStatus(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  int      temp1;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"zi", &temp0, &temp1);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetElementSetResultArrayStatus(temp0,temp1);
      }
    else
      {
      op->SetElementSetResultArrayStatus(temp0,temp1);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFastPathObjectType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFastPathObjectType(temp0);
      }
    else
      {
      op->SetFastPathObjectType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFastPathIdType(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  char    *temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"z", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFastPathIdType(temp0);
      }
    else
      {
      op->SetFastPathIdType(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_SetFastPathObjectId(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  vtkIdType   temp0;
  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"i", &temp0);
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::SetFastPathObjectId(temp0);
      }
    else
      {
      op->SetFastPathObjectId(temp0);
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_Reset(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::Reset();
      }
    else
      {
      op->Reset();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_ResetSettings(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::ResetSettings();
      }
    else
      {
      op->ResetSettings();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_ResetCache(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::ResetCache();
      }
    else
      {
      op->ResetCache();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_UpdateTimeInformation(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::UpdateTimeInformation();
      }
    else
      {
      op->UpdateTimeInformation();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}


static PyObject *PyvtkExodusIIReader_Dump(PyObject *self, PyObject *args)
{
  /* handle an occurrence */
  {
  vtkExodusIIReader *op;

  op = (vtkExodusIIReader *)PyArg_VTKParseTuple(self, args, (char*)"");
  if (op)
    {
    if (PyVTKClass_Check(self))
      {
      op->vtkExodusIIReader::Dump();
      }
    else
      {
      op->Dump();
      }
    Py_INCREF(Py_None);
    return Py_None;
    }
  }
  return NULL;
}

static PyMethodDef PyvtkExodusIIReaderMethods[] = {
  {(char*)"GetClassName",                (PyCFunction)PyvtkExodusIIReader_GetClassName, 1,
   (char*)"V.GetClassName() -> string\nC++: const char *GetClassName ();\n\n"},
  {(char*)"IsA",                (PyCFunction)PyvtkExodusIIReader_IsA, 1,
   (char*)"V.IsA(string) -> int\nC++: int IsA (const char *name);\n\n"},
  {(char*)"NewInstance",                (PyCFunction)PyvtkExodusIIReader_NewInstance, 1,
   (char*)"V.NewInstance() -> vtkExodusIIReader\nC++: vtkExodusIIReader *NewInstance ();\n\n"},
  {(char*)"SafeDownCast",                (PyCFunction)PyvtkExodusIIReader_SafeDownCast, 1,
   (char*)"V.SafeDownCast(vtkObject) -> vtkExodusIIReader\nC++: vtkExodusIIReader *SafeDownCast (vtkObject* o);\n\n"},
  {(char*)"CanReadFile",                (PyCFunction)PyvtkExodusIIReader_CanReadFile, 1,
   (char*)"V.CanReadFile(string) -> int\nC++: int CanReadFile (const char *fname);\n\n Determine if the file can be readed with this reader.\n"},
  {(char*)"GetMTime",                (PyCFunction)PyvtkExodusIIReader_GetMTime, 1,
   (char*)"V.GetMTime() -> int\nC++: virtual unsigned long GetMTime ();\n\n Return the object's MTime. This is overridden to include the timestamp of its internal class.\n"},
  {(char*)"GetMetadataMTime",                (PyCFunction)PyvtkExodusIIReader_GetMetadataMTime, 1,
   (char*)"V.GetMetadataMTime() -> int\nC++: virtual unsigned long GetMetadataMTime ();\n\n Return the MTime of the internal data structure.\n This is really only intended for use by vtkPExodusIIReader in order\n to determine if the filename is newer than the metadata.\n"},
  {(char*)"SetFileName",                (PyCFunction)PyvtkExodusIIReader_SetFileName, 1,
   (char*)"V.SetFileName(string)\nC++: virtual void SetFileName (const char *fname);\n\n Specify file name of the Exodus file.\n"},
  {(char*)"GetFileName",                (PyCFunction)PyvtkExodusIIReader_GetFileName, 1,
   (char*)"V.GetFileName() -> string\nC++: char *GetFileName ();\n\n Specify file name of the Exodus file.\n"},
  {(char*)"SetXMLFileName",                (PyCFunction)PyvtkExodusIIReader_SetXMLFileName, 1,
   (char*)"V.SetXMLFileName(string)\nC++: virtual void SetXMLFileName (const char *fname);\n\n Specify file name of the xml file.\n"},
  {(char*)"GetXMLFileName",                (PyCFunction)PyvtkExodusIIReader_GetXMLFileName, 1,
   (char*)"V.GetXMLFileName() -> string\nC++: char *GetXMLFileName ();\n\n Specify file name of the xml file.\n"},
  {(char*)"SetTimeStep",                (PyCFunction)PyvtkExodusIIReader_SetTimeStep, 1,
   (char*)"V.SetTimeStep(int)\nC++: void SetTimeStep (int );\n\n Which TimeStep to read.    \n"},
  {(char*)"GetTimeStep",                (PyCFunction)PyvtkExodusIIReader_GetTimeStep, 1,
   (char*)"V.GetTimeStep() -> int\nC++: int GetTimeStep ();\n\n Which TimeStep to read.    \n"},
  {(char*)"GetTimeStepRange",                (PyCFunction)PyvtkExodusIIReader_GetTimeStepRange, 1,
   (char*)"V.GetTimeStepRange() -> (int, int)\nC++: int  *GetTimeStepRange ();\n\n Returns the available range of valid integer time steps.\n"},
  {(char*)"SetTimeStepRange",                (PyCFunction)PyvtkExodusIIReader_SetTimeStepRange, 1,
   (char*)"V.SetTimeStepRange(int, int)\nC++: void SetTimeStepRange (int , int );\nV.SetTimeStepRange((int, int))\nC++: void SetTimeStepRange (int  a[2]);\n\n Returns the available range of valid integer time steps.\n"},
  {(char*)"SetGenerateObjectIdCellArray",                (PyCFunction)PyvtkExodusIIReader_SetGenerateObjectIdCellArray, 1,
   (char*)"V.SetGenerateObjectIdCellArray(int)\nC++: virtual void SetGenerateObjectIdCellArray (int g);\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exodus face block. The same holds\n for cells representing entries of node, edge, face, side, and element sets.\n"},
  {(char*)"GetGenerateObjectIdCellArray",                (PyCFunction)PyvtkExodusIIReader_GetGenerateObjectIdCellArray, 1,
   (char*)"V.GetGenerateObjectIdCellArray() -> int\nC++: int GetGenerateObjectIdCellArray ();\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exodus face block. The same holds\n for cells representing entries of node, edge, face, side, and element sets.\n"},
  {(char*)"GenerateObjectIdCellArrayOn",                (PyCFunction)PyvtkExodusIIReader_GenerateObjectIdCellArrayOn, 1,
   (char*)"V.GenerateObjectIdCellArrayOn()\nC++: void GenerateObjectIdCellArrayOn ();\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exodus face block. The same holds\n for cells representing entries of node, edge, face, side, and element sets.\n"},
  {(char*)"GenerateObjectIdCellArrayOff",                (PyCFunction)PyvtkExodusIIReader_GenerateObjectIdCellArrayOff, 1,
   (char*)"V.GenerateObjectIdCellArrayOff()\nC++: void GenerateObjectIdCellArrayOff ();\n\n Extra cell data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id found\n in the exodus file. The name of the array is returned by \n GetBlockIdArrayName(). For cells representing elements from\n an Exodus element block, this is set to the element block ID. For\n cells representing edges from an Exodus edge block, this is the\n edge block ID. Similarly, ths is the face block ID for cells\n representing faces from an Exodus face block. The same holds\n for cells representing entries of node, edge, face, side, and element sets.\n"},
  {(char*)"GetObjectIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetObjectIdArrayName, 1,
   (char*)"V.GetObjectIdArrayName() -> string\nC++: static const char *GetObjectIdArrayName ();return \n\n"},
  {(char*)"SetGenerateGlobalElementIdArray",                (PyCFunction)PyvtkExodusIIReader_SetGenerateGlobalElementIdArray, 1,
   (char*)"V.SetGenerateGlobalElementIdArray(int)\nC++: virtual void SetGenerateGlobalElementIdArray (int g);\n\n"},
  {(char*)"GetGenerateGlobalElementIdArray",                (PyCFunction)PyvtkExodusIIReader_GetGenerateGlobalElementIdArray, 1,
   (char*)"V.GetGenerateGlobalElementIdArray() -> int\nC++: int GetGenerateGlobalElementIdArray ();\n\n"},
  {(char*)"GenerateGlobalElementIdArrayOn",                (PyCFunction)PyvtkExodusIIReader_GenerateGlobalElementIdArrayOn, 1,
   (char*)"V.GenerateGlobalElementIdArrayOn()\nC++: void GenerateGlobalElementIdArrayOn ();\n\n"},
  {(char*)"GenerateGlobalElementIdArrayOff",                (PyCFunction)PyvtkExodusIIReader_GenerateGlobalElementIdArrayOff, 1,
   (char*)"V.GenerateGlobalElementIdArrayOff()\nC++: void GenerateGlobalElementIdArrayOff ();\n\n"},
  {(char*)"SetGenerateGlobalNodeIdArray",                (PyCFunction)PyvtkExodusIIReader_SetGenerateGlobalNodeIdArray, 1,
   (char*)"V.SetGenerateGlobalNodeIdArray(int)\nC++: virtual void SetGenerateGlobalNodeIdArray (int g);\n\n"},
  {(char*)"GetGenerateGlobalNodeIdArray",                (PyCFunction)PyvtkExodusIIReader_GetGenerateGlobalNodeIdArray, 1,
   (char*)"V.GetGenerateGlobalNodeIdArray() -> int\nC++: int GetGenerateGlobalNodeIdArray ();\n\n"},
  {(char*)"GenerateGlobalNodeIdArrayOn",                (PyCFunction)PyvtkExodusIIReader_GenerateGlobalNodeIdArrayOn, 1,
   (char*)"V.GenerateGlobalNodeIdArrayOn()\nC++: void GenerateGlobalNodeIdArrayOn ();\n\n"},
  {(char*)"GenerateGlobalNodeIdArrayOff",                (PyCFunction)PyvtkExodusIIReader_GenerateGlobalNodeIdArrayOff, 1,
   (char*)"V.GenerateGlobalNodeIdArrayOff()\nC++: void GenerateGlobalNodeIdArrayOff ();\n\n"},
  {(char*)"SetGenerateFileIdArray",                (PyCFunction)PyvtkExodusIIReader_SetGenerateFileIdArray, 1,
   (char*)"V.SetGenerateFileIdArray(int)\nC++: virtual void SetGenerateFileIdArray (int f);\n\n"},
  {(char*)"GetGenerateFileIdArray",                (PyCFunction)PyvtkExodusIIReader_GetGenerateFileIdArray, 1,
   (char*)"V.GetGenerateFileIdArray() -> int\nC++: int GetGenerateFileIdArray ();\n\n"},
  {(char*)"GenerateFileIdArrayOn",                (PyCFunction)PyvtkExodusIIReader_GenerateFileIdArrayOn, 1,
   (char*)"V.GenerateFileIdArrayOn()\nC++: void GenerateFileIdArrayOn ();\n\n"},
  {(char*)"GenerateFileIdArrayOff",                (PyCFunction)PyvtkExodusIIReader_GenerateFileIdArrayOff, 1,
   (char*)"V.GenerateFileIdArrayOff()\nC++: void GenerateFileIdArrayOff ();\n\n"},
  {(char*)"SetFileId",                (PyCFunction)PyvtkExodusIIReader_SetFileId, 1,
   (char*)"V.SetFileId(int)\nC++: virtual void SetFileId (int f);\n\n"},
  {(char*)"GetFileId",                (PyCFunction)PyvtkExodusIIReader_GetFileId, 1,
   (char*)"V.GetFileId() -> int\nC++: int GetFileId ();\n\n"},
  {(char*)"GetGlobalElementIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetGlobalElementIdArrayName, 1,
   (char*)"V.GetGlobalElementIdArrayName() -> string\nC++: static const char *GetGlobalElementIdArrayName ();return \n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n ***NOTE*** No more \"unique\" global ID. Instead we have an arbitrary number of maps.\n"},
  {(char*)"GetPedigreeElementIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetPedigreeElementIdArrayName, 1,
   (char*)"V.GetPedigreeElementIdArrayName() -> string\nC++: static const char *GetPedigreeElementIdArrayName ();return \n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n ***NOTE*** No more \"unique\" global ID. Instead we have an arbitrary number of maps.\n"},
  {(char*)"GetGlobalElementID",                (PyCFunction)PyvtkExodusIIReader_GetGlobalElementID, 1,
   (char*)"V.GetGlobalElementID(vtkDataSet, int) -> int\nC++: static int GetGlobalElementID (vtkDataSet *data, int localID);\nV.GetGlobalElementID(vtkDataSet, int, int) -> int\nC++: static int GetGlobalElementID (vtkDataSet *data, int localID, int searchType);\n\n Extra cell data array that can be generated.  By default, this array\n is off.  The value of the array is the integer global id of the cell.\n The name of the array is returned by GetGlobalElementIdArrayName()\n ***NOTE*** No more \"unique\" global ID. Instead we have an arbitrary number of maps.\n"},
  {(char*)"GetGlobalFaceIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetGlobalFaceIdArrayName, 1,
   (char*)"V.GetGlobalFaceIdArrayName() -> string\nC++: static const char *GetGlobalFaceIdArrayName ();return \n\n"},
  {(char*)"GetPedigreeFaceIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetPedigreeFaceIdArrayName, 1,
   (char*)"V.GetPedigreeFaceIdArrayName() -> string\nC++: static const char *GetPedigreeFaceIdArrayName ();return \n\n"},
  {(char*)"GetGlobalFaceID",                (PyCFunction)PyvtkExodusIIReader_GetGlobalFaceID, 1,
   (char*)"V.GetGlobalFaceID(vtkDataSet, int) -> int\nC++: static int GetGlobalFaceID (vtkDataSet *data, int localID);\nV.GetGlobalFaceID(vtkDataSet, int, int) -> int\nC++: static int GetGlobalFaceID (vtkDataSet *data, int localID, int searchType);\n\n"},
  {(char*)"GetGlobalEdgeIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetGlobalEdgeIdArrayName, 1,
   (char*)"V.GetGlobalEdgeIdArrayName() -> string\nC++: static const char *GetGlobalEdgeIdArrayName ();return \n\n"},
  {(char*)"GetPedigreeEdgeIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetPedigreeEdgeIdArrayName, 1,
   (char*)"V.GetPedigreeEdgeIdArrayName() -> string\nC++: static const char *GetPedigreeEdgeIdArrayName ();return \n\n"},
  {(char*)"GetGlobalEdgeID",                (PyCFunction)PyvtkExodusIIReader_GetGlobalEdgeID, 1,
   (char*)"V.GetGlobalEdgeID(vtkDataSet, int) -> int\nC++: static int GetGlobalEdgeID (vtkDataSet *data, int localID);\nV.GetGlobalEdgeID(vtkDataSet, int, int) -> int\nC++: static int GetGlobalEdgeID (vtkDataSet *data, int localID, int searchType);\n\n"},
  {(char*)"GetGlobalNodeIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetGlobalNodeIdArrayName, 1,
   (char*)"V.GetGlobalNodeIdArrayName() -> string\nC++: static const char *GetGlobalNodeIdArrayName ();return \n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"GetPedigreeNodeIdArrayName",                (PyCFunction)PyvtkExodusIIReader_GetPedigreeNodeIdArrayName, 1,
   (char*)"V.GetPedigreeNodeIdArrayName() -> string\nC++: static const char *GetPedigreeNodeIdArrayName ();return \n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"GetGlobalNodeID",                (PyCFunction)PyvtkExodusIIReader_GetGlobalNodeID, 1,
   (char*)"V.GetGlobalNodeID(vtkDataSet, int) -> int\nC++: static int GetGlobalNodeID (vtkDataSet *data, int localID);\nV.GetGlobalNodeID(vtkDataSet, int, int) -> int\nC++: static int GetGlobalNodeID (vtkDataSet *data, int localID, int searchType);\n\n Extra point data array that can be generated.  By default, this array\n is ON.  The value of the array is the integer id of the node.\n The id is relative to the entire data set.\n The name of the array is returned by GlobalNodeIdArrayName().\n"},
  {(char*)"SetApplyDisplacements",                (PyCFunction)PyvtkExodusIIReader_SetApplyDisplacements, 1,
   (char*)"V.SetApplyDisplacements(int)\nC++: virtual void SetApplyDisplacements (int d);\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"GetApplyDisplacements",                (PyCFunction)PyvtkExodusIIReader_GetApplyDisplacements, 1,
   (char*)"V.GetApplyDisplacements() -> int\nC++: int GetApplyDisplacements ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"ApplyDisplacementsOn",                (PyCFunction)PyvtkExodusIIReader_ApplyDisplacementsOn, 1,
   (char*)"V.ApplyDisplacementsOn()\nC++: void ApplyDisplacementsOn ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"ApplyDisplacementsOff",                (PyCFunction)PyvtkExodusIIReader_ApplyDisplacementsOff, 1,
   (char*)"V.ApplyDisplacementsOff()\nC++: void ApplyDisplacementsOff ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"SetDisplacementMagnitude",                (PyCFunction)PyvtkExodusIIReader_SetDisplacementMagnitude, 1,
   (char*)"V.SetDisplacementMagnitude(float)\nC++: virtual void SetDisplacementMagnitude (float s);\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"GetDisplacementMagnitude",                (PyCFunction)PyvtkExodusIIReader_GetDisplacementMagnitude, 1,
   (char*)"V.GetDisplacementMagnitude() -> float\nC++: float GetDisplacementMagnitude ();\n\n Geometric locations can include displacements.  By default, \n this is ON.  The nodal positions are 'displaced' by the\n standard exodus displacment vector. If displacements\n are turned 'off', the user can explicitly add them by\n applying a warp filter.\n"},
  {(char*)"SetHasModeShapes",                (PyCFunction)PyvtkExodusIIReader_SetHasModeShapes, 1,
   (char*)"V.SetHasModeShapes(int)\nC++: virtual void SetHasModeShapes (int ms);\n\n Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n"},
  {(char*)"GetHasModeShapes",                (PyCFunction)PyvtkExodusIIReader_GetHasModeShapes, 1,
   (char*)"V.GetHasModeShapes() -> int\nC++: int GetHasModeShapes ();\n\n Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n"},
  {(char*)"HasModeShapesOn",                (PyCFunction)PyvtkExodusIIReader_HasModeShapesOn, 1,
   (char*)"V.HasModeShapesOn()\nC++: void HasModeShapesOn ();\n\n Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n"},
  {(char*)"HasModeShapesOff",                (PyCFunction)PyvtkExodusIIReader_HasModeShapesOff, 1,
   (char*)"V.HasModeShapesOff()\nC++: void HasModeShapesOff ();\n\n Set/Get whether the Exodus sequence number corresponds to time steps or mode shapes.\n By default, HasModeShapes is false unless two time values in the Exodus file are identical,\n in which case it is true.\n"},
  {(char*)"SetModeShapeTime",                (PyCFunction)PyvtkExodusIIReader_SetModeShapeTime, 1,
   (char*)"V.SetModeShapeTime(float)\nC++: virtual void SetModeShapeTime (double phase);\n\n Set/Get the time used to animate mode shapes.\n This is a number between 0 and 1 that is used to scale the \\a DisplacementMagnitude\n in a sinusoidal pattern. Specifically, the displacement vector for each vertex is scaled by\n \\f$ \\mathrm{DisplacementMagnitude} cos( 2\\pi \\mathrm{ModeShapeTime} ) \\f$ before it is\n added to the vertex coordinates.\n"},
  {(char*)"GetModeShapeTime",                (PyCFunction)PyvtkExodusIIReader_GetModeShapeTime, 1,
   (char*)"V.GetModeShapeTime() -> float\nC++: double GetModeShapeTime ();\n\n Set/Get the time used to animate mode shapes.\n This is a number between 0 and 1 that is used to scale the \\a DisplacementMagnitude\n in a sinusoidal pattern. Specifically, the displacement vector for each vertex is scaled by\n \\f$ \\mathrm{DisplacementMagnitude} cos( 2\\pi \\mathrm{ModeShapeTime} ) \\f$ before it is\n added to the vertex coordinates.\n"},
  {(char*)"SetEdgeFieldDecorations",                (PyCFunction)PyvtkExodusIIReader_SetEdgeFieldDecorations, 1,
   (char*)"V.SetEdgeFieldDecorations(int)\nC++: virtual void SetEdgeFieldDecorations (int d);\n\n FIXME\n"},
  {(char*)"GetEdgeFieldDecorations",                (PyCFunction)PyvtkExodusIIReader_GetEdgeFieldDecorations, 1,
   (char*)"V.GetEdgeFieldDecorations() -> int\nC++: int GetEdgeFieldDecorations ();\n\n FIXME\n"},
  {(char*)"EdgeFieldDecorationsNone",                (PyCFunction)PyvtkExodusIIReader_EdgeFieldDecorationsNone, 1,
   (char*)"V.EdgeFieldDecorationsNone()\nC++: void EdgeFieldDecorationsNone ();this SetEdgeFieldDecorations NONE \n\n FIXME\n"},
  {(char*)"EdgeFieldDecorationsGlyphs",                (PyCFunction)PyvtkExodusIIReader_EdgeFieldDecorationsGlyphs, 1,
   (char*)"V.EdgeFieldDecorationsGlyphs()\nC++: void EdgeFieldDecorationsGlyphs ();this SetEdgeFieldDecorations GLYPHS \n\n FIXME\n"},
  {(char*)"EdgeFieldDecorationsCornerAveraged",                (PyCFunction)PyvtkExodusIIReader_EdgeFieldDecorationsCornerAveraged, 1,
   (char*)"V.EdgeFieldDecorationsCornerAveraged()\nC++: void EdgeFieldDecorationsCornerAveraged ();this SetEdgeFieldDecorations CORNER_AVERAGED \n\n FIXME\n"},
  {(char*)"SetFaceFieldDecorations",                (PyCFunction)PyvtkExodusIIReader_SetFaceFieldDecorations, 1,
   (char*)"V.SetFaceFieldDecorations(int)\nC++: virtual void SetFaceFieldDecorations (int d);\n\n FIXME\n"},
  {(char*)"GetFaceFieldDecorations",                (PyCFunction)PyvtkExodusIIReader_GetFaceFieldDecorations, 1,
   (char*)"V.GetFaceFieldDecorations() -> int\nC++: int GetFaceFieldDecorations ();\n\n FIXME\n"},
  {(char*)"FaceFieldDecorationsNone",                (PyCFunction)PyvtkExodusIIReader_FaceFieldDecorationsNone, 1,
   (char*)"V.FaceFieldDecorationsNone()\nC++: void FaceFieldDecorationsNone ();this SetFaceFieldDecorations NONE \n\n FIXME\n"},
  {(char*)"FaceFieldDecorationsGlyphs",                (PyCFunction)PyvtkExodusIIReader_FaceFieldDecorationsGlyphs, 1,
   (char*)"V.FaceFieldDecorationsGlyphs()\nC++: void FaceFieldDecorationsGlyphs ();this SetFaceFieldDecorations GLYPHS \n\n FIXME\n"},
  {(char*)"FaceFieldDecorationsCornerAveraged",                (PyCFunction)PyvtkExodusIIReader_FaceFieldDecorationsCornerAveraged, 1,
   (char*)"V.FaceFieldDecorationsCornerAveraged()\nC++: void FaceFieldDecorationsCornerAveraged ();this SetFaceFieldDecorations CORNER_AVERAGED \n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetTitle",                (PyCFunction)PyvtkExodusIIReader_GetTitle, 1,
   (char*)"V.GetTitle() -> string\nC++: const char *GetTitle ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetDimensionality",                (PyCFunction)PyvtkExodusIIReader_GetDimensionality, 1,
   (char*)"V.GetDimensionality() -> int\nC++: int GetDimensionality ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfTimeSteps",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfTimeSteps, 1,
   (char*)"V.GetNumberOfTimeSteps() -> int\nC++: int GetNumberOfTimeSteps ();\n\n Access to meta data generated by UpdateInformation.\n"},
  {(char*)"GetNumberOfNodesInFile",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfNodesInFile, 1,
   (char*)"V.GetNumberOfNodesInFile() -> int\nC++: int GetNumberOfNodesInFile ();\n\n"},
  {(char*)"GetNumberOfEdgesInFile",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfEdgesInFile, 1,
   (char*)"V.GetNumberOfEdgesInFile() -> int\nC++: int GetNumberOfEdgesInFile ();\n\n"},
  {(char*)"GetNumberOfFacesInFile",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfFacesInFile, 1,
   (char*)"V.GetNumberOfFacesInFile() -> int\nC++: int GetNumberOfFacesInFile ();\n\n"},
  {(char*)"GetNumberOfElementsInFile",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfElementsInFile, 1,
   (char*)"V.GetNumberOfElementsInFile() -> int\nC++: int GetNumberOfElementsInFile ();\n\n"},
  {(char*)"GetObjectTypeFromName",                (PyCFunction)PyvtkExodusIIReader_GetObjectTypeFromName, 1,
   (char*)"V.GetObjectTypeFromName(string) -> int\nC++: int GetObjectTypeFromName (const char *name);\n\n"},
  {(char*)"GetObjectTypeName",                (PyCFunction)PyvtkExodusIIReader_GetObjectTypeName, 1,
   (char*)"V.GetObjectTypeName(int) -> string\nC++: const char *GetObjectTypeName (int );\n\n"},
  {(char*)"GetNumberOfNodes",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfNodes, 1,
   (char*)"V.GetNumberOfNodes() -> int\nC++: int GetNumberOfNodes ();\n\n"},
  {(char*)"GetNumberOfObjects",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfObjects, 1,
   (char*)"V.GetNumberOfObjects(int) -> int\nC++: int GetNumberOfObjects (int objectType);\n\n"},
  {(char*)"GetNumberOfEntriesInObject",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfEntriesInObject, 1,
   (char*)"V.GetNumberOfEntriesInObject(int, int) -> int\nC++: int GetNumberOfEntriesInObject (int objectType, int objectIndex);\n\n"},
  {(char*)"GetObjectId",                (PyCFunction)PyvtkExodusIIReader_GetObjectId, 1,
   (char*)"V.GetObjectId(int, int) -> int\nC++: int GetObjectId (int objectType, int objectIndex);\n\n"},
  {(char*)"GetObjectName",                (PyCFunction)PyvtkExodusIIReader_GetObjectName, 1,
   (char*)"V.GetObjectName(int, int) -> string\nC++: const char *GetObjectName (int objectType, int objectIndex);\n\n"},
  {(char*)"GetObjectIndex",                (PyCFunction)PyvtkExodusIIReader_GetObjectIndex, 1,
   (char*)"V.GetObjectIndex(int, string) -> int\nC++: int GetObjectIndex (int objectType, const char *objectName);\nV.GetObjectIndex(int, int) -> int\nC++: int GetObjectIndex (int objectType, int id);\n\n"},
  {(char*)"GetObjectStatus",                (PyCFunction)PyvtkExodusIIReader_GetObjectStatus, 1,
   (char*)"V.GetObjectStatus(int, int) -> int\nC++: int GetObjectStatus (int objectType, int objectIndex);\nV.GetObjectStatus(int, string) -> int\nC++: int GetObjectStatus (int objectType, const char *objectName);return this GetObjectStatus objectType this GetObjectIndex objectType objectName \n\n"},
  {(char*)"SetObjectStatus",                (PyCFunction)PyvtkExodusIIReader_SetObjectStatus, 1,
   (char*)"V.SetObjectStatus(int, int, int)\nC++: void SetObjectStatus (int objectType, int objectIndex, int status);\nV.SetObjectStatus(int, string, int)\nC++: void SetObjectStatus (int objectType, const char *objectName, int status);\n\n"},
  {(char*)"GetNumberOfObjectArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfObjectArrays, 1,
   (char*)"V.GetNumberOfObjectArrays(int) -> int\nC++: int GetNumberOfObjectArrays (int objectType);\n\n"},
  {(char*)"GetObjectArrayName",                (PyCFunction)PyvtkExodusIIReader_GetObjectArrayName, 1,
   (char*)"V.GetObjectArrayName(int, int) -> string\nC++: const char *GetObjectArrayName (int objectType, int arrayIndex);\n\n"},
  {(char*)"GetObjectArrayIndex",                (PyCFunction)PyvtkExodusIIReader_GetObjectArrayIndex, 1,
   (char*)"V.GetObjectArrayIndex(int, string) -> int\nC++: int GetObjectArrayIndex (int objectType, const char *arrayName);\n\n"},
  {(char*)"GetNumberOfObjectArrayComponents",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfObjectArrayComponents, 1,
   (char*)"V.GetNumberOfObjectArrayComponents(int, int) -> int\nC++: int GetNumberOfObjectArrayComponents (int objectType, int arrayIndex);\n\n"},
  {(char*)"GetObjectArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetObjectArrayStatus, 1,
   (char*)"V.GetObjectArrayStatus(int, int) -> int\nC++: int GetObjectArrayStatus (int objectType, int arrayIndex);\nV.GetObjectArrayStatus(int, string) -> int\nC++: int GetObjectArrayStatus (int objectType, const char *arrayName);return this GetObjectArrayStatus objectType this GetObjectArrayIndex objectType arrayName \n\n"},
  {(char*)"SetObjectArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetObjectArrayStatus, 1,
   (char*)"V.SetObjectArrayStatus(int, int, int)\nC++: void SetObjectArrayStatus (int objectType, int arrayIndex, int status);\nV.SetObjectArrayStatus(int, string, int)\nC++: void SetObjectArrayStatus (int objectType, const char *arrayName, int status);\n\n"},
  {(char*)"GetNumberOfObjectAttributes",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfObjectAttributes, 1,
   (char*)"V.GetNumberOfObjectAttributes(int, int) -> int\nC++: int GetNumberOfObjectAttributes (int objectType, int objectIndex);\n\n"},
  {(char*)"GetObjectAttributeName",                (PyCFunction)PyvtkExodusIIReader_GetObjectAttributeName, 1,
   (char*)"V.GetObjectAttributeName(int, int, int) -> string\nC++: const char *GetObjectAttributeName (int objectType, int objectIndex, int attribIndex);\n\n"},
  {(char*)"GetObjectAttributeIndex",                (PyCFunction)PyvtkExodusIIReader_GetObjectAttributeIndex, 1,
   (char*)"V.GetObjectAttributeIndex(int, int, string) -> int\nC++: int GetObjectAttributeIndex (int objectType, int objectIndex, const char *attribName);\n\n"},
  {(char*)"GetObjectAttributeStatus",                (PyCFunction)PyvtkExodusIIReader_GetObjectAttributeStatus, 1,
   (char*)"V.GetObjectAttributeStatus(int, int, int) -> int\nC++: int GetObjectAttributeStatus (int objectType, int objectIndex, int attribIndex);\nV.GetObjectAttributeStatus(int, int, string) -> int\nC++: int GetObjectAttributeStatus (int objectType, int objectIndex, const char *attribName);return this GetObjectAttributeStatus objectType objectIndex this GetObjectAttributeIndex objectType objectIndex attribName \n\n"},
  {(char*)"SetObjectAttributeStatus",                (PyCFunction)PyvtkExodusIIReader_SetObjectAttributeStatus, 1,
   (char*)"V.SetObjectAttributeStatus(int, int, int, int)\nC++: void SetObjectAttributeStatus (int objectType, int objectIndex, int attribIndex, int status);\nV.SetObjectAttributeStatus(int, int, string, int)\nC++: void SetObjectAttributeStatus (int objectType, int objectIndex, const char *attribName, int status);this SetObjectAttributeStatus objectType objectIndex this GetObjectAttributeIndex objectType objectIndex attribName status \n\n"},
  {(char*)"GetTotalNumberOfNodes",                (PyCFunction)PyvtkExodusIIReader_GetTotalNumberOfNodes, 1,
   (char*)"V.GetTotalNumberOfNodes() -> int\nC++: virtual vtkIdType GetTotalNumberOfNodes ();\n\n"},
  {(char*)"GetTotalNumberOfEdges",                (PyCFunction)PyvtkExodusIIReader_GetTotalNumberOfEdges, 1,
   (char*)"V.GetTotalNumberOfEdges() -> int\nC++: virtual vtkIdType GetTotalNumberOfEdges ();\n\n"},
  {(char*)"GetTotalNumberOfFaces",                (PyCFunction)PyvtkExodusIIReader_GetTotalNumberOfFaces, 1,
   (char*)"V.GetTotalNumberOfFaces() -> int\nC++: virtual vtkIdType GetTotalNumberOfFaces ();\n\n"},
  {(char*)"GetTotalNumberOfElements",                (PyCFunction)PyvtkExodusIIReader_GetTotalNumberOfElements, 1,
   (char*)"V.GetTotalNumberOfElements() -> int\nC++: virtual vtkIdType GetTotalNumberOfElements ();\n\n"},
  {(char*)"GetNumberOfPartArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfPartArrays, 1,
   (char*)"V.GetNumberOfPartArrays() -> int\nC++: int GetNumberOfPartArrays ();\n\n"},
  {(char*)"GetPartArrayName",                (PyCFunction)PyvtkExodusIIReader_GetPartArrayName, 1,
   (char*)"V.GetPartArrayName(int) -> string\nC++: const char *GetPartArrayName (int arrayIdx);\n\n"},
  {(char*)"GetPartArrayID",                (PyCFunction)PyvtkExodusIIReader_GetPartArrayID, 1,
   (char*)"V.GetPartArrayID(string) -> int\nC++: int GetPartArrayID (const char *name);\n\n"},
  {(char*)"GetPartBlockInfo",                (PyCFunction)PyvtkExodusIIReader_GetPartBlockInfo, 1,
   (char*)"V.GetPartBlockInfo(int) -> string\nC++: const char *GetPartBlockInfo (int arrayIdx);\n\n"},
  {(char*)"SetPartArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetPartArrayStatus, 1,
   (char*)"V.SetPartArrayStatus(int, int)\nC++: void SetPartArrayStatus (int index, int flag);\nV.SetPartArrayStatus(string, int)\nC++: void SetPartArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetPartArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetPartArrayStatus, 1,
   (char*)"V.GetPartArrayStatus(int) -> int\nC++: int GetPartArrayStatus (int index);\nV.GetPartArrayStatus(string) -> int\nC++: int GetPartArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfMaterialArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfMaterialArrays, 1,
   (char*)"V.GetNumberOfMaterialArrays() -> int\nC++: int GetNumberOfMaterialArrays ();\n\n"},
  {(char*)"GetMaterialArrayName",                (PyCFunction)PyvtkExodusIIReader_GetMaterialArrayName, 1,
   (char*)"V.GetMaterialArrayName(int) -> string\nC++: const char *GetMaterialArrayName (int arrayIdx);\n\n"},
  {(char*)"GetMaterialArrayID",                (PyCFunction)PyvtkExodusIIReader_GetMaterialArrayID, 1,
   (char*)"V.GetMaterialArrayID(string) -> int\nC++: int GetMaterialArrayID (const char *name);\n\n"},
  {(char*)"SetMaterialArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetMaterialArrayStatus, 1,
   (char*)"V.SetMaterialArrayStatus(int, int)\nC++: void SetMaterialArrayStatus (int index, int flag);\nV.SetMaterialArrayStatus(string, int)\nC++: void SetMaterialArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetMaterialArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetMaterialArrayStatus, 1,
   (char*)"V.GetMaterialArrayStatus(int) -> int\nC++: int GetMaterialArrayStatus (int index);\nV.GetMaterialArrayStatus(string) -> int\nC++: int GetMaterialArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfAssemblyArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfAssemblyArrays, 1,
   (char*)"V.GetNumberOfAssemblyArrays() -> int\nC++: int GetNumberOfAssemblyArrays ();\n\n"},
  {(char*)"GetAssemblyArrayName",                (PyCFunction)PyvtkExodusIIReader_GetAssemblyArrayName, 1,
   (char*)"V.GetAssemblyArrayName(int) -> string\nC++: const char *GetAssemblyArrayName (int arrayIdx);\n\n"},
  {(char*)"GetAssemblyArrayID",                (PyCFunction)PyvtkExodusIIReader_GetAssemblyArrayID, 1,
   (char*)"V.GetAssemblyArrayID(string) -> int\nC++: int GetAssemblyArrayID (const char *name);\n\n"},
  {(char*)"SetAssemblyArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetAssemblyArrayStatus, 1,
   (char*)"V.SetAssemblyArrayStatus(int, int)\nC++: void SetAssemblyArrayStatus (int index, int flag);\nV.SetAssemblyArrayStatus(string, int)\nC++: void SetAssemblyArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetAssemblyArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetAssemblyArrayStatus, 1,
   (char*)"V.GetAssemblyArrayStatus(int) -> int\nC++: int GetAssemblyArrayStatus (int index);\nV.GetAssemblyArrayStatus(string) -> int\nC++: int GetAssemblyArrayStatus (const char *);\n\n"},
  {(char*)"GetNumberOfHierarchyArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfHierarchyArrays, 1,
   (char*)"V.GetNumberOfHierarchyArrays() -> int\nC++: int GetNumberOfHierarchyArrays ();\n\n"},
  {(char*)"GetHierarchyArrayName",                (PyCFunction)PyvtkExodusIIReader_GetHierarchyArrayName, 1,
   (char*)"V.GetHierarchyArrayName(int) -> string\nC++: const char *GetHierarchyArrayName (int arrayIdx);\n\n"},
  {(char*)"SetHierarchyArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetHierarchyArrayStatus, 1,
   (char*)"V.SetHierarchyArrayStatus(int, int)\nC++: void SetHierarchyArrayStatus (int index, int flag);\nV.SetHierarchyArrayStatus(string, int)\nC++: void SetHierarchyArrayStatus (const char *, int flag);\n\n"},
  {(char*)"GetHierarchyArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetHierarchyArrayStatus, 1,
   (char*)"V.GetHierarchyArrayStatus(int) -> int\nC++: int GetHierarchyArrayStatus (int index);\nV.GetHierarchyArrayStatus(string) -> int\nC++: int GetHierarchyArrayStatus (const char *);\n\n"},
  {(char*)"GetDisplayType",                (PyCFunction)PyvtkExodusIIReader_GetDisplayType, 1,
   (char*)"V.GetDisplayType() -> int\nC++: int GetDisplayType ();\n\n"},
  {(char*)"SetDisplayType",                (PyCFunction)PyvtkExodusIIReader_SetDisplayType, 1,
   (char*)"V.SetDisplayType(int)\nC++: virtual void SetDisplayType (int type);\n\n"},
  {(char*)"ExodusModelMetadataOn",                (PyCFunction)PyvtkExodusIIReader_ExodusModelMetadataOn, 1,
   (char*)"V.ExodusModelMetadataOn()\nC++: void ExodusModelMetadataOn ();\n\n"},
  {(char*)"ExodusModelMetadataOff",                (PyCFunction)PyvtkExodusIIReader_ExodusModelMetadataOff, 1,
   (char*)"V.ExodusModelMetadataOff()\nC++: void ExodusModelMetadataOff ();\n\n"},
  {(char*)"SetExodusModelMetadata",                (PyCFunction)PyvtkExodusIIReader_SetExodusModelMetadata, 1,
   (char*)"V.SetExodusModelMetadata(int)\nC++: void SetExodusModelMetadata (int );\n\n"},
  {(char*)"GetExodusModelMetadata",                (PyCFunction)PyvtkExodusIIReader_GetExodusModelMetadata, 1,
   (char*)"V.GetExodusModelMetadata() -> int\nC++: int GetExodusModelMetadata ();\n\n"},
  {(char*)"GetExodusModel",                (PyCFunction)PyvtkExodusIIReader_GetExodusModel, 1,
   (char*)"V.GetExodusModel() -> vtkExodusModel\nC++: vtkExodusModel *GetExodusModel ();\n\n   Returns the object which encapsulates the model metadata.\n"},
  {(char*)"SetPackExodusModelOntoOutput",                (PyCFunction)PyvtkExodusIIReader_SetPackExodusModelOntoOutput, 1,
   (char*)"V.SetPackExodusModelOntoOutput(int)\nC++: void SetPackExodusModelOntoOutput (int );\n\n"},
  {(char*)"GetPackExodusModelOntoOutput",                (PyCFunction)PyvtkExodusIIReader_GetPackExodusModelOntoOutput, 1,
   (char*)"V.GetPackExodusModelOntoOutput() -> int\nC++: int GetPackExodusModelOntoOutput ();\n\n"},
  {(char*)"PackExodusModelOntoOutputOn",                (PyCFunction)PyvtkExodusIIReader_PackExodusModelOntoOutputOn, 1,
   (char*)"V.PackExodusModelOntoOutputOn()\nC++: void PackExodusModelOntoOutputOn ();\n\n"},
  {(char*)"PackExodusModelOntoOutputOff",                (PyCFunction)PyvtkExodusIIReader_PackExodusModelOntoOutputOff, 1,
   (char*)"V.PackExodusModelOntoOutputOff()\nC++: void PackExodusModelOntoOutputOff ();\n\n"},
  {(char*)"IsValidVariable",                (PyCFunction)PyvtkExodusIIReader_IsValidVariable, 1,
   (char*)"V.IsValidVariable(string, string) -> int\nC++: int IsValidVariable (const char *type, const char *name);\n\n"},
  {(char*)"GetVariableID",                (PyCFunction)PyvtkExodusIIReader_GetVariableID, 1,
   (char*)"V.GetVariableID(string, string) -> int\nC++: int GetVariableID (const char *type, const char *name);\n\n"},
  {(char*)"SetAllArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetAllArrayStatus, 1,
   (char*)"V.SetAllArrayStatus(int, int)\nC++: void SetAllArrayStatus (int otype, int status);\n\n"},
  {(char*)"GetTimeSeriesData",                (PyCFunction)PyvtkExodusIIReader_GetTimeSeriesData, 1,
   (char*)"V.GetTimeSeriesData(int, string, string, vtkFloatArray) -> int\nC++: int GetTimeSeriesData (int ID, const char *vName, const char *vType, vtkFloatArray *result);\n\n"},
  {(char*)"GetNumberOfEdgeBlockArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfEdgeBlockArrays, 1,
   (char*)"V.GetNumberOfEdgeBlockArrays() -> int\nC++: int GetNumberOfEdgeBlockArrays ();return this GetNumberOfObjects EDGE_BLOCK \n\n"},
  {(char*)"GetEdgeBlockArrayName",                (PyCFunction)PyvtkExodusIIReader_GetEdgeBlockArrayName, 1,
   (char*)"V.GetEdgeBlockArrayName(int) -> string\nC++: const char *GetEdgeBlockArrayName (int index);return this GetObjectName EDGE_BLOCK index \n\n"},
  {(char*)"GetEdgeBlockArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetEdgeBlockArrayStatus, 1,
   (char*)"V.GetEdgeBlockArrayStatus(string) -> int\nC++: int GetEdgeBlockArrayStatus (const char *name);return this GetObjectStatus EDGE_BLOCK name \n\n"},
  {(char*)"SetEdgeBlockArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetEdgeBlockArrayStatus, 1,
   (char*)"V.SetEdgeBlockArrayStatus(string, int)\nC++: void SetEdgeBlockArrayStatus (const char *name, int flag);this SetObjectStatus EDGE_BLOCK name flag \n\n"},
  {(char*)"GetNumberOfFaceBlockArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfFaceBlockArrays, 1,
   (char*)"V.GetNumberOfFaceBlockArrays() -> int\nC++: int GetNumberOfFaceBlockArrays ();return this GetNumberOfObjects FACE_BLOCK \n\n"},
  {(char*)"GetFaceBlockArrayName",                (PyCFunction)PyvtkExodusIIReader_GetFaceBlockArrayName, 1,
   (char*)"V.GetFaceBlockArrayName(int) -> string\nC++: const char *GetFaceBlockArrayName (int index);return this GetObjectName FACE_BLOCK index \n\n"},
  {(char*)"GetFaceBlockArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetFaceBlockArrayStatus, 1,
   (char*)"V.GetFaceBlockArrayStatus(string) -> int\nC++: int GetFaceBlockArrayStatus (const char *name);return this GetObjectStatus FACE_BLOCK name \n\n"},
  {(char*)"SetFaceBlockArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetFaceBlockArrayStatus, 1,
   (char*)"V.SetFaceBlockArrayStatus(string, int)\nC++: void SetFaceBlockArrayStatus (const char *name, int flag);this SetObjectStatus FACE_BLOCK name flag \n\n"},
  {(char*)"GetNumberOfElementBlockArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfElementBlockArrays, 1,
   (char*)"V.GetNumberOfElementBlockArrays() -> int\nC++: int GetNumberOfElementBlockArrays ();return this GetNumberOfObjects ELEM_BLOCK \n\n"},
  {(char*)"GetElementBlockArrayName",                (PyCFunction)PyvtkExodusIIReader_GetElementBlockArrayName, 1,
   (char*)"V.GetElementBlockArrayName(int) -> string\nC++: const char *GetElementBlockArrayName (int index);return this GetObjectName ELEM_BLOCK index \n\n"},
  {(char*)"GetElementBlockArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetElementBlockArrayStatus, 1,
   (char*)"V.GetElementBlockArrayStatus(string) -> int\nC++: int GetElementBlockArrayStatus (const char *name);return this GetObjectStatus ELEM_BLOCK name \n\n"},
  {(char*)"SetElementBlockArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetElementBlockArrayStatus, 1,
   (char*)"V.SetElementBlockArrayStatus(string, int)\nC++: void SetElementBlockArrayStatus (const char *name, int flag);this SetObjectStatus ELEM_BLOCK name flag \n\n"},
  {(char*)"GetNumberOfGlobalResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfGlobalResultArrays, 1,
   (char*)"V.GetNumberOfGlobalResultArrays() -> int\nC++: int GetNumberOfGlobalResultArrays ();return this GetNumberOfObjectArrays GLOBAL \n\n"},
  {(char*)"GetGlobalResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetGlobalResultArrayName, 1,
   (char*)"V.GetGlobalResultArrayName(int) -> string\nC++: const char *GetGlobalResultArrayName (int index);return this GetObjectArrayName GLOBAL index \n\n"},
  {(char*)"GetGlobalResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetGlobalResultArrayStatus, 1,
   (char*)"V.GetGlobalResultArrayStatus(string) -> int\nC++: int GetGlobalResultArrayStatus (const char *name);return this GetObjectArrayStatus GLOBAL name \n\n"},
  {(char*)"SetGlobalResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetGlobalResultArrayStatus, 1,
   (char*)"V.SetGlobalResultArrayStatus(string, int)\nC++: void SetGlobalResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus GLOBAL name flag \n\n"},
  {(char*)"GetNumberOfPointResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfPointResultArrays, 1,
   (char*)"V.GetNumberOfPointResultArrays() -> int\nC++: int GetNumberOfPointResultArrays ();return this GetNumberOfObjectArrays NODAL \n\n"},
  {(char*)"GetPointResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetPointResultArrayName, 1,
   (char*)"V.GetPointResultArrayName(int) -> string\nC++: const char *GetPointResultArrayName (int index);return this GetObjectArrayName NODAL index \n\n"},
  {(char*)"GetPointResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetPointResultArrayStatus, 1,
   (char*)"V.GetPointResultArrayStatus(string) -> int\nC++: int GetPointResultArrayStatus (const char *name);return this GetObjectArrayStatus NODAL name \n\n"},
  {(char*)"SetPointResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetPointResultArrayStatus, 1,
   (char*)"V.SetPointResultArrayStatus(string, int)\nC++: void SetPointResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus NODAL name flag \n\n"},
  {(char*)"GetNumberOfEdgeResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfEdgeResultArrays, 1,
   (char*)"V.GetNumberOfEdgeResultArrays() -> int\nC++: int GetNumberOfEdgeResultArrays ();return this GetNumberOfObjectArrays EDGE_BLOCK \n\n"},
  {(char*)"GetEdgeResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetEdgeResultArrayName, 1,
   (char*)"V.GetEdgeResultArrayName(int) -> string\nC++: const char *GetEdgeResultArrayName (int index);return this GetObjectArrayName EDGE_BLOCK index \n\n"},
  {(char*)"GetEdgeResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetEdgeResultArrayStatus, 1,
   (char*)"V.GetEdgeResultArrayStatus(string) -> int\nC++: int GetEdgeResultArrayStatus (const char *name);return this GetObjectArrayStatus EDGE_BLOCK name \n\n"},
  {(char*)"SetEdgeResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetEdgeResultArrayStatus, 1,
   (char*)"V.SetEdgeResultArrayStatus(string, int)\nC++: void SetEdgeResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus EDGE_BLOCK name flag \n\n"},
  {(char*)"GetNumberOfFaceResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfFaceResultArrays, 1,
   (char*)"V.GetNumberOfFaceResultArrays() -> int\nC++: int GetNumberOfFaceResultArrays ();return this GetNumberOfObjectArrays FACE_BLOCK \n\n"},
  {(char*)"GetFaceResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetFaceResultArrayName, 1,
   (char*)"V.GetFaceResultArrayName(int) -> string\nC++: const char *GetFaceResultArrayName (int index);return this GetObjectArrayName FACE_BLOCK index \n\n"},
  {(char*)"GetFaceResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetFaceResultArrayStatus, 1,
   (char*)"V.GetFaceResultArrayStatus(string) -> int\nC++: int GetFaceResultArrayStatus (const char *name);return this GetObjectArrayStatus FACE_BLOCK name \n\n"},
  {(char*)"SetFaceResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetFaceResultArrayStatus, 1,
   (char*)"V.SetFaceResultArrayStatus(string, int)\nC++: void SetFaceResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus FACE_BLOCK name flag \n\n"},
  {(char*)"GetNumberOfElementResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfElementResultArrays, 1,
   (char*)"V.GetNumberOfElementResultArrays() -> int\nC++: int GetNumberOfElementResultArrays ();return this GetNumberOfObjectArrays ELEM_BLOCK \n\n"},
  {(char*)"GetElementResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetElementResultArrayName, 1,
   (char*)"V.GetElementResultArrayName(int) -> string\nC++: const char *GetElementResultArrayName (int index);return this GetObjectArrayName ELEM_BLOCK index \n\n"},
  {(char*)"GetElementResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetElementResultArrayStatus, 1,
   (char*)"V.GetElementResultArrayStatus(string) -> int\nC++: int GetElementResultArrayStatus (const char *name);return this GetObjectArrayStatus ELEM_BLOCK name \n\n"},
  {(char*)"SetElementResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetElementResultArrayStatus, 1,
   (char*)"V.SetElementResultArrayStatus(string, int)\nC++: void SetElementResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus ELEM_BLOCK name flag \n\n"},
  {(char*)"GetNumberOfNodeMapArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfNodeMapArrays, 1,
   (char*)"V.GetNumberOfNodeMapArrays() -> int\nC++: int GetNumberOfNodeMapArrays ();return this GetNumberOfObjects NODE_MAP \n\n"},
  {(char*)"GetNodeMapArrayName",                (PyCFunction)PyvtkExodusIIReader_GetNodeMapArrayName, 1,
   (char*)"V.GetNodeMapArrayName(int) -> string\nC++: const char *GetNodeMapArrayName (int index);return this GetObjectName NODE_MAP index \n\n"},
  {(char*)"GetNodeMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetNodeMapArrayStatus, 1,
   (char*)"V.GetNodeMapArrayStatus(string) -> int\nC++: int GetNodeMapArrayStatus (const char *name);return this GetObjectStatus NODE_MAP name \n\n"},
  {(char*)"SetNodeMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetNodeMapArrayStatus, 1,
   (char*)"V.SetNodeMapArrayStatus(string, int)\nC++: void SetNodeMapArrayStatus (const char *name, int flag);this SetObjectStatus NODE_MAP name flag \n\n"},
  {(char*)"GetNumberOfEdgeMapArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfEdgeMapArrays, 1,
   (char*)"V.GetNumberOfEdgeMapArrays() -> int\nC++: int GetNumberOfEdgeMapArrays ();return this GetNumberOfObjects EDGE_MAP \n\n"},
  {(char*)"GetEdgeMapArrayName",                (PyCFunction)PyvtkExodusIIReader_GetEdgeMapArrayName, 1,
   (char*)"V.GetEdgeMapArrayName(int) -> string\nC++: const char *GetEdgeMapArrayName (int index);return this GetObjectName EDGE_MAP index \n\n"},
  {(char*)"GetEdgeMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetEdgeMapArrayStatus, 1,
   (char*)"V.GetEdgeMapArrayStatus(string) -> int\nC++: int GetEdgeMapArrayStatus (const char *name);return this GetObjectStatus EDGE_MAP name \n\n"},
  {(char*)"SetEdgeMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetEdgeMapArrayStatus, 1,
   (char*)"V.SetEdgeMapArrayStatus(string, int)\nC++: void SetEdgeMapArrayStatus (const char *name, int flag);this SetObjectStatus EDGE_MAP name flag \n\n"},
  {(char*)"GetNumberOfFaceMapArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfFaceMapArrays, 1,
   (char*)"V.GetNumberOfFaceMapArrays() -> int\nC++: int GetNumberOfFaceMapArrays ();return this GetNumberOfObjects FACE_MAP \n\n"},
  {(char*)"GetFaceMapArrayName",                (PyCFunction)PyvtkExodusIIReader_GetFaceMapArrayName, 1,
   (char*)"V.GetFaceMapArrayName(int) -> string\nC++: const char *GetFaceMapArrayName (int index);return this GetObjectName FACE_MAP index \n\n"},
  {(char*)"GetFaceMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetFaceMapArrayStatus, 1,
   (char*)"V.GetFaceMapArrayStatus(string) -> int\nC++: int GetFaceMapArrayStatus (const char *name);return this GetObjectStatus FACE_MAP name \n\n"},
  {(char*)"SetFaceMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetFaceMapArrayStatus, 1,
   (char*)"V.SetFaceMapArrayStatus(string, int)\nC++: void SetFaceMapArrayStatus (const char *name, int flag);this SetObjectStatus FACE_MAP name flag \n\n"},
  {(char*)"GetNumberOfElementMapArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfElementMapArrays, 1,
   (char*)"V.GetNumberOfElementMapArrays() -> int\nC++: int GetNumberOfElementMapArrays ();return this GetNumberOfObjects ELEM_MAP \n\n"},
  {(char*)"GetElementMapArrayName",                (PyCFunction)PyvtkExodusIIReader_GetElementMapArrayName, 1,
   (char*)"V.GetElementMapArrayName(int) -> string\nC++: const char *GetElementMapArrayName (int index);return this GetObjectName ELEM_MAP index \n\n"},
  {(char*)"GetElementMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetElementMapArrayStatus, 1,
   (char*)"V.GetElementMapArrayStatus(string) -> int\nC++: int GetElementMapArrayStatus (const char *name);return this GetObjectStatus ELEM_MAP name \n\n"},
  {(char*)"SetElementMapArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetElementMapArrayStatus, 1,
   (char*)"V.SetElementMapArrayStatus(string, int)\nC++: void SetElementMapArrayStatus (const char *name, int flag);this SetObjectStatus ELEM_MAP name flag \n\n"},
  {(char*)"GetNumberOfNodeSetArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfNodeSetArrays, 1,
   (char*)"V.GetNumberOfNodeSetArrays() -> int\nC++: int GetNumberOfNodeSetArrays ();return this GetNumberOfObjects NODE_SET \n\n"},
  {(char*)"GetNodeSetArrayName",                (PyCFunction)PyvtkExodusIIReader_GetNodeSetArrayName, 1,
   (char*)"V.GetNodeSetArrayName(int) -> string\nC++: const char *GetNodeSetArrayName (int index);return this GetObjectName NODE_SET index \n\n"},
  {(char*)"GetNodeSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetNodeSetArrayStatus, 1,
   (char*)"V.GetNodeSetArrayStatus(string) -> int\nC++: int GetNodeSetArrayStatus (const char *name);return this GetObjectStatus NODE_SET name \n\n"},
  {(char*)"SetNodeSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetNodeSetArrayStatus, 1,
   (char*)"V.SetNodeSetArrayStatus(string, int)\nC++: void SetNodeSetArrayStatus (const char *name, int flag);this SetObjectStatus NODE_SET name flag \n\n"},
  {(char*)"GetNumberOfSideSetArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfSideSetArrays, 1,
   (char*)"V.GetNumberOfSideSetArrays() -> int\nC++: int GetNumberOfSideSetArrays ();return this GetNumberOfObjects SIDE_SET \n\n"},
  {(char*)"GetSideSetArrayName",                (PyCFunction)PyvtkExodusIIReader_GetSideSetArrayName, 1,
   (char*)"V.GetSideSetArrayName(int) -> string\nC++: const char *GetSideSetArrayName (int index);return this GetObjectName SIDE_SET index \n\n"},
  {(char*)"GetSideSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetSideSetArrayStatus, 1,
   (char*)"V.GetSideSetArrayStatus(string) -> int\nC++: int GetSideSetArrayStatus (const char *name);return this GetObjectStatus SIDE_SET name \n\n"},
  {(char*)"SetSideSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetSideSetArrayStatus, 1,
   (char*)"V.SetSideSetArrayStatus(string, int)\nC++: void SetSideSetArrayStatus (const char *name, int flag);this SetObjectStatus SIDE_SET name flag \n\n"},
  {(char*)"GetNumberOfEdgeSetArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfEdgeSetArrays, 1,
   (char*)"V.GetNumberOfEdgeSetArrays() -> int\nC++: int GetNumberOfEdgeSetArrays ();return this GetNumberOfObjects EDGE_SET \n\n"},
  {(char*)"GetEdgeSetArrayName",                (PyCFunction)PyvtkExodusIIReader_GetEdgeSetArrayName, 1,
   (char*)"V.GetEdgeSetArrayName(int) -> string\nC++: const char *GetEdgeSetArrayName (int index);return this GetObjectName EDGE_SET index \n\n"},
  {(char*)"GetEdgeSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetEdgeSetArrayStatus, 1,
   (char*)"V.GetEdgeSetArrayStatus(string) -> int\nC++: int GetEdgeSetArrayStatus (const char *name);return this GetObjectStatus EDGE_SET name \n\n"},
  {(char*)"SetEdgeSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetEdgeSetArrayStatus, 1,
   (char*)"V.SetEdgeSetArrayStatus(string, int)\nC++: void SetEdgeSetArrayStatus (const char *name, int flag);this SetObjectStatus EDGE_SET name flag \n\n"},
  {(char*)"GetNumberOfFaceSetArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfFaceSetArrays, 1,
   (char*)"V.GetNumberOfFaceSetArrays() -> int\nC++: int GetNumberOfFaceSetArrays ();return this GetNumberOfObjects FACE_SET \n\n"},
  {(char*)"GetFaceSetArrayName",                (PyCFunction)PyvtkExodusIIReader_GetFaceSetArrayName, 1,
   (char*)"V.GetFaceSetArrayName(int) -> string\nC++: const char *GetFaceSetArrayName (int index);return this GetObjectName FACE_SET index \n\n"},
  {(char*)"GetFaceSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetFaceSetArrayStatus, 1,
   (char*)"V.GetFaceSetArrayStatus(string) -> int\nC++: int GetFaceSetArrayStatus (const char *name);return this GetObjectStatus FACE_SET name \n\n"},
  {(char*)"SetFaceSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetFaceSetArrayStatus, 1,
   (char*)"V.SetFaceSetArrayStatus(string, int)\nC++: void SetFaceSetArrayStatus (const char *name, int flag);this SetObjectStatus FACE_SET name flag \n\n"},
  {(char*)"GetNumberOfElementSetArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfElementSetArrays, 1,
   (char*)"V.GetNumberOfElementSetArrays() -> int\nC++: int GetNumberOfElementSetArrays ();return this GetNumberOfObjects ELEM_SET \n\n"},
  {(char*)"GetElementSetArrayName",                (PyCFunction)PyvtkExodusIIReader_GetElementSetArrayName, 1,
   (char*)"V.GetElementSetArrayName(int) -> string\nC++: const char *GetElementSetArrayName (int index);return this GetObjectName ELEM_SET index \n\n"},
  {(char*)"GetElementSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetElementSetArrayStatus, 1,
   (char*)"V.GetElementSetArrayStatus(string) -> int\nC++: int GetElementSetArrayStatus (const char *name);return this GetObjectStatus ELEM_SET name \n\n"},
  {(char*)"SetElementSetArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetElementSetArrayStatus, 1,
   (char*)"V.SetElementSetArrayStatus(string, int)\nC++: void SetElementSetArrayStatus (const char *name, int flag);this SetObjectStatus ELEM_SET name flag \n\n"},
  {(char*)"GetNumberOfNodeSetResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfNodeSetResultArrays, 1,
   (char*)"V.GetNumberOfNodeSetResultArrays() -> int\nC++: int GetNumberOfNodeSetResultArrays ();return this GetNumberOfObjectArrays NODE_SET \n\n"},
  {(char*)"GetNodeSetResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetNodeSetResultArrayName, 1,
   (char*)"V.GetNodeSetResultArrayName(int) -> string\nC++: const char *GetNodeSetResultArrayName (int index);return this GetObjectArrayName NODE_SET index \n\n"},
  {(char*)"GetNodeSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetNodeSetResultArrayStatus, 1,
   (char*)"V.GetNodeSetResultArrayStatus(string) -> int\nC++: int GetNodeSetResultArrayStatus (const char *name);return this GetObjectArrayStatus NODE_SET name \n\n"},
  {(char*)"SetNodeSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetNodeSetResultArrayStatus, 1,
   (char*)"V.SetNodeSetResultArrayStatus(string, int)\nC++: void SetNodeSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus NODE_SET name flag \n\n"},
  {(char*)"GetNumberOfSideSetResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfSideSetResultArrays, 1,
   (char*)"V.GetNumberOfSideSetResultArrays() -> int\nC++: int GetNumberOfSideSetResultArrays ();return this GetNumberOfObjectArrays SIDE_SET \n\n"},
  {(char*)"GetSideSetResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetSideSetResultArrayName, 1,
   (char*)"V.GetSideSetResultArrayName(int) -> string\nC++: const char *GetSideSetResultArrayName (int index);return this GetObjectArrayName SIDE_SET index \n\n"},
  {(char*)"GetSideSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetSideSetResultArrayStatus, 1,
   (char*)"V.GetSideSetResultArrayStatus(string) -> int\nC++: int GetSideSetResultArrayStatus (const char *name);return this GetObjectArrayStatus SIDE_SET name \n\n"},
  {(char*)"SetSideSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetSideSetResultArrayStatus, 1,
   (char*)"V.SetSideSetResultArrayStatus(string, int)\nC++: void SetSideSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus SIDE_SET name flag \n\n"},
  {(char*)"GetNumberOfEdgeSetResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfEdgeSetResultArrays, 1,
   (char*)"V.GetNumberOfEdgeSetResultArrays() -> int\nC++: int GetNumberOfEdgeSetResultArrays ();return this GetNumberOfObjectArrays EDGE_SET \n\n"},
  {(char*)"GetEdgeSetResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetEdgeSetResultArrayName, 1,
   (char*)"V.GetEdgeSetResultArrayName(int) -> string\nC++: const char *GetEdgeSetResultArrayName (int index);return this GetObjectArrayName EDGE_SET index \n\n"},
  {(char*)"GetEdgeSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetEdgeSetResultArrayStatus, 1,
   (char*)"V.GetEdgeSetResultArrayStatus(string) -> int\nC++: int GetEdgeSetResultArrayStatus (const char *name);return this GetObjectArrayStatus EDGE_SET name \n\n"},
  {(char*)"SetEdgeSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetEdgeSetResultArrayStatus, 1,
   (char*)"V.SetEdgeSetResultArrayStatus(string, int)\nC++: void SetEdgeSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus EDGE_SET name flag \n\n"},
  {(char*)"GetNumberOfFaceSetResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfFaceSetResultArrays, 1,
   (char*)"V.GetNumberOfFaceSetResultArrays() -> int\nC++: int GetNumberOfFaceSetResultArrays ();return this GetNumberOfObjectArrays FACE_SET \n\n"},
  {(char*)"GetFaceSetResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetFaceSetResultArrayName, 1,
   (char*)"V.GetFaceSetResultArrayName(int) -> string\nC++: const char *GetFaceSetResultArrayName (int index);return this GetObjectArrayName FACE_SET index \n\n"},
  {(char*)"GetFaceSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetFaceSetResultArrayStatus, 1,
   (char*)"V.GetFaceSetResultArrayStatus(string) -> int\nC++: int GetFaceSetResultArrayStatus (const char *name);return this GetObjectArrayStatus FACE_SET name \n\n"},
  {(char*)"SetFaceSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetFaceSetResultArrayStatus, 1,
   (char*)"V.SetFaceSetResultArrayStatus(string, int)\nC++: void SetFaceSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus FACE_SET name flag \n\n"},
  {(char*)"GetNumberOfElementSetResultArrays",                (PyCFunction)PyvtkExodusIIReader_GetNumberOfElementSetResultArrays, 1,
   (char*)"V.GetNumberOfElementSetResultArrays() -> int\nC++: int GetNumberOfElementSetResultArrays ();return this GetNumberOfObjectArrays ELEM_SET \n\n"},
  {(char*)"GetElementSetResultArrayName",                (PyCFunction)PyvtkExodusIIReader_GetElementSetResultArrayName, 1,
   (char*)"V.GetElementSetResultArrayName(int) -> string\nC++: const char *GetElementSetResultArrayName (int index);return this GetObjectArrayName ELEM_SET index \n\n"},
  {(char*)"GetElementSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_GetElementSetResultArrayStatus, 1,
   (char*)"V.GetElementSetResultArrayStatus(string) -> int\nC++: int GetElementSetResultArrayStatus (const char *name);return this GetObjectArrayStatus ELEM_SET name \n\n"},
  {(char*)"SetElementSetResultArrayStatus",                (PyCFunction)PyvtkExodusIIReader_SetElementSetResultArrayStatus, 1,
   (char*)"V.SetElementSetResultArrayStatus(string, int)\nC++: void SetElementSetResultArrayStatus (const char *name, int flag);this SetObjectArrayStatus ELEM_SET name flag \n\n Set the fast-path keys. All three must be set for the fast-path\n option to work.\n Possible argument values: \"POINT\",\"CELL\",\"EDGE\",\"FACE\"\n"},
  {(char*)"SetFastPathObjectType",                (PyCFunction)PyvtkExodusIIReader_SetFastPathObjectType, 1,
   (char*)"V.SetFastPathObjectType(string)\nC++: void SetFastPathObjectType (const char *type);\n\n Set the fast-path keys. All three must be set for the fast-path\n option to work.\n Possible argument values: \"POINT\",\"CELL\",\"EDGE\",\"FACE\"\n"},
  {(char*)"SetFastPathIdType",                (PyCFunction)PyvtkExodusIIReader_SetFastPathIdType, 1,
   (char*)"V.SetFastPathIdType(string)\nC++: void SetFastPathIdType (const char *type);\n\n Possible argument values: \"INDEX\",\"GLOBAL\"\n \"GLOBAL\" means the id refers to a global id\n \"INDEX\" means the id refers to an index into the VTK array\n"},
  {(char*)"SetFastPathObjectId",                (PyCFunction)PyvtkExodusIIReader_SetFastPathObjectId, 1,
   (char*)"V.SetFastPathObjectId(int)\nC++: void SetFastPathObjectId (vtkIdType id);\n\n Possible argument values: \"INDEX\",\"GLOBAL\"\n \"GLOBAL\" means the id refers to a global id\n \"INDEX\" means the id refers to an index into the VTK array\n"},
  {(char*)"Reset",                (PyCFunction)PyvtkExodusIIReader_Reset, 1,
   (char*)"V.Reset()\nC++: void Reset ();\n\n Reset the user-specified parameters and flush internal arrays\n so that the reader state is just as it was after the reader was\n instantiated.\n\n It doesn't make sense to let users reset only the internal state;\n both the settings and the state are changed by this call.\n"},
  {(char*)"ResetSettings",                (PyCFunction)PyvtkExodusIIReader_ResetSettings, 1,
   (char*)"V.ResetSettings()\nC++: void ResetSettings ();\n\n Reset the user-specified parameters to their default values.\n The only settings not affected are the filename and/or pattern\n because these have no default.\n\n Resetting the settings but not the state allows users to\n keep the active cache but return to initial array selections, etc.\n"},
  {(char*)"ResetCache",                (PyCFunction)PyvtkExodusIIReader_ResetCache, 1,
   (char*)"V.ResetCache()\nC++: void ResetCache ();\n\n Clears out the cache entries.\n"},
  {(char*)"UpdateTimeInformation",                (PyCFunction)PyvtkExodusIIReader_UpdateTimeInformation, 1,
   (char*)"V.UpdateTimeInformation()\nC++: virtual void UpdateTimeInformation ();\n\n Re-reads time information from the exodus file and updates\n TimeStepRange accordingly.\n"},
  {(char*)"Dump",                (PyCFunction)PyvtkExodusIIReader_Dump, 1,
   (char*)"V.Dump()\nC++: virtual void Dump ();\n\n"},
  {NULL,                       NULL, 0, NULL}
};

static const char *vtkExodusIIReaderDoc[] = {
  (char*)"vtkExodusIIReader - Read exodus 2 files .ex2\n\n",
  "Super Class:\n\n vtkMultiBlockDataSetAlgorithm\n\n",
  (char*)" vtkExodusIIReader is a unstructured grid source object that reads ExodusII\n files.  Most of the meta data associated with the file is loaded when \n UpdateInformation is called.  This includes information like Title, number\n of blocks, number and names of arrays. This data can be retrieved from \n methods in this reader. Separate arrays that are meant to be a single \n vector, are combined internall",
  (char*)"y for convenience.  To be combined, the array \n names have to be identical except for a trailing X,Y and Z (or x,y,z).  By \n default cell and point arrays are not loaded.  However, the user can flag \n arrays to load with the methods \"SetPointArrayStatus\" and\n \"SetCellArrayStatus\".  The reader DOES NOT respond to piece requests\n \n\n",
  NULL
};

static vtkObjectBase *vtkExodusIIReaderStaticNew()
{
  return vtkExodusIIReader::New();
}

PyObject *PyVTKClass_vtkExodusIIReaderNew(char *modulename)
{
  return PyVTKClass_New(&vtkExodusIIReaderStaticNew,
                        PyvtkExodusIIReaderMethods,
                        (char*)"vtkExodusIIReader",modulename,
                        (char**)vtkExodusIIReaderDoc,
                        PyVTKClass_vtkMultiBlockDataSetAlgorithmNew(modulename));
}

