// tcl wrapper for vtkLSDynaReader object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkLSDynaReader.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkLSDynaReaderNewCommand()
{
  vtkLSDynaReader *temp = vtkLSDynaReader::New();
  return static_cast<ClientData>(temp);
}

int vtkMultiBlockDataSetAlgorithmCppCommand(vtkMultiBlockDataSetAlgorithm *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkLSDynaReaderCppCommand(vtkLSDynaReader *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkLSDynaReaderCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkLSDynaReaderCppCommand(static_cast<vtkLSDynaReader *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkLSDynaReaderCppCommand(vtkLSDynaReader *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkLSDynaReader",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkMultiBlockDataSetAlgorithm"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkLSDynaReader  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLSDynaReader");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkLSDynaReader  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLSDynaReader");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkLSDynaReader  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLSDynaReader");
    return TCL_OK;
    }
  if ((!strcmp("DebugDump",argv[1]))&&(argc == 2))
    {
    op->DebugDump();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("CanReadFile",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->CanReadFile(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDatabaseDirectory",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetDatabaseDirectory(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDatabaseDirectory",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDatabaseDirectory();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsDatabaseValid",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->IsDatabaseValid();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetFileName",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetFileName(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetFileName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetFileName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetDimensionality",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDimensionality();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfNodes",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfNodes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfContinuumCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfContinuumCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfSolidCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfSolidCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfThickShellCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfThickShellCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfShellCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfShellCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRigidBodyCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfRigidBodyCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfRoadSurfaceCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfRoadSurfaceCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfBeamCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfBeamCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfParticleCells",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfParticleCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfTimeSteps",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetNumberOfTimeSteps();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStep",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTimeStep(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStep",argv[1]))&&(argc == 2))
    {
    vtkIdType   temp20;
    temp20 = (op)->GetTimeStep();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetTimeValue",argv[1]))&&(argc == 3))
    {
    vtkIdType   temp0;
    double   temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetTimeValue(temp0);
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTimeStepRange",argv[1]))&&(argc == 2))
    {
    int     *temp20;
    temp20 = (op)->GetTimeStepRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      sprintf(tempResult,"%i %i ",temp20[0],temp20[1]);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTimeStepRange",argv[1]))&&(argc == 4))
    {
    int    temp0[2];
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0[0] = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp0[1] = tempi;
    if (!error)
    {
    op->SetTimeStepRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfPointArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPointArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPointArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPointArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPointArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInPointArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInPointArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInPointArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInPointArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfCellArrays",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfCellArrays(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayName",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellArrayName(temp0,temp1);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellArrayStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    int      temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetCellArrayStatus(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetCellArrayStatus",argv[1]))&&(argc == 5))
    {
    int      temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetCellArrayStatus(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetCellArrayStatus(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCellArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetCellArrayStatus(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInCellArray",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInCellArray(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInCellArray",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInCellArray(temp0,temp1);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfSolidArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfSolidArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetSolidArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSolidArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSolidArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSolidArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetSolidArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetSolidArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSolidArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetSolidArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSolidArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetSolidArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInSolidArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInSolidArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInSolidArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInSolidArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfThickShellArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfThickShellArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetThickShellArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetThickShellArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetThickShellArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetThickShellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetThickShellArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetThickShellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickShellArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetThickShellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetThickShellArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetThickShellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInThickShellArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInThickShellArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInThickShellArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInThickShellArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfShellArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfShellArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetShellArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetShellArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShellArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetShellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetShellArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetShellArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShellArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetShellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetShellArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetShellArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInShellArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInShellArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInShellArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInShellArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRigidBodyArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRigidBodyArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRigidBodyArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRigidBodyArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRigidBodyArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetRigidBodyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRigidBodyArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetRigidBodyArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRigidBodyArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRigidBodyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRigidBodyArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetRigidBodyArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInRigidBodyArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInRigidBodyArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInRigidBodyArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInRigidBodyArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfRoadSurfaceArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfRoadSurfaceArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRoadSurfaceArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRoadSurfaceArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRoadSurfaceArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetRoadSurfaceArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetRoadSurfaceArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetRoadSurfaceArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRoadSurfaceArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetRoadSurfaceArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRoadSurfaceArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetRoadSurfaceArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInRoadSurfaceArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInRoadSurfaceArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInRoadSurfaceArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInRoadSurfaceArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfBeamArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfBeamArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBeamArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBeamArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBeamArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetBeamArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetBeamArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetBeamArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBeamArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetBeamArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBeamArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetBeamArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInBeamArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInBeamArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInBeamArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInBeamArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfParticleArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfParticleArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetParticleArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetParticleArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParticleArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetParticleArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetParticleArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetParticleArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetParticleArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetParticleArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetParticleArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInParticleArray",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInParticleArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfComponentsInParticleArray",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetNumberOfComponentsInParticleArray(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDeformedMesh",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDeformedMesh(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDeformedMesh",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDeformedMesh();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DeformedMeshOn",argv[1]))&&(argc == 2))
    {
    op->DeformedMeshOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DeformedMeshOff",argv[1]))&&(argc == 2))
    {
    op->DeformedMeshOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetRemoveDeletedCells",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRemoveDeletedCells(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRemoveDeletedCells",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRemoveDeletedCells();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RemoveDeletedCellsOn",argv[1]))&&(argc == 2))
    {
    op->RemoveDeletedCellsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RemoveDeletedCellsOff",argv[1]))&&(argc == 2))
    {
    op->RemoveDeletedCellsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetSplitByMaterialId",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSplitByMaterialId(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSplitByMaterialId",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSplitByMaterialId();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SplitByMaterialIdOn",argv[1]))&&(argc == 2))
    {
    op->SplitByMaterialIdOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SplitByMaterialIdOff",argv[1]))&&(argc == 2))
    {
    op->SplitByMaterialIdOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInputDeck",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetInputDeck(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInputDeck",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetInputDeck();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfPartArrays",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfPartArrays();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPartArrayName",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartArrayName(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPartArrayStatus",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPartArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPartArrayStatus",argv[1]))&&(argc == 4))
    {
    char    *temp0;
    int      temp1;
    error = 0;

    temp0 = argv[2];
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPartArrayStatus(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayStatus",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPartArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPartArrayStatus",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->GetPartArrayStatus(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkLSDynaReaderCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkLSDynaReader:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  DebugDump\n",NULL);
    Tcl_AppendResult(interp,"  CanReadFile\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDatabaseDirectory\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDatabaseDirectory\n",NULL);
    Tcl_AppendResult(interp,"  IsDatabaseValid\n",NULL);
    Tcl_AppendResult(interp,"  SetFileName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetFileName\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetDimensionality\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfNodes\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfContinuumCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSolidCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThickShellCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfShellCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRigidBodyCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRoadSurfaceCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBeamCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfParticleCells\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfTimeSteps\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStep\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStep\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeValue\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTimeStepRange\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTimeStepRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPointArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPointArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPointArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPointArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInPointArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInPointArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfCellArrays\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayName\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellArrayStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetCellArrayStatus\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInCellArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInCellArray\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfSolidArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetSolidArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetSolidArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSolidArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSolidArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInSolidArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInSolidArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfThickShellArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetThickShellArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetThickShellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetThickShellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetThickShellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetThickShellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInThickShellArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInThickShellArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfShellArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetShellArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetShellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetShellArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetShellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetShellArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInShellArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInShellArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRigidBodyArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetRigidBodyArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRigidBodyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRigidBodyArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRigidBodyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRigidBodyArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInRigidBodyArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInRigidBodyArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfRoadSurfaceArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetRoadSurfaceArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetRoadSurfaceArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetRoadSurfaceArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetRoadSurfaceArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRoadSurfaceArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInRoadSurfaceArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInRoadSurfaceArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfBeamArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetBeamArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetBeamArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetBeamArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetBeamArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBeamArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInBeamArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInBeamArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfParticleArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetParticleArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetParticleArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInParticleArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfComponentsInParticleArray\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDeformedMesh\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDeformedMesh\n",NULL);
    Tcl_AppendResult(interp,"  DeformedMeshOn\n",NULL);
    Tcl_AppendResult(interp,"  DeformedMeshOff\n",NULL);
    Tcl_AppendResult(interp,"  SetRemoveDeletedCells\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRemoveDeletedCells\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDeletedCellsOn\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDeletedCellsOff\n",NULL);
    Tcl_AppendResult(interp,"  SetSplitByMaterialId\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSplitByMaterialId\n",NULL);
    Tcl_AppendResult(interp,"  SplitByMaterialIdOn\n",NULL);
    Tcl_AppendResult(interp,"  SplitByMaterialIdOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInputDeck\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInputDeck\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfPartArrays\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayName\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPartArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPartArrayStatus\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayStatus\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPartArrayStatus\t with 1 arg\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "DebugDump" );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    Tcl_DStringAppendElement ( &dString, "SetDatabaseDirectory" );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseDirectory" );
    Tcl_DStringAppendElement ( &dString, "IsDatabaseValid" );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContinuumCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSolidCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThickShellCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfShellCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRigidBodyCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRoadSurfaceCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBeamCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfParticleCells" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    Tcl_DStringAppendElement ( &dString, "GetTimeValue" );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInPointArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInPointArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInCellArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInCellArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSolidArrays" );
    Tcl_DStringAppendElement ( &dString, "GetSolidArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetSolidArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetSolidArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetSolidArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetSolidArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInSolidArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInSolidArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThickShellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetThickShellArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetThickShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetThickShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetThickShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetThickShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInThickShellArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInThickShellArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfShellArrays" );
    Tcl_DStringAppendElement ( &dString, "GetShellArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetShellArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInShellArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInShellArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRigidBodyArrays" );
    Tcl_DStringAppendElement ( &dString, "GetRigidBodyArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetRigidBodyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetRigidBodyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetRigidBodyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetRigidBodyArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRigidBodyArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRigidBodyArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRoadSurfaceArrays" );
    Tcl_DStringAppendElement ( &dString, "GetRoadSurfaceArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetRoadSurfaceArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetRoadSurfaceArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetRoadSurfaceArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetRoadSurfaceArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRoadSurfaceArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRoadSurfaceArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBeamArrays" );
    Tcl_DStringAppendElement ( &dString, "GetBeamArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetBeamArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetBeamArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetBeamArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetBeamArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInBeamArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInBeamArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfParticleArrays" );
    Tcl_DStringAppendElement ( &dString, "GetParticleArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetParticleArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetParticleArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetParticleArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetParticleArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInParticleArray" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInParticleArray" );
    Tcl_DStringAppendElement ( &dString, "SetDeformedMesh" );
    Tcl_DStringAppendElement ( &dString, "GetDeformedMesh" );
    Tcl_DStringAppendElement ( &dString, "DeformedMeshOn" );
    Tcl_DStringAppendElement ( &dString, "DeformedMeshOff" );
    Tcl_DStringAppendElement ( &dString, "SetRemoveDeletedCells" );
    Tcl_DStringAppendElement ( &dString, "GetRemoveDeletedCells" );
    Tcl_DStringAppendElement ( &dString, "RemoveDeletedCellsOn" );
    Tcl_DStringAppendElement ( &dString, "RemoveDeletedCellsOff" );
    Tcl_DStringAppendElement ( &dString, "SetSplitByMaterialId" );
    Tcl_DStringAppendElement ( &dString, "GetSplitByMaterialId" );
    Tcl_DStringAppendElement ( &dString, "SplitByMaterialIdOn" );
    Tcl_DStringAppendElement ( &dString, "SplitByMaterialIdOff" );
    Tcl_DStringAppendElement ( &dString, "SetInputDeck" );
    Tcl_DStringAppendElement ( &dString, "GetInputDeck" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPartArrays" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayName" );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkMultiBlockDataSetAlgorithmCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "static vtkLSDynaReader *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DebugDump */
    if ( strcmp ( argv[2], "DebugDump" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DebugDump" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DebugDump */
    Tcl_DStringAppendElement ( &dString, " A routine to call Dump() from within a lame debugger that won't\n properly pass a C++ iostream object like cout.\n" );
    Tcl_DStringAppendElement ( &dString, "void DebugDump ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for DebugDump */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: CanReadFile */
    if ( strcmp ( argv[2], "CanReadFile" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "CanReadFile" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for CanReadFile */
    Tcl_DStringAppendElement ( &dString, " Determine if the file can be readed with this reader.\n" );
    Tcl_DStringAppendElement ( &dString, "int CanReadFile (const char *fname);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for CanReadFile */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDatabaseDirectory */
    if ( strcmp ( argv[2], "SetDatabaseDirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDatabaseDirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDatabaseDirectory */
    Tcl_DStringAppendElement ( &dString, " Get/Set the directory containing the LS-Dyna database and determine\n whether it is valid.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetDatabaseDirectory (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetDatabaseDirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDatabaseDirectory */
    if ( strcmp ( argv[2], "GetDatabaseDirectory" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDatabaseDirectory" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDatabaseDirectory */
    Tcl_DStringAppendElement ( &dString, " Get/Set the directory containing the LS-Dyna database and determine\n whether it is valid.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDatabaseDirectory ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetDatabaseDirectory */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsDatabaseValid */
    if ( strcmp ( argv[2], "IsDatabaseValid" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsDatabaseValid" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsDatabaseValid */
    Tcl_DStringAppendElement ( &dString, " Get/Set the directory containing the LS-Dyna database and determine\n whether it is valid.\n" );
    Tcl_DStringAppendElement ( &dString, "int IsDatabaseValid ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for IsDatabaseValid */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetFileName */
    if ( strcmp ( argv[2], "SetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetFileName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the filename. The Set/GetFileName() routines are actually\n wrappers around the Set/GetDatabaseDirectory() members; the actual\n filename you choose is irrelevant -- only the directory name is used.\n This is done in order to accommodate ParaView.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetFileName (const char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetFileName */
    if ( strcmp ( argv[2], "GetFileName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetFileName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetFileName */
    Tcl_DStringAppendElement ( &dString, " Get/Set the filename. The Set/GetFileName() routines are actually\n wrappers around the Set/GetDatabaseDirectory() members; the actual\n filename you choose is irrelevant -- only the directory name is used.\n This is done in order to accommodate ParaView.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetFileName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetFileName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " The title of the database is a 40 or 80 character text description\n stored at the front of a d3plot file.  Do not call this function\n before setting the database directory and calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDimensionality */
    if ( strcmp ( argv[2], "GetDimensionality" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDimensionality" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDimensionality */
    Tcl_DStringAppendElement ( &dString, " Retrieve the dimension of points in the database. This should return 2\n or 3.  Do not call this function before setting the database directory\n and calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDimensionality ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetDimensionality */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfNodes */
    if ( strcmp ( argv[2], "GetNumberOfNodes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfNodes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfNodes */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of points in the database.  Do not call this\n function before setting the database directory and calling\n UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfNodes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfNodes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCells */
    if ( strcmp ( argv[2], "GetNumberOfCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n\n Note that GetNumberOfCells() returns the sum of\n GetNumberOfContinuumCells() and GetNumberOfParticleCells().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfContinuumCells */
    if ( strcmp ( argv[2], "GetNumberOfContinuumCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfContinuumCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfContinuumCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n\n Note that GetNumberOfContinuumCells() returns the sum of\n GetNumberOfSolidCells(), GetNumberOfThickShellCells(),\n GetNumberOfShellCells(), GetNumberOfRigidBodyCells(),\n GetNumberOfRoadSurfaceCells(), and GetNumberOfBeamCells().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfContinuumCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfContinuumCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSolidCells */
    if ( strcmp ( argv[2], "GetNumberOfSolidCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSolidCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSolidCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfSolidCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfSolidCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThickShellCells */
    if ( strcmp ( argv[2], "GetNumberOfThickShellCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThickShellCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThickShellCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfThickShellCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfThickShellCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfShellCells */
    if ( strcmp ( argv[2], "GetNumberOfShellCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfShellCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfShellCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfShellCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfShellCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRigidBodyCells */
    if ( strcmp ( argv[2], "GetNumberOfRigidBodyCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRigidBodyCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRigidBodyCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfRigidBodyCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfRigidBodyCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRoadSurfaceCells */
    if ( strcmp ( argv[2], "GetNumberOfRoadSurfaceCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRoadSurfaceCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRoadSurfaceCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfRoadSurfaceCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfRoadSurfaceCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBeamCells */
    if ( strcmp ( argv[2], "GetNumberOfBeamCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBeamCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBeamCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.\n Do not call this function before setting the database directory and calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfBeamCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfBeamCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfParticleCells */
    if ( strcmp ( argv[2], "GetNumberOfParticleCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfParticleCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfParticleCells */
    Tcl_DStringAppendElement ( &dString, " Retrieve the number of cells of a given type in the database.  Do not\n call this function before setting the database directory and calling\n UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfParticleCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfParticleCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfTimeSteps */
    if ( strcmp ( argv[2], "GetNumberOfTimeSteps" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfTimeSteps" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfTimeSteps */
    Tcl_DStringAppendElement ( &dString, " Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetNumberOfTimeSteps ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfTimeSteps */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStep */
    if ( strcmp ( argv[2], "SetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTimeStep (vtkIdType );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStep */
    if ( strcmp ( argv[2], "GetTimeStep" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStep" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStep */
    Tcl_DStringAppendElement ( &dString, " Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "vtkIdType GetTimeStep ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetTimeStep */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeValue */
    if ( strcmp ( argv[2], "GetTimeValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeValue */
    Tcl_DStringAppendElement ( &dString, " Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "double GetTimeValue (vtkIdType );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetTimeValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTimeStepRange */
    if ( strcmp ( argv[2], "GetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, " Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "int  *GetTimeStepRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, " Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange (int , int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTimeStepRange */
    if ( strcmp ( argv[2], "SetTimeStepRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTimeStepRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTimeStepRange */
    Tcl_DStringAppendElement ( &dString, " Retrieve information about the time extents of the LS-Dyna database.\n Do not call these functions before setting the database directory and\n calling UpdateInformation().\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTimeStepRange (int  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetTimeStepRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPointArrays */
    if ( strcmp ( argv[2], "GetNumberOfPointArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPointArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPointArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPointArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfPointArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayName */
    if ( strcmp ( argv[2], "GetPointArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPointArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetPointArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointArrayStatus */
    if ( strcmp ( argv[2], "SetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointArrayStatus */
    if ( strcmp ( argv[2], "SetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPointArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayStatus */
    if ( strcmp ( argv[2], "GetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointArrayStatus */
    if ( strcmp ( argv[2], "GetPointArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetPointArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInPointArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInPointArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInPointArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInPointArray */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInPointArray (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInPointArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInPointArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInPointArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInPointArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInPointArray */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the nodal\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInPointArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInPointArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfCellArrays */
    if ( strcmp ( argv[2], "GetNumberOfCellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfCellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfCellArrays */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfCellArrays (int cellType);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfCellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayName */
    if ( strcmp ( argv[2], "GetCellArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayName */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetCellArrayName (int cellType, int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetCellArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellArrayStatus */
    if ( strcmp ( argv[2], "SetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellArrayStatus (int cellType, int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCellArrayStatus */
    if ( strcmp ( argv[2], "SetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCellArrayStatus (int cellType, const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayStatus */
    if ( strcmp ( argv[2], "GetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayStatus (int cellType, int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCellArrayStatus */
    if ( strcmp ( argv[2], "GetCellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCellArrayStatus (int cellType, const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetCellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInCellArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInCellArray */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInCellArray (int cellType, int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInCellArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInCellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInCellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInCellArray */
    Tcl_DStringAppendElement ( &dString, " Routines that allow the status of a cell variable to be adjusted or\n queried independent of the output mesh.  The \\a cellType parameter\n should be one of: LS_POINT, LS_BEAM, LS_SHELL, LS_THICK_SHELL,\n LS_SOLID, LS_RIGID_BODY, or LS_ROAD_SURFACE\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInCellArray (int cellType, const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInCellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfSolidArrays */
    if ( strcmp ( argv[2], "GetNumberOfSolidArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfSolidArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfSolidArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfSolidArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfSolidArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSolidArrayName */
    if ( strcmp ( argv[2], "GetSolidArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSolidArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSolidArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetSolidArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetSolidArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidArrayStatus */
    if ( strcmp ( argv[2], "SetSolidArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSolidArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetSolidArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSolidArrayStatus */
    if ( strcmp ( argv[2], "SetSolidArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSolidArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSolidArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSolidArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetSolidArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSolidArrayStatus */
    if ( strcmp ( argv[2], "GetSolidArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSolidArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSolidArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSolidArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetSolidArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSolidArrayStatus */
    if ( strcmp ( argv[2], "GetSolidArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSolidArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSolidArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSolidArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetSolidArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInSolidArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInSolidArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInSolidArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInSolidArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInSolidArray (int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInSolidArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInSolidArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInSolidArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInSolidArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInSolidArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInSolidArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInSolidArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfThickShellArrays */
    if ( strcmp ( argv[2], "GetNumberOfThickShellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfThickShellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfThickShellArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfThickShellArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfThickShellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickShellArrayName */
    if ( strcmp ( argv[2], "GetThickShellArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickShellArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickShellArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetThickShellArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetThickShellArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThickShellArrayStatus */
    if ( strcmp ( argv[2], "SetThickShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThickShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThickShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetThickShellArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetThickShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetThickShellArrayStatus */
    if ( strcmp ( argv[2], "SetThickShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetThickShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetThickShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetThickShellArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetThickShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickShellArrayStatus */
    if ( strcmp ( argv[2], "GetThickShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThickShellArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetThickShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetThickShellArrayStatus */
    if ( strcmp ( argv[2], "GetThickShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetThickShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetThickShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetThickShellArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetThickShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInThickShellArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInThickShellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInThickShellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInThickShellArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInThickShellArray (int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInThickShellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInThickShellArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInThickShellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInThickShellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInThickShellArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInThickShellArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInThickShellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfShellArrays */
    if ( strcmp ( argv[2], "GetNumberOfShellArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfShellArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfShellArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfShellArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfShellArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShellArrayName */
    if ( strcmp ( argv[2], "GetShellArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShellArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShellArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetShellArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetShellArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShellArrayStatus */
    if ( strcmp ( argv[2], "SetShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShellArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetShellArrayStatus */
    if ( strcmp ( argv[2], "SetShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetShellArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShellArrayStatus */
    if ( strcmp ( argv[2], "GetShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShellArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetShellArrayStatus */
    if ( strcmp ( argv[2], "GetShellArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetShellArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetShellArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetShellArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetShellArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInShellArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInShellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInShellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInShellArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInShellArray (int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInShellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInShellArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInShellArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInShellArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInShellArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInShellArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInShellArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRigidBodyArrays */
    if ( strcmp ( argv[2], "GetNumberOfRigidBodyArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRigidBodyArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRigidBodyArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRigidBodyArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfRigidBodyArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRigidBodyArrayName */
    if ( strcmp ( argv[2], "GetRigidBodyArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRigidBodyArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRigidBodyArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetRigidBodyArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetRigidBodyArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRigidBodyArrayStatus */
    if ( strcmp ( argv[2], "SetRigidBodyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRigidBodyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRigidBodyArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRigidBodyArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetRigidBodyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRigidBodyArrayStatus */
    if ( strcmp ( argv[2], "SetRigidBodyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRigidBodyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRigidBodyArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRigidBodyArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetRigidBodyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRigidBodyArrayStatus */
    if ( strcmp ( argv[2], "GetRigidBodyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRigidBodyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRigidBodyArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRigidBodyArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetRigidBodyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRigidBodyArrayStatus */
    if ( strcmp ( argv[2], "GetRigidBodyArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRigidBodyArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRigidBodyArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRigidBodyArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetRigidBodyArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInRigidBodyArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInRigidBodyArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRigidBodyArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInRigidBodyArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInRigidBodyArray (int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInRigidBodyArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInRigidBodyArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInRigidBodyArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRigidBodyArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInRigidBodyArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInRigidBodyArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInRigidBodyArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfRoadSurfaceArrays */
    if ( strcmp ( argv[2], "GetNumberOfRoadSurfaceArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfRoadSurfaceArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfRoadSurfaceArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfRoadSurfaceArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfRoadSurfaceArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRoadSurfaceArrayName */
    if ( strcmp ( argv[2], "GetRoadSurfaceArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRoadSurfaceArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRoadSurfaceArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetRoadSurfaceArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetRoadSurfaceArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRoadSurfaceArrayStatus */
    if ( strcmp ( argv[2], "SetRoadSurfaceArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRoadSurfaceArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRoadSurfaceArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRoadSurfaceArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetRoadSurfaceArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRoadSurfaceArrayStatus */
    if ( strcmp ( argv[2], "SetRoadSurfaceArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRoadSurfaceArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRoadSurfaceArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetRoadSurfaceArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetRoadSurfaceArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRoadSurfaceArrayStatus */
    if ( strcmp ( argv[2], "GetRoadSurfaceArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRoadSurfaceArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRoadSurfaceArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRoadSurfaceArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetRoadSurfaceArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRoadSurfaceArrayStatus */
    if ( strcmp ( argv[2], "GetRoadSurfaceArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRoadSurfaceArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRoadSurfaceArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRoadSurfaceArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetRoadSurfaceArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInRoadSurfaceArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInRoadSurfaceArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRoadSurfaceArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInRoadSurfaceArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInRoadSurfaceArray (int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInRoadSurfaceArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInRoadSurfaceArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInRoadSurfaceArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInRoadSurfaceArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInRoadSurfaceArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInRoadSurfaceArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInRoadSurfaceArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfBeamArrays */
    if ( strcmp ( argv[2], "GetNumberOfBeamArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfBeamArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfBeamArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfBeamArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfBeamArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBeamArrayName */
    if ( strcmp ( argv[2], "GetBeamArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBeamArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBeamArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetBeamArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetBeamArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBeamArrayStatus */
    if ( strcmp ( argv[2], "SetBeamArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBeamArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBeamArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBeamArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetBeamArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBeamArrayStatus */
    if ( strcmp ( argv[2], "SetBeamArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBeamArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBeamArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetBeamArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetBeamArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBeamArrayStatus */
    if ( strcmp ( argv[2], "GetBeamArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBeamArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBeamArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBeamArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetBeamArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBeamArrayStatus */
    if ( strcmp ( argv[2], "GetBeamArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBeamArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBeamArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBeamArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetBeamArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInBeamArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInBeamArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInBeamArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInBeamArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInBeamArray (int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInBeamArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInBeamArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInBeamArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInBeamArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInBeamArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInBeamArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInBeamArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfParticleArrays */
    if ( strcmp ( argv[2], "GetNumberOfParticleArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfParticleArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfParticleArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfParticleArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfParticleArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleArrayName */
    if ( strcmp ( argv[2], "GetParticleArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetParticleArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetParticleArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleArrayStatus */
    if ( strcmp ( argv[2], "SetParticleArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParticleArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetParticleArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetParticleArrayStatus */
    if ( strcmp ( argv[2], "SetParticleArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetParticleArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetParticleArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetParticleArrayStatus (const char *arrName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetParticleArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleArrayStatus */
    if ( strcmp ( argv[2], "GetParticleArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParticleArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetParticleArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetParticleArrayStatus */
    if ( strcmp ( argv[2], "GetParticleArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetParticleArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetParticleArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected subsets of the cell\n variables defined over the mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetParticleArrayStatus (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetParticleArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInParticleArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInParticleArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInParticleArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInParticleArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInParticleArray (int a);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInParticleArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfComponentsInParticleArray */
    if ( strcmp ( argv[2], "GetNumberOfComponentsInParticleArray" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfComponentsInParticleArray" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfComponentsInParticleArray */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfComponentsInParticleArray (const char *arrName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfComponentsInParticleArray */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDeformedMesh */
    if ( strcmp ( argv[2], "SetDeformedMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDeformedMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDeformedMesh */
    Tcl_DStringAppendElement ( &dString, " Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDeformedMesh (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetDeformedMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDeformedMesh */
    if ( strcmp ( argv[2], "GetDeformedMesh" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDeformedMesh" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDeformedMesh */
    Tcl_DStringAppendElement ( &dString, " Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDeformedMesh ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetDeformedMesh */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeformedMeshOn */
    if ( strcmp ( argv[2], "DeformedMeshOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeformedMeshOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeformedMeshOn */
    Tcl_DStringAppendElement ( &dString, " Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeformedMeshOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for DeformedMeshOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DeformedMeshOff */
    if ( strcmp ( argv[2], "DeformedMeshOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DeformedMeshOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DeformedMeshOff */
    Tcl_DStringAppendElement ( &dString, " Should deflected coordinates be used, or should the mesh remain\n undeflected?  By default, this is true but its value is ignored if the\n nodal \"Deflection\" array is not set to be loaded.\n" );
    Tcl_DStringAppendElement ( &dString, "void DeformedMeshOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for DeformedMeshOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRemoveDeletedCells */
    if ( strcmp ( argv[2], "SetRemoveDeletedCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRemoveDeletedCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRemoveDeletedCells */
    Tcl_DStringAppendElement ( &dString, " Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as delet ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRemoveDeletedCells (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetRemoveDeletedCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRemoveDeletedCells */
    if ( strcmp ( argv[2], "GetRemoveDeletedCells" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRemoveDeletedCells" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRemoveDeletedCells */
    Tcl_DStringAppendElement ( &dString, " Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as delet ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRemoveDeletedCells ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetRemoveDeletedCells */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDeletedCellsOn */
    if ( strcmp ( argv[2], "RemoveDeletedCellsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDeletedCellsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDeletedCellsOn */
    Tcl_DStringAppendElement ( &dString, " Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as delet ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveDeletedCellsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for RemoveDeletedCellsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDeletedCellsOff */
    if ( strcmp ( argv[2], "RemoveDeletedCellsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDeletedCellsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDeletedCellsOff */
    Tcl_DStringAppendElement ( &dString, " Should dead cells be removed from the mesh?  Cells are marked dead by\n setting the corresponding entry in the <b>cell</b> array \"Death\" to 0.\n Cells that are not dead have the corresponding entry in the cell array\n \"Death\" set to their material ID.  By default, this is true but its\n value is ignored if the cell \"Death\" array is not set to be loaded.\n It is also ignored if the database's element deletion option is set to\n denote <b>points</b> (not cells) as delet ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveDeletedCellsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for RemoveDeletedCellsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSplitByMaterialId */
    if ( strcmp ( argv[2], "SetSplitByMaterialId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSplitByMaterialId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSplitByMaterialId */
    Tcl_DStringAppendElement ( &dString, " Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSplitByMaterialId (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetSplitByMaterialId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSplitByMaterialId */
    if ( strcmp ( argv[2], "GetSplitByMaterialId" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSplitByMaterialId" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSplitByMaterialId */
    Tcl_DStringAppendElement ( &dString, " Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSplitByMaterialId ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetSplitByMaterialId */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SplitByMaterialIdOn */
    if ( strcmp ( argv[2], "SplitByMaterialIdOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplitByMaterialIdOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplitByMaterialIdOn */
    Tcl_DStringAppendElement ( &dString, " Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void SplitByMaterialIdOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SplitByMaterialIdOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SplitByMaterialIdOff */
    if ( strcmp ( argv[2], "SplitByMaterialIdOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SplitByMaterialIdOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SplitByMaterialIdOff */
    Tcl_DStringAppendElement ( &dString, " Split each part into submeshes based on material ID.\n By default, this is false and all cells of a given\n type (solid, thick shell, shell, ...) are in a single mesh.\n" );
    Tcl_DStringAppendElement ( &dString, "void SplitByMaterialIdOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SplitByMaterialIdOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInputDeck */
    if ( strcmp ( argv[2], "SetInputDeck" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInputDeck" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInputDeck */
    Tcl_DStringAppendElement ( &dString, " The name of the input deck corresponding to the current database.\n This is used to determine the part names associated with each material ID.\n This file may be in two formats: a valid LSDyna input deck or a \n short XML summary.\n If the file begins with \"<?xml\" then the summary format is used.\n Otherwise, the keyword format is used and a summary file will be\n created if write permissions exist in the directory containing\n the keyword file. The newly created summary  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInputDeck (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetInputDeck */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputDeck */
    if ( strcmp ( argv[2], "GetInputDeck" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputDeck" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputDeck */
    Tcl_DStringAppendElement ( &dString, " The name of the input deck corresponding to the current database.\n This is used to determine the part names associated with each material ID.\n This file may be in two formats: a valid LSDyna input deck or a \n short XML summary.\n If the file begins with \"<?xml\" then the summary format is used.\n Otherwise, the keyword format is used and a summary file will be\n created if write permissions exist in the directory containing\n the keyword file. The newly created summary  ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetInputDeck ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetInputDeck */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfPartArrays */
    if ( strcmp ( argv[2], "GetNumberOfPartArrays" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfPartArrays" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfPartArrays */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXX ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfPartArrays ();" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetNumberOfPartArrays */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayName */
    if ( strcmp ( argv[2], "GetPartArrayName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayName */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXX ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPartArrayName (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetPartArrayName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartArrayStatus */
    if ( strcmp ( argv[2], "SetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXX ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPartArrayStatus (int arr, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPartArrayStatus */
    if ( strcmp ( argv[2], "SetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXX ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPartArrayStatus (const char *partName, int status);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for SetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayStatus */
    if ( strcmp ( argv[2], "GetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXX ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayStatus (int arr);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPartArrayStatus */
    if ( strcmp ( argv[2], "GetPartArrayStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPartArrayStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPartArrayStatus */
    Tcl_DStringAppendElement ( &dString, " These methods allow you to load only selected parts of the input.\n If InputDeck points to a valid keyword file (or summary), then part\n names will be taken from that file.\n Otherwise, when arbitrary material numbering is used, parts will be named\n \"PartXXX (MatlYYY)\" where XXX is an increasing sequential number and YYY\n is the respective material ID. If no input deck is specified and arbitrary\n arbitrary material numbering is not used, parts will be named\n \"PartXX ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPartArrayStatus (const char *partName);" );
    Tcl_DStringAppendElement ( &dString, "vtkLSDynaReader" );
    /* Closing for GetPartArrayStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkMultiBlockDataSetAlgorithmCppCommand(static_cast<vtkMultiBlockDataSetAlgorithm *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
