// tcl wrapper for vtkXYPlotActor object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkXYPlotActor.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkXYPlotActorNewCommand()
{
  vtkXYPlotActor *temp = vtkXYPlotActor::New();
  return static_cast<ClientData>(temp);
}

int vtkActor2DCppCommand(vtkActor2D *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkXYPlotActorCppCommand(vtkXYPlotActor *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkXYPlotActorCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkXYPlotActorCppCommand(static_cast<vtkXYPlotActor *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkXYPlotActorCppCommand(vtkXYPlotActor *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkXYPlotActor",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkActor2D"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkXYPlotActor  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXYPlotActor");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkXYPlotActor  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXYPlotActor");
    return TCL_OK;
    }
    }
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkXYPlotActor  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkXYPlotActor");
    return TCL_OK;
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->AddInput(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("AddInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->AddInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveInput",argv[1]))&&(argc == 5))
    {
    vtkDataSet  *temp0;
    char    *temp1;
    int      temp2;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    temp1 = argv[3];
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->RemoveInput(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->RemoveInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveAllInputs",argv[1]))&&(argc == 2))
    {
    op->RemoveAllInputs();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetInputList",argv[1]))&&(argc == 2))
    {
    vtkDataSetCollection  *temp20;
    temp20 = (op)->GetInputList();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataSetCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetPointComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPointComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPointComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPointComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXValues",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetXValues(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXValuesMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXValuesMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXValuesMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXValuesMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetXValues",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetXValues();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToIndex",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToIndex();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToArcLength",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToArcLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToNormalizedArcLength",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToNormalizedArcLength();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetXValuesToValue",argv[1]))&&(argc == 2))
    {
    op->SetXValuesToValue();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetXValuesAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetXValuesAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("AddDataObjectInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->AddDataObjectInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("RemoveDataObjectInput",argv[1]))&&(argc == 3))
    {
    vtkDataObject  *temp0;
    error = 0;

    temp0 = (vtkDataObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataObject"),interp,error));
    if (!error)
    {
    op->RemoveDataObjectInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectInputList",argv[1]))&&(argc == 2))
    {
    vtkDataObjectCollection  *temp20;
    temp20 = (op)->GetDataObjectInputList();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkDataObjectCollection");
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectPlotMode",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDataObjectPlotMode(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectPlotModeMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectPlotModeMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectPlotModeMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectPlotModeMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectPlotMode",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDataObjectPlotMode();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectPlotModeToRows",argv[1]))&&(argc == 2))
    {
    op->SetDataObjectPlotModeToRows();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectPlotModeToColumns",argv[1]))&&(argc == 2))
    {
    op->SetDataObjectPlotModeToColumns();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetDataObjectPlotModeAsString",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetDataObjectPlotModeAsString();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetDataObjectXComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDataObjectXComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectXComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataObjectXComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetDataObjectYComponent",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetDataObjectYComponent(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDataObjectYComponent",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetDataObjectYComponent(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotColor",argv[1]))&&(argc == 6))
    {
    int      temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetPlotColor(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotColor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    double  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotColor(temp0);
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotSymbol",argv[1]))&&(argc == 4))
    {
    int      temp0;
    vtkPolyData  *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[3],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->SetPlotSymbol(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotSymbol",argv[1]))&&(argc == 3))
    {
    int      temp0;
    vtkPolyData  *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotSymbol(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyData");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotLabel",argv[1]))&&(argc == 4))
    {
    int      temp0;
    char    *temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    temp1 = argv[3];
    if (!error)
    {
    op->SetPlotLabel(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotLabel",argv[1]))&&(argc == 3))
    {
    int      temp0;
    const char    *temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotLabel(temp0);
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotCurvePoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotCurvePoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotCurvePoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotCurvePoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotCurvePointsOn",argv[1]))&&(argc == 2))
    {
    op->PlotCurvePointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotCurvePointsOff",argv[1]))&&(argc == 2))
    {
    op->PlotCurvePointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPlotCurveLines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotCurveLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotCurveLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotCurveLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotCurveLinesOn",argv[1]))&&(argc == 2))
    {
    op->PlotCurveLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotCurveLinesOff",argv[1]))&&(argc == 2))
    {
    op->PlotCurveLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotLines",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPlotLines(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotLines(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotPoints",argv[1]))&&(argc == 4))
    {
    int      temp0;
    int      temp1;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (Tcl_GetInt(interp,argv[3],&tempi) != TCL_OK) error = 1;
    temp1 = tempi;
    if (!error)
    {
    op->SetPlotPoints(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    int      temp20;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    temp20 = (op)->GetPlotPoints(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetExchangeAxes",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetExchangeAxes(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetExchangeAxes",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetExchangeAxes();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ExchangeAxesOn",argv[1]))&&(argc == 2))
    {
    op->ExchangeAxesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ExchangeAxesOff",argv[1]))&&(argc == 2))
    {
    op->ExchangeAxesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReverseXAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverseXAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverseXAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseXAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseXAxisOn",argv[1]))&&(argc == 2))
    {
    op->ReverseXAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseXAxisOff",argv[1]))&&(argc == 2))
    {
    op->ReverseXAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetReverseYAxis",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetReverseYAxis(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetReverseYAxis",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetReverseYAxis();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ReverseYAxisOn",argv[1]))&&(argc == 2))
    {
    op->ReverseYAxisOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("ReverseYAxisOff",argv[1]))&&(argc == 2))
    {
    op->ReverseYAxisOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetLegendActor",argv[1]))&&(argc == 2))
    {
    vtkLegendBoxActor  *temp20;
    temp20 = (op)->GetLegendActor();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLegendBoxActor");
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphSource",argv[1]))&&(argc == 2))
    {
    vtkGlyphSource2D  *temp20;
    temp20 = (op)->GetGlyphSource();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkGlyphSource2D");
    return TCL_OK;
    }
  if ((!strcmp("SetTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYTitle",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYTitle(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYTitle",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYTitle();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetXAxisActor2D",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetXAxisActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("GetYAxisActor2D",argv[1]))&&(argc == 2))
    {
    vtkAxisActor2D  *temp20;
    temp20 = (op)->GetYAxisActor2D();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkAxisActor2D");
    return TCL_OK;
    }
  if ((!strcmp("SetXRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetXRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetXRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetXRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetXRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYRange",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetYRange(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetYRange",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetYRange(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYRange",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetYRange();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetPlotRange",argv[1]))&&(argc == 6))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (!error)
    {
    op->SetPlotRange(temp0,temp1,temp2,temp3);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetNumberOfXLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfXLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfXLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfXLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfXLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfYLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfYLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfYLabelsMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYLabelsMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfYLabelsMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYLabelsMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetNumberOfYLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetAdjustXLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdjustXLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjustXLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdjustXLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetAdjustYLabels",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdjustYLabels(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjustYLabels",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdjustYLabels();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetXTitlePosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetXTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXTitlePosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetXTitlePosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetYTitlePosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetYTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYTitlePosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetYTitlePosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfXMinorTicks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfXMinorTicks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfXMinorTicks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfXMinorTicks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetNumberOfYMinorTicks",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetNumberOfYMinorTicks(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNumberOfYMinorTicks",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetNumberOfYMinorTicks();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLegend",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLegend(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegend",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLegend();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LegendOn",argv[1]))&&(argc == 2))
    {
    op->LegendOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LegendOff",argv[1]))&&(argc == 2))
    {
    op->LegendOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTitlePosition",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetTitlePosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetTitlePosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitlePosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetTitlePosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetAdjustTitlePosition",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetAdjustTitlePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAdjustTitlePosition",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetAdjustTitlePosition();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("AdjustTitlePositionOn",argv[1]))&&(argc == 2))
    {
    op->AdjustTitlePositionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("AdjustTitlePositionOff",argv[1]))&&(argc == 2))
    {
    op->AdjustTitlePositionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLegendPosition",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLegendPosition(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegendPosition",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLegendPosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegendPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLegendPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetLegendPosition2",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetLegendPosition2(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLegendPosition2",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetLegendPosition2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLegendPosition2",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetLegendPosition2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetAxisTitleTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetAxisTitleTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisTitleTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAxisTitleTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetAxisLabelTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetAxisLabelTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetAxisLabelTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetAxisLabelTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetLogx",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLogx(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLogx",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLogx();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("LogxOn",argv[1]))&&(argc == 2))
    {
    op->LogxOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("LogxOff",argv[1]))&&(argc == 2))
    {
    op->LogxOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLabelFormat",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetXLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetXLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetXLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetXLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetYLabelFormat",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    op->SetYLabelFormat(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetYLabelFormat",argv[1]))&&(argc == 2))
    {
    char    *temp20;
    temp20 = (op)->GetYLabelFormat();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("SetBorder",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetBorder(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetBorderMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorderMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorderMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetBorder",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetBorder();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetPlotPoints",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotPoints();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotPoints",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotPoints(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotPointsOn",argv[1]))&&(argc == 2))
    {
    op->PlotPointsOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotPointsOff",argv[1]))&&(argc == 2))
    {
    op->PlotPointsOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPlotLines",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlotLines();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlotLines",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlotLines(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlotLinesOn",argv[1]))&&(argc == 2))
    {
    op->PlotLinesOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlotLinesOff",argv[1]))&&(argc == 2))
    {
    op->PlotLinesOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetGlyphSize",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetGlyphSize(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetGlyphSizeMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGlyphSizeMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphSizeMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGlyphSizeMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetGlyphSize",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetGlyphSize();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("ViewportToPlotCoordinate",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->ViewportToPlotCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotCoordinate",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetPlotCoordinate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlotCoordinate",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetPlotCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlotCoordinate",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPlotCoordinate();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("PlotToViewportCoordinate",argv[1]))&&(argc == 3))
    {
    vtkViewport  *temp0;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (!error)
    {
    op->PlotToViewportCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewportCoordinate",argv[1]))&&(argc == 4))
    {
    double   temp0;
    double   temp1;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (!error)
    {
    op->SetViewportCoordinate(temp0,temp1);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetViewportCoordinate",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->SetViewportCoordinate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetViewportCoordinate",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetViewportCoordinate();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsInPlot",argv[1]))&&(argc == 5))
    {
    vtkViewport  *temp0;
    double   temp1;
    double   temp2;
    int      temp20;
    error = 0;

    temp0 = (vtkViewport *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkViewport"),interp,error));
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    temp20 = (op)->IsInPlot(temp0,temp1,temp2);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMTime",argv[1]))&&(argc == 2))
    {
    unsigned long     temp20;
    temp20 = (op)->GetMTime();
    char tempResult[1024];
    sprintf(tempResult,"%lu",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkXYPlotActorCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkXYPlotActor:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  AddInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInput\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  RemoveInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveAllInputs\n",NULL);
    Tcl_AppendResult(interp,"  GetInputList\n",NULL);
    Tcl_AppendResult(interp,"  SetPointComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPointComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetXValues\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXValuesMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXValuesMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXValues\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToArcLength\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToNormalizedArcLength\n",NULL);
    Tcl_AppendResult(interp,"  SetXValuesToValue\n",NULL);
    Tcl_AppendResult(interp,"  GetXValuesAsString\n",NULL);
    Tcl_AppendResult(interp,"  AddDataObjectInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  RemoveDataObjectInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectInputList\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectPlotMode\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotModeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotModeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotMode\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectPlotModeToRows\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectPlotModeToColumns\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectPlotModeAsString\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectXComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectXComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetDataObjectYComponent\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetDataObjectYComponent\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotColor\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotColor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotSymbol\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotSymbol\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotLabel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotLabel\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotCurvePoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCurvePoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurvePointsOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurvePointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotCurveLines\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCurveLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurveLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotCurveLinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotLines\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotPoints\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetExchangeAxes\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetExchangeAxes\n",NULL);
    Tcl_AppendResult(interp,"  ExchangeAxesOn\n",NULL);
    Tcl_AppendResult(interp,"  ExchangeAxesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReverseXAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseXAxis\n",NULL);
    Tcl_AppendResult(interp,"  ReverseXAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseXAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  SetReverseYAxis\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetReverseYAxis\n",NULL);
    Tcl_AppendResult(interp,"  ReverseYAxisOn\n",NULL);
    Tcl_AppendResult(interp,"  ReverseYAxisOff\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendActor\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSource\n",NULL);
    Tcl_AppendResult(interp,"  SetTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetXTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXTitle\n",NULL);
    Tcl_AppendResult(interp,"  SetYTitle\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYTitle\n",NULL);
    Tcl_AppendResult(interp,"  GetXAxisActor2D\n",NULL);
    Tcl_AppendResult(interp,"  GetYAxisActor2D\n",NULL);
    Tcl_AppendResult(interp,"  SetXRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetXRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetXRange\n",NULL);
    Tcl_AppendResult(interp,"  SetYRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetYRange\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetYRange\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotRange\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfXLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfYLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYLabelsMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYLabelsMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustXLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustXLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustYLabels\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustYLabels\n",NULL);
    Tcl_AppendResult(interp,"  SetXTitlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXTitlePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetYTitlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYTitlePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfXMinorTicks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfXMinorTicks\n",NULL);
    Tcl_AppendResult(interp,"  SetNumberOfYMinorTicks\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetNumberOfYMinorTicks\n",NULL);
    Tcl_AppendResult(interp,"  SetLegend\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLegend\n",NULL);
    Tcl_AppendResult(interp,"  LegendOn\n",NULL);
    Tcl_AppendResult(interp,"  LegendOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTitlePosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetTitlePosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetTitlePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetAdjustTitlePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAdjustTitlePosition\n",NULL);
    Tcl_AppendResult(interp,"  AdjustTitlePositionOn\n",NULL);
    Tcl_AppendResult(interp,"  AdjustTitlePositionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendPosition\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetLegendPosition2\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetLegendPosition2\n",NULL);
    Tcl_AppendResult(interp,"  SetTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisTitleTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisTitleTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetAxisLabelTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetAxisLabelTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetLogx\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLogx\n",NULL);
    Tcl_AppendResult(interp,"  LogxOn\n",NULL);
    Tcl_AppendResult(interp,"  LogxOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetXLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetXLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetYLabelFormat\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetYLabelFormat\n",NULL);
    Tcl_AppendResult(interp,"  SetBorder\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBorderMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetBorder\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotPoints\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotPoints\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotPointsOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotPointsOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotLines\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotLines\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlotLinesOn\n",NULL);
    Tcl_AppendResult(interp,"  PlotLinesOff\n",NULL);
    Tcl_AppendResult(interp,"  SetGlyphSize\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSizeMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSizeMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetGlyphSize\n",NULL);
    Tcl_AppendResult(interp,"  ViewportToPlotCoordinate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPlotCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPlotCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  PlotToViewportCoordinate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetViewportCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  SetViewportCoordinate\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetViewportCoordinate\n",NULL);
    Tcl_AppendResult(interp,"  IsInPlot\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetMTime\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkActor2DCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    Tcl_DStringAppendElement ( &dString, "RemoveAllInputs" );
    Tcl_DStringAppendElement ( &dString, "GetInputList" );
    Tcl_DStringAppendElement ( &dString, "SetPointComponent" );
    Tcl_DStringAppendElement ( &dString, "GetPointComponent" );
    Tcl_DStringAppendElement ( &dString, "SetXValues" );
    Tcl_DStringAppendElement ( &dString, "GetXValuesMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetXValuesMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetXValues" );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToIndex" );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToArcLength" );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToNormalizedArcLength" );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToValue" );
    Tcl_DStringAppendElement ( &dString, "GetXValuesAsString" );
    Tcl_DStringAppendElement ( &dString, "AddDataObjectInput" );
    Tcl_DStringAppendElement ( &dString, "RemoveDataObjectInput" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectInputList" );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectPlotMode" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotModeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotModeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotMode" );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectPlotModeToRows" );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectPlotModeToColumns" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotModeAsString" );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectXComponent" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectXComponent" );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectYComponent" );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectYComponent" );
    Tcl_DStringAppendElement ( &dString, "SetPlotColor" );
    Tcl_DStringAppendElement ( &dString, "GetPlotColor" );
    Tcl_DStringAppendElement ( &dString, "SetPlotSymbol" );
    Tcl_DStringAppendElement ( &dString, "GetPlotSymbol" );
    Tcl_DStringAppendElement ( &dString, "SetPlotLabel" );
    Tcl_DStringAppendElement ( &dString, "GetPlotLabel" );
    Tcl_DStringAppendElement ( &dString, "GetPlotCurvePoints" );
    Tcl_DStringAppendElement ( &dString, "SetPlotCurvePoints" );
    Tcl_DStringAppendElement ( &dString, "PlotCurvePointsOn" );
    Tcl_DStringAppendElement ( &dString, "PlotCurvePointsOff" );
    Tcl_DStringAppendElement ( &dString, "GetPlotCurveLines" );
    Tcl_DStringAppendElement ( &dString, "SetPlotCurveLines" );
    Tcl_DStringAppendElement ( &dString, "PlotCurveLinesOn" );
    Tcl_DStringAppendElement ( &dString, "PlotCurveLinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetPlotLines" );
    Tcl_DStringAppendElement ( &dString, "GetPlotLines" );
    Tcl_DStringAppendElement ( &dString, "SetPlotPoints" );
    Tcl_DStringAppendElement ( &dString, "GetPlotPoints" );
    Tcl_DStringAppendElement ( &dString, "SetExchangeAxes" );
    Tcl_DStringAppendElement ( &dString, "GetExchangeAxes" );
    Tcl_DStringAppendElement ( &dString, "ExchangeAxesOn" );
    Tcl_DStringAppendElement ( &dString, "ExchangeAxesOff" );
    Tcl_DStringAppendElement ( &dString, "SetReverseXAxis" );
    Tcl_DStringAppendElement ( &dString, "GetReverseXAxis" );
    Tcl_DStringAppendElement ( &dString, "ReverseXAxisOn" );
    Tcl_DStringAppendElement ( &dString, "ReverseXAxisOff" );
    Tcl_DStringAppendElement ( &dString, "SetReverseYAxis" );
    Tcl_DStringAppendElement ( &dString, "GetReverseYAxis" );
    Tcl_DStringAppendElement ( &dString, "ReverseYAxisOn" );
    Tcl_DStringAppendElement ( &dString, "ReverseYAxisOff" );
    Tcl_DStringAppendElement ( &dString, "GetLegendActor" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSource" );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    Tcl_DStringAppendElement ( &dString, "SetXTitle" );
    Tcl_DStringAppendElement ( &dString, "GetXTitle" );
    Tcl_DStringAppendElement ( &dString, "SetYTitle" );
    Tcl_DStringAppendElement ( &dString, "GetYTitle" );
    Tcl_DStringAppendElement ( &dString, "GetXAxisActor2D" );
    Tcl_DStringAppendElement ( &dString, "GetYAxisActor2D" );
    Tcl_DStringAppendElement ( &dString, "SetXRange" );
    Tcl_DStringAppendElement ( &dString, "SetXRange" );
    Tcl_DStringAppendElement ( &dString, "GetXRange" );
    Tcl_DStringAppendElement ( &dString, "SetYRange" );
    Tcl_DStringAppendElement ( &dString, "SetYRange" );
    Tcl_DStringAppendElement ( &dString, "GetYRange" );
    Tcl_DStringAppendElement ( &dString, "SetPlotRange" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfXLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXLabelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXLabelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXLabels" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfYLabels" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYLabelsMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYLabelsMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYLabels" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    Tcl_DStringAppendElement ( &dString, "SetAdjustXLabels" );
    Tcl_DStringAppendElement ( &dString, "GetAdjustXLabels" );
    Tcl_DStringAppendElement ( &dString, "SetAdjustYLabels" );
    Tcl_DStringAppendElement ( &dString, "GetAdjustYLabels" );
    Tcl_DStringAppendElement ( &dString, "SetXTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetXTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "SetYTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetYTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfXMinorTicks" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXMinorTicks" );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfYMinorTicks" );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYMinorTicks" );
    Tcl_DStringAppendElement ( &dString, "SetLegend" );
    Tcl_DStringAppendElement ( &dString, "GetLegend" );
    Tcl_DStringAppendElement ( &dString, "LegendOn" );
    Tcl_DStringAppendElement ( &dString, "LegendOff" );
    Tcl_DStringAppendElement ( &dString, "SetTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "SetTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "SetAdjustTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "GetAdjustTitlePosition" );
    Tcl_DStringAppendElement ( &dString, "AdjustTitlePositionOn" );
    Tcl_DStringAppendElement ( &dString, "AdjustTitlePositionOff" );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition" );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition" );
    Tcl_DStringAppendElement ( &dString, "GetLegendPosition" );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition2" );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition2" );
    Tcl_DStringAppendElement ( &dString, "GetLegendPosition2" );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisTitleTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetLogx" );
    Tcl_DStringAppendElement ( &dString, "GetLogx" );
    Tcl_DStringAppendElement ( &dString, "LogxOn" );
    Tcl_DStringAppendElement ( &dString, "LogxOff" );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetXLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetXLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetYLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "GetYLabelFormat" );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    Tcl_DStringAppendElement ( &dString, "GetBorderMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetBorderMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    Tcl_DStringAppendElement ( &dString, "GetPlotPoints" );
    Tcl_DStringAppendElement ( &dString, "SetPlotPoints" );
    Tcl_DStringAppendElement ( &dString, "PlotPointsOn" );
    Tcl_DStringAppendElement ( &dString, "PlotPointsOff" );
    Tcl_DStringAppendElement ( &dString, "GetPlotLines" );
    Tcl_DStringAppendElement ( &dString, "SetPlotLines" );
    Tcl_DStringAppendElement ( &dString, "PlotLinesOn" );
    Tcl_DStringAppendElement ( &dString, "PlotLinesOff" );
    Tcl_DStringAppendElement ( &dString, "SetGlyphSize" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSizeMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSizeMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSize" );
    Tcl_DStringAppendElement ( &dString, "ViewportToPlotCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPlotCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetPlotCoordinate" );
    Tcl_DStringAppendElement ( &dString, "GetPlotCoordinate" );
    Tcl_DStringAppendElement ( &dString, "PlotToViewportCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetViewportCoordinate" );
    Tcl_DStringAppendElement ( &dString, "SetViewportCoordinate" );
    Tcl_DStringAppendElement ( &dString, "GetViewportCoordinate" );
    Tcl_DStringAppendElement ( &dString, "IsInPlot" );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkActor2DCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate object with autorange computation; bold, italic, and shadows\n on; arial font family; the number of labels set to 5 for the x and y\n axes; a label format of \"%-#6.3g\"; and x coordinates computed from point\n ids.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkXYPlotActor *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInput */
    if ( strcmp ( argv[2], "AddInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInput */
    Tcl_DStringAppendElement ( &dString, " Add a dataset to the list of data to append. The array name specifies\n which point array to plot. The array must be a vtkDataArray subclass, i.e. \n a numeric array. If the array name is NULL, then the default\n scalars are used.  The array can have multiple components, but only the\n first component is ploted.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInput (vtkDataSet *in, const char *arrayName, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for AddInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddInput */
    if ( strcmp ( argv[2], "AddInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddInput */
    Tcl_DStringAppendElement ( &dString, " Remove a dataset from the list of data to append.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddInput (vtkDataSet *in);this AddInput in NULL " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for AddInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveInput */
    if ( strcmp ( argv[2], "RemoveInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveInput */
    Tcl_DStringAppendElement ( &dString, " Remove a dataset from the list of data to append.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveInput (vtkDataSet *in, const char *arrayName, int component);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for RemoveInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveInput */
    if ( strcmp ( argv[2], "RemoveInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveInput */
    Tcl_DStringAppendElement ( &dString, " This removes all of the data set inputs, \n but does not change the data object inputs.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveInput (vtkDataSet *in);this RemoveInput in NULL " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for RemoveInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveAllInputs */
    if ( strcmp ( argv[2], "RemoveAllInputs" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveAllInputs" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveAllInputs */
    Tcl_DStringAppendElement ( &dString, " This removes all of the data set inputs, \n but does not change the data object inputs.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveAllInputs ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for RemoveAllInputs */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInputList */
    if ( strcmp ( argv[2], "GetInputList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInputList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInputList */
    Tcl_DStringAppendElement ( &dString, " If plotting points by value, which component to use to determine the\n value. This sets a value per each input dataset (i.e., the ith dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataSetCollection *GetInputList ();return this InputList " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetInputList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPointComponent */
    if ( strcmp ( argv[2], "SetPointComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPointComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPointComponent */
    Tcl_DStringAppendElement ( &dString, " If plotting points by value, which component to use to determine the\n value. This sets a value per each input dataset (i.e., the ith dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPointComponent (int i, int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPointComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPointComponent */
    if ( strcmp ( argv[2], "GetPointComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPointComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPointComponent */
    Tcl_DStringAppendElement ( &dString, " If plotting points by value, which component to use to determine the\n value. This sets a value per each input dataset (i.e., the ith dataset).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPointComponent (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPointComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXValues */
    if ( strcmp ( argv[2], "SetXValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXValues */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXValues (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXValuesMinValue */
    if ( strcmp ( argv[2], "GetXValuesMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXValuesMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXValuesMinValue */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXValuesMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXValuesMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXValuesMaxValue */
    if ( strcmp ( argv[2], "GetXValuesMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXValuesMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXValuesMaxValue */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXValuesMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXValuesMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXValues */
    if ( strcmp ( argv[2], "GetXValues" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXValues" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXValues */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "int GetXValues ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXValues */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXValuesToIndex */
    if ( strcmp ( argv[2], "SetXValuesToIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXValuesToIndex */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXValuesToIndex ();this SetXValues VTK_XYPLOT_INDEX " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXValuesToIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXValuesToArcLength */
    if ( strcmp ( argv[2], "SetXValuesToArcLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToArcLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXValuesToArcLength */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXValuesToArcLength ();this SetXValues VTK_XYPLOT_ARC_LENGTH " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXValuesToArcLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXValuesToNormalizedArcLength */
    if ( strcmp ( argv[2], "SetXValuesToNormalizedArcLength" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToNormalizedArcLength" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXValuesToNormalizedArcLength */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXValuesToNormalizedArcLength ();this SetXValues VTK_XYPLOT_NORMALIZED_ARC_LENGTH " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXValuesToNormalizedArcLength */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXValuesToValue */
    if ( strcmp ( argv[2], "SetXValuesToValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXValuesToValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXValuesToValue */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXValuesToValue ();this SetXValues VTK_XYPLOT_VALUE " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXValuesToValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXValuesAsString */
    if ( strcmp ( argv[2], "GetXValuesAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXValuesAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXValuesAsString */
    Tcl_DStringAppendElement ( &dString, " Specify how the independent (x) variable is computed from the points.\n The independent variable can be the scalar/point index (i.e., point id),\n the accumulated arc length along the points, the normalized arc length,\n or by component value. If plotting datasets (e.g., points), the value\n that is used is specified by the PointComponent ivar.  (Note: these\n methods also control how field data is plotted. Field data is usually\n plotted by value or index, if plotting leng ...\n [Truncated]\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetXValuesAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXValuesAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AddDataObjectInput */
    if ( strcmp ( argv[2], "AddDataObjectInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AddDataObjectInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AddDataObjectInput */
    Tcl_DStringAppendElement ( &dString, " Add a dataset to the list of data to append.\n" );
    Tcl_DStringAppendElement ( &dString, "void AddDataObjectInput (vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for AddDataObjectInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RemoveDataObjectInput */
    if ( strcmp ( argv[2], "RemoveDataObjectInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RemoveDataObjectInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RemoveDataObjectInput */
    Tcl_DStringAppendElement ( &dString, " Remove a dataset from the list of data to append.\n" );
    Tcl_DStringAppendElement ( &dString, "void RemoveDataObjectInput (vtkDataObject *in);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for RemoveDataObjectInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectInputList */
    if ( strcmp ( argv[2], "GetDataObjectInputList" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectInputList" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectInputList */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "vtkDataObjectCollection *GetDataObjectInputList ();return this DataObjectInputList " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetDataObjectInputList */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataObjectPlotMode */
    if ( strcmp ( argv[2], "SetDataObjectPlotMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectPlotMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataObjectPlotMode */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataObjectPlotMode (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetDataObjectPlotMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectPlotModeMinValue */
    if ( strcmp ( argv[2], "GetDataObjectPlotModeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotModeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectPlotModeMinValue */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectPlotModeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetDataObjectPlotModeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectPlotModeMaxValue */
    if ( strcmp ( argv[2], "GetDataObjectPlotModeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotModeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectPlotModeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectPlotModeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetDataObjectPlotModeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectPlotMode */
    if ( strcmp ( argv[2], "GetDataObjectPlotMode" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotMode" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectPlotMode */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectPlotMode ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetDataObjectPlotMode */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataObjectPlotModeToRows */
    if ( strcmp ( argv[2], "SetDataObjectPlotModeToRows" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectPlotModeToRows" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataObjectPlotModeToRows */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataObjectPlotModeToRows ();this SetDataObjectPlotMode VTK_XYPLOT_ROW " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetDataObjectPlotModeToRows */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataObjectPlotModeToColumns */
    if ( strcmp ( argv[2], "SetDataObjectPlotModeToColumns" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectPlotModeToColumns" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataObjectPlotModeToColumns */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataObjectPlotModeToColumns ();this SetDataObjectPlotMode VTK_XYPLOT_COLUMN " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetDataObjectPlotModeToColumns */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectPlotModeAsString */
    if ( strcmp ( argv[2], "GetDataObjectPlotModeAsString" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectPlotModeAsString" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectPlotModeAsString */
    Tcl_DStringAppendElement ( &dString, " Indicate whether to plot rows or columns. If plotting rows, then\n the dependent variables is taken from a specified row,\n versus rows (y). \n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetDataObjectPlotModeAsString ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetDataObjectPlotModeAsString */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataObjectXComponent */
    if ( strcmp ( argv[2], "SetDataObjectXComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectXComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataObjectXComponent */
    Tcl_DStringAppendElement ( &dString, " Specify which component of the input data object to use as the\n independent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectXComponent is the row number; otherwise it's the\n column number.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataObjectXComponent (int i, int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetDataObjectXComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectXComponent */
    if ( strcmp ( argv[2], "GetDataObjectXComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectXComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectXComponent */
    Tcl_DStringAppendElement ( &dString, " Specify which component of the input data object to use as the\n independent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectXComponent is the row number; otherwise it's the\n column number.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectXComponent (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetDataObjectXComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDataObjectYComponent */
    if ( strcmp ( argv[2], "SetDataObjectYComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDataObjectYComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDataObjectYComponent */
    Tcl_DStringAppendElement ( &dString, " Specify which component of the input data object to use as the\n dependent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectYComponent is the row number; otherwise it's the\n column number.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDataObjectYComponent (int i, int comp);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetDataObjectYComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDataObjectYComponent */
    if ( strcmp ( argv[2], "GetDataObjectYComponent" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDataObjectYComponent" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDataObjectYComponent */
    Tcl_DStringAppendElement ( &dString, " Specify which component of the input data object to use as the\n dependent variable for the ith input data object. (This ivar is\n ignored if plotting the index.) Note that the value is interpreted\n differently depending on DataObjectPlotMode. If the mode is Rows, then\n the value of DataObjectYComponent is the row number; otherwise it's the\n column number.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDataObjectYComponent (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetDataObjectYComponent */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotColor */
    if ( strcmp ( argv[2], "SetPlotColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotColor (int i, double r, double g, double b);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotColor */
    if ( strcmp ( argv[2], "GetPlotColor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotColor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotColor */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "double *GetPlotColor (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotColor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotSymbol */
    if ( strcmp ( argv[2], "SetPlotSymbol" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotSymbol" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotSymbol */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotSymbol (int i, vtkPolyData *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotSymbol */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotSymbol */
    if ( strcmp ( argv[2], "GetPlotSymbol" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotSymbol" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotSymbol */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData *GetPlotSymbol (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotSymbol */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotLabel */
    if ( strcmp ( argv[2], "SetPlotLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotLabel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotLabel (int i, const char *label);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotLabel */
    if ( strcmp ( argv[2], "GetPlotLabel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotLabel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotLabel */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetPlotLabel (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotLabel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotCurvePoints */
    if ( strcmp ( argv[2], "GetPlotCurvePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotCurvePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotCurvePoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotCurvePoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotCurvePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotCurvePoints */
    if ( strcmp ( argv[2], "SetPlotCurvePoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotCurvePoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotCurvePoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotCurvePoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotCurvePoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotCurvePointsOn */
    if ( strcmp ( argv[2], "PlotCurvePointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotCurvePointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotCurvePointsOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PlotCurvePointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotCurvePointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotCurvePointsOff */
    if ( strcmp ( argv[2], "PlotCurvePointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotCurvePointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotCurvePointsOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PlotCurvePointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotCurvePointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotCurveLines */
    if ( strcmp ( argv[2], "GetPlotCurveLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotCurveLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotCurveLines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotCurveLines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotCurveLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotCurveLines */
    if ( strcmp ( argv[2], "SetPlotCurveLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotCurveLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotCurveLines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotCurveLines (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotCurveLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotCurveLinesOn */
    if ( strcmp ( argv[2], "PlotCurveLinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotCurveLinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotCurveLinesOn */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PlotCurveLinesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotCurveLinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotCurveLinesOff */
    if ( strcmp ( argv[2], "PlotCurveLinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotCurveLinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotCurveLinesOff */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void PlotCurveLinesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotCurveLinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotLines */
    if ( strcmp ( argv[2], "SetPlotLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotLines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotLines (int i, int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotLines */
    if ( strcmp ( argv[2], "GetPlotLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotLines */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotLines (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotPoints */
    if ( strcmp ( argv[2], "SetPlotPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotPoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotPoints (int i, int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotPoints */
    if ( strcmp ( argv[2], "GetPlotPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotPoints */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotPoints (int i);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetExchangeAxes */
    if ( strcmp ( argv[2], "SetExchangeAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetExchangeAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetExchangeAxes */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetExchangeAxes (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetExchangeAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetExchangeAxes */
    if ( strcmp ( argv[2], "GetExchangeAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetExchangeAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetExchangeAxes */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetExchangeAxes ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetExchangeAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExchangeAxesOn */
    if ( strcmp ( argv[2], "ExchangeAxesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExchangeAxesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExchangeAxesOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExchangeAxesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for ExchangeAxesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ExchangeAxesOff */
    if ( strcmp ( argv[2], "ExchangeAxesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ExchangeAxesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ExchangeAxesOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable exchange of the x-y axes (i.e., what was x becomes y, and\n vice-versa). Exchanging axes affects the labeling as well.\n" );
    Tcl_DStringAppendElement ( &dString, "void ExchangeAxesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for ExchangeAxesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReverseXAxis */
    if ( strcmp ( argv[2], "SetReverseXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReverseXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReverseXAxis */
    Tcl_DStringAppendElement ( &dString, " Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReverseXAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetReverseXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseXAxis */
    if ( strcmp ( argv[2], "GetReverseXAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseXAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseXAxis */
    Tcl_DStringAppendElement ( &dString, " Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseXAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetReverseXAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseXAxisOn */
    if ( strcmp ( argv[2], "ReverseXAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseXAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseXAxisOn */
    Tcl_DStringAppendElement ( &dString, " Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseXAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for ReverseXAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseXAxisOff */
    if ( strcmp ( argv[2], "ReverseXAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseXAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseXAxisOff */
    Tcl_DStringAppendElement ( &dString, " Normally the x-axis is plotted from minimum to maximum. Setting this instance\n variable causes the x-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the x-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseXAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for ReverseXAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetReverseYAxis */
    if ( strcmp ( argv[2], "SetReverseYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetReverseYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetReverseYAxis */
    Tcl_DStringAppendElement ( &dString, " Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetReverseYAxis (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetReverseYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetReverseYAxis */
    if ( strcmp ( argv[2], "GetReverseYAxis" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetReverseYAxis" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetReverseYAxis */
    Tcl_DStringAppendElement ( &dString, " Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetReverseYAxis ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetReverseYAxis */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseYAxisOn */
    if ( strcmp ( argv[2], "ReverseYAxisOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseYAxisOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseYAxisOn */
    Tcl_DStringAppendElement ( &dString, " Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseYAxisOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for ReverseYAxisOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ReverseYAxisOff */
    if ( strcmp ( argv[2], "ReverseYAxisOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ReverseYAxisOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ReverseYAxisOff */
    Tcl_DStringAppendElement ( &dString, " Normally the y-axis is plotted from minimum to maximum. Setting this instance\n variable causes the y-axis to be plotted from maximum to minimum. Note that\n boolean always applies to the y-axis even if ExchangeAxes is set.\n" );
    Tcl_DStringAppendElement ( &dString, "void ReverseYAxisOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for ReverseYAxisOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendActor */
    if ( strcmp ( argv[2], "GetLegendActor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendActor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendActor */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the legend box and glyph source. This is useful\n if you would like to change the default behavior of the legend box\n or glyph source. For example, the default glyph can be changed from\n a line to a vertex plus line, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLegendBoxActor *GetLegendActor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetLegendActor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphSource */
    if ( strcmp ( argv[2], "GetGlyphSource" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSource" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphSource */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the legend box and glyph source. This is useful\n if you would like to change the default behavior of the legend box\n or glyph source. For example, the default glyph can be changed from\n a line to a vertex plus line, etc.)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkGlyphSource2D *GetGlyphSource ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetGlyphSource */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitle */
    if ( strcmp ( argv[2], "SetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitle */
    if ( strcmp ( argv[2], "GetTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXTitle */
    if ( strcmp ( argv[2], "SetXTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXTitle */
    if ( strcmp ( argv[2], "GetXTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYTitle */
    if ( strcmp ( argv[2], "SetYTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYTitle (char *);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetYTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYTitle */
    if ( strcmp ( argv[2], "GetYTitle" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYTitle" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYTitle */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title of the x-y plot, and the title along the \n x and y axes.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYTitle ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetYTitle */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXAxisActor2D */
    if ( strcmp ( argv[2], "GetXAxisActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXAxisActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXAxisActor2D */
    Tcl_DStringAppendElement ( &dString, " Retrieve handles to the X and Y axis (so that you can set their text\n properties for example)\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetXAxisActor2D ();return this XAxis " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXAxisActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYAxisActor2D */
    if ( strcmp ( argv[2], "GetYAxisActor2D" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYAxisActor2D" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYAxisActor2D */
    Tcl_DStringAppendElement ( &dString, " Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkAxisActor2D *GetYAxisActor2D ();return this YAxis " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetYAxisActor2D */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXRange */
    if ( strcmp ( argv[2], "SetXRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXRange */
    Tcl_DStringAppendElement ( &dString, " Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXRange (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXRange */
    if ( strcmp ( argv[2], "SetXRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXRange */
    Tcl_DStringAppendElement ( &dString, " Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXRange (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXRange */
    if ( strcmp ( argv[2], "GetXRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXRange */
    Tcl_DStringAppendElement ( &dString, " Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetXRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYRange */
    if ( strcmp ( argv[2], "SetYRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYRange */
    Tcl_DStringAppendElement ( &dString, " Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYRange (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetYRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYRange */
    if ( strcmp ( argv[2], "SetYRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYRange */
    Tcl_DStringAppendElement ( &dString, " Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYRange (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetYRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYRange */
    if ( strcmp ( argv[2], "GetYRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYRange */
    Tcl_DStringAppendElement ( &dString, " Set the plot range (range of independent and dependent variables)\n to plot. Data outside of the range will be clipped. If the plot\n range of either the x or y variables is set to (v1,v2), where\n v1 == v2, then the range will be computed automatically. Note that\n the x-range values should be consistent with the way the independent\n variable is created (via INDEX, DISTANCE, or ARC_LENGTH).\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetYRange ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetYRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotRange */
    if ( strcmp ( argv[2], "SetPlotRange" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotRange" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotRange */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotRange (double xmin, double ymin, double xmax, double ymax);this SetXRange xmin xmax this SetYRange ymin ymax " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotRange */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfXLabels */
    if ( strcmp ( argv[2], "SetNumberOfXLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfXLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfXLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfXLabels (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetNumberOfXLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfXLabelsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfXLabelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXLabelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfXLabelsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfXLabelsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfXLabelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfXLabelsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfXLabelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXLabelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfXLabelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfXLabelsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfXLabelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfXLabels */
    if ( strcmp ( argv[2], "GetNumberOfXLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfXLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfXLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfXLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfYLabels */
    if ( strcmp ( argv[2], "SetNumberOfYLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfYLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfYLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfYLabels (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetNumberOfYLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfYLabelsMinValue */
    if ( strcmp ( argv[2], "GetNumberOfYLabelsMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYLabelsMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfYLabelsMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfYLabelsMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfYLabelsMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfYLabelsMaxValue */
    if ( strcmp ( argv[2], "GetNumberOfYLabelsMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYLabelsMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfYLabelsMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfYLabelsMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfYLabelsMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfYLabels */
    if ( strcmp ( argv[2], "GetNumberOfYLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfYLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of annotation labels to show along the x and y axes.\n This values is a suggestion: the number of labels may vary depending\n on the particulars of the data. The convenience method \n SetNumberOfLables() sets the number of x and y labels to the same value.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfYLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfYLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfLabels */
    if ( strcmp ( argv[2], "SetNumberOfLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfLabels (int num);this SetNumberOfXLabels num this SetNumberOfYLabels num " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetNumberOfLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAdjustXLabels */
    if ( strcmp ( argv[2], "SetAdjustXLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdjustXLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdjustXLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAdjustXLabels (int adjust);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetAdjustXLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjustXLabels */
    if ( strcmp ( argv[2], "GetAdjustXLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjustXLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjustXLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAdjustXLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetAdjustXLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAdjustYLabels */
    if ( strcmp ( argv[2], "SetAdjustYLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdjustYLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdjustYLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAdjustYLabels (int adjust);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetAdjustYLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjustYLabels */
    if ( strcmp ( argv[2], "GetAdjustYLabels" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjustYLabels" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjustYLabels */
    Tcl_DStringAppendElement ( &dString, " Set/Get the flag that controls whether the labels and ticks are\n adjusted for \"nice\" numerical values to make it easier to read \n the labels. The adjustment is based in the Range instance variable.\n Call GetAdjustedRange and GetAdjustedNumberOfLabels to get the adjusted\n range and number of labels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAdjustYLabels ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetAdjustYLabels */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXTitlePosition */
    if ( strcmp ( argv[2], "SetXTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the title of X or Y axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetXTitlePosition (double position);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXTitlePosition */
    if ( strcmp ( argv[2], "GetXTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the title of X or Y axis.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetXTitlePosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYTitlePosition */
    if ( strcmp ( argv[2], "SetYTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the title of X or Y axis.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetYTitlePosition (double position);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetYTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYTitlePosition */
    if ( strcmp ( argv[2], "GetYTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the title of X or Y axis.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetYTitlePosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetYTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfXMinorTicks */
    if ( strcmp ( argv[2], "SetNumberOfXMinorTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfXMinorTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfXMinorTicks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of minor ticks in X or Y.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfXMinorTicks (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetNumberOfXMinorTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfXMinorTicks */
    if ( strcmp ( argv[2], "GetNumberOfXMinorTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfXMinorTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfXMinorTicks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of minor ticks in X or Y.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfXMinorTicks ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfXMinorTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetNumberOfYMinorTicks */
    if ( strcmp ( argv[2], "SetNumberOfYMinorTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetNumberOfYMinorTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetNumberOfYMinorTicks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of minor ticks in X or Y.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetNumberOfYMinorTicks (int num);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetNumberOfYMinorTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNumberOfYMinorTicks */
    if ( strcmp ( argv[2], "GetNumberOfYMinorTicks" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNumberOfYMinorTicks" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNumberOfYMinorTicks */
    Tcl_DStringAppendElement ( &dString, " Set/Get the number of minor ticks in X or Y.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetNumberOfYMinorTicks ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetNumberOfYMinorTicks */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLegend */
    if ( strcmp ( argv[2], "SetLegend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegend */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLegend (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetLegend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegend */
    if ( strcmp ( argv[2], "GetLegend" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegend" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegend */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLegend ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetLegend */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LegendOn */
    if ( strcmp ( argv[2], "LegendOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "void LegendOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for LegendOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LegendOff */
    if ( strcmp ( argv[2], "LegendOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LegendOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LegendOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable the creation of a legend. If on, the legend labels will\n be created automatically unless the per plot legend symbol has been\n set.\n" );
    Tcl_DStringAppendElement ( &dString, "void LegendOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for LegendOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitlePosition */
    if ( strcmp ( argv[2], "SetTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the title. This has no effect if \n AdjustTitlePosition is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitlePosition (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitlePosition */
    if ( strcmp ( argv[2], "SetTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the title. This has no effect if \n AdjustTitlePosition is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTitlePosition (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitlePosition */
    if ( strcmp ( argv[2], "GetTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitlePosition */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the title. This has no effect if \n AdjustTitlePosition is true.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetTitlePosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAdjustTitlePosition */
    if ( strcmp ( argv[2], "SetAdjustTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAdjustTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAdjustTitlePosition */
    Tcl_DStringAppendElement ( &dString, " If true, the xyplot actor will adjust the position of the title\n automatically to be upper-middle. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetAdjustTitlePosition (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetAdjustTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAdjustTitlePosition */
    if ( strcmp ( argv[2], "GetAdjustTitlePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAdjustTitlePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAdjustTitlePosition */
    Tcl_DStringAppendElement ( &dString, " If true, the xyplot actor will adjust the position of the title\n automatically to be upper-middle. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetAdjustTitlePosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetAdjustTitlePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdjustTitlePositionOn */
    if ( strcmp ( argv[2], "AdjustTitlePositionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustTitlePositionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustTitlePositionOn */
    Tcl_DStringAppendElement ( &dString, " If true, the xyplot actor will adjust the position of the title\n automatically to be upper-middle. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void AdjustTitlePositionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for AdjustTitlePositionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: AdjustTitlePositionOff */
    if ( strcmp ( argv[2], "AdjustTitlePositionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "AdjustTitlePositionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for AdjustTitlePositionOff */
    Tcl_DStringAppendElement ( &dString, " If true, the xyplot actor will adjust the position of the title\n automatically to be upper-middle. Default is true.\n" );
    Tcl_DStringAppendElement ( &dString, "void AdjustTitlePositionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for AdjustTitlePositionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLegendPosition */
    if ( strcmp ( argv[2], "SetLegendPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegendPosition */
    Tcl_DStringAppendElement ( &dString, " Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLegendPosition (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetLegendPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLegendPosition */
    if ( strcmp ( argv[2], "SetLegendPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegendPosition */
    Tcl_DStringAppendElement ( &dString, " Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLegendPosition (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetLegendPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendPosition */
    if ( strcmp ( argv[2], "GetLegendPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendPosition */
    Tcl_DStringAppendElement ( &dString, " Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetLegendPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetLegendPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLegendPosition2 */
    if ( strcmp ( argv[2], "SetLegendPosition2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegendPosition2 */
    Tcl_DStringAppendElement ( &dString, " Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLegendPosition2 (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetLegendPosition2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLegendPosition2 */
    if ( strcmp ( argv[2], "SetLegendPosition2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLegendPosition2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLegendPosition2 */
    Tcl_DStringAppendElement ( &dString, " Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLegendPosition2 (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetLegendPosition2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLegendPosition2 */
    if ( strcmp ( argv[2], "GetLegendPosition2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLegendPosition2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLegendPosition2 */
    Tcl_DStringAppendElement ( &dString, " Use these methods to control the position of the legend. The variables\n LegendPosition and LegendPosition2 define the lower-left and upper-right\n position of the legend. The coordinates are expressed as normalized\n values with respect to the rectangle defined by PositionCoordinate and\n Position2Coordinate. Note that LegendPosition2 is relative to\n LegendPosition.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetLegendPosition2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetLegendPosition2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTitleTextProperty */
    if ( strcmp ( argv[2], "SetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTitleTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTitleTextProperty */
    if ( strcmp ( argv[2], "GetTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTitleTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisTitleTextProperty */
    if ( strcmp ( argv[2], "SetAxisTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisTitleTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetAxisTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisTitleTextProperty */
    if ( strcmp ( argv[2], "GetAxisTitleTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisTitleTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisTitleTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the title text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetAxisTitleTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetAxisTitleTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetAxisLabelTextProperty */
    if ( strcmp ( argv[2], "SetAxisLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetAxisLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetAxisLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetAxisLabelTextProperty (vtkTextProperty *p);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetAxisLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetAxisLabelTextProperty */
    if ( strcmp ( argv[2], "GetAxisLabelTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetAxisLabelTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetAxisLabelTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the labels text property of all axes. Note that each axis can\n be controlled individually through the GetX/YAxisActor2D() methods.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetAxisLabelTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetAxisLabelTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLogx */
    if ( strcmp ( argv[2], "SetLogx" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLogx" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLogx */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable plotting of Log of x-values.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLogx (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetLogx */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLogx */
    if ( strcmp ( argv[2], "GetLogx" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLogx" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLogx */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable plotting of Log of x-values.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLogx ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetLogx */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogxOn */
    if ( strcmp ( argv[2], "LogxOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogxOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogxOn */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable plotting of Log of x-values.\n" );
    Tcl_DStringAppendElement ( &dString, "void LogxOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for LogxOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: LogxOff */
    if ( strcmp ( argv[2], "LogxOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "LogxOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for LogxOff */
    Tcl_DStringAppendElement ( &dString, " Enable/Disable plotting of Log of x-values.\n" );
    Tcl_DStringAppendElement ( &dString, "void LogxOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for LogxOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLabelFormat */
    if ( strcmp ( argv[2], "SetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the labels . This sets both X\n and Y label formats. GetLabelFormat() returns X label format.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLabelFormat (const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLabelFormat */
    if ( strcmp ( argv[2], "GetLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the X label.\n" );
    Tcl_DStringAppendElement ( &dString, "const char *GetLabelFormat ();return this GetXLabelFormat " );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetXLabelFormat */
    if ( strcmp ( argv[2], "SetXLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetXLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetXLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the X label.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetXLabelFormat (const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetXLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetXLabelFormat */
    if ( strcmp ( argv[2], "GetXLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetXLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetXLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the X label.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetXLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetXLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetYLabelFormat */
    if ( strcmp ( argv[2], "SetYLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetYLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetYLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the Y label.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetYLabelFormat (const char *_arg);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetYLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetYLabelFormat */
    if ( strcmp ( argv[2], "GetYLabelFormat" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetYLabelFormat" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetYLabelFormat */
    Tcl_DStringAppendElement ( &dString, " Set/Get the format with which to print the Y label.\n" );
    Tcl_DStringAppendElement ( &dString, "char *GetYLabelFormat ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetYLabelFormat */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetBorder */
    if ( strcmp ( argv[2], "SetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetBorder */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetBorder (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderMinValue */
    if ( strcmp ( argv[2], "GetBorderMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetBorderMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorderMaxValue */
    if ( strcmp ( argv[2], "GetBorderMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorderMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorderMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorderMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetBorderMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetBorder */
    if ( strcmp ( argv[2], "GetBorder" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetBorder" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetBorder */
    Tcl_DStringAppendElement ( &dString, " Set/Get the spacing between the plot window and the plot. The value\n is specified in pixels.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetBorder ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetBorder */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotPoints */
    if ( strcmp ( argv[2], "GetPlotPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotPoints */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the points are rendered.  The point size can be set in\n the property object. This is a global flag which affects the plot only \n if per curve symbols are not defined.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotPoints ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotPoints */
    if ( strcmp ( argv[2], "SetPlotPoints" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotPoints" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotPoints */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the points are rendered.  The point size can be set in\n the property object. This is a global flag which affects the plot only \n if per curve symbols are not defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotPoints (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotPoints */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotPointsOn */
    if ( strcmp ( argv[2], "PlotPointsOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotPointsOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotPointsOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the points are rendered.  The point size can be set in\n the property object. This is a global flag which affects the plot only \n if per curve symbols are not defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlotPointsOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotPointsOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotPointsOff */
    if ( strcmp ( argv[2], "PlotPointsOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotPointsOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotPointsOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the points are rendered.  The point size can be set in\n the property object. This is a global flag which affects the plot only \n if per curve symbols are not defined.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlotPointsOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotPointsOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotLines */
    if ( strcmp ( argv[2], "GetPlotLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotLines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lines are rendered.  The line width can be set in\n the property object. \n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlotLines ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotLines */
    if ( strcmp ( argv[2], "SetPlotLines" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotLines" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotLines */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lines are rendered.  The line width can be set in\n the property object. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotLines (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotLines */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotLinesOn */
    if ( strcmp ( argv[2], "PlotLinesOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotLinesOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotLinesOn */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lines are rendered.  The line width can be set in\n the property object. \n" );
    Tcl_DStringAppendElement ( &dString, "void PlotLinesOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotLinesOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotLinesOff */
    if ( strcmp ( argv[2], "PlotLinesOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotLinesOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotLinesOff */
    Tcl_DStringAppendElement ( &dString, " Set/Get whether the lines are rendered.  The line width can be set in\n the property object. \n" );
    Tcl_DStringAppendElement ( &dString, "void PlotLinesOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotLinesOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetGlyphSize */
    if ( strcmp ( argv[2], "SetGlyphSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetGlyphSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetGlyphSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetGlyphSize (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetGlyphSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphSizeMinValue */
    if ( strcmp ( argv[2], "GetGlyphSizeMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSizeMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphSizeMinValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGlyphSizeMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetGlyphSizeMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphSizeMaxValue */
    if ( strcmp ( argv[2], "GetGlyphSizeMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSizeMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphSizeMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGlyphSizeMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetGlyphSizeMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetGlyphSize */
    if ( strcmp ( argv[2], "GetGlyphSize" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetGlyphSize" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetGlyphSize */
    Tcl_DStringAppendElement ( &dString, " Set/Get the factor that controls how big glyphs are in the plot.\n The number is expressed as a fraction of the length of the diagonal\n of the plot bounding box.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetGlyphSize ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetGlyphSize */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: ViewportToPlotCoordinate */
    if ( strcmp ( argv[2], "ViewportToPlotCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "ViewportToPlotCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for ViewportToPlotCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of ViewportToPlotCoordinate() above. This method\n inputs the viewport coordinate pair (defined by the ivar \n ViewportCoordinate)and then stores them in the ivar PlotCoordinate. \n" );
    Tcl_DStringAppendElement ( &dString, "void ViewportToPlotCoordinate (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for ViewportToPlotCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotCoordinate */
    if ( strcmp ( argv[2], "SetPlotCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of ViewportToPlotCoordinate() above. This method\n inputs the viewport coordinate pair (defined by the ivar \n ViewportCoordinate)and then stores them in the ivar PlotCoordinate. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotCoordinate (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlotCoordinate */
    if ( strcmp ( argv[2], "SetPlotCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlotCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlotCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of ViewportToPlotCoordinate() above. This method\n inputs the viewport coordinate pair (defined by the ivar \n ViewportCoordinate)and then stores them in the ivar PlotCoordinate. \n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlotCoordinate (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetPlotCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlotCoordinate */
    if ( strcmp ( argv[2], "GetPlotCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlotCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlotCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of ViewportToPlotCoordinate() above. This method\n inputs the viewport coordinate pair (defined by the ivar \n ViewportCoordinate)and then stores them in the ivar PlotCoordinate. \n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetPlotCoordinate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetPlotCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlotToViewportCoordinate */
    if ( strcmp ( argv[2], "PlotToViewportCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlotToViewportCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlotToViewportCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of PlotToViewportCoordinate() above. This method\n inputs the plot coordinate pair (defined in the ivar PlotCoordinate)\n and then stores them in the ivar ViewportCoordinate. (This method \n can be wrapped.)\n" );
    Tcl_DStringAppendElement ( &dString, "void PlotToViewportCoordinate (vtkViewport *viewport);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for PlotToViewportCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewportCoordinate */
    if ( strcmp ( argv[2], "SetViewportCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewportCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewportCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of PlotToViewportCoordinate() above. This method\n inputs the plot coordinate pair (defined in the ivar PlotCoordinate)\n and then stores them in the ivar ViewportCoordinate. (This method \n can be wrapped.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewportCoordinate (double , double );" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetViewportCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetViewportCoordinate */
    if ( strcmp ( argv[2], "SetViewportCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetViewportCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetViewportCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of PlotToViewportCoordinate() above. This method\n inputs the plot coordinate pair (defined in the ivar PlotCoordinate)\n and then stores them in the ivar ViewportCoordinate. (This method \n can be wrapped.)\n" );
    Tcl_DStringAppendElement ( &dString, "void SetViewportCoordinate (double  a\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for SetViewportCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetViewportCoordinate */
    if ( strcmp ( argv[2], "GetViewportCoordinate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetViewportCoordinate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetViewportCoordinate */
    Tcl_DStringAppendElement ( &dString, " An alternate form of PlotToViewportCoordinate() above. This method\n inputs the plot coordinate pair (defined in the ivar PlotCoordinate)\n and then stores them in the ivar ViewportCoordinate. (This method \n can be wrapped.)\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetViewportCoordinate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetViewportCoordinate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsInPlot */
    if ( strcmp ( argv[2], "IsInPlot" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsInPlot" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkViewport" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsInPlot */
    Tcl_DStringAppendElement ( &dString, " Is the specified viewport position within the plot area (as opposed to the\n region used by the plot plus the labels)?\n" );
    Tcl_DStringAppendElement ( &dString, "int IsInPlot (vtkViewport *viewport, double u, double v);" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for IsInPlot */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMTime */
    if ( strcmp ( argv[2], "GetMTime" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMTime" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMTime */
    Tcl_DStringAppendElement ( &dString, " Take into account the modified time of internal helper classes.\n" );
    Tcl_DStringAppendElement ( &dString, "unsigned long GetMTime ();" );
    Tcl_DStringAppendElement ( &dString, "vtkXYPlotActor" );
    /* Closing for GetMTime */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkActor2DCppCommand(static_cast<vtkActor2D *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
