// tcl wrapper for vtkImagePlaneWidget object
//
#define VTK_WRAPPING_CXX
#define VTK_STREAMS_FWD_ONLY
#include "vtkSystemIncludes.h"
#include "vtkImagePlaneWidget.h"

#include "vtkTclUtil.h"
#include <vtkstd/stdexcept>
#include <vtksys/ios/sstream>

ClientData vtkImagePlaneWidgetNewCommand()
{
  vtkImagePlaneWidget *temp = vtkImagePlaneWidget::New();
  return static_cast<ClientData>(temp);
}

int vtkPolyDataSourceWidgetCppCommand(vtkPolyDataSourceWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);
int VTKTCL_EXPORT vtkImagePlaneWidgetCppCommand(vtkImagePlaneWidget *op, Tcl_Interp *interp,
             int argc, char *argv[]);

int VTKTCL_EXPORT vtkImagePlaneWidgetCommand(ClientData cd, Tcl_Interp *interp,
             int argc, char *argv[])
{
  if ((argc == 2)&&(!strcmp("Delete",argv[1]))&& !vtkTclInDelete(interp))
    {
    Tcl_DeleteCommand(interp,argv[0]);
    return TCL_OK;
    }
   return vtkImagePlaneWidgetCppCommand(static_cast<vtkImagePlaneWidget *>(static_cast<vtkTclCommandArgStruct *>(cd)->Pointer),interp, argc, argv);
}

int VTKTCL_EXPORT vtkImagePlaneWidgetCppCommand(vtkImagePlaneWidget *op, Tcl_Interp *interp,
             int argc, char *argv[])
{
  int    tempi;
  double tempd;
  static char temps[80];
  int    error;

  error = 0; error = error;
  tempi = 0; tempi = tempi;
  tempd = 0; tempd = tempd;
  temps[0] = 0; temps[0] = temps[0];

  if (argc < 2)
    {
    Tcl_SetResult(interp,const_cast<char *>("Could not find requested method."), TCL_VOLATILE);
    return TCL_ERROR;
    }
  if (!interp)
    {
    if (!strcmp("DoTypecasting",argv[0]))
      {
      if (!strcmp("vtkImagePlaneWidget",argv[1]))
        {
        argv[2] = static_cast<char *>(static_cast<void *>(op));
        return TCL_OK;
        }
      if (vtkPolyDataSourceWidgetCppCommand(static_cast<vtkPolyDataSourceWidget *>(op),interp,argc,argv) == TCL_OK)
        {
        return TCL_OK;
        }
      }
    return TCL_ERROR;
    }

  if (!strcmp("GetSuperClassName",argv[1]))
    {
    Tcl_SetResult(interp,const_cast<char *>("vtkPolyDataSourceWidget"), TCL_VOLATILE);
    return TCL_OK;
    }

  try
    {
  if ((!strcmp("New",argv[1]))&&(argc == 2))
    {
    vtkImagePlaneWidget  *temp20;
    temp20 = (op)->New();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImagePlaneWidget");
    return TCL_OK;
    }
  if ((!strcmp("GetClassName",argv[1]))&&(argc == 2))
    {
    const char    *temp20;
    temp20 = (op)->GetClassName();
    if (temp20)
      {
      Tcl_SetResult(interp, const_cast<char *>(temp20), TCL_VOLATILE);
      }
    else
      {
      Tcl_ResetResult(interp);
      }
    return TCL_OK;
    }
  if ((!strcmp("IsA",argv[1]))&&(argc == 3))
    {
    char    *temp0;
    int      temp20;
    error = 0;

    temp0 = argv[2];
    if (!error)
    {
    temp20 = (op)->IsA(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("NewInstance",argv[1]))&&(argc == 2))
    {
    vtkImagePlaneWidget  *temp20;
    temp20 = (op)->NewInstance();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImagePlaneWidget");
    return TCL_OK;
    }
  if ((!strcmp("SafeDownCast",argv[1]))&&(argc == 3))
    {
    vtkObject  *temp0;
    vtkImagePlaneWidget  *temp20;
    error = 0;

    temp0 = (vtkObject *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkObject"),interp,error));
    if (!error)
    {
    temp20 = (op)->SafeDownCast(temp0);
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImagePlaneWidget");
    return TCL_OK;
    }
    }
  if ((!strcmp("SetEnabled",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetEnabled(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double temp0[6];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp0[4] = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp0[5] = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 2))
    {
    op->PlaceWidget();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("PlaceWidget",argv[1]))&&(argc == 8))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    double   temp3;
    double   temp4;
    double   temp5;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp3 = tempd;
    if (Tcl_GetDouble(interp,argv[6],&tempd) != TCL_OK) error = 1;
    temp4 = tempd;
    if (Tcl_GetDouble(interp,argv[7],&tempd) != TCL_OK) error = 1;
    temp5 = tempd;
    if (!error)
    {
    op->PlaceWidget(temp0,temp1,temp2,temp3,temp4,temp5);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetInput",argv[1]))&&(argc == 3))
    {
    vtkDataSet  *temp0;
    error = 0;

    temp0 = (vtkDataSet *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkDataSet"),interp,error));
    if (!error)
    {
    op->SetInput(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetOrigin(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetOrigin();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetOrigin",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetOrigin(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint1(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint1",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint1",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPoint1();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPoint1",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    double   temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp2 = tempd;
    if (!error)
    {
    op->SetPoint2(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPoint2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->SetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPoint2",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetPoint2();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetPoint2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetPoint2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCenter();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCenter",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetCenter(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetNormal();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetNormal",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetNormal(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVector1",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetVector1(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetVector2",argv[1]))&&(argc == 5))
    {
    double temp0[3];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (!error)
    {
    op->GetVector2(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSliceIndex",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetSliceIndex();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSliceIndex",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetSliceIndex(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSlicePosition",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetSlicePosition();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetSlicePosition",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetSlicePosition(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetResliceInterpolate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetResliceInterpolate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetResliceInterpolate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetResliceInterpolate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetResliceInterpolateToNearestNeighbour",argv[1]))&&(argc == 2))
    {
    op->SetResliceInterpolateToNearestNeighbour();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResliceInterpolateToLinear",argv[1]))&&(argc == 2))
    {
    op->SetResliceInterpolateToLinear();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetResliceInterpolateToCubic",argv[1]))&&(argc == 2))
    {
    op->SetResliceInterpolateToCubic();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetResliceOutput",argv[1]))&&(argc == 2))
    {
    vtkImageData  *temp20;
    temp20 = (op)->GetResliceOutput();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageData");
    return TCL_OK;
    }
  if ((!strcmp("SetRestrictPlaneToVolume",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRestrictPlaneToVolume(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRestrictPlaneToVolume",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRestrictPlaneToVolume();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("RestrictPlaneToVolumeOn",argv[1]))&&(argc == 2))
    {
    op->RestrictPlaneToVolumeOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("RestrictPlaneToVolumeOff",argv[1]))&&(argc == 2))
    {
    op->RestrictPlaneToVolumeOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetUserControlledLookupTable",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUserControlledLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUserControlledLookupTable",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUserControlledLookupTable();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UserControlledLookupTableOn",argv[1]))&&(argc == 2))
    {
    op->UserControlledLookupTableOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UserControlledLookupTableOff",argv[1]))&&(argc == 2))
    {
    op->UserControlledLookupTableOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTextureInterpolate",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTextureInterpolate(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureInterpolate",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextureInterpolate();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TextureInterpolateOn",argv[1]))&&(argc == 2))
    {
    op->TextureInterpolateOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TextureInterpolateOff",argv[1]))&&(argc == 2))
    {
    op->TextureInterpolateOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetTextureVisibility",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetTextureVisibility(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextureVisibility",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetTextureVisibility();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("TextureVisibilityOn",argv[1]))&&(argc == 2))
    {
    op->TextureVisibilityOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("TextureVisibilityOff",argv[1]))&&(argc == 2))
    {
    op->TextureVisibilityOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetPolyData",argv[1]))&&(argc == 3))
    {
    vtkPolyData  *temp0;
    error = 0;

    temp0 = (vtkPolyData *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkPolyData"),interp,error));
    if (!error)
    {
    op->GetPolyData(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPolyDataAlgorithm",argv[1]))&&(argc == 2))
    {
    vtkPolyDataAlgorithm  *temp20;
    temp20 = (op)->GetPolyDataAlgorithm();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkPolyDataAlgorithm");
    return TCL_OK;
    }
  if ((!strcmp("UpdatePlacement",argv[1]))&&(argc == 2))
    {
    op->UpdatePlacement();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("GetTexture",argv[1]))&&(argc == 2))
    {
    vtkTexture  *temp20;
    temp20 = (op)->GetTexture();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTexture");
    return TCL_OK;
    }
  if ((!strcmp("GetColorMap",argv[1]))&&(argc == 2))
    {
    vtkImageMapToColors  *temp20;
    temp20 = (op)->GetColorMap();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkImageMapToColors");
    return TCL_OK;
    }
  if ((!strcmp("SetColorMap",argv[1]))&&(argc == 3))
    {
    vtkImageMapToColors  *temp0;
    error = 0;

    temp0 = (vtkImageMapToColors *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkImageMapToColors"),interp,error));
    if (!error)
    {
    op->SetColorMap(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetPlaneProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetPlaneProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetSelectedPlaneProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetSelectedPlaneProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetSelectedPlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetSelectedPlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneOrientation",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetPlaneOrientation(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetPlaneOrientation",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetPlaneOrientation();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneOrientationToXAxes",argv[1]))&&(argc == 2))
    {
    op->SetPlaneOrientationToXAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneOrientationToYAxes",argv[1]))&&(argc == 2))
    {
    op->SetPlaneOrientationToYAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPlaneOrientationToZAxes",argv[1]))&&(argc == 2))
    {
    op->SetPlaneOrientationToZAxes();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetPicker",argv[1]))&&(argc == 3))
    {
    vtkAbstractPropPicker  *temp0;
    error = 0;

    temp0 = (vtkAbstractPropPicker *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkAbstractPropPicker"),interp,error));
    if (!error)
    {
    op->SetPicker(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("SetLookupTable",argv[1]))&&(argc == 3))
    {
    vtkLookupTable  *temp0;
    error = 0;

    temp0 = (vtkLookupTable *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkLookupTable"),interp,error));
    if (!error)
    {
    op->SetLookupTable(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLookupTable",argv[1]))&&(argc == 2))
    {
    vtkLookupTable  *temp20;
    temp20 = (op)->GetLookupTable();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkLookupTable");
    return TCL_OK;
    }
  if ((!strcmp("SetDisplayText",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetDisplayText(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetDisplayText",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetDisplayText();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("DisplayTextOn",argv[1]))&&(argc == 2))
    {
    op->DisplayTextOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("DisplayTextOff",argv[1]))&&(argc == 2))
    {
    op->DisplayTextOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetCursorProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetCursorProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetCursorProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetMarginProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetMarginProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMarginProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetMarginProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetMarginSizeX",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMarginSizeX(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMarginSizeXMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMarginSizeXMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMarginSizeXMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMarginSizeXMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMarginSizeX",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMarginSizeX();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMarginSizeY",argv[1]))&&(argc == 3))
    {
    double   temp0;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (!error)
    {
    op->SetMarginSizeY(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMarginSizeYMinValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMarginSizeYMinValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMarginSizeYMaxValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMarginSizeYMaxValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMarginSizeY",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetMarginSizeY();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetTextProperty",argv[1]))&&(argc == 3))
    {
    vtkTextProperty  *temp0;
    error = 0;

    temp0 = (vtkTextProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkTextProperty"),interp,error));
    if (!error)
    {
    op->SetTextProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTextProperty",argv[1]))&&(argc == 2))
    {
    vtkTextProperty  *temp20;
    temp20 = (op)->GetTextProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkTextProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetTexturePlaneProperty",argv[1]))&&(argc == 3))
    {
    vtkProperty  *temp0;
    error = 0;

    temp0 = (vtkProperty *)(vtkTclGetPointerFromObject(argv[2],const_cast<char *>("vtkProperty"),interp,error));
    if (!error)
    {
    op->SetTexturePlaneProperty(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetTexturePlaneProperty",argv[1]))&&(argc == 2))
    {
    vtkProperty  *temp20;
    temp20 = (op)->GetTexturePlaneProperty();
      vtkTclGetObjectFromPointer(interp,(void *)(temp20),"vtkProperty");
    return TCL_OK;
    }
  if ((!strcmp("SetWindowLevel",argv[1]))&&(argc == 5))
    {
    double   temp0;
    double   temp1;
    int      temp2;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0 = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp1 = tempd;
    if (Tcl_GetInt(interp,argv[4],&tempi) != TCL_OK) error = 1;
    temp2 = tempi;
    if (!error)
    {
    op->SetWindowLevel(temp0,temp1,temp2);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindowLevel",argv[1]))&&(argc == 4))
    {
    double temp0[2];
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (!error)
    {
    op->GetWindowLevel(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetWindow",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetWindow();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLevel",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetLevel();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCursorData",argv[1]))&&(argc == 6))
    {
    double temp0[4];
    int      temp20;
    error = 0;

    if (Tcl_GetDouble(interp,argv[2],&tempd) != TCL_OK) error = 1;
    temp0[0] = tempd;
    if (Tcl_GetDouble(interp,argv[3],&tempd) != TCL_OK) error = 1;
    temp0[1] = tempd;
    if (Tcl_GetDouble(interp,argv[4],&tempd) != TCL_OK) error = 1;
    temp0[2] = tempd;
    if (Tcl_GetDouble(interp,argv[5],&tempd) != TCL_OK) error = 1;
    temp0[3] = tempd;
    if (!error)
    {
    temp20 = (op)->GetCursorData(temp0);
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetCursorDataStatus",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetCursorDataStatus();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentCursorPosition",argv[1]))&&(argc == 2))
    {
    double  *temp20;
    temp20 = (op)->GetCurrentCursorPosition();
    if(temp20)
      {
      char tempResult[1024];
      *tempResult = '\0';
      char converted[1024];
      *converted = '\0';
      Tcl_PrintDouble(interp,temp20[0], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[1], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_PrintDouble(interp,temp20[2], converted);
      strcat(tempResult, " ");
      strcat(tempResult, converted);
      Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
      }
    else
      {
      Tcl_SetResult(interp, const_cast<char *>(""), TCL_VOLATILE);
      }
    return TCL_OK;
    }
  if ((!strcmp("GetCurrentImageValue",argv[1]))&&(argc == 2))
    {
    double   temp20;
    temp20 = (op)->GetCurrentImageValue();
    char tempResult[1024];
    Tcl_PrintDouble(interp,temp20,tempResult);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetUseContinuousCursor",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetUseContinuousCursor(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetUseContinuousCursor",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetUseContinuousCursor();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("UseContinuousCursorOn",argv[1]))&&(argc == 2))
    {
    op->UseContinuousCursorOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("UseContinuousCursorOff",argv[1]))&&(argc == 2))
    {
    op->UseContinuousCursorOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetInteraction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetInteraction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetInteraction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetInteraction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("InteractionOn",argv[1]))&&(argc == 2))
    {
    op->InteractionOn();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("InteractionOff",argv[1]))&&(argc == 2))
    {
    op->InteractionOff();
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftButtonAction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftButtonAction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftButtonActionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftButtonActionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftButtonActionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftButtonActionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftButtonAction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftButtonAction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMiddleButtonAction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMiddleButtonAction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMiddleButtonActionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMiddleButtonActionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMiddleButtonActionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMiddleButtonActionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMiddleButtonAction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMiddleButtonAction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightButtonAction",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightButtonAction(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightButtonActionMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightButtonActionMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightButtonActionMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightButtonActionMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightButtonAction",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightButtonAction();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetLeftButtonAutoModifier",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetLeftButtonAutoModifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetLeftButtonAutoModifierMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftButtonAutoModifierMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftButtonAutoModifierMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftButtonAutoModifierMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetLeftButtonAutoModifier",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetLeftButtonAutoModifier();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetMiddleButtonAutoModifier",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetMiddleButtonAutoModifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetMiddleButtonAutoModifierMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMiddleButtonAutoModifierMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMiddleButtonAutoModifierMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMiddleButtonAutoModifierMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetMiddleButtonAutoModifier",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetMiddleButtonAutoModifier();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("SetRightButtonAutoModifier",argv[1]))&&(argc == 3))
    {
    int      temp0;
    error = 0;

    if (Tcl_GetInt(interp,argv[2],&tempi) != TCL_OK) error = 1;
    temp0 = tempi;
    if (!error)
    {
    op->SetRightButtonAutoModifier(temp0);
    Tcl_ResetResult(interp);
    return TCL_OK;
    }
    }
  if ((!strcmp("GetRightButtonAutoModifierMinValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightButtonAutoModifierMinValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightButtonAutoModifierMaxValue",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightButtonAutoModifierMaxValue();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }
  if ((!strcmp("GetRightButtonAutoModifier",argv[1]))&&(argc == 2))
    {
    int      temp20;
    temp20 = (op)->GetRightButtonAutoModifier();
    char tempResult[1024];
    sprintf(tempResult,"%i",temp20);
    Tcl_SetResult(interp, tempResult, TCL_VOLATILE);
    return TCL_OK;
    }

  if (!strcmp("ListInstances",argv[1]))
    {
    vtkTclListInstances(interp,(ClientData)(vtkImagePlaneWidgetCommand));
    return TCL_OK;
    }

  if (!strcmp("ListMethods",argv[1]))
    {
    vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    Tcl_AppendResult(interp,"Methods from vtkImagePlaneWidget:\n",NULL);
    Tcl_AppendResult(interp,"  GetSuperClassName\n",NULL);
    Tcl_AppendResult(interp,"  New\n",NULL);
    Tcl_AppendResult(interp,"  GetClassName\n",NULL);
    Tcl_AppendResult(interp,"  IsA\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  NewInstance\n",NULL);
    Tcl_AppendResult(interp,"  SafeDownCast\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetEnabled\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\n",NULL);
    Tcl_AppendResult(interp,"  PlaceWidget\t with 6 args\n",NULL);
    Tcl_AppendResult(interp,"  SetInput\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\n",NULL);
    Tcl_AppendResult(interp,"  GetOrigin\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  SetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2\n",NULL);
    Tcl_AppendResult(interp,"  GetPoint2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\n",NULL);
    Tcl_AppendResult(interp,"  GetCenter\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\n",NULL);
    Tcl_AppendResult(interp,"  GetNormal\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVector1\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetVector2\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetSliceIndex\n",NULL);
    Tcl_AppendResult(interp,"  SetSliceIndex\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSlicePosition\n",NULL);
    Tcl_AppendResult(interp,"  SetSlicePosition\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceInterpolate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceInterpolate\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceInterpolateToNearestNeighbour\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceInterpolateToLinear\n",NULL);
    Tcl_AppendResult(interp,"  SetResliceInterpolateToCubic\n",NULL);
    Tcl_AppendResult(interp,"  GetResliceOutput\n",NULL);
    Tcl_AppendResult(interp,"  SetRestrictPlaneToVolume\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRestrictPlaneToVolume\n",NULL);
    Tcl_AppendResult(interp,"  RestrictPlaneToVolumeOn\n",NULL);
    Tcl_AppendResult(interp,"  RestrictPlaneToVolumeOff\n",NULL);
    Tcl_AppendResult(interp,"  SetUserControlledLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUserControlledLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  UserControlledLookupTableOn\n",NULL);
    Tcl_AppendResult(interp,"  UserControlledLookupTableOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureInterpolate\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureInterpolate\n",NULL);
    Tcl_AppendResult(interp,"  TextureInterpolateOn\n",NULL);
    Tcl_AppendResult(interp,"  TextureInterpolateOff\n",NULL);
    Tcl_AppendResult(interp,"  SetTextureVisibility\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextureVisibility\n",NULL);
    Tcl_AppendResult(interp,"  TextureVisibilityOn\n",NULL);
    Tcl_AppendResult(interp,"  TextureVisibilityOff\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyData\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPolyDataAlgorithm\n",NULL);
    Tcl_AppendResult(interp,"  UpdatePlacement\n",NULL);
    Tcl_AppendResult(interp,"  GetTexture\n",NULL);
    Tcl_AppendResult(interp,"  GetColorMap\n",NULL);
    Tcl_AppendResult(interp,"  SetColorMap\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetSelectedPlaneProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetSelectedPlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneOrientation\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetPlaneOrientation\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneOrientationToXAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneOrientationToYAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetPlaneOrientationToZAxes\n",NULL);
    Tcl_AppendResult(interp,"  SetPicker\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  SetLookupTable\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLookupTable\n",NULL);
    Tcl_AppendResult(interp,"  SetDisplayText\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetDisplayText\n",NULL);
    Tcl_AppendResult(interp,"  DisplayTextOn\n",NULL);
    Tcl_AppendResult(interp,"  DisplayTextOff\n",NULL);
    Tcl_AppendResult(interp,"  SetCursorProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetMarginProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMarginProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetMarginSizeX\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMarginSizeXMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMarginSizeXMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMarginSizeX\n",NULL);
    Tcl_AppendResult(interp,"  SetMarginSizeY\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMarginSizeYMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMarginSizeYMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMarginSizeY\n",NULL);
    Tcl_AppendResult(interp,"  SetTextProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTextProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetTexturePlaneProperty\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetTexturePlaneProperty\n",NULL);
    Tcl_AppendResult(interp,"  SetWindowLevel\t with 3 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWindowLevel\t with 2 args\n",NULL);
    Tcl_AppendResult(interp,"  GetWindow\n",NULL);
    Tcl_AppendResult(interp,"  GetLevel\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorData\t with 4 args\n",NULL);
    Tcl_AppendResult(interp,"  GetCursorDataStatus\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentCursorPosition\n",NULL);
    Tcl_AppendResult(interp,"  GetCurrentImageValue\n",NULL);
    Tcl_AppendResult(interp,"  SetUseContinuousCursor\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetUseContinuousCursor\n",NULL);
    Tcl_AppendResult(interp,"  UseContinuousCursorOn\n",NULL);
    Tcl_AppendResult(interp,"  UseContinuousCursorOff\n",NULL);
    Tcl_AppendResult(interp,"  SetInteraction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetInteraction\n",NULL);
    Tcl_AppendResult(interp,"  InteractionOn\n",NULL);
    Tcl_AppendResult(interp,"  InteractionOff\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftButtonAction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftButtonActionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftButtonActionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftButtonAction\n",NULL);
    Tcl_AppendResult(interp,"  SetMiddleButtonAction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMiddleButtonActionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMiddleButtonActionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMiddleButtonAction\n",NULL);
    Tcl_AppendResult(interp,"  SetRightButtonAction\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightButtonActionMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightButtonActionMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightButtonAction\n",NULL);
    Tcl_AppendResult(interp,"  SetLeftButtonAutoModifier\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftButtonAutoModifierMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftButtonAutoModifierMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetLeftButtonAutoModifier\n",NULL);
    Tcl_AppendResult(interp,"  SetMiddleButtonAutoModifier\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetMiddleButtonAutoModifierMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMiddleButtonAutoModifierMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetMiddleButtonAutoModifier\n",NULL);
    Tcl_AppendResult(interp,"  SetRightButtonAutoModifier\t with 1 arg\n",NULL);
    Tcl_AppendResult(interp,"  GetRightButtonAutoModifierMinValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightButtonAutoModifierMaxValue\n",NULL);
    Tcl_AppendResult(interp,"  GetRightButtonAutoModifier\n",NULL);
    return TCL_OK;
    }

  if (!strcmp("DescribeMethods",argv[1]))
    {
    if(argc>3) {
      Tcl_SetResult ( interp, const_cast<char*>("Wrong number of arguments: object DescribeMethods <MethodName>"), TCL_VOLATILE ); 
      return TCL_ERROR;
 }
    if(argc==2) {

  Tcl_DString dString, dStringParent;

  Tcl_DStringInit ( &dString );

  Tcl_DStringInit ( &dStringParent );
    vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    Tcl_DStringGetResult ( interp, &dStringParent );
    Tcl_DStringAppend ( &dString, Tcl_DStringValue ( &dStringParent ), -1 );
    Tcl_DStringAppendElement ( &dString, "New" );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    Tcl_DStringAppendElement ( &dString, "GetVector1" );
    Tcl_DStringAppendElement ( &dString, "GetVector2" );
    Tcl_DStringAppendElement ( &dString, "GetSliceIndex" );
    Tcl_DStringAppendElement ( &dString, "SetSliceIndex" );
    Tcl_DStringAppendElement ( &dString, "GetSlicePosition" );
    Tcl_DStringAppendElement ( &dString, "SetSlicePosition" );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolate" );
    Tcl_DStringAppendElement ( &dString, "GetResliceInterpolate" );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolateToNearestNeighbour" );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolateToLinear" );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolateToCubic" );
    Tcl_DStringAppendElement ( &dString, "GetResliceOutput" );
    Tcl_DStringAppendElement ( &dString, "SetRestrictPlaneToVolume" );
    Tcl_DStringAppendElement ( &dString, "GetRestrictPlaneToVolume" );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOn" );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOff" );
    Tcl_DStringAppendElement ( &dString, "SetUserControlledLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetUserControlledLookupTable" );
    Tcl_DStringAppendElement ( &dString, "UserControlledLookupTableOn" );
    Tcl_DStringAppendElement ( &dString, "UserControlledLookupTableOff" );
    Tcl_DStringAppendElement ( &dString, "SetTextureInterpolate" );
    Tcl_DStringAppendElement ( &dString, "GetTextureInterpolate" );
    Tcl_DStringAppendElement ( &dString, "TextureInterpolateOn" );
    Tcl_DStringAppendElement ( &dString, "TextureInterpolateOff" );
    Tcl_DStringAppendElement ( &dString, "SetTextureVisibility" );
    Tcl_DStringAppendElement ( &dString, "GetTextureVisibility" );
    Tcl_DStringAppendElement ( &dString, "TextureVisibilityOn" );
    Tcl_DStringAppendElement ( &dString, "TextureVisibilityOff" );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    Tcl_DStringAppendElement ( &dString, "GetColorMap" );
    Tcl_DStringAppendElement ( &dString, "SetColorMap" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientation" );
    Tcl_DStringAppendElement ( &dString, "GetPlaneOrientation" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientationToXAxes" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientationToYAxes" );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientationToZAxes" );
    Tcl_DStringAppendElement ( &dString, "SetPicker" );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    Tcl_DStringAppendElement ( &dString, "SetDisplayText" );
    Tcl_DStringAppendElement ( &dString, "GetDisplayText" );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOn" );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOff" );
    Tcl_DStringAppendElement ( &dString, "SetCursorProperty" );
    Tcl_DStringAppendElement ( &dString, "GetCursorProperty" );
    Tcl_DStringAppendElement ( &dString, "SetMarginProperty" );
    Tcl_DStringAppendElement ( &dString, "GetMarginProperty" );
    Tcl_DStringAppendElement ( &dString, "SetMarginSizeX" );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeXMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeXMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeX" );
    Tcl_DStringAppendElement ( &dString, "SetMarginSizeY" );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeYMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeYMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeY" );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    Tcl_DStringAppendElement ( &dString, "SetTexturePlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "GetTexturePlaneProperty" );
    Tcl_DStringAppendElement ( &dString, "SetWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    Tcl_DStringAppendElement ( &dString, "GetWindow" );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    Tcl_DStringAppendElement ( &dString, "GetCursorData" );
    Tcl_DStringAppendElement ( &dString, "GetCursorDataStatus" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentCursorPosition" );
    Tcl_DStringAppendElement ( &dString, "GetCurrentImageValue" );
    Tcl_DStringAppendElement ( &dString, "SetUseContinuousCursor" );
    Tcl_DStringAppendElement ( &dString, "GetUseContinuousCursor" );
    Tcl_DStringAppendElement ( &dString, "UseContinuousCursorOn" );
    Tcl_DStringAppendElement ( &dString, "UseContinuousCursorOff" );
    Tcl_DStringAppendElement ( &dString, "SetInteraction" );
    Tcl_DStringAppendElement ( &dString, "GetInteraction" );
    Tcl_DStringAppendElement ( &dString, "InteractionOn" );
    Tcl_DStringAppendElement ( &dString, "InteractionOff" );
    Tcl_DStringAppendElement ( &dString, "SetLeftButtonAction" );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonActionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonActionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAction" );
    Tcl_DStringAppendElement ( &dString, "SetMiddleButtonAction" );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonActionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonActionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAction" );
    Tcl_DStringAppendElement ( &dString, "SetRightButtonAction" );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonActionMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonActionMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAction" );
    Tcl_DStringAppendElement ( &dString, "SetLeftButtonAutoModifier" );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAutoModifierMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAutoModifierMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAutoModifier" );
    Tcl_DStringAppendElement ( &dString, "SetMiddleButtonAutoModifier" );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAutoModifierMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAutoModifierMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAutoModifier" );
    Tcl_DStringAppendElement ( &dString, "SetRightButtonAutoModifier" );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAutoModifierMinValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAutoModifierMaxValue" );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAutoModifier" );
  Tcl_DStringResult ( interp, &dString );
  Tcl_DStringFree ( &dString );
  Tcl_DStringFree ( &dStringParent );
    return TCL_OK;
    }
    if(argc==3) {
      Tcl_DString dString;
      int SuperClassStatus;
    SuperClassStatus = vtkPolyDataSourceWidgetCppCommand(op,interp,argc,argv);
    if ( SuperClassStatus == TCL_OK ) { return TCL_OK; }
    /* Starting function: New */
    if ( strcmp ( argv[2], "New" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "New" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for New */
    Tcl_DStringAppendElement ( &dString, " Instantiate the object.\n" );
    Tcl_DStringAppendElement ( &dString, "static vtkImagePlaneWidget *New ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for New */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetClassName */
    if ( strcmp ( argv[2], "GetClassName" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetClassName" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetClassName */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "const char *GetClassName ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetClassName */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: IsA */
    if ( strcmp ( argv[2], "IsA" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "IsA" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "string" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for IsA */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "int IsA (const char *name);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for IsA */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: NewInstance */
    if ( strcmp ( argv[2], "NewInstance" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "NewInstance" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for NewInstance */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget *NewInstance ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for NewInstance */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SafeDownCast */
    if ( strcmp ( argv[2], "SafeDownCast" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SafeDownCast" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkObject" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SafeDownCast */
    Tcl_DStringAppendElement ( &dString, "" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget *SafeDownCast (vtkObject* o);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SafeDownCast */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetEnabled */
    if ( strcmp ( argv[2], "SetEnabled" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetEnabled" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetEnabled */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetEnabled (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetEnabled */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void PlaceWidget (double bounds\\[6\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Methods that satisfy the superclass' API.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget ();this Superclass PlaceWidget " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: PlaceWidget */
    if ( strcmp ( argv[2], "PlaceWidget" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "PlaceWidget" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for PlaceWidget */
    Tcl_DStringAppendElement ( &dString, " Set the vtkImageData* input for the vtkImageReslice.\n" );
    Tcl_DStringAppendElement ( &dString, "void PlaceWidget (double xmin, double xmax, double ymin, double ymax, double zmin, double zmax);this Superclass PlaceWidget xmin xmax ymin ymax zmin zmax " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for PlaceWidget */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInput */
    if ( strcmp ( argv[2], "SetInput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkDataSet" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInput */
    Tcl_DStringAppendElement ( &dString, " Set the vtkImageData* input for the vtkImageReslice.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInput (vtkDataSet *input);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetInput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetOrigin */
    if ( strcmp ( argv[2], "SetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetOrigin (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetOrigin ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetOrigin */
    if ( strcmp ( argv[2], "GetOrigin" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetOrigin" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetOrigin */
    Tcl_DStringAppendElement ( &dString, " Set/Get the origin of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetOrigin (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetOrigin */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1 (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint1 */
    if ( strcmp ( argv[2], "SetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint1 (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1 */
    if ( strcmp ( argv[2], "GetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint1 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint1 */
    if ( strcmp ( argv[2], "GetPoint1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint1 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the first axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPoint1 (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPoint1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2 (double x, double y, double z);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPoint2 */
    if ( strcmp ( argv[2], "SetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPoint2 (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2 */
    if ( strcmp ( argv[2], "GetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetPoint2 ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPoint2 */
    if ( strcmp ( argv[2], "GetPoint2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPoint2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPoint2 */
    Tcl_DStringAppendElement ( &dString, " Set/Get the position of the point defining the second axis of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPoint2 (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPoint2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Get the center of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetCenter ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCenter */
    if ( strcmp ( argv[2], "GetCenter" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCenter" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCenter */
    Tcl_DStringAppendElement ( &dString, " Get the center of the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetCenter (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetCenter */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "double *GetNormal ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetNormal */
    if ( strcmp ( argv[2], "GetNormal" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetNormal" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetNormal */
    Tcl_DStringAppendElement ( &dString, " Get the normal to the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetNormal (double xyz\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetNormal */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVector1 */
    if ( strcmp ( argv[2], "GetVector1" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVector1" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVector1 */
    Tcl_DStringAppendElement ( &dString, " Get the vector from the plane origin to point1.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetVector1 (double v1\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetVector1 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetVector2 */
    if ( strcmp ( argv[2], "GetVector2" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetVector2" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetVector2 */
    Tcl_DStringAppendElement ( &dString, " Get the vector from the plane origin to point2.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetVector2 (double v2\\[3\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetVector2 */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSliceIndex */
    if ( strcmp ( argv[2], "GetSliceIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSliceIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSliceIndex */
    Tcl_DStringAppendElement ( &dString, " Get the slice position in terms of the data extent.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetSliceIndex ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetSliceIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSliceIndex */
    if ( strcmp ( argv[2], "SetSliceIndex" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSliceIndex" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSliceIndex */
    Tcl_DStringAppendElement ( &dString, " Set the slice position in terms of the data extent.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSliceIndex (int index);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetSliceIndex */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSlicePosition */
    if ( strcmp ( argv[2], "GetSlicePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSlicePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSlicePosition */
    Tcl_DStringAppendElement ( &dString, " Get the position of the slice along its normal.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetSlicePosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetSlicePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSlicePosition */
    if ( strcmp ( argv[2], "SetSlicePosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSlicePosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSlicePosition */
    Tcl_DStringAppendElement ( &dString, " Set the position of the slice along its normal.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetSlicePosition (double position);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetSlicePosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceInterpolate */
    if ( strcmp ( argv[2], "SetResliceInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceInterpolate */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation to use when texturing the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceInterpolate (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetResliceInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceInterpolate */
    if ( strcmp ( argv[2], "GetResliceInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceInterpolate */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation to use when texturing the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetResliceInterpolate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetResliceInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceInterpolateToNearestNeighbour */
    if ( strcmp ( argv[2], "SetResliceInterpolateToNearestNeighbour" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolateToNearestNeighbour" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceInterpolateToNearestNeighbour */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation to use when texturing the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceInterpolateToNearestNeighbour ();this SetResliceInterpolate VTK_NEAREST_RESLICE " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetResliceInterpolateToNearestNeighbour */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceInterpolateToLinear */
    if ( strcmp ( argv[2], "SetResliceInterpolateToLinear" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolateToLinear" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceInterpolateToLinear */
    Tcl_DStringAppendElement ( &dString, " Set the interpolation to use when texturing the plane.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceInterpolateToLinear ();this SetResliceInterpolate VTK_LINEAR_RESLICE " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetResliceInterpolateToLinear */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetResliceInterpolateToCubic */
    if ( strcmp ( argv[2], "SetResliceInterpolateToCubic" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetResliceInterpolateToCubic" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetResliceInterpolateToCubic */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get the vtkImageReslice output.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetResliceInterpolateToCubic ();this SetResliceInterpolate VTK_CUBIC_RESLICE " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetResliceInterpolateToCubic */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetResliceOutput */
    if ( strcmp ( argv[2], "GetResliceOutput" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetResliceOutput" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetResliceOutput */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get the vtkImageReslice output.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageData *GetResliceOutput ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetResliceOutput */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRestrictPlaneToVolume */
    if ( strcmp ( argv[2], "SetRestrictPlaneToVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRestrictPlaneToVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRestrictPlaneToVolume */
    Tcl_DStringAppendElement ( &dString, " Make sure that the plane remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRestrictPlaneToVolume (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetRestrictPlaneToVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRestrictPlaneToVolume */
    if ( strcmp ( argv[2], "GetRestrictPlaneToVolume" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRestrictPlaneToVolume" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRestrictPlaneToVolume */
    Tcl_DStringAppendElement ( &dString, " Make sure that the plane remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRestrictPlaneToVolume ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetRestrictPlaneToVolume */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestrictPlaneToVolumeOn */
    if ( strcmp ( argv[2], "RestrictPlaneToVolumeOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestrictPlaneToVolumeOn */
    Tcl_DStringAppendElement ( &dString, " Make sure that the plane remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void RestrictPlaneToVolumeOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for RestrictPlaneToVolumeOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: RestrictPlaneToVolumeOff */
    if ( strcmp ( argv[2], "RestrictPlaneToVolumeOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "RestrictPlaneToVolumeOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for RestrictPlaneToVolumeOff */
    Tcl_DStringAppendElement ( &dString, " Make sure that the plane remains within the volume.\n Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void RestrictPlaneToVolumeOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for RestrictPlaneToVolumeOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUserControlledLookupTable */
    if ( strcmp ( argv[2], "SetUserControlledLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUserControlledLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUserControlledLookupTable */
    Tcl_DStringAppendElement ( &dString, " Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUserControlledLookupTable (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetUserControlledLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUserControlledLookupTable */
    if ( strcmp ( argv[2], "GetUserControlledLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUserControlledLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUserControlledLookupTable */
    Tcl_DStringAppendElement ( &dString, " Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUserControlledLookupTable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetUserControlledLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UserControlledLookupTableOn */
    if ( strcmp ( argv[2], "UserControlledLookupTableOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UserControlledLookupTableOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UserControlledLookupTableOn */
    Tcl_DStringAppendElement ( &dString, " Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UserControlledLookupTableOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for UserControlledLookupTableOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UserControlledLookupTableOff */
    if ( strcmp ( argv[2], "UserControlledLookupTableOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UserControlledLookupTableOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UserControlledLookupTableOff */
    Tcl_DStringAppendElement ( &dString, " Let the user control the lookup table. NOTE: apply this method BEFORE\n applying the SetLookupTable method.\n Default is Off.\n" );
    Tcl_DStringAppendElement ( &dString, "void UserControlledLookupTableOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for UserControlledLookupTableOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureInterpolate */
    if ( strcmp ( argv[2], "SetTextureInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureInterpolate */
    Tcl_DStringAppendElement ( &dString, " Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextureInterpolate (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetTextureInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureInterpolate */
    if ( strcmp ( argv[2], "GetTextureInterpolate" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureInterpolate" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureInterpolate */
    Tcl_DStringAppendElement ( &dString, " Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextureInterpolate ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetTextureInterpolate */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TextureInterpolateOn */
    if ( strcmp ( argv[2], "TextureInterpolateOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextureInterpolateOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextureInterpolateOn */
    Tcl_DStringAppendElement ( &dString, " Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void TextureInterpolateOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for TextureInterpolateOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TextureInterpolateOff */
    if ( strcmp ( argv[2], "TextureInterpolateOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextureInterpolateOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextureInterpolateOff */
    Tcl_DStringAppendElement ( &dString, " Specify whether to interpolate the texture or not. When off, the\n reslice interpolation is nearest neighbour regardless of how the\n interpolation is set through the API. Set before setting the\n vtkImageData input. Default is On.\n" );
    Tcl_DStringAppendElement ( &dString, "void TextureInterpolateOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for TextureInterpolateOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextureVisibility */
    if ( strcmp ( argv[2], "SetTextureVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextureVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextureVisibility */
    Tcl_DStringAppendElement ( &dString, " Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTextureVisibility (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetTextureVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextureVisibility */
    if ( strcmp ( argv[2], "GetTextureVisibility" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextureVisibility" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextureVisibility */
    Tcl_DStringAppendElement ( &dString, " Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetTextureVisibility ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetTextureVisibility */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TextureVisibilityOn */
    if ( strcmp ( argv[2], "TextureVisibilityOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextureVisibilityOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextureVisibilityOn */
    Tcl_DStringAppendElement ( &dString, " Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n" );
    Tcl_DStringAppendElement ( &dString, "void TextureVisibilityOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for TextureVisibilityOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: TextureVisibilityOff */
    if ( strcmp ( argv[2], "TextureVisibilityOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "TextureVisibilityOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for TextureVisibilityOff */
    Tcl_DStringAppendElement ( &dString, " Control the visibility of the actual texture mapped reformatted plane.\n in some cases you may only want the plane outline for example.\n" );
    Tcl_DStringAppendElement ( &dString, "void TextureVisibilityOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for TextureVisibilityOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyData */
    if ( strcmp ( argv[2], "GetPolyData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkPolyData" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyData */
    Tcl_DStringAppendElement ( &dString, " Grab the polydata (including points) that defines the plane.  The\n polydata consists of (res+1)*(res+1) points, and res*res quadrilateral\n polygons, where res is the resolution of the plane. These point values\n are guaranteed to be up-to-date when either the InteractionEvent or\n EndInteraction events are invoked. The user provides the vtkPolyData and\n the points and polygons are added to it.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetPolyData (vtkPolyData *pd);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPolyData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPolyDataAlgorithm */
    if ( strcmp ( argv[2], "GetPolyDataAlgorithm" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPolyDataAlgorithm" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPolyDataAlgorithm */
    Tcl_DStringAppendElement ( &dString, " Satisfies superclass API.  This returns a pointer to the underlying\n vtkPolyData.  Make changes to this before calling the initial PlaceWidget()\n to have the initial placement follow suit.  Or, make changes after the\n widget has been initialised and call UpdatePlacement() to realise.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkPolyDataAlgorithm *GetPolyDataAlgorithm ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPolyDataAlgorithm */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UpdatePlacement */
    if ( strcmp ( argv[2], "UpdatePlacement" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UpdatePlacement" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UpdatePlacement */
    Tcl_DStringAppendElement ( &dString, " Satisfies superclass API.  This will change the state of the widget to\n match changes that have been made to the underlying vtkPolyDataSource\n" );
    Tcl_DStringAppendElement ( &dString, "void UpdatePlacement (void );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for UpdatePlacement */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTexture */
    if ( strcmp ( argv[2], "GetTexture" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTexture" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTexture */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get the texture used by this widget.  This can be\n used in external slice viewers.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTexture *GetTexture ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetTexture */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetColorMap */
    if ( strcmp ( argv[2], "GetColorMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetColorMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetColorMap */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get the vtkImageMapToColors filter used by this\n widget.  The user can properly render other transparent actors in a\n scene by calling the filter's SetOutputFormatToRGB and \n PassAlphaToOutputOff.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapToColors *GetColorMap ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetColorMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetColorMap */
    if ( strcmp ( argv[2], "SetColorMap" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetColorMap" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkImageMapToColors" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetColorMap */
    Tcl_DStringAppendElement ( &dString, " Convenience method to get the vtkImageMapToColors filter used by this\n widget.  The user can properly render other transparent actors in a\n scene by calling the filter's SetOutputFormatToRGB and \n PassAlphaToOutputOff.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetColorMap (vtkImageMapToColors *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetColorMap */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaneProperty */
    if ( strcmp ( argv[2], "SetPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetPlaneProperty (vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneProperty */
    if ( strcmp ( argv[2], "GetPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetPlaneProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetSelectedPlaneProperty */
    if ( strcmp ( argv[2], "SetSelectedPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetSelectedPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetSelectedPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetSelectedPlaneProperty (vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetSelectedPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetSelectedPlaneProperty */
    if ( strcmp ( argv[2], "GetSelectedPlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetSelectedPlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetSelectedPlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the plane's outline properties. The properties of the plane's \n outline when selected and unselected can be manipulated.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetSelectedPlaneProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetSelectedPlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaneOrientation */
    if ( strcmp ( argv[2], "SetPlaneOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneOrientation */
    Tcl_DStringAppendElement ( &dString, " Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneOrientation (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPlaneOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetPlaneOrientation */
    if ( strcmp ( argv[2], "GetPlaneOrientation" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetPlaneOrientation" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetPlaneOrientation */
    Tcl_DStringAppendElement ( &dString, " Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n" );
    Tcl_DStringAppendElement ( &dString, "int GetPlaneOrientation ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetPlaneOrientation */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaneOrientationToXAxes */
    if ( strcmp ( argv[2], "SetPlaneOrientationToXAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientationToXAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneOrientationToXAxes */
    Tcl_DStringAppendElement ( &dString, " Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneOrientationToXAxes ();this SetPlaneOrientation " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPlaneOrientationToXAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaneOrientationToYAxes */
    if ( strcmp ( argv[2], "SetPlaneOrientationToYAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientationToYAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneOrientationToYAxes */
    Tcl_DStringAppendElement ( &dString, " Convenience method sets the plane orientation normal to the\n x, y, or z axes.  Default is XAxes (0).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneOrientationToYAxes ();this SetPlaneOrientation " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPlaneOrientationToYAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPlaneOrientationToZAxes */
    if ( strcmp ( argv[2], "SetPlaneOrientationToZAxes" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPlaneOrientationToZAxes" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPlaneOrientationToZAxes */
    Tcl_DStringAppendElement ( &dString, " Set the internal picker to one defined by the user.  In this way,\n a set of three orthogonal planes can share the same picker so that\n picking is performed correctly.  The default internal picker can be\n re-set/allocated by setting to 0 (NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPlaneOrientationToZAxes ();this SetPlaneOrientation " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPlaneOrientationToZAxes */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetPicker */
    if ( strcmp ( argv[2], "SetPicker" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetPicker" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkAbstractPropPicker" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetPicker */
    Tcl_DStringAppendElement ( &dString, " Set the internal picker to one defined by the user.  In this way,\n a set of three orthogonal planes can share the same picker so that\n picking is performed correctly.  The default internal picker can be\n re-set/allocated by setting to 0 (NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "void SetPicker (vtkAbstractPropPicker *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetPicker */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLookupTable */
    if ( strcmp ( argv[2], "SetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal lookuptable (lut) to one defined by the user, or,\n alternatively, to the lut of another vtkImgePlaneWidget.  In this way,\n a set of three orthogonal planes can share the same lut so that\n window-levelling is performed uniformly among planes.  The default\n internal lut can be re- set/allocated by setting to 0 (NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetLookupTable (vtkLookupTable *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLookupTable */
    if ( strcmp ( argv[2], "GetLookupTable" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLookupTable" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLookupTable */
    Tcl_DStringAppendElement ( &dString, " Set/Get the internal lookuptable (lut) to one defined by the user, or,\n alternatively, to the lut of another vtkImgePlaneWidget.  In this way,\n a set of three orthogonal planes can share the same lut so that\n window-levelling is performed uniformly among planes.  The default\n internal lut can be re- set/allocated by setting to 0 (NULL).\n" );
    Tcl_DStringAppendElement ( &dString, "vtkLookupTable *GetLookupTable ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLookupTable */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetDisplayText */
    if ( strcmp ( argv[2], "SetDisplayText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetDisplayText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetDisplayText */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetDisplayText (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetDisplayText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetDisplayText */
    if ( strcmp ( argv[2], "GetDisplayText" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetDisplayText" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetDisplayText */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetDisplayText ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetDisplayText */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayTextOn */
    if ( strcmp ( argv[2], "DisplayTextOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayTextOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisplayTextOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for DisplayTextOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: DisplayTextOff */
    if ( strcmp ( argv[2], "DisplayTextOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "DisplayTextOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for DisplayTextOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable text display of window-level, image coordinates and\n scalar values in a render window.\n" );
    Tcl_DStringAppendElement ( &dString, "void DisplayTextOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for DisplayTextOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetCursorProperty */
    if ( strcmp ( argv[2], "SetCursorProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetCursorProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetCursorProperty */
    Tcl_DStringAppendElement ( &dString, " Set the properties of the cross-hair cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetCursorProperty (vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetCursorProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorProperty */
    if ( strcmp ( argv[2], "GetCursorProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorProperty */
    Tcl_DStringAppendElement ( &dString, " Set the properties of the cross-hair cursor.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetCursorProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetCursorProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMarginProperty */
    if ( strcmp ( argv[2], "SetMarginProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMarginProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMarginProperty */
    Tcl_DStringAppendElement ( &dString, " Set the properties of the margins.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetMarginProperty (vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetMarginProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarginProperty */
    if ( strcmp ( argv[2], "GetMarginProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarginProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarginProperty */
    Tcl_DStringAppendElement ( &dString, " Set the properties of the margins.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetMarginProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMarginProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMarginSizeX */
    if ( strcmp ( argv[2], "SetMarginSizeX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMarginSizeX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMarginSizeX */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMarginSizeX (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetMarginSizeX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarginSizeXMinValue */
    if ( strcmp ( argv[2], "GetMarginSizeXMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeXMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarginSizeXMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMarginSizeXMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMarginSizeXMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarginSizeXMaxValue */
    if ( strcmp ( argv[2], "GetMarginSizeXMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeXMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarginSizeXMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMarginSizeXMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMarginSizeXMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarginSizeX */
    if ( strcmp ( argv[2], "GetMarginSizeX" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeX" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarginSizeX */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMarginSizeX ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMarginSizeX */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMarginSizeY */
    if ( strcmp ( argv[2], "SetMarginSizeY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMarginSizeY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMarginSizeY */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMarginSizeY (double );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetMarginSizeY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarginSizeYMinValue */
    if ( strcmp ( argv[2], "GetMarginSizeYMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeYMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarginSizeYMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMarginSizeYMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMarginSizeYMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarginSizeYMaxValue */
    if ( strcmp ( argv[2], "GetMarginSizeYMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeYMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarginSizeYMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMarginSizeYMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMarginSizeYMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMarginSizeY */
    if ( strcmp ( argv[2], "GetMarginSizeY" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMarginSizeY" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMarginSizeY */
    Tcl_DStringAppendElement ( &dString, " Set the size of the margins based on a percentage of the\n plane's width and height, limited between 0 and 50%.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetMarginSizeY ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMarginSizeY */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTextProperty */
    if ( strcmp ( argv[2], "SetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property for the image data and window-level annotation.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetTextProperty (vtkTextProperty *tprop);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTextProperty */
    if ( strcmp ( argv[2], "GetTextProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTextProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTextProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the text property for the image data and window-level annotation.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkTextProperty *GetTextProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetTextProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetTexturePlaneProperty */
    if ( strcmp ( argv[2], "SetTexturePlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetTexturePlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "vtkProperty" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetTexturePlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the property for the resliced image.\n" );
    Tcl_DStringAppendElement ( &dString, "virtual void SetTexturePlaneProperty (vtkProperty *);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetTexturePlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetTexturePlaneProperty */
    if ( strcmp ( argv[2], "GetTexturePlaneProperty" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetTexturePlaneProperty" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetTexturePlaneProperty */
    Tcl_DStringAppendElement ( &dString, " Set/Get the property for the resliced image.\n" );
    Tcl_DStringAppendElement ( &dString, "vtkProperty *GetTexturePlaneProperty ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetTexturePlaneProperty */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetWindowLevel */
    if ( strcmp ( argv[2], "SetWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetWindowLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetWindowLevel (double window, double level, int copy);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindowLevel */
    if ( strcmp ( argv[2], "GetWindowLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindowLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindowLevel */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n" );
    Tcl_DStringAppendElement ( &dString, "void GetWindowLevel (double wl\\[2\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetWindowLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetWindow */
    if ( strcmp ( argv[2], "GetWindow" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetWindow" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetWindow */
    Tcl_DStringAppendElement ( &dString, " Set/Get the current window and level values.  SetWindowLevel should\n only be called after SetInput.  If a shared lookup table is being used,\n a callback is required to update the window level values without having\n to update the lookup table again.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetWindow ();return this CurrentWindow " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetWindow */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLevel */
    if ( strcmp ( argv[2], "GetLevel" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLevel" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLevel */
    Tcl_DStringAppendElement ( &dString, " Get the image coordinate position and voxel value.  Currently only\n supports single component image data.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetLevel ();return this CurrentLevel " );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLevel */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorData */
    if ( strcmp ( argv[2], "GetCursorData" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorData" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringAppendElement ( &dString, "float" );
    Tcl_DStringEndSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorData */
    Tcl_DStringAppendElement ( &dString, " Get the image coordinate position and voxel value.  Currently only\n supports single component image data.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursorData (double xyzv\\[4\\]);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetCursorData */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCursorDataStatus */
    if ( strcmp ( argv[2], "GetCursorDataStatus" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCursorDataStatus" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCursorDataStatus */
    Tcl_DStringAppendElement ( &dString, " Get the status of the cursor data.  If this returns 1 the\n CurrentCursorPosition and CurrentImageValue will have current\n data.  If it returns 0, these values are invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetCursorDataStatus ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetCursorDataStatus */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentCursorPosition */
    if ( strcmp ( argv[2], "GetCurrentCursorPosition" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentCursorPosition" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentCursorPosition */
    Tcl_DStringAppendElement ( &dString, " Get the current cursor position.  To be used in conjunction with\n GetCursorDataStatus.\n" );
    Tcl_DStringAppendElement ( &dString, "double  *GetCurrentCursorPosition ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetCurrentCursorPosition */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetCurrentImageValue */
    if ( strcmp ( argv[2], "GetCurrentImageValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetCurrentImageValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetCurrentImageValue */
    Tcl_DStringAppendElement ( &dString, " Get the current image value at the current cursor position.  To\n be used in conjunction with GetCursorDataStatus.  The value is\n VTK_DOUBLE_MAX when the data is invalid.\n" );
    Tcl_DStringAppendElement ( &dString, "double GetCurrentImageValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetCurrentImageValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetUseContinuousCursor */
    if ( strcmp ( argv[2], "SetUseContinuousCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetUseContinuousCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetUseContinuousCursor */
    Tcl_DStringAppendElement ( &dString, " Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetUseContinuousCursor (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetUseContinuousCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetUseContinuousCursor */
    if ( strcmp ( argv[2], "GetUseContinuousCursor" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetUseContinuousCursor" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetUseContinuousCursor */
    Tcl_DStringAppendElement ( &dString, " Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetUseContinuousCursor ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetUseContinuousCursor */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseContinuousCursorOn */
    if ( strcmp ( argv[2], "UseContinuousCursorOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseContinuousCursorOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseContinuousCursorOn */
    Tcl_DStringAppendElement ( &dString, " Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseContinuousCursorOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for UseContinuousCursorOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: UseContinuousCursorOff */
    if ( strcmp ( argv[2], "UseContinuousCursorOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "UseContinuousCursorOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for UseContinuousCursorOff */
    Tcl_DStringAppendElement ( &dString, " Choose between voxel centered or continuous cursor probing.  With voxel\n centered probing, the cursor snaps to the nearest voxel and the reported\n cursor coordinates are extent based.  With continuous probing, voxel data\n is interpolated using vtkDataSetAttributes' InterpolatePoint method and\n the reported coordinates are 3D spatial continuous.\n" );
    Tcl_DStringAppendElement ( &dString, "void UseContinuousCursorOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for UseContinuousCursorOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetInteraction */
    if ( strcmp ( argv[2], "SetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetInteraction */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction so the widget remains on display.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetInteraction (int interact);" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetInteraction */
    if ( strcmp ( argv[2], "GetInteraction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetInteraction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetInteraction */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction so the widget remains on display.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetInteraction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetInteraction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InteractionOn */
    if ( strcmp ( argv[2], "InteractionOn" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InteractionOn" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InteractionOn */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction so the widget remains on display.\n" );
    Tcl_DStringAppendElement ( &dString, "void InteractionOn ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for InteractionOn */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: InteractionOff */
    if ( strcmp ( argv[2], "InteractionOff" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "InteractionOff" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for InteractionOff */
    Tcl_DStringAppendElement ( &dString, " Enable/disable mouse interaction so the widget remains on display.\n" );
    Tcl_DStringAppendElement ( &dString, "void InteractionOff ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for InteractionOff */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftButtonAction */
    if ( strcmp ( argv[2], "SetLeftButtonAction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftButtonAction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftButtonAction */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftButtonAction (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetLeftButtonAction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftButtonActionMinValue */
    if ( strcmp ( argv[2], "GetLeftButtonActionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonActionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftButtonActionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftButtonActionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLeftButtonActionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftButtonActionMaxValue */
    if ( strcmp ( argv[2], "GetLeftButtonActionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonActionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftButtonActionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftButtonActionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLeftButtonActionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftButtonAction */
    if ( strcmp ( argv[2], "GetLeftButtonAction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftButtonAction */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftButtonAction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLeftButtonAction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMiddleButtonAction */
    if ( strcmp ( argv[2], "SetMiddleButtonAction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMiddleButtonAction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMiddleButtonAction */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMiddleButtonAction (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetMiddleButtonAction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMiddleButtonActionMinValue */
    if ( strcmp ( argv[2], "GetMiddleButtonActionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonActionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMiddleButtonActionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMiddleButtonActionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMiddleButtonActionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMiddleButtonActionMaxValue */
    if ( strcmp ( argv[2], "GetMiddleButtonActionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonActionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMiddleButtonActionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMiddleButtonActionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMiddleButtonActionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMiddleButtonAction */
    if ( strcmp ( argv[2], "GetMiddleButtonAction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMiddleButtonAction */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMiddleButtonAction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMiddleButtonAction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightButtonAction */
    if ( strcmp ( argv[2], "SetRightButtonAction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightButtonAction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightButtonAction */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightButtonAction (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetRightButtonAction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightButtonActionMinValue */
    if ( strcmp ( argv[2], "GetRightButtonActionMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonActionMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightButtonActionMinValue */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightButtonActionMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetRightButtonActionMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightButtonActionMaxValue */
    if ( strcmp ( argv[2], "GetRightButtonActionMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonActionMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightButtonActionMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightButtonActionMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetRightButtonActionMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightButtonAction */
    if ( strcmp ( argv[2], "GetRightButtonAction" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAction" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightButtonAction */
    Tcl_DStringAppendElement ( &dString, " Set action associated to buttons.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightButtonAction ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetRightButtonAction */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetLeftButtonAutoModifier */
    if ( strcmp ( argv[2], "SetLeftButtonAutoModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetLeftButtonAutoModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetLeftButtonAutoModifier */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetLeftButtonAutoModifier (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetLeftButtonAutoModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftButtonAutoModifierMinValue */
    if ( strcmp ( argv[2], "GetLeftButtonAutoModifierMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAutoModifierMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftButtonAutoModifierMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftButtonAutoModifierMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLeftButtonAutoModifierMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftButtonAutoModifierMaxValue */
    if ( strcmp ( argv[2], "GetLeftButtonAutoModifierMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAutoModifierMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftButtonAutoModifierMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftButtonAutoModifierMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLeftButtonAutoModifierMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetLeftButtonAutoModifier */
    if ( strcmp ( argv[2], "GetLeftButtonAutoModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetLeftButtonAutoModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetLeftButtonAutoModifier */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetLeftButtonAutoModifier ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetLeftButtonAutoModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetMiddleButtonAutoModifier */
    if ( strcmp ( argv[2], "SetMiddleButtonAutoModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetMiddleButtonAutoModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetMiddleButtonAutoModifier */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetMiddleButtonAutoModifier (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetMiddleButtonAutoModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMiddleButtonAutoModifierMinValue */
    if ( strcmp ( argv[2], "GetMiddleButtonAutoModifierMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAutoModifierMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMiddleButtonAutoModifierMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMiddleButtonAutoModifierMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMiddleButtonAutoModifierMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMiddleButtonAutoModifierMaxValue */
    if ( strcmp ( argv[2], "GetMiddleButtonAutoModifierMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAutoModifierMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMiddleButtonAutoModifierMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMiddleButtonAutoModifierMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMiddleButtonAutoModifierMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetMiddleButtonAutoModifier */
    if ( strcmp ( argv[2], "GetMiddleButtonAutoModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetMiddleButtonAutoModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetMiddleButtonAutoModifier */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetMiddleButtonAutoModifier ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetMiddleButtonAutoModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: SetRightButtonAutoModifier */
    if ( strcmp ( argv[2], "SetRightButtonAutoModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "SetRightButtonAutoModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringAppendElement ( &dString, "int" );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for SetRightButtonAutoModifier */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "void SetRightButtonAutoModifier (int );" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for SetRightButtonAutoModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightButtonAutoModifierMinValue */
    if ( strcmp ( argv[2], "GetRightButtonAutoModifierMinValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAutoModifierMinValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightButtonAutoModifierMinValue */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightButtonAutoModifierMinValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetRightButtonAutoModifierMinValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightButtonAutoModifierMaxValue */
    if ( strcmp ( argv[2], "GetRightButtonAutoModifierMaxValue" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAutoModifierMaxValue" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightButtonAutoModifierMaxValue */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightButtonAutoModifierMaxValue ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetRightButtonAutoModifierMaxValue */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
    /* Starting function: GetRightButtonAutoModifier */
    if ( strcmp ( argv[2], "GetRightButtonAutoModifier" ) == 0 ) {
    Tcl_DStringInit ( &dString );
    Tcl_DStringAppendElement ( &dString, "GetRightButtonAutoModifier" );
    /* Arguments */
    Tcl_DStringStartSublist ( &dString );
    Tcl_DStringEndSublist ( &dString );
    /* Documentation for GetRightButtonAutoModifier */
    Tcl_DStringAppendElement ( &dString, " Set the auto-modifiers associated to buttons.\n This allows users to bind some buttons to actions that are usually\n triggered by a key modifier. For example, if you do not need cursoring,\n you can bind the left button action to VTK_SLICE_MOTION_ACTION (see above) \n and the left button auto modifier to VTK_CONTROL_MODIFIER: you end up with\n the left button controling panning without pressing a key.\n" );
    Tcl_DStringAppendElement ( &dString, "int GetRightButtonAutoModifier ();" );
    Tcl_DStringAppendElement ( &dString, "vtkImagePlaneWidget" );
    /* Closing for GetRightButtonAutoModifier */

    Tcl_DStringResult ( interp, &dString );
    Tcl_DStringFree ( &dString );
    return TCL_OK;
    }
   Tcl_SetResult ( interp, const_cast<char*>("Could not find method"), TCL_VOLATILE ); 
   return TCL_ERROR;
   }
 }

  if (vtkPolyDataSourceWidgetCppCommand(static_cast<vtkPolyDataSourceWidget *>(op),interp,argc,argv) == TCL_OK)
    {
    return TCL_OK;
    }
    }
  catch (vtkstd::exception &e)
    {
    Tcl_AppendResult(interp, "Uncaught exception: ",  e.what(), "\n", NULL);
    return TCL_ERROR;
    }
  return TCL_ERROR;
}
